<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class AbonnementProducteur extends Model
{
  protected $fillable=['etat_catalogue_abonnement_id','user_id','publication_number', 'remaining_publication', 'is_current'];

  protected $table = "abonnement_producteurs";

  public function user(){
      return $this->belongsTo('App\User');
  }
  public function etat_catalogue_abonnement(){
      return $this->belongsTo('App\EtatCatalogueAbonnement');
  }
}

