<?php

namespace App;

use App\Boutique;
use Illuminate\Database\Eloquent\Model;

class ArticleProducteur extends Model
{
    protected $fillable=['slug', 'corbeil', 'user_id', 'categorie_slug', 'reference', 'name', 'price', 'quantity','maker','maker_country','create','expire', 'description', 'file'];

    protected $table = "article_producteurs";

    public function boutiques()
    {
        return $this->hasMany(Boutique::class, 'slug', 'boutique_slug');
    }

    public function categorie()
    {
        return $this->belongsTo('App\CategorieCatalogue', 'categorie_slug', 'slug');
    }
}
