<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class BoutiqueMeta extends Model
{
    protected $fillable = ['boutique_id','mot_d_ordres','slug','logo_boutique','boutique_url','banner_article','email_boutique','telephone_boutique','adresse_boutique','facebook_boutique','twitter_boutique','font','background_color','text-color','country','city','region','continent','iso','currency_admin','currency_client','internationalize','pay_internationalize','satisfied_or_refunded','exchange_after_ship','address','day_exchange_after_ship','offer_return_delivery_to_customer','general_condition'];
    public function boutique(){
        return $this->belongsTo('App\Boutique');
    }

    public function publicites(){
        return $this->hasMany('App\Publicite');
    }
}
