<?php

namespace App\Console\Commands;

use App\Http\Controllers\HelperController;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

class BoutiqueCron extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'boutique:cron';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
           $helper=new HelperController();
           $helper->check_boutique_state();
        $this->info('Boutique:Cron Command Run successfully!');
    }
}
