<?php

namespace App\Console\Commands;

use App\Converter;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;

class ConverterCron extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'converter_currency';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Converter currency';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
            $json = file_get_contents("http://api.currencylayer.com/live?access_key=2bf0eb0e4123ee8b98bbc76938d93eaa&source=USD");
            $obj = json_decode($json);
            if($obj->quotes!=null){
               foreach ($obj->quotes as $key =>$value){
                  $convert= Converter::where('code',$key)->count();
                   $data['code']=$key;
                   $data['rate']=$value;
                  if($convert<=0){
                    DB::table('converters')->insert($data);
                  }else{
                      DB::table('converters')->where('code',$key)->update($data);
                  }
               }
            }
    }
}
