<?php

namespace App\Http\Controllers\Api;

use App\Actualite;
use App\Annonce;
use App\Boutique;
use App\Http\Controllers\MailController;
use App\PointVente;
use App\ProfileAnnonceur;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;
use Intervention\Image\Facades\Image;

class ActualiteController extends Controller
{
    public function list()
    {   try {
            $actualites = Actualite::orderBy("id",'DESC')->inRandomOrder()->paginate(10);
            return json_encode($actualites);
        } catch (\Exception $e) {
            return json_encode($e);
        }
    }

    public function single($slug){
        try {
            $actualite = Actualite::whereSlug($slug)->first();
            return json_encode($actualite);
        } catch (\Exception $e) {
            return json_encode($e);
        }

    }

}
