<?php

namespace App\Http\Controllers\SuperAdmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\MarketSetting;
use App\helpers\helper;
use Illuminate\Support\Facades\DB;
class SettingController extends Controller
{
    public function settings(){
        $params=MarketSetting::all();
        return view('dashboard.super_administrateur.settings.index',compact('params'));
    }

    public function newInvestissor(){
        
        return view('dashboard.Investment.add_investissor');
    }
    
    public function setParams(Request $request){
        try{
            $data=$request->all();
            unset($data['_token']);
            $tabs=["banner1","banner2","banner3","pub1","pub2","pub3","promotion_img","recette_img","news_img","panier_img"];
            foreach ($data as $key =>$value) {
                if(in_array($key,$tabs)){
                    if(isset($request[$key])){
                        $helper= new helper();
                        $image = $helper->saveFile($request[$key],'market_settings');
                        if($image) $value = $image;
                    }
                }
                $params=MarketSetting::where('key',$key)->first();
                if(isset($params) && $params!=null){
                    DB::table('market_settings')
                        ->where('key',$key)
                        ->update(['value'=>$value]);
                }else{
                    MarketSetting::create([
                        'key'=>$key,'value'=>$value
                    ]);
                }
            }
            return back()->with('success','Paramètre mise à jour avec succès');
        }catch (\Exception $e){
            return back()->with('error','Une erreur s\'est produite. '.$e->getMessage());
        }
    }
}
