<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class NewslettersBoutique extends Model
{
   protected $fillable=['newsletters_maker_slug','boutique_slug'];

    public function newslettermaker(){
        return $this->belongsTo('App\NewsletterMaker','newsletters_maker_slug','slug');
    }

    public function boutique(){
        return $this->belongsTo('App\Boutique','boutique_slug','slug');
    }
}
