<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class NewslettersMaker extends Model
{
   protected $fillable=['slug','subject','choix_diffusion','message','include_piece_jointe','include_article','include_boutique','corbeil','number_user','abonnement_slug'];

   public function newsletter_boutique(){
       return $this->hasMany('App\NewslettersBoutique','newsletters_maker_slug','slug');
   }

   public function newsletter_article(){
       return $this->hasMany('App\NewslettersArticle','newsletters_maker_slug','slug');
   }

   public function newsletter_piece(){
       return $this->hasMany('App\NewslettersPieceJointe','newsletters_maker_slug','slug');
   }
}
