<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class ServiceShipping extends Model
{
    protected $fillable=['slug','type','country','name','logo','tel','email','adress','status'];
    public function plan_tarifaire(){
        return $this->hasMany('App\PlantarifaireShippings','service_slug','slug');
    }

    public function shop_shipping(){
        return $this->hasOne('App\ShopShipping','service_slug','slug');
    }

    public function country($id){
    $country=    DB::table('countries')->where('name',$id)->first();
        return $country;
    }

}
