<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class TableCommandes extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('commandes', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->string('reference');
            $table->string('quantity');
            $table->string('price');
            $table->string('total_price');
            $table->string('user_slug');
            $table->string('delivery');
            $table->string('adresse_delivery');
            $table->string('state');
            $table->string('boutiques_slug');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
