<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CommandAdd extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('commandes', function (Blueprint $table) {
            $table->string('slug');
            $table->string('first_name');
            $table->string('last_name');
            $table->string('sex');
            $table->string('country');
            $table->string('customer_phone');
            $table->string('email');
            $table->string('customer_adress');
            $table->string('shipping_phone');
            $table->string('shipping_adress');
            $table->boolean('statut_paiement');
            $table->boolean('statut_shipping');
            $table->integer('total_price');
            $table->string('boutique_slug');
            $table->timestamps();
        });
    }


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
