<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRetraitsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('retraits', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->integer('montant');
            $table->string('numero')->nullable();
            $table->text('motif')->nullable();
            $table->boolean('status_demande')->default(false);
            $table->boolean('status_retrait')->default(false);
            $table->integer('user_slug');
            $table->string('admin_validate')->nullable();
            $table->string('date_validate')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('retraits');
    }
}
