<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateNewslettersAbonnementUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('newsletters_abonnement_users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->string('abonnement_slug');
            $table->string('user_slug');
            $table->integer('diffusion');
            $table->integer('boutique');
            $table->boolean('status')->default(false);
            $table->boolean('corbeil')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('newsletters_abonnement_users');
    }
}
