<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateNewslettersMakersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('newsletters_makers', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->string('choix_diffusion');
            $table->text('message');
            $table->boolean('include_piece_jointe')->default(false);
            $table->boolean('include_article')->default(false);
            $table->boolean('include_boutique')->default(false);
            $table->boolean('corbeil')->default(false);
            $table->integer('number_user');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('newsletters_makers');
    }
}
