<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddToBoutiques2 extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('boutique_metas', function (Blueprint $table) {
           $table->string('currency_admin')->default('XOF');
           $table->string('currency_client')->default('XOF');
           $table->boolean('internationalize')->default(false);
           $table->boolean('satisfied_or_refunded')->default(false);
           $table->boolean('exchange_after_ship')->default(false);
           $table->longText('address')->nullable();
           $table->longText('country')->nullable();
           $table->longText('region')->nullable();
           $table->longText('city')->nullable();
           $table->integer('day_exchange_after_ship')->default(0);
           $table->boolean('offer_return_delivery_to_customer')->default(false);
           $table->longText('general_condition')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('boutiques_metas', function (Blueprint $table) {
            //
        });
    }
}
