<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddToCatalogueArticles2 extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('catalogue_articles', function (Blueprint $table) {
            $table->string('weight')->default(1);
            $table->boolean('local_shipping')->default(true);
            $table->boolean('international_shipping')->default(false);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('catalogue_articles', function (Blueprint $table) {
            //
        });
    }
}
