<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddToPortefeuilles extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('portefeuilles', function (Blueprint $table) {
           $table->string('devise')->default('XOF');
           $table->string('active')->default(true);
           $table->integer('tentative')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('portefeuilles', function (Blueprint $table) {
            //
        });
    }
}
