<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMibBoutiqueSouscriptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mib_boutique_souscriptions', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('id_boutique');
            $table->integer('max_user');
            $table->dateTime('expired_at');
            $table->boolean('status')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mib_boutique_souscriptions');
    }
}
