<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePaiementEchelonnersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('paiement_echelonners', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('boutique_slug');
            $table->dateTime('expired_at');
            $table->string('reference');
            $table->integer('max')->default(3);
            $table->boolean('status')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('paiement_echelonners');
    }
}
