<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCotisationMibsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cotisation_mibs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->string('client_mib_id');
            $table->integer('numero_mois');
            $table->string('mois');
            $table->boolean('status');
            $table->integer('montant');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cotisation_mibs');
    }
}
