<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDemandeBrunchsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('demande_brunchs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->text('demande');
            $table->text('admin_commentaire')->nullable();
            $table->string('status')->default('en_attente');
            $table->string('client_mib_slug');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('demande_brunchs');
    }
}
