<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInvestissementRemboursementsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('investissement_remboursements', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('contribution_id');
            $table->integer('montant')->default(0);
            $table->string('type')->default('gain');
            $table->integer('number')->default(0);
            $table->integer('year')->default(date('Y'));
            $table->string('status')->default('pending');
            $table->string('paid_by')->nullable();
            $table->integer('payer_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('investissement_remboursements');
    }
}
