<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateArticleProducteursTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('article_producteurs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('categorie_slug')->nullable();
            $table->integer('user_id');
            $table->string('slug');
            $table->string('reference');
            $table->string('name');
            $table->double('price');
            $table->integer('quantity');
            $table->string('maker');
            $table->string('file')->nullable();
            $table->string('maker_country');
            $table->date('create')->nullable();
            $table->date('expire')->nullable();
            $table->text('description')->nullable();
            $table->boolean('corbeil')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('article_producteurs');
    }
}
