<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEtatCatalogueAbonnementsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('etat_catalogue_abonnements', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->double('price');
            $table->string('slug');
            $table->integer('numberPublication');
            $table->string('name');
            $table->text('description')->nullable();
            $table->boolean('corbeil')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('etat_catalogue_abonnements');
    }
}
