<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProducerGainsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('producer_gains', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('productor_slug')->nullable();
            $table->string('marchant_slug')->nullable();
            $table->string('boutique_slug')->nullable();
            $table->string('article_slug')->nullable();
            $table->double('article_price')->nullable();
            $table->double('gain')->nullable();
            $table->integer('quantity')->nullable();
            $table->double('percentage')->nullable();
            $table->double('profit')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('producer_gains');
    }
}
