
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    @php
        $get_user_data=\Illuminate\Support\Facades\Session::get('user');
        $meta_model=new \App\Users_meta();
        $picture=$meta_model->get_user_field($get_user_data['id'],'profil_picture');
   // dd($picture);
         if(!isset($picture)){
                $picture="logo_mini.jpg";
         }
    @endphp

    <style>
        @media (min-width: 768px){
            .form-horizontal .control-label{
                text-align: left;
            }
        }
    </style>
<div class="right_col" role="main">

            <div class="clearfix"></div>
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h5>PROFIL <small> Vous pouvez aussi gérer vos informations de connexion</small></h5>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                      @if(session("success"))

                          <div class="alert alert-success">
                              {{session('success')}}
                          </div>

                      @endif
                      @if(session("error"))

                          <div class="alert alert-danger">
                              {{session('error')}}
                          </div>

                      @endif
                    <br/>
                    <form action="{{action('LoginController@update_user_data')}}" method="post" data-parsley-validate class="form-horizontal form-label-left" enctype="multipart/form-data">
                            @csrf
                        <input type="hidden" name="user_id" value="@php echo $get_user_data['id']; @endphp">
                        <div class="col-ting" style="">
                            <div class="control-group file-upload" id="file-upload1">
                                <div class="image-box text-center" style="background: url('{{asset('Profil_picture/'.$picture)}}');background-size: contain; background-repeat: no-repeat;background-position: center"><p style="color: #0D3349;font-weight: bold;">Ajouter une photo de profil<br><i class="fa fa-camera"></i></p><img src="" alt=""></div>
                                    <div class="controls"><input type="file" name="photo_profil"/></div>
                            </div>
                        </div>
<div>
                      <div class="form-group col-lg-4 col-sm-12">
                        <label class="control-label col-md-12 col-sm-12 col-xs-12 text-left" for="first-name">Nom <span class="required" style="color: red;">*</span>
                        </label>
                        <div class="col-md-12 col-sm-12 col-xs-12">
                          <input type="text" id="first_name" name="first_name" required="required" value="@php echo $get_user_data['first_name'] @endphp" class="form-control col-md-7 col-xs-12">
                        </div>
                      </div>
                      <div class="form-group col-sm-12 col-lg-4">
                        <label class="control-label col-md-12  text-left" for="last-name" >Prénom <span class="required" style="color: red;">*</span>
                        </label>
                        <div class="col-md-12 col-sm-12 col-xs-12">
                          <input type="text" id="last_name" name="last_name" required="required" value="@php echo $get_user_data['last_name'] @endphp" class="form-control col-md-7 col-xs-12">
                        </div>
                      </div>
                       <div class="form-group col-sm-12 col-lg-4">
                        <label for="username" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Nom d'utilisateur <span class="required" style="color: red;">*</span></label>
                        <div class="col-md-12 col-sm-12 col-xs-12">
                          <input id="username" class="form-control" type="text" name="username" required value="@php echo $get_user_data['username'] @endphp">
                        </div>
                       </div>
                        <div class="form-group col-sm-12 col-lg-8 col-md-10">
                          <label for="email" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Email <span class="required" style="color: red;">*</span></label>
                          <div class="col-md-12 col-sm-12 col-xs-12">
                            <input id="email" class="form-control" type="text" name="email" required value="@php echo $get_user_data['email'] @endphp">
                          </div>
                        </div>
                        <div class="form-group col-sm-12 col-md-6 col-lg-4">
                          <label for="email" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Numéro de téléphone <span class="required" style="color: red;">*</span></label>
                          <div class="col-md-12 col-sm-12 col-xs-12">
                            <input id="phone" class="form-control" type="text" name="telephone" required value="@php echo $get_user_data['telephone'] @endphp">
                          </div>
                        </div>
<div class="col-md-12">
    <div class="form-group col-xs-12 col-sm-12 col-md-4 col-lg-4">
        <label for="pays">Votre pays <span style='color:red'>*</span></label></label>
        <select  name="country" data-placeholder="Choisissez le pays" class="form-control pays choosen" @if($get_user_data['country']!=null) data-country="{{$get_user_data['country']}}" @endif>
            @foreach ($pays as $country)
                <option value="{{$country->id}}" @if($get_user_data['country']!=null && $get_user_data['country']==$country->name) selected @endif>{{$country->name}}</option>
            @endforeach
        </select>
    </div>
    <div class="form-group regions-container col-sm-12 col-md-4 col-lg-4">
        <div style="text-align: center;display: none" class="regions-loader text-center">
            <img style="width: 50px;" src="{{asset('images/loader2.gif')}}">
            <br> chargement régions
        </div>
    </div>
    <div class="form-group villes-container col-sm-12 col-md-4 col-lg-4">
        <div style="text-align: center;display: none" class="villes-loader text-center">
            <img style="width: 50px;" src="{{asset('images/loader2.gif')}}">
            <br> chargement des villes
        </div>
    </div>
</div>
    @if(!$get_user_data['doc_validated'] )
    @if($get_user_data['cni']==null )
                         <div class="form-group col-sm-4">
                          <label for="cni" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Numéro CNI /PASSPORT <span class="required" style="color: red;">*</span></label>
                          <div class="col-md-12 col-sm-12 col-xs-12">
                            <input id="cni" class="form-control" type="text" name="cni" required >
                          </div>
                        </div>

                         <div class="form-group col-sm-4">
                          <label for="cnir" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Photo de votre carte d'identité / passport (recto) <span class="required" style="color: red;">*</span></label>
                          <div class="col-md-12 col-sm-12 col-xs-12">
                            <input id="cnir" class="form-control" type="file" name="cnir" required>
                          </div>
                        </div>
                        <div class="form-group col-sm-4">
                          <label for="cniv" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Photo de votre carte d'identité / passport (verso) <span class="required" style="color: red;">*</span></label>
                          <div class="col-md-12 col-sm-12 col-xs-12">
                            <input id="cniv" class="form-control"    type="file" name="cniv" required>
                          </div>
                        </div>
    @endif
    @endif


                      <div class="form-group col-sm-12">
                        <div class="col-md-12 col-sm-12 col-xs-12 " style="padding-top: 10px;">
                         <button type="submit" class="btn btn-success btn-sm" style="border-radius: 0px;">Modifier</button>
                        </div>
                      </div>
</div>
                    </form>

                      <div class="clearfix"></div>

                      <div class="ln_solid"></div>

                  </div>


                    <div class="x_content">

                        @if(session("password_success"))

                            <div class="alert alert-success">
                                {{session('password_success')}}
                            </div>

                        @endif
                        @if(session("password_error"))

                            <div class="alert alert-danger">
                                {{session('password_error')}}
                            </div>

                        @endif
                        <br/>
                        <h4 class="text-uppercase">Mise à jour de votre mot de passe</h4>
<br>
                        <form  method="post" action="{{route('update_user_password')}}" data-parsley-validate class="form-horizontal form-label-left row">

                            @csrf

                            <input type="hidden" name="user_id" value="@php echo $get_user_data['id']; @endphp">


                            <div class="form-group col-sm-4">
                                <label class="control-label col-md-12 col-sm-12 col-xs-12 text-left" for="password">Ancien mot de passe <span class="required" style="color: red;">*</span>
                                </label>
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <input type="password" id="oldpassword" name="oldpassword" required="required"  class="form-control" placeholder=".....">
                                </div>
                            </div>
                            <div class="form-group col-sm-4">
                                <label class="control-label col-md-12 col-sm-12 col-xs-12 text-left" for="password">Nouveau Mot de passe <span class="required" style="color: red;">*</span>
                                </label>
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <input type="password" id="password" name="password" required="required" class="form-control" placeholder=".....">
                                </div>
                            </div>
                            <div class="form-group col-sm-4">
                                <label class="control-label col-md-12 col-sm-12 col-xs-12 text-left" for="cpassword">Confirmer le nouveau mot de passe <span class="required" style="color: red;">*</span>
                                </label>
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <input type="password" id="cpassword" name="cpassword" required="required" class="form-control " placeholder=".....">
                                </div>
                            </div>


                            <div class="form-group col-sm-12">
                                <div class="col-md-12 col-sm-12 col-xs-12" style="padding-top: 10px;">
                                   <button type="submit" class="btn btn-success btn-sm" style="border-radius:0px;">Modifier</button>
                                </div>
                            </div>

                        </form>

                        <div class="clearfix"></div>

                            <h4 class="text-uppercase">Mise à jour du profile annonceur</h4>
                            <br>
                            <form  method="post" action="{{route('annonce.annonceur_update')}}" data-parsley-validate class="form-horizontal form-label-left row">

                                @csrf

                                <div class="form-group col-sm-4">
                                    <label class="control-label col-md-12 col-sm-12 col-xs-12 text-left" for="phone">Téléphone appel/sms<span class="required" style="color: red;">*</span>
                                    </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input type="tel" value="@if($profileAnnonceur) {{$profileAnnonceur->phone}} @endif" id="phone" name="phone" required="required"  class="form-control" placeholder="+22997000000">
                                    </div>
                                </div>


                                <div class="form-group col-sm-4">
                                    <label class="control-label col-md-12 col-sm-12 col-xs-12 text-left" for="phone_whatsapp">Téléphone whatsapp <span class="required" style="color: red;">*</span>
                                    </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input type="tel" value="@if($profileAnnonceur) {{$profileAnnonceur->phone_whatsapp}} @endif"  id="phone_whatsapp" name="phone_whatsapp" required="required"  class="form-control" placeholder="+22997000000">
                                    </div>
                                </div>

                                <div class="form-group col-sm-4">
                                    <label class="control-label col-md-12 col-sm-12 col-xs-12 text-left" for="profession">Profession
                                    </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input type="text" value="@if($profileAnnonceur) {{$profileAnnonceur->profession}} @endif"  id="profession" name="profession"  class="form-control" placeholder="agriculteur">
                                    </div>
                                </div>
                                <div class="form-group col-sm-12">
                                    <label class="control-label col-md-12 col-sm-12 col-xs-12 text-left" for="description">Bibliographie
                                        <br> <small>
                                            Une bonne présentation de vous et votre profession. <br>
                                            Notez que les informations que vous fournirez doivent etre exacte et très convaicantes. Mettez y le plus d'informations que possible pour que vos annonces puissent avoir satisfaction</small>
                                    </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <textarea class="form-control" name="bibliographie" id="bibliographie"   required="required" style="width: 100%" rows="5" minlength="10" placeholder="votre biographie">@if($profileAnnonceur) {{$profileAnnonceur->bibliographie}} @endif</textarea>
                                    </div>
                                </div>

                                <div class="form-group col-sm-12">
                                    <div class="col-md-12 col-sm-12 col-xs-12" style="padding-top: 10px;">
                                        <button type="submit" class="btn btn-success btn-sm" style="border-radius:0px;">Modifier</button> &nbsp;
                                        <a href="{{route('annonce.index')}}"  class="btn btn-light btn-sm" style="border-radius:0px;">Espace annonce</a>
                                    </div>
                                </div>

                            </form>

                    </div>

                </div>
              </div>
            </div>
</div>
              @endsection
