
@include('Mail.header')
    <style>
        table.blueTable {
            border: 1px solid indigo;
            background-color: #EEEEEE;
            width: 100%;
            text-align: left;
            border-collapse: collapse;
        }
        table.blueTable td, table.blueTable th {
            border: 1px solid #AAAAAA;
            padding: 3px 2px;
        }
        table.blueTable tbody td {
            font-size: 13px;
        }
        table.blueTable tr:nth-child(even) {
            background: #D0E4F5;
        }
        table.blueTable thead {
            background: indigo;
            background: -moz-linear-gradient(top, #66bba9 0%, #47ad97 66%, #33A48C 100%);
            background: -webkit-linear-gradient(top, #66bba9 0%, #47ad97 66%, #33A48C 100%);
            background: linear-gradient(to bottom, #66bba9 0%, #47ad97 66%, #33A48C 100%);
            border-bottom: 2px solid #444444;
        }
        table.blueTable thead th {
            font-size: 15px;
            font-weight: bold;
            color: #FFFFFF;
            border-left: 2px solid #D0E4F5;
        }
        table.blueTable thead th:first-child {
            border-left: none;
        }

        table.blueTable tfoot {
            font-size: 14px;
            font-weight: bold;
            color: #FFFFFF;
            background: #D0E4F5;
            background: -moz-linear-gradient(top, #dcebf7 0%, #d4e6f6 66%, #D0E4F5 100%);
            background: -webkit-linear-gradient(top, #dcebf7 0%, #d4e6f6 66%, #D0E4F5 100%);
            background: linear-gradient(to bottom, #dcebf7 0%, #d4e6f6 66%, #D0E4F5 100%);
            border-top: 2px solid #444444;
        }
        table.blueTable tfoot td {
            font-size: 14px;
        }
        table.blueTable tfoot .links {
            text-align: right;
        }
        table.blueTable tfoot .links a{
            display: inline-block;
            background: indigo;
            color: #FFFFFF;
            padding: 2px 8px;
            border-radius: 5px;
        }
    </style>

            <div>
                    <p style="font-size: 10pt;text-align: justify;padding-top: 10px;">
                        La boutique {{$msg['name']}} spécialisé dans {{$msg['metier']}} propulsé par sungrocery viens de recevoir une commande qui sera livré par votre entreprise.
                    </p>
                <h2 style="font-size: 10pt;text-align: justify;padding-top: 10px;">
                    A savoir sur le marchand
                    </h2>
                    <h4>Description de l'objet à transporter (description des produits vendus)</h4>
                    <p>{{$msg['description']}}</p>
                <h4>Départ</h4>
                    <p>{{$msg['depart']}}</p>
                <h4>Nom et Prénom</h4>
                    <p>{{$msg['last_name']}} {{$msg['first_name']}}</p>
                <h4>Numero</h4>
                    <p>{{$msg['tel']}}</p>
                <h4>Adresse</h4>
                    <p>{{$msg['adresse']}}</p>
                    <hr>
                    <h2 style="font-size: 10pt;text-align: justify;padding-top: 10px;">
                    A savoir sur le client
                    </h2>
                    <h4>Nom et Prénom</h4>
                    <p>{{$msg['commande']['last_name']}} {{$msg['commande']['first_name']}}</p>
                    <h4>Numero</h4>
                    <p>{{$msg['commande']['customer_phone']}}</p>
                    <h4>Adresse</h4>
                    <p>{{$msg['commande']['customer_adress']}}</p>
                    <h4>Email</h4>
                    <p>{{$msg['commande']['email']}}</p>

                    <div>
                        <table class="blueTable">
                            <thead>
                            <tr>
                            <th>Nom</th>
                            <th>Quantité</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($msg['articles'] as $art)
                            <tr>
                                <td>{{$art->article_->name}}</td>
                                <td>{{$art->quantity}}</td>
                            </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
            </div>
@include('Mail.footer_mail')
