<div id="BoutiqueAuthModal" class="modal fade">
    <div class="modal-sm modal-dialog">
        @csrf
        <div class="modal-content" style="border-radius: 0px;background: #ffffff;border-right: 5px solid {{$metas->background_color!=null ?  $metas->background_color : '#88b121' }};">
            <div class="modal-body">
                <div class="row">

                    <form class="col-md-12 col-sm-12 col-xs-12" onsubmit="return check_error(['myInput','username']);" action="{{route('login_for_boutique')}}" data-url="{{route('login_for_boutique')}}" method="post" id="login_form">
                        <div class="row">
                            <div class="col-md-12 col-xs-12" style="background: #fff;padding: 5%;padding-top: 50px;border-radius:20px">

                                <div class=" col-sm-12 text-center">
                                    <img  src="{{($logo_boutique == null)? asset('images/logo_mini.jpg') : $logo_boutique}}" width="150px"/>
                                </div>
                                <h2 class="text-left">
                                    Connectez-vous maintenant pour suivre vos achats
                                </h2>
                                @csrf
                                <div class="form-group">
                                    <label> Pseudo ou Email</label>
                                    <input type="text" name="email" class="form-control" placeholder="Email ou nom d'utilisateur" id="username" onblur="check_error(['username'])" data-input_name="email ou nom d'utilisateur" required="required" />
                                    <span id="errorusername"  style="color: red;"></span>
                                </div>
                                <div class="form-group">
                                    <label> Mot de passe (<a href="#" class="showForgetPassword"> oublié ?</a>)</label>

                                    <div class="input-group mb-3">
                                        <input type="password" name="password" data-input_name="mot de passe" placeholder="Votre mot de passe" onblur="check_error(['myInput'])" class="form-control" required="required" id="myInput" aria-label="Recipient's username" aria-describedby="basic-addon2">
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary" type="button" id="check3"  value="show password" onclick="myFunction()"><i class="fa fa-eye"></i></button>
                                        </div>
                                    </div>
                                    <span id="errormyInput" style="color: red;"></span>

                                </div>

                                <!-- script for show password -->
                                <script>
                                    function myFunction() {
                                        var x = document.getElementById("myInput");
                                        if (x.type === "password") {
                                            x.type = "text";
                                        } else {
                                            x.type = "password";
                                        }
                                    }
                                </script>
                                <!-- //end script -->
                                <div class="form-group">
                                    <div class="switch-agileits">
                                        <label class="switch">
                                            <input type="checkbox" class="js-switch" checked name="remember" value="remember">
                                            <span class="slider round"></span>
                                            se souvenir de moi
                                        </label>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <button type="button" id="connection" class="btn btn-primary btn-sm" style="border: none">SE CONNECTER</button>
                                   &nbsp;&nbsp; <button type="button" data-dismiss="modal" class="btn btn-light btn-sm">ANNULER</button>
                                </div>
                                <p class="form-group" style="padding-top: 10px;">
                                    Vous n'avez pas un compte ? <a href="#" class="show_register" style="color: {{$metas->background_color!=null ?  $metas->background_color : '#88b121' }}"> inscrivez vous</a>
                                </p>
                            </div>
                        </div>
                    </form>
                    <form class="col-md-12 col-sm-12 col-xs-12" style="display: none" onsubmit="return check_error(['username2','lastname','firstname','phone','email','password','cpassword']);" action="{{route('register_for_boutique')}}" data-url="{{route('register_for_boutique')}}"  method="post" id="register_form">
                        <div class="row">
                            <div class="col-sm-12" style="background: #fff;padding: 5%;border-left: 5px solid #88b121;border-radius:20px">
                                <div class=" col-sm-12 text-center">
                                    <img  src="{{($logo_boutique == null)? asset('images/logo_mini.jpg') : $logo_boutique}}" width="150px"/>
                                </div>
                                <h2 class="text-left">
                                    Créer un compte maintenant pour suivre vos achats et profiter de plus de service
                                </h2>
                                @csrf
                                <div class="row">
                                    <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                                        <label for="pays">Votre pays <span style='color:red'>*</span></label>
                                        <select  name="country" data-placeholder="Choisissez le pays" class="form-control pays choosen" @if(Illuminate\Support\Facades\Session::has('country')) data-country="{{Illuminate\Support\Facades\Session::get('country')}}" @endif>
                                            @foreach ($pays as $country)
                                                <option value="{{$country->id}}" @if(Illuminate\Support\Facades\Session::has('country') && Illuminate\Support\Facades\Session::get('country')==$country->name) selected @endif>{{$country->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="regions-container col-sm-12 col-md-4 col-lg-4">
                                        <div style="text-align: center;display: none" class="regions-loader text-center">
                                            <img style="width: 50px;" src="{{asset('images/loader2.gif')}}">
                                            <br> chargement régions
                                        </div>
                                    </div>
                                    <div class="villes-container col-sm-12 col-md-4 col-lg-4">
                                        <div style="text-align: center;display: none" class="villes-loader text-center">
                                            <img style="width: 50px;" src="{{asset('images/loader2.gif')}}">
                                            <br> chargement des villes
                                        </div>
                                    </div>

                                <div class="form-group col-sm-12 col-md-4 col-lg-4 mt-2">
                                    <label> Nom d'utilisateur : <span style='color:red'>*</span></label>
                                    <input type="text" name="username" id="username2" data-input_name=" email ou nom d'utilisateur" onblur="check_error(['username2'])" placeholder="Votre nom d'utilisateur" class="form-control" required="required" />
                                    <span id="errorusername" style="color: red;"></span>
                                </div>

                                <div class="form-group col-sm-12 col-md-4 col-lg-4 mt-2">
                                    <label> Nom : <span style='color:red'>*</span></label>
                                    <input type="text" name="last_name" id="lastname"  data-input_name="nom" onblur="check_error(['lastname'])" placeholder="Votre nom de famille" class="form-control" required="required" />
                                    <span id="errorlastname" style="color: red;"></span>
                                </div>

                                <div class="form-group col-sm-12 col-md-4 col-lg-4 mt-2">
                                    <label> Prénom : <span style='color:red'>*</span></label>
                                    <input type="text" name="first_name" id="firstname"  data-input_name="prenom" onblur="check_error(['firstname'])" placeholder="Votre prénom" class="form-control" required="required" />
                                    <span id="errorfirstname" style="color: red;"></span>
                                </div>

                                <div class="form-group col-sm-12 col-md-12 col-lg-12">
                                    <label> Sexe : <span style='color:red'>*</span></label>&nbsp; &nbsp; &nbsp; &nbsp;
                                    <input type="radio" name="sexe"  value="Homme" id="homme" @if(\Illuminate\Support\Facades\Session::has('user_command')) @if($sex=='Homme') checked @endif @else checked @endif />&nbsp;<label
                                            for="homme"> Homme</label>  &nbsp; &nbsp; &nbsp; &nbsp;
                                    <input type="radio" name="sexe"  id="femme" value="Femme" @if(\Illuminate\Support\Facades\Session::has('user_command')) @if($sex=='Homme') checked @endif @endif/>&nbsp;
                                    <label for="femme">Femme</label>
                                </div>
                                <input type="hidden" name="type" value="user">
                                <div class="form-group col-sm-12 col-md-6 col-lg-6">
                                    <label> Numéro de téléphone : <span style='color:red'>*</span></label>
                                    <input type="number"  id="subscrib_phone" class="form-control" name="telephone" value="" data-input_name="numéro de téléphone" onblur="check_error(['subscrib_phone'])" placeholder="Téléphone" oninput="this.value=this.value.replace(/(?![0-9])./gmi,'')" />
                                    <span id="valid-msg" class="hide" style="display: none;color: green;">✓ Valid</span>
                                    <span id="error-msg" class="hide" style="color: red;"></span>
                                    <span id="errorphone" style="color: red;"></span>

                                </div>
                                <div class="form-group col-sm-12 col-md-6 col-lg-6">

                                    <label> Votre email : <span style='color:red'>*</span></label>
                                    <input type="email" name="email"  id="email" data-input_name="email" onblur="check_error(['email'])" placeholder="Votre adresse mail" class="form-control" required="required" />
                                    <span id="erroremail" style="color: red;"></span>
                                </div>
                                <div class="form-group col-sm-12 col-md-6 col-lg-6">
                                    <label> Mot de passe : <span style='color:red'>*</span></label>

                                    <div class="input-group mb-3">
                                        <input type="password" name="password" data-input_name="mot de passe" placeholder="Votre mot de passe" onblur="check_error(['password'])" class="form-control" required="required" id="password" aria-label="Recipient's username" aria-describedby="basic-addon2">
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary" type="button" id="check3"  value="show password" onclick="myFunction()"><i class="fa fa-eye"></i></button>
                                        </div>
                                    </div>
                                    <span id="errormyInput" style="color: red;"></span>

                                </div>

                                <div class="form-group col-sm-12 col-md-6 col-lg-6">
                                    <label> Confirmé le mot de passe : <span style='color:red'>*</span></label>
                                    <input type="password" name="cpassword" id="cpassword" data-imite="password" data-input_name="confirmation de mot de passe" onblur="check_error(['cpassword'])" placeholder="Votre mot de passe de confirmation" class="form-control" required="required" />
                                    <span id="errorcpassword" style="color: red;"></span>
                                </div>
                                </div>
                                <!-- script for show password -->
                                <!-- //end script -->
                                <button type="button" id="new_account" class="btn btn-primary btn-sm" style="border: none">CRÉER MON COMPTE </button>
                                &nbsp;&nbsp; <button type="button" data-dismiss="modal" class="btn btn-light btn-sm">ANNULER</button>

                                <p class="form-group" style="padding-top: 10px;">
                                    <a href="#" class="show_login">J'ai déjà un compte.</a>
                                </p>
                            </div>
                        </div>
                    </form>
               <form class="col-md-12 col-sm-12 col-xs-12" style="display: none" onsubmit="return check_error(['resetEmail']);" action="{{route('reset.password.boutique')}}" data-url="{{route('reset.password.boutique')}}"  method="post" id="reset_password_form">
                        <div class="row">
                            <div class="col-sm-12" style="background: #fff;padding: 5%;border-left: 5px solid #88b121;border-radius:20px">
                                <div class=" col-sm-12 text-center">
                                    <img  src="{{($logo_boutique == null)? asset('images/logo_mini.jpg') : $logo_boutique}}" width="150px"/>
                                </div>
                                <h2 class="text-left">
                                    Veuillez saisir votre email ou pseudo pour recupérer votre mot de passe.
                                </h2>
                                @csrf
                                <div class="form-group">
                                    <label> Pseudo ou Email</label>
                                    <input type="text" name="email" id="resetEmail" class="form-control" placeholder="Email ou nom d'utilisateur"  onblur="check_error(['username'])" data-input_name="email ou nom d'utilisateur" required="required" />
                                    <span id="errorusername"  style="color: red;"></span>
                                </div>

                                <div class="form-group">
                                    <button type="submit" id="fpassword" class="btn btn-primary btn-xs">M'ENVOYER UN EMAIL</button>
                                </div>
                                <p class="form-group" style="padding-top: 10px;">
                                    <a href="{{route('login')}}" class="show_login" style="text-decoration: underline">Se connecter</a>
                                    &nbsp;&nbsp; <button type="button" data-dismiss="modal" class="btn btn-light btn-sm">ANNULER</button>

                                </p>
                            </div>
                        </div>
                    </form>

                </div>

            </div>
        </div>
    </div>
</div>

