<style>

    .cart_section
    {
        width: 100%;
        padding-top: 20px;
        padding-bottom: 111px;
    }
    .cart_title
    {
        font-size: 30px;
        font-weight: 500;
    }
    .cart_items
    {
        margin-top: 10px;
    }
    .cart_list
    {
        border: solid 1px #e8e8e8;
        box-shadow: 0px 1px 5px rgba(0,0,0,0.1);
    }

    .cart_item
    {
        width: 100%;
        padding: 15px;
        padding-right: 46px;
    }
    .cart_item_image
    {
        width: 133px;
        height: 133px;
        float: left;
    }
    .cart_item_image img
    {
        max-width: 100%;
    }
    .cart_item_info
    {
        width: calc(100% - 133px);
        float: left;
        padding-top: 18px;
    }
    .cart_item_name
    {
        margin-left: 7.53%;
    }
    .cart_item_title
    {
        font-size: 14px;
        font-weight: 400;
        color: rgba(0,0,0,0.5);
    }
    .cart_item_text
    {
        font-size: 18px;
        margin-top: 35px;
    }
    .cart_item_text span
    {
        display: inline-block;
        width: 20px;
        height: 20px;
        border-radius: 50%;
        margin-right: 11px;
        -webkit-transform: translateY(4px);
        -moz-transform: translateY(4px);
        -ms-transform: translateY(4px);
        -o-transform: translateY(4px);
        transform: translateY(4px);
    }
    .cart_item_price
    {
        text-align: right;
    }
    .cart_item_total
    {
        text-align: right;
    }

    .order_total
    {
        width: 100%;
        height: 60px;
        margin-top: 30px;
        border: solid 1px #e8e8e8;
        box-shadow: 0px 1px 5px rgba(0,0,0,0.1);
        padding-right: 46px;
        padding-left: 15px;
    }
    .order_total_title
    {
        display: inline-block;
        font-size: 14px;
        color: rgba(0,0,0,0.5);
        line-height: 60px;
    }
    .order_total_amount
    {
        display: inline-block;
        font-size: 18px;
        font-weight: 500;
        margin-left: 26px;
        line-height: 60px;
    }
    .cart_buttons
    {
        margin-top: 60px;
        text-align: right;
    }
    .cart_button_clear
    {
        display: inline-block;
        border: none;
        font-size: 18px;
        font-weight: 400;
        line-height: 48px;
        color: rgba(0,0,0,0.5);
        background: {{$metas->text_color!=null ?  $metas->text_color : 'white' }};
        border: solid 1px #b2b2b2;
        padding-left: 35px;
        padding-right: 35px;
        outline: none;
        cursor: pointer;
        margin-right: 26px;
    }
    .cart_button_clear:hover
    {
        border-color: {{$metas->background_color!=null ?  $metas->background_color : 'indigo' }};
        color: {{$metas->background_color!=null ?  $metas->background_color : 'indigo' }};
    }
    .cart_button_checkout
    {
        display: inline-block;
        border: none;
        font-size: 18px;
        font-weight: 400;
        line-height: 48px;
        color: {{$metas->text_color!=null ?  $metas->text_color : 'white' }};
        padding-left: 35px;
        padding-right: 35px;
        outline: none;
        cursor: pointer;
        vertical-align: top;
    }

</style>
