@extends('dashboard.Boutique.Boutique_template.layouts.defaultLayout')

@section('content')



    <!-- Banner -->

    <div class="banner">
        <div class="banner_background" style="background-image:url({{asset('images/banner_background.jpg')}})"></div>
        <div class="container fill_height">
            <div class="row fill_height">
                <div class="banner_product_image"><img src="{{asset('images/banner_product.png')}}" alt=""></div>
                <div class="col-lg-5 offset-lg-4 fill_height">
                    <div class="banner_content">
                        <h1 class="banner_text">new era of smartphones</h1>
                        <div class="banner_price"><span>$530</span>$460</div>
                        <div class="banner_product_name">Apple Iphone 6s</div>
                        <div class="button banner_button"><a href="#">Shop Now</a></div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Characteristics -->
    @if(isset($metas->mot_d_ordres))
        <div class="characteristics">
            <div class="container">
                <div class="row">

                @for($i=0;$i<count($metas->mot_d_ordres);$i++)
                    <!-- Char. Item -->
                        <div class="col-lg-3 col-md-6 char_col">

                            <div class="char_item d-flex flex-row align-items-center justify-content-start">
                                <div class="char_icon"><img src="images/char_1.png" alt=""></div>
                                <div class="char_content">
                                    <div class="char_title">{{$metas->mot_d_ordres[$i]}}</div>
                                    {{--
                                                                <div class="char_subtitle">from $50</div>
                                    --}}
                                </div>
                            </div>
                        </div>
                    @endfor
                    @endif
                    {{--
                                    <!-- Char. Item -->
                                    <div class="col-lg-3 col-md-6 char_col">

                                        <div class="char_item d-flex flex-row align-items-center justify-content-start">
                                            <div class="char_icon"><img src="images/char_2.png" alt=""></div>
                                            <div class="char_content">
                                                <div class="char_title">Free Delivery</div>
                                                <div class="char_subtitle">from $50</div>
                                            </div>
                                        </div>
                                    </div>

                                    <!-- Char. Item -->
                                    <div class="col-lg-3 col-md-6 char_col">

                                        <div class="char_item d-flex flex-row align-items-center justify-content-start">
                                            <div class="char_icon"><img src="images/char_3.png" alt=""></div>
                                            <div class="char_content">
                                                <div class="char_title">Free Delivery</div>
                                                <div class="char_subtitle">from $50</div>
                                            </div>
                                        </div>
                                    </div>

                                    <!-- Char. Item -->
                                    <div class="col-lg-3 col-md-6 char_col">

                                        <div class="char_item d-flex flex-row align-items-center justify-content-start">
                                            <div class="char_icon"><img src="images/char_4.png" alt=""></div>
                                            <div class="char_content">
                                                <div class="char_title">Free Delivery</div>
                                                <div class="char_subtitle">from $50</div>
                                            </div>
                                        </div>
                                    </div>--}}
                </div>
            </div>
        </div>

        <!-- Nouveau produits -->

        <div class="deals_featured">
            <div class="container">
                <div class="row">
                    <div class="col d-flex flex-lg-row flex-column align-items-center justify-content-start">

                        <!-- Deals -->

                        <div class="deals">
                            <div class="deals_title">Dernier Produit</div>
                            <div class="deals_slider_container">

                                <!-- Deals Slider -->
                                <div class="owl-carousel owl-theme deals_slider">

                                    <!-- Deals Item -->
                                    <div class="owl-item deals_item">
                                        <div class="deals_image">

                                            @foreach($images as $image)
                                                @if($image->key==$lastArticle->slug)
                                                    <img src="{{$image->filename}}" alt="{{$lastArticle->name}}">
                                                    @break
                                                @endif
                                            @endforeach

                                        </div>
                                        <div class="deals_content">
                                            <div class="deals_info_line d-flex flex-row justify-content-start">
                                                <div class="deals_item_category"><a href="#">@if(isset($lastArticle->categorie->intitule)){{$lastArticle->categorie->intitule}}@else Aune catégorie @endif</a></div>
                                                <div class="deals_item_price_a ml-auto"></div>
                                            </div>
                                            <div class="deals_info_line d-flex flex-row justify-content-start">
                                                <div class="deals_item_name"> @if(isset($lastArticle->name)) {{$lastArticle->name}} @else Aucun article choisis  @endif</div>
                                                <div class="deals_item_price ml-auto"> @if(isset($lastArticle->price)){{$lastArticle->price}}@else 0 €  @endif</div>
                                            </div>
                                            <div class="available">
                                                <div class="available_line d-flex flex-row justify-content-start">
                                                    <div class="available_title">Disponible: <span>@if(isset($lastArticle->quantity)){{$lastArticle->quantity}} @else 0  @endif</span></div>
                                                    {{--
                                                                                                    <div class="sold_title ml-auto">Already sold: <span>28</span></div>
                                                    --}}
                                                </div>
                                                <div class="available_bar"><span style="width:17%"></span></div>
                                            </div>
                                            {{--
                                                                                    <div class="deals_timer d-flex flex-row align-items-center justify-content-start">
                                                                                        <div class="deals_timer_title_container">
                                                                                            <div class="deals_timer_title">Hurry Up</div>
                                                                                            <div class="deals_timer_subtitle">Offer ends in:</div>
                                                                                        </div>
                                                                                        <div class="deals_timer_content ml-auto">
                                                                                            <div class="deals_timer_box clearfix" data-target-time="">
                                                                                                <div class="deals_timer_unit">
                                                                                                    <div id="deals_timer1_hr" class="deals_timer_hr"></div>
                                                                                                    <span>hours</span>
                                                                                                </div>
                                                                                                <div class="deals_timer_unit">
                                                                                                    <div id="deals_timer1_min" class="deals_timer_min"></div>
                                                                                                    <span>mins</span>
                                                                                                </div>
                                                                                                <div class="deals_timer_unit">
                                                                                                    <div id="deals_timer1_sec" class="deals_timer_sec"></div>
                                                                                                    <span>secs</span>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                            --}}
                                        </div>
                                    </div>

                                    <!-- Deals Item -->
                                    <div class="owl-item deals_item">
                                        <div class="deals_image"><img src="images/deals.png" alt=""></div>
                                        <div class="deals_content">
                                            <div class="deals_info_line d-flex flex-row justify-content-start">
                                                <div class="deals_item_category"><a href="#">Headphones</a></div>
                                                <div class="deals_item_price_a ml-auto">$300</div>
                                            </div>
                                            <div class="deals_info_line d-flex flex-row justify-content-start">
                                                <div class="deals_item_name">Beoplay H7</div>
                                                <div class="deals_item_price ml-auto">$225</div>
                                            </div>
                                            <div class="available">
                                                <div class="available_line d-flex flex-row justify-content-start">
                                                    <div class="available_title">Available: <span>6</span></div>
                                                    <div class="sold_title ml-auto">Already sold: <span>28</span></div>
                                                </div>
                                                <div class="available_bar"><span style="width:17%"></span></div>
                                            </div>
                                            <div class="deals_timer d-flex flex-row align-items-center justify-content-start">
                                                <div class="deals_timer_title_container">
                                                    <div class="deals_timer_title">Hurry Up</div>
                                                    <div class="deals_timer_subtitle">Offer ends in:</div>
                                                </div>
                                                <div class="deals_timer_content ml-auto">
                                                    <div class="deals_timer_box clearfix" data-target-time="">
                                                        <div class="deals_timer_unit">
                                                            <div id="deals_timer2_hr" class="deals_timer_hr"></div>
                                                            <span>hours</span>
                                                        </div>
                                                        <div class="deals_timer_unit">
                                                            <div id="deals_timer2_min" class="deals_timer_min"></div>
                                                            <span>mins</span>
                                                        </div>
                                                        <div class="deals_timer_unit">
                                                            <div id="deals_timer2_sec" class="deals_timer_sec"></div>
                                                            <span>secs</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <!-- Deals Item -->
                                    <div class="owl-item deals_item">
                                        <div class="deals_image"><img src="images/deals.png" alt=""></div>
                                        <div class="deals_content">
                                            <div class="deals_info_line d-flex flex-row justify-content-start">
                                                <div class="deals_item_category"><a href="#">Headphones</a></div>
                                                <div class="deals_item_price_a ml-auto">$300</div>
                                            </div>
                                            <div class="deals_info_line d-flex flex-row justify-content-start">
                                                <div class="deals_item_name">Beoplay H7</div>
                                                <div class="deals_item_price ml-auto">$225</div>
                                            </div>
                                            <div class="available">
                                                <div class="available_line d-flex flex-row justify-content-start">
                                                    <div class="available_title">Available: <span>6</span></div>
                                                    <div class="sold_title ml-auto">Already sold: <span>28</span></div>
                                                </div>
                                                <div class="available_bar"><span style="width:17%"></span></div>
                                            </div>
                                            <div class="deals_timer d-flex flex-row align-items-center justify-content-start">
                                                <div class="deals_timer_title_container">
                                                    <div class="deals_timer_title">Hurry Up</div>
                                                    <div class="deals_timer_subtitle">Offer ends in:</div>
                                                </div>
                                                <div class="deals_timer_content ml-auto">
                                                    <div class="deals_timer_box clearfix" data-target-time="">
                                                        <div class="deals_timer_unit">
                                                            <div id="deals_timer3_hr" class="deals_timer_hr"></div>
                                                            <span>hours</span>
                                                        </div>
                                                        <div class="deals_timer_unit">
                                                            <div id="deals_timer3_min" class="deals_timer_min"></div>
                                                            <span>mins</span>
                                                        </div>
                                                        <div class="deals_timer_unit">
                                                            <div id="deals_timer3_sec" class="deals_timer_sec"></div>
                                                            <span>secs</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>

                            </div>

                            <div class="deals_slider_nav_container">
                                <div class="deals_slider_prev deals_slider_nav"><i class="fas fa-chevron-left ml-auto"></i></div>
                                <div class="deals_slider_next deals_slider_nav"><i class="fas fa-chevron-right ml-auto"></i></div>
                            </div>
                        </div>

                    @if(count($articles)>0)
                        <!-- Featured -->
                            <div class="featured">
                                <div class="tabbed_container">
                                    <div class="tabs">
                                        <ul class="clearfix">
                                            <li class="active">Nos Produits</li>
                                            {{-- <li>On Sale</li>
                                             <li>Best Rated</li>--}}
                                        </ul>
                                        <div class="tabs_line"><span></span></div>
                                    </div>

                                    <!-- Product Panel -->
                                    <div class="product_panel panel active">
                                        <div class="featured_slider slider">

                                        @foreach($articles as $article)
                                            <!-- Slider Item -->
                                                <div class="featured_slider_item">
                                                    <div class="border_active"></div>
                                                    <div class="product_item discount d-flex flex-column align-items-center justify-content-center text-center">
                                                        <div class="product_image d-flex flex-column align-items-center justify-content-center">
                                                            @foreach($images as $image)
                                                                @if($image->key==$article->slug)
                                                                    <img src="{{$image->filename}}" alt="{{$article->name}}">
                                                                    @break;
                                                                @endif
                                                            @endforeach
                                                        </div>
                                                        <div class="product_content">
                                                            <div class="product_price discount"><!--200--><span>{{$article->price}} FCFA</span></div>
                                                            <div class="product_name"><div><a href="{{route('products.show',$article->slug)}}">{{$article->name}}</a></div></div>
                                                            <div class="product_extras">
                                                                {{-- <div class="product_color">
                                                                     <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                     <input type="radio" name="product_color" style="background:#000000">
                                                                     <input type="radio" name="product_color" style="background:#999999">
                                                                 </div>--}}
                                                                <button class="product_cart_button">Ajouter au panier</button>
                                                            </div>
                                                        </div>
                                                        <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                        <ul class="product_marks">

                                                            {{-- <li class="product_mark product_discount">-25%</li>--}}
                                                            @if($article->state==1)
                                                                <li class="product_mark product_new">new</li>
                                                            @endif
                                                        </ul>
                                                    </div>
                                                </div>
                                            @endforeach

                                        </div>
                                        <div class="featured_slider_dots_cover"></div>
                                    </div>
                                    @endif


                                </div>
                            </div>

                    </div>
                </div>
            </div>
        </div>
        {{--
            <!-- Popular Categories -->

            <div class="popular_categories">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-3">
                            <div class="popular_categories_content">
                                <div class="popular_categories_title">Popular Categories</div>
                                <div class="popular_categories_slider_nav">
                                    <div class="popular_categories_prev popular_categories_nav"><i class="fas fa-angle-left ml-auto"></i></div>
                                    <div class="popular_categories_next popular_categories_nav"><i class="fas fa-angle-right ml-auto"></i></div>
                                </div>
                                <div class="popular_categories_link"><a href="#">full catalog</a></div>
                            </div>
                        </div>

                        <!-- Popular Categories Slider -->

                        <div class="col-lg-9">
                            <div class="popular_categories_slider_container">
                                <div class="owl-carousel owl-theme popular_categories_slider">

                                    <!-- Popular Categories Item -->
                                    <div class="owl-item">
                                        <div class="popular_category d-flex flex-column align-items-center justify-content-center">
                                            <div class="popular_category_image"><img src="images/popular_1.png" alt=""></div>
                                            <div class="popular_category_text">Smartphones & Tablets</div>
                                        </div>
                                    </div>

                                    <!-- Popular Categories Item -->
                                    <div class="owl-item">
                                        <div class="popular_category d-flex flex-column align-items-center justify-content-center">
                                            <div class="popular_category_image"><img src="images/popular_2.png" alt=""></div>
                                            <div class="popular_category_text">Computers & Laptops</div>
                                        </div>
                                    </div>

                                    <!-- Popular Categories Item -->
                                    <div class="owl-item">
                                        <div class="popular_category d-flex flex-column align-items-center justify-content-center">
                                            <div class="popular_category_image"><img src="images/popular_3.png" alt=""></div>
                                            <div class="popular_category_text">Gadgets</div>
                                        </div>
                                    </div>

                                    <!-- Popular Categories Item -->
                                    <div class="owl-item">
                                        <div class="popular_category d-flex flex-column align-items-center justify-content-center">
                                            <div class="popular_category_image"><img src="images/popular_4.png" alt=""></div>
                                            <div class="popular_category_text">Video Games & Consoles</div>
                                        </div>
                                    </div>

                                    <!-- Popular Categories Item -->
                                    <div class="owl-item">
                                        <div class="popular_category d-flex flex-column align-items-center justify-content-center">
                                            <div class="popular_category_image"><img src="images/popular_5.png" alt=""></div>
                                            <div class="popular_category_text">Accessories</div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>--}}

        {{-- <!-- Banner -->

         <div class="banner_2">
             <div class="banner_2_background" style="background-image:url(images/banner_2_background.jpg)"></div>
             <div class="banner_2_container">
                 <div class="banner_2_dots"></div>
                 <!-- Banner 2 Slider -->

                 <div class="owl-carousel owl-theme banner_2_slider">

                     <!-- Banner 2 Slider Item -->
                     <div class="owl-item">
                         <div class="banner_2_item">
                             <div class="container fill_height">
                                 <div class="row fill_height">
                                     <div class="col-lg-4 col-md-6 fill_height">
                                         <div class="banner_2_content">
                                             <div class="banner_2_category">Laptops</div>
                                             <div class="banner_2_title">MacBook Air 13</div>
                                             <div class="banner_2_text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas fermentum laoreet.</div>
                                             <div class="rating_r rating_r_4 banner_2_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                             <div class="button banner_2_button"><a href="#">Explore</a></div>
                                         </div>

                                     </div>
                                     <div class="col-lg-8 col-md-6 fill_height">
                                         <div class="banner_2_image_container">
                                             <div class="banner_2_image"><img src="images/banner_2_product.png" alt=""></div>
                                         </div>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </div>

                     <!-- Banner 2 Slider Item -->
                     <div class="owl-item">
                         <div class="banner_2_item">
                             <div class="container fill_height">
                                 <div class="row fill_height">
                                     <div class="col-lg-4 col-md-6 fill_height">
                                         <div class="banner_2_content">
                                             <div class="banner_2_category">Laptops</div>
                                             <div class="banner_2_title">MacBook Air 13</div>
                                             <div class="banner_2_text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas fermentum laoreet.</div>
                                             <div class="rating_r rating_r_4 banner_2_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                             <div class="button banner_2_button"><a href="#">Explore</a></div>
                                         </div>

                                     </div>
                                     <div class="col-lg-8 col-md-6 fill_height">
                                         <div class="banner_2_image_container">
                                             <div class="banner_2_image"><img src="images/banner_2_product.png" alt=""></div>
                                         </div>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </div>

                     <!-- Banner 2 Slider Item -->
                     <div class="owl-item">
                         <div class="banner_2_item">
                             <div class="container fill_height">
                                 <div class="row fill_height">
                                     <div class="col-lg-4 col-md-6 fill_height">
                                         <div class="banner_2_content">
                                             <div class="banner_2_category">Laptops</div>
                                             <div class="banner_2_title">MacBook Air 13</div>
                                             <div class="banner_2_text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas fermentum laoreet.</div>
                                             <div class="rating_r rating_r_4 banner_2_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                             <div class="button banner_2_button"><a href="#">Explore</a></div>
                                         </div>

                                     </div>
                                     <div class="col-lg-8 col-md-6 fill_height">
                                         <div class="banner_2_image_container">
                                             <div class="banner_2_image"><img src="images/banner_2_product.png" alt=""></div>
                                         </div>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </div>

                 </div>
             </div>
         </div>
     --}}
        {{-- <!-- Hot New Arrivals -->

         <div class="new_arrivals">
             <div class="container">
                 <div class="row">
                     <div class="col">
                         <div class="tabbed_container">
                             <div class="tabs clearfix tabs-right">
                                 <div class="new_arrivals_title">Plus vendus</div>
                                 <ul class="clearfix">
                                     <li class="active">Featured</li>
                                  --}}{{--   <li>Audio & Video</li>
                                     <li>Laptops & Computers</li>--}}{{--
                                 </ul>
                                 <div class="tabs_line"><span></span></div>
                             </div>
                             <div class="row">
                                 <div class="col-lg-9" style="z-index:1;">

                                     <!-- Product Panel -->
                                     <div class="product_panel panel active">
                                         <div class="arrivals_slider slider">

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_1.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Astro M2 Black</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount">-25%</li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_2.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Transcend T.Sonic</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button active">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_3.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Xiaomi Band 2...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_4.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Rapoo T8 White</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_5.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Philips BT6900A</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_6.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Nokia 3310(2017)...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_7.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Rapoo 7100p Gray</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount">-25%</li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_8.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Canon EF</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_1.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Gembird SPK-103</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_2.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Canon IXUS 175...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_3.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_4.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_5.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_6.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_7.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_8.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>
                                         </div>
                                         <div class="arrivals_slider_dots_cover"></div>
                                     </div>

                                     <!-- Product Panel -->
                                     <div class="product_panel panel">
                                         <div class="arrivals_slider slider">

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_1.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount">-25%</li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_2.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button active">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_3.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_4.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_5.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_6.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_7.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount">-25%</li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_8.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_1.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_2.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_3.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_4.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_5.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_6.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_7.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_8.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>
                                         </div>
                                         <div class="arrivals_slider_dots_cover"></div>
                                     </div>

                                     <!-- Product Panel -->
                                     <div class="product_panel panel">
                                         <div class="arrivals_slider slider">

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_1.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount">-25%</li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_2.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button active">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_3.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_4.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_5.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_6.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_7.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount">-25%</li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_8.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_1.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_2.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_3.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_4.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_5.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_6.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_7.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$379</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>

                                             <!-- Slider Item -->
                                             <div class="arrivals_slider_item">
                                                 <div class="border_active"></div>
                                                 <div class="product_item is_new d-flex flex-column align-items-center justify-content-center text-center">
                                                     <div class="product_image d-flex flex-column align-items-center justify-content-center"><img src="images/new_8.jpg" alt=""></div>
                                                     <div class="product_content">
                                                         <div class="product_price">$225</div>
                                                         <div class="product_name"><div><a href="product.html">Huawei MediaPad...</a></div></div>
                                                         <div class="product_extras">
                                                             <div class="product_color">
                                                                 <input type="radio" checked name="product_color" style="background:#b19c83">
                                                                 <input type="radio" name="product_color" style="background:#000000">
                                                                 <input type="radio" name="product_color" style="background:#999999">
                                                             </div>
                                                             <button class="product_cart_button">Add to Cart</button>
                                                         </div>
                                                     </div>
                                                     <div class="product_fav"><i class="fas fa-heart"></i></div>
                                                     <ul class="product_marks">
                                                         <li class="product_mark product_discount"></li>
                                                         <li class="product_mark product_new">new</li>
                                                     </ul>
                                                 </div>
                                             </div>
                                         </div>
                                         <div class="arrivals_slider_dots_cover"></div>
                                     </div>

                                 </div>

                                 <div class="col-lg-3">
                                     <div class="arrivals_single clearfix">
                                         <div class="d-flex flex-column align-items-center justify-content-center">
                                             <div class="arrivals_single_image"><img src="images/new_single.png" alt=""></div>
                                             <div class="arrivals_single_content">
                                                 <div class="arrivals_single_category"><a href="#">Smartphones</a></div>
                                                 <div class="arrivals_single_name_container clearfix">
                                                     <div class="arrivals_single_name"><a href="#">LUNA Smartphone</a></div>
                                                     <div class="arrivals_single_price text-right">$379</div>
                                                 </div>
                                                 <div class="rating_r rating_r_4 arrivals_single_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <form action="#"><button class="arrivals_single_button">Add to Cart</button></form>
                                             </div>
                                             <div class="arrivals_single_fav product_fav active"><i class="fas fa-heart"></i></div>
                                             <ul class="arrivals_single_marks product_marks">
                                                 <li class="arrivals_single_mark product_mark product_new">new</li>
                                             </ul>
                                         </div>
                                     </div>
                                 </div>

                             </div>

                         </div>
                     </div>
                 </div>
             </div>
         </div>--}}

        <!-- Best Sellers -->
        <br/>
        <br/>
        <br/>
        <br/>
        <br/>

        <!@if(count($articleCommandes)>0)-- Plus vendus -->
        <div class="best_sellers">
            <div class="container">
                <div class="row">
                    <div class="col">
                        <div class="tabbed_container">
                            <div class="tabs clearfix tabs-right">
                                <div class="new_arrivals_title">Plus vendus</div>
                                <ul class="clearfix">
                                    <li class="active"></li>
                                    <li></li>
                                    <li></li>
                                </ul>
                                <div class="tabs_line"><span></span></div>
                            </div>

                            <div class="bestsellers_panel panel active">

                                <!-- Best Sellers Slider -->

                                <div class="bestsellers_slider slider">


                                @foreach($articleCommandes as $articleCommande)
                                    <!-- Best Sellers Item -->
                                        <div class="bestsellers_item discount">
                                            <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                                <div class="bestsellers_image"><img src="images/best_2.png" alt=""></div>
                                                <div class="bestsellers_content">
                                                    <div class="bestsellers_category"><a href="{{route('products.show',$articleCommande->slug)}}">{{$articleCommande->categorie->intitule}}</a></div>
                                                    <div class="bestsellers_name"><a href="{{route('products.show',$articleCommande->slug)}}">{{$articleCommande->name}}</a></div>
                                                    <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                    <div class="bestsellers_price discount"><span>{{$articleCommande->price}}</span></div>
                                                </div>
                                            </div>
                                            <div class="bestsellers_fav"><i class="fas fa-heart"></i></div>
                                            <ul class="bestsellers_marks">
                                                {{--
                                                                                        <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                                --}}
                                                @if($articleCommande->state==1)
                                                    <li class="bestsellers_mark bestsellers_new">new</li>
                                                @endif
                                            </ul>
                                        </div>

                                    @endforeach

                                </div>
                            </div>

                            {{-- <div class="bestsellers_panel panel">

                                 <!-- Best Sellers Slider -->

                                 <div class="bestsellers_slider slider">

                                     <!-- Best Sellers Item -->
                                     <div class="bestsellers_item discount">
                                         <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                             <div class="bestsellers_image"><img src="images/best_1.png" alt=""></div>
                                             <div class="bestsellers_content">
                                                 <div class="bestsellers_category"><a href="#">Headphones</a></div>
                                                 <div class="bestsellers_name"><a href="product.html">Xiaomi Redmi Note 4</a></div>
                                                 <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <div class="bestsellers_price discount">$225<span>$300</span></div>
                                             </div>
                                         </div>
                                         <div class="bestsellers_fav active"><i class="fas fa-heart"></i></div>
                                         <ul class="bestsellers_marks">
                                             <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                             <li class="bestsellers_mark bestsellers_new">new</li>
                                         </ul>
                                     </div>

                                     <!-- Best Sellers Item -->
                                     <div class="bestsellers_item discount">
                                         <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                             <div class="bestsellers_image"><img src="images/best_2.png" alt=""></div>
                                             <div class="bestsellers_content">
                                                 <div class="bestsellers_category"><a href="#">Headphones</a></div>
                                                 <div class="bestsellers_name"><a href="product.html">Xiaomi Redmi Note 4</a></div>
                                                 <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <div class="bestsellers_price discount">$225<span>$300</span></div>
                                             </div>
                                         </div>
                                         <div class="bestsellers_fav"><i class="fas fa-heart"></i></div>
                                         <ul class="bestsellers_marks">
                                             <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                             <li class="bestsellers_mark bestsellers_new">new</li>
                                         </ul>
                                     </div>

                                     <!-- Best Sellers Item -->
                                     <div class="bestsellers_item">
                                         <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                             <div class="bestsellers_image"><img src="images/best_3.png" alt=""></div>
                                             <div class="bestsellers_content">
                                                 <div class="bestsellers_category"><a href="#">Headphones</a></div>
                                                 <div class="bestsellers_name"><a href="product.html">Xiaomi Redmi Note 4</a></div>
                                                 <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <div class="bestsellers_price discount">$225<span>$300</span></div>
                                             </div>
                                         </div>
                                         <div class="bestsellers_fav"><i class="fas fa-heart"></i></div>
                                         <ul class="bestsellers_marks">
                                             <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                             <li class="bestsellers_mark bestsellers_new">new</li>
                                         </ul>
                                     </div>

                                     <!-- Best Sellers Item -->
                                     <div class="bestsellers_item">
                                         <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                             <div class="bestsellers_image"><img src="images/best_4.png" alt=""></div>
                                             <div class="bestsellers_content">
                                                 <div class="bestsellers_category"><a href="#">Headphones</a></div>
                                                 <div class="bestsellers_name"><a href="product.html">Xiaomi Redmi Note 4</a></div>
                                                 <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <div class="bestsellers_price discount">$225<span>$300</span></div>
                                             </div>
                                         </div>
                                         <div class="bestsellers_fav"><i class="fas fa-heart"></i></div>
                                         <ul class="bestsellers_marks">
                                             <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                             <li class="bestsellers_mark bestsellers_new">new</li>
                                         </ul>
                                     </div>

                                     <!-- Best Sellers Item -->
                                     <div class="bestsellers_item discount">
                                         <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                             <div class="bestsellers_image"><img src="images/best_5.png" alt=""></div>
                                             <div class="bestsellers_content">
                                                 <div class="bestsellers_category"><a href="#">Headphones</a></div>
                                                 <div class="bestsellers_name"><a href="product.html">Xiaomi Redmi Note 4</a></div>
                                                 <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <div class="bestsellers_price discount">$225<span>$300</span></div>
                                             </div>
                                         </div>
                                         <div class="bestsellers_fav active"><i class="fas fa-heart"></i></div>
                                         <ul class="bestsellers_marks">
                                             <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                             <li class="bestsellers_mark bestsellers_new">new</li>
                                         </ul>
                                     </div>

                                     <!-- Best Sellers Item -->
                                     <div class="bestsellers_item">
                                         <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                             <div class="bestsellers_image"><img src="images/best_6.png" alt=""></div>
                                             <div class="bestsellers_content">
                                                 <div class="bestsellers_category"><a href="#">Headphones</a></div>
                                                 <div class="bestsellers_name"><a href="product.html">Xiaomi Redmi Note 4</a></div>
                                                 <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <div class="bestsellers_price discount">$225<span>$300</span></div>
                                             </div>
                                         </div>
                                         <div class="bestsellers_fav active"><i class="fas fa-heart"></i></div>
                                         <ul class="bestsellers_marks">
                                             <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                             <li class="bestsellers_mark bestsellers_new">new</li>
                                         </ul>
                                     </div>

                                     <!-- Best Sellers Item -->
                                     <div class="bestsellers_item discount">
                                         <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                             <div class="bestsellers_image"><img src="images/best_1.png" alt=""></div>
                                             <div class="bestsellers_content">
                                                 <div class="bestsellers_category"><a href="#">Headphones</a></div>
                                                 <div class="bestsellers_name"><a href="product.html">Xiaomi Redmi Note 4</a></div>
                                                 <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <div class="bestsellers_price discount">$225<span>$300</span></div>
                                             </div>
                                         </div>
                                         <div class="bestsellers_fav active"><i class="fas fa-heart"></i></div>
                                         <ul class="bestsellers_marks">
                                             <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                             <li class="bestsellers_mark bestsellers_new">new</li>
                                         </ul>
                                     </div>

                                     <!-- Best Sellers Item -->
                                     <div class="bestsellers_item discount">
                                         <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                             <div class="bestsellers_image"><img src="images/best_2.png" alt=""></div>
                                             <div class="bestsellers_content">
                                                 <div class="bestsellers_category"><a href="#">Headphones</a></div>
                                                 <div class="bestsellers_name"><a href="product.html">Xiaomi Redmi Note 4</a></div>
                                                 <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <div class="bestsellers_price discount">$225<span>$300</span></div>
                                             </div>
                                         </div>
                                         <div class="bestsellers_fav"><i class="fas fa-heart"></i></div>
                                         <ul class="bestsellers_marks">
                                             <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                             <li class="bestsellers_mark bestsellers_new">new</li>
                                         </ul>
                                     </div>

                                     <!-- Best Sellers Item -->
                                     <div class="bestsellers_item">
                                         <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                             <div class="bestsellers_image"><img src="images/best_3.png" alt=""></div>
                                             <div class="bestsellers_content">
                                                 <div class="bestsellers_category"><a href="#">Headphones</a></div>
                                                 <div class="bestsellers_name"><a href="product.html">Xiaomi Redmi Note 4</a></div>
                                                 <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <div class="bestsellers_price discount">$225<span>$300</span></div>
                                             </div>
                                         </div>
                                         <div class="bestsellers_fav"><i class="fas fa-heart"></i></div>
                                         <ul class="bestsellers_marks">
                                             <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                             <li class="bestsellers_mark bestsellers_new">new</li>
                                         </ul>
                                     </div>

                                     <!-- Best Sellers Item -->
                                     <div class="bestsellers_item">
                                         <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                             <div class="bestsellers_image"><img src="images/best_4.png" alt=""></div>
                                             <div class="bestsellers_content">
                                                 <div class="bestsellers_category"><a href="#">Headphones</a></div>
                                                 <div class="bestsellers_name"><a href="product.html">Xiaomi Redmi Note 4</a></div>
                                                 <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <div class="bestsellers_price discount">$225<span>$300</span></div>
                                             </div>
                                         </div>
                                         <div class="bestsellers_fav"><i class="fas fa-heart"></i></div>
                                         <ul class="bestsellers_marks">
                                             <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                             <li class="bestsellers_mark bestsellers_new">new</li>
                                         </ul>
                                     </div>

                                     <!-- Best Sellers Item -->
                                     <div class="bestsellers_item discount">
                                         <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                             <div class="bestsellers_image"><img src="images/best_5.png" alt=""></div>
                                             <div class="bestsellers_content">
                                                 <div class="bestsellers_category"><a href="#">Headphones</a></div>
                                                 <div class="bestsellers_name"><a href="product.html">Xiaomi Redmi Note 4</a></div>
                                                 <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <div class="bestsellers_price discount">$225<span>$300</span></div>
                                             </div>
                                         </div>
                                         <div class="bestsellers_fav active"><i class="fas fa-heart"></i></div>
                                         <ul class="bestsellers_marks">
                                             <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                             <li class="bestsellers_mark bestsellers_new">new</li>
                                         </ul>
                                     </div>

                                     <!-- Best Sellers Item -->
                                     <div class="bestsellers_item">
                                         <div class="bestsellers_item_container d-flex flex-row align-items-center justify-content-start">
                                             <div class="bestsellers_image"><img src="images/best_6.png" alt=""></div>
                                             <div class="bestsellers_content">
                                                 <div class="bestsellers_category"><a href="#">Headphones</a></div>
                                                 <div class="bestsellers_name"><a href="product.html">Xiaomi Redmi Note 4</a></div>
                                                 <div class="rating_r rating_r_4 bestsellers_rating"><i></i><i></i><i></i><i></i><i></i></div>
                                                 <div class="bestsellers_price discount">$225<span>$300</span></div>
                                             </div>
                                         </div>
                                         <div class="bestsellers_fav active"><i class="fas fa-heart"></i></div>
                                         <ul class="bestsellers_marks">
                                             <li class="bestsellers_mark bestsellers_discount">-25%</li>
                                             <li class="bestsellers_mark bestsellers_new">new</li>
                                         </ul>
                                     </div>

                                 </div>
                             </div>

                             <div class="bestsellers_panel panel">

                                     <!-- Best Sellers Slider -->

                                     <div class="bestsellers_slider slider">


                                 </div>
                             </div>--}}
                        </div>

                    </div>
                </div>
            </div>
        </div>
        @endif
        <!-- Adverts -->
        @if(count($publicites)>0)
            <div class="adverts">
                <div class="container">
                    <div class="row">

                        @foreach($publicites as $publicite)
                            <div class="col-lg-4 advert_col">

                                <!-- Advert Item -->

                                <div class="advert d-flex flex-row align-items-center justify-content-start">
                                    <div class="advert_content">
                                        {{--
                                                                    <div class="advert_title"><a href="#">Trends 2018</a></div>
                                        --}}
                                        <div class="advert_text">{{$publicite->description}}</div>
                                    </div>
                                    <div class="ml-auto"><div class="advert_image"><img src="{{$publicite->image}}" alt=""></div></div>
                                </div>
                            </div>
                        @endforeach

                    </div>
                </div>
            </div>
        @endif
        <!-- Promo -->

        @if(count($promos)>0)
            <div class="trends">
                <div class="trends_background" style="background-image:url({{asset('images/trends_background.jpg')}})"></div>
                <div class="trends_overlay"></div>
                <div class="container">
                    <div class="row">
                        <!-- Trends Content -->
                        <div class="col-lg-3">
                            <div class="trends_container">
                                <h2 class="trends_title">Promo 2019</h2>
                                <div class="trends_text text-justify"><p>Profiter de nos promotions pour vous procurer des produits dernier cri</p></div>
                                <div class="trends_slider_nav">
                                    <div class="trends_prev trends_nav"><i class="fas fa-angle-left ml-auto"></i></div>
                                    <div class="trends_next trends_nav"><i class="fas fa-angle-right ml-auto"></i></div>
                                </div>
                            </div>
                        </div>
                        <!-- Promo Slider -->
                        <div class="col-lg-9">
                            <div class="trends_slider_container">
                                <!-- Trends Slider -->
                                <div class="owl-carousel owl-theme trends_slider">
                                @foreach($promos as $promo)
                                    <!-- Promo Slider Item -->
                                        <div class="owl-item">
                                            <div class="trends_item is_new">
                                                <div class="trends_image d-flex flex-column align-items-center justify-content-center">
                                                    @foreach($images as $image)
                                                        @if($image->key==$promo->slug)
                                                            <img src="{{$image->filename}}" alt="{{$promo->name}}">
                                                            @break;
                                                        @endif
                                                    @endforeach
                                                </div>
                                                <div class="trends_content">
                                                    <div class="trends_category"><a href="{{route('products.show',$promo->slug)}}">{{$promo->categorie->intitule}}</a></div>
                                                    <div class="trends_info clearfix">
                                                        <div class="trends_name"><a href="{{route('products.show',$promo->slug)}}">{{$promo->name}}</a></div>
                                                        <div class="trends_price">{{$promo->price}} FCFA</div>
                                                    </div>
                                                </div>
                                                <ul class="trends_marks">
                                                    {{--
                                                                                            <li class="trends_mark trends_discount">-25%</li>
                                                    --}}
                                                    @if($promo->state==1)
                                                        <li class="trends_mark trends_new">new</li>
                                                    @endif
                                                </ul>
                                                <div class="trends_fav"><i class="fas fa-heart"></i></div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @endif

        @if(count($partenaires)>0)
            <div class="brands">
                <div class="container">
                    <div class="row">
                        <div class="col">
                            <div class="brands_slider_container">
                                <div class="owl-carousel owl-theme brands_slider">
                                    @foreach($partenaires as $partenaire)
                                        <div class="owl-item">
                                            <div class="brands_item d-flex flex-column justify-content-center">
                                                <img src="{{$partenaire->logo}}" alt="">
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                                <div class="brands_nav brands_prev"><i class="fas fa-chevron-left"></i></div>
                                <div class="brands_nav brands_next"><i class="fas fa-chevron-right"></i></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @endif
@endsection
