@foreach($annonces as $annonce)
    @php
    $meta_model=new \App\Users_meta();
    $picture=$meta_model->get_user_field($annonce->user->id,'profil_picture');
    @endphp
          <div class="col-12 list_annonce" data-type="{{$annonce->type}}" data-metier="{{$annonce->metier->intitule_metier}}">
              <div>
                  <img class="lazy" data-src="{{asset('Profil_picture/'.$picture)}}" alt="" style="width: 30px;height: 30px;border-radius: 100%">
                  &nbsp;&nbsp;
                  {{$annonce->user->last_name}} {{$annonce->user->first_name}}  @if(isset($annonce->profil_annonceur->profession))<span>({{$annonce->profil_annonceur->profession}})</span> @endif
              </div>
                <div class=" mt-2">
                    <span class="badge badge-light">  {{$annonce->couverture=='international' ? 'Internationnal'  : 'Uniquement '.$annonce->pays->name}} </span>
                    <span class="badge
                    @if($annonce->type=='vente') badge-info @elseif($annonce->type=='achat') badge-warning @else badge-danger @endif">
                        {{$annonce->type}}
                    </span>
                    <span class="badge badge-dark">{{$annonce->metier->intitule_metier}}</span></div>
                <h4 class="mt-2">{{$annonce->title}}
                    <small>
                        @if(isset($annonce->date_limit))
                            <span style="color: #ca172a" >(urgent pour : {{date("d-m-Y",strtotime($annonce->date_limit))}})</span></p>
                        @endif
                    </small>
                </h4>
                <p>{{Illuminate\Support\Str::limit($annonce->description,200)}}</p>
                <p>Publié le :  <small>{{date("d-m-Y",strtotime($annonce->created_at))}}</small> |
                    Pays de publication : {{$annonce->pays->name}}
                </p>
              <div>
                  <a href="{{route('annonce',$annonce->slug)}}" class="btn btn-light btn-sm"> Voir plus</a>
              </div>
              <hr>
            </div>
@endforeach
