@extends('dashboard.Boutique.Boutique_template.layouts.grocery.app')
@section("css")
    @include("dashboard.Boutique.Boutique_template.layouts.grocery.css_other_page")

@endsection
@section('content')


    @include("dashboard.Boutique.Boutique_template.layouts.grocery.banner",["page_title"=> "A propos"])

    <div id="contact-us-page" class="page-content page-content--centered container">
       <div class="col-12">
           <div class="row">
               <!-- Char. Item -->
               <div class="col-12 col-md-6" style="padding: 3px">
                   <div class="col-12"  style="background: #f8f8f8;padding: 15px;">
                       <img src="{{asset("grocery/images/number_one.png")}}" alt="numberone" width="50" >  @if($metas->satisfied_or_refunded) Satisfait ou remboursé @else Pas de remboursement @endif
                   </div>
               </div>
               <div class="col-12 col-md-6" style="padding: 3px">
                   <div class="col-12"  style="background: #f8f8f8;padding: 15px;">
                       <img src="{{asset("grocery/images/number_two.png")}}" alt="numberone" width="50" >
                       @if($metas->exchange_after_ship) Les produits peuvent être changés jusqu'à <strong> {{$metas->day_exchange_after_ship}} jours</strong>  après la livraison
                       @else Les produits vendus ne sont plus échangés.
                       @endif
                   </div>
               </div>
               <div class="col-12 col-md-6" style="padding: 3px">
                   <div class="col-12"  style="background: #f8f8f8;padding: 15px;">
                       <img src="{{asset("grocery/images/number_three.png")}}" alt="numberone" width="50" >
                       @if($metas->offer_return_delivery_to_customer) Retour après livraison gratuite @else Retour après livraison payante @endif
                   </div>
               </div>
               <div class="col-12 col-md-6" style="padding: 3px">
                   <div class="col-12"  style="background: #f8f8f8;padding: 15px;">
                       <img src="{{asset("grocery/images/number_four.png")}}" alt="numberone" width="50" >
                       Adresse retour :
                       @if($metas->address!=null) {{$metas->address}} @else {{$metas->adresse_boutique}} @endif
                   </div>
               </div>


           <h2 class="col-12">
               <img src="{{asset("grocery/images/plus.png")}}" alt="plus" width="30" style="margin-right: 5px"> EN SAVOIR PLUS
           </h2>

           <p style="text-align: justify" class="col-12"> {{$description}}</p>
           <br>
           @php
               $meta_model=new \App\Users_meta();
               $picture=$meta_model->get_user_field($boutique->user->id,'profil_picture');
           @endphp
           <h4 class="col-12">
               Gestionnaire : <br>
              @if($picture) <img src="{{asset('Profil_picture/'.$picture)}}" alt=""  style="width: 70px;height: 70px;border-radius: 100%" />  @endif <span>{{$boutique->user->last_name.' '.$boutique->user->first_name}}</span>
           </h4>
           @if($metas->general_condition!==null)
               <h2 style="margin-top: 20px;">CONDITION GENERALE D'ACHAT</h2>
               <p style="text-align: justify">
                   {!! $metas->general_condition !!}
               </p>
           @endif
           </div>
       </div>
    </div>
@endsection

@section('script')
    <script src="{{asset('js/contact_custom.js')}}"></script>
    @endsection
