@extends('dashboard.Boutique.Boutique_template.layouts.grocery.app')
@section("css")
    @include("dashboard.Boutique.Boutique_template.layouts.grocery.css_other_page")

@endsection
@section('content')


    @include("dashboard.Boutique.Boutique_template.layouts.grocery.banner",["page_title"=> "Recherche"])

    <div id="contact-us-page">

        <div class="body" id='main-content' data-currency-code="INR">

            <div class="container">

                <div class="page">
                    <div class="row cate-mar">
                        <aside class="page-sidebar" id="faceted-search-container">
                            <nav>

                                <div id="facetedSearch" class="facetedSearch sidebarBlock">

                                    <div
                                        id="facetedSearch-navList"
                                        class="facetedSearch-navList blocker-container">
                                        <div class="accordion accordion--navList">
                                            <div class="accordion-block">
                                                <div class="accordion-nav-clear-holder">
                                                    <div
                                                        class="accordion-navigation toggleLink is-open"
                                                        role="button"
                                                        data-collapsible="#facetedSearch-content--brand">
                                                        <h2 class="accordion-title" style="font-weight: bold!important;">
                                                          Filtrer par  Catégorie
                                                        </h2>

                                                    </div>
                                                </div>

                                                <div id="facetedSearch-content--brand"
                                                     class="accordion-content is-open">
                                                    <ul id="facetedSearch-navList--brand" data-facet="brand"
                                                        class="navList" data-has-more-results="false">
                                                        @foreach($categories as $category)
                                                            @if(isset($slug))
                                                                @if($category->slug==$slug)
                                                            <li class="navList-item pl-2 pt-1" style="background: {{$metas->background_color!=null ?  $metas->background_color : '#88b121' }};">
                                                                <a
                                                                    href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/products/categorie/'.$category->slug)}}"
                                                                    class="navList-action navList-action--checkbox"
                                                                    rel="nofollow"
                                                                    data-faceted-search-facet style="color: #fff">
                                                                    {{$category->intitule}}

                                                                    <span class="navList-action-close"
                                                                          aria-hidden="true">
                            <svg class="icon">
                                <use xlink:href="#icon-close"/>
                            </svg>
                        </span>
                                                                </a>
                                                            </li>
                                                                @else
                                                                    <li class="navList-item pl-2 pt-1">
                                                                        <a
                                                                                href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/products/categorie/'.$category->slug)}}"
                                                                                class="navList-action navList-action--checkbox"
                                                                                rel="nofollow"
                                                                                data-faceted-search-facet>
                                                                            {{$category->intitule}}

                                                                            <span class="navList-action-close"
                                                                                  aria-hidden="true">
                            <svg class="icon">
                                <use xlink:href="#icon-close"/>
                            </svg>
                        </span>
                                                                        </a>
                                                                    </li>

                                                                @endif
                                                            @else
                                                                <li class="navList-item pl-2 pt-1">
                                                                    <a
                                                                            href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/products/categorie/'.$category->slug)}}"
                                                                            class="navList-action navList-action--checkbox"
                                                                            rel="nofollow"
                                                                            data-faceted-search-facet>
                                                                        {{$category->intitule}}

                                                                        <span class="navList-action-close"
                                                                              aria-hidden="true">
                            <svg class="icon">
                                <use xlink:href="#icon-close"/>
                            </svg>
                        </span>
                                                                    </a>
                                                                </li>
                                                            @endif
                                                        @endforeach
                                                    </ul>

                                                </div>
                                            </div>
                                        </div>

                                        <div class="blocker" style="display: none;"></div>
                                    </div>
                                </div>
                            </nav>
                        </aside>
                        <main class="page-content" id="product-listing-container">
                            <div class="show-filter-panel mb-4">
                                <button class="btn btn-sm btn-light show-filter-panel-btn"><i class="fa fa-filter"></i> Filtre
                                </button>
                            </div>
                            <div class="xs-filter  mt-0 pt-0 filter-panel" style="display: none">
                                <div id="" class="col-12" style="background: #8e8e8e">
                                    <form class="form" action="{{route('products.categorie.filter')}}" method="post" id="product_form">
                                        @csrf
                                        <fieldset class="form-fieldset">
                                            <div class="row">
                                                <div class="col-sm-12 text-left mt-0 pt-0" >
                                                    <h5 style="color: #fff">Rechercher par:</h5>
                                                </div>
                                                <div class="col-sm-4">
                                                    <label for="name" style="color: #fff">Nom</label>
                                                    <div class="input-group mb-3">
                                                        <input type="text" name="name" class="form-control" style="border-radius: 0;color: #000;"
                                                               placeholder="Saisir le nom du produit" aria-label="Recipient's username"
                                                               aria-describedby="basic-addon2" id="search-name">
                                                    </div>
                                                </div>
                                                <div class="col-sm-4">
                                                    <label for="name" style="color: #fff">prix</label>
                                                    <div class="input-group mb-3">
                                                        <input type="number" name="min" class="form-control" style="border-radius: 0px;color: #000;"
                                                               placeholder="min" aria-label="Recipient's username" aria-describedby="basic-addon2"
                                                               id="search-min">
                                                        <input type="number" name="max" class="form-control" style="border-radius: 0px;color: #000;"
                                                               placeholder="max" aria-label="Recipient's username" aria-describedby="basic-addon2"
                                                               id="search-max">

                                                    </div>
                                                </div>

                                                @if(isset($slug))
                                                <input type="hidden" name="categorie" value="{{$slug}}">
                                                @endif
                                                <div class="col-sm-4 categorie-display " style="margin-bottom: 20px;">
                                                    <label for="category" style="color: #fff">Catégorie</label>
                                                    <select class="custom-select form-control choosen" name="categorie" id="category"
                                                            style="color: #000;border-radius: 0px;width: 100%;margin-left: 0px">
                                                        <option selected value="">Sélectionnez une catégorie</option>
                                                        @foreach($categories as $category)
                                                            @if(isset($slug))
                                                               @if($category->slug==$slug)
                                                                    <option selected value="{{$category->slug}}">{{$category->intitule}}</option>
                                                                @else
                                                                    <option  value="{{$category->slug}}">{{$category->intitule}}</option>
                                                                @endif
                                                            @else
                                                                <option  value="{{$category->slug}}">{{$category->intitule}}</option>
                                                            @endif
                                                                @endforeach
                                                    </select>
                                                </div>

                                                <div class="col-sm-6">
                                                    <div class="form-group text-left">
                                                        <label class="container-checkbox" style="color: #fff">En Promotion
                                                            <input type="checkbox" name="promo"  id="search-promo">
                                                            <span class="checkmark"></span>
                                                        </label>
                                                    </div>
                                                </div>
                                                <div class="col-sm-6 mb-3 p-1">
                                                    <div class="input-group-append text-right float-right">
                                                        <button class="btn btn-sm btn-outline-secondary" id="btn-submit-recher" type="submit"
                                                                style="border:none;border-radius: 0px;background: {{$metas->background_color!=null ?  $metas->background_color : '#88b121' }}">
                                                            <i class="fa fa-search"></i> Rechercher
                                                        </button>

  <button class="btn btn-sm btn-outline-secondary ml-2" id="btn-reset-recher" type="submit"
                                                                style="border:none;border-radius: 0px;">
      <i class="fa fa-sync"></i>  Reinitialiser
                                                        </button>

                                                        <button class="btn btn-sm btn-light ml-2 close-filter-panel" type="button"
                                                                style="border:none;border-radius: 0;"><i class="fa fa-close"></i> Fermer
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </fieldset>
                                    </form>
                                    <section class="quickSearchResults" data-bind="html: results"></section>

                                </div>
                            </div>
                            <div>
                                <ul class="productGrid row pro-margin" id="product-list-dt">
                                    @forelse($articles as $article)
                                        @php
                                            $boutique_=\Illuminate\Support\Facades\Session::get('boutique')['slug'];
                                            $helpers=new \App\Http\Controllers\HelperController();
                                            $prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
                                            $name=$helpers->get_meta_article('name',$article->slug,$boutique_);
                                            $price=$helpers->get_meta_article('price',$article->slug,$boutique_);
                                            if($price['statut']==false){
                                            $price['value']=$article->price;
                                            }
                                             if($boutique->meta->currency_admin!==$boutique->meta->currency_client)
                             {
                             $price['value']=$helpers->convertCurrency($boutique->meta->currency_admin,$boutique->meta->currency_client,$price['value']);
                             $prix=$helpers->convertCurrency($boutique->meta->currency_admin,$boutique->meta->currency_client,$prix);
                             }
                                              $promo=$helpers->get_meta_article('on_sale',$article->slug,$boutique_);
                                              if($promo['statut']==false){
                                                $promo['value']=$article->on_sale;
                                              }
                                                                     $promopourcent=$helpers->get_meta_article('show_price',$article->slug,$boutique_);

                                           if($promopourcent['statut']==false){
                                                $promopourcent['value']=$article->show_price ;
                                              }
                                            if($name['statut']==false){
                                            $name=$article->name;}else{
                                            $name=$name['value'];
                                            }
                                             $stock=$helpers->get_meta_article('stock',$article->slug,$boutique_);
                                                                    if($stock['statut']==false){
                                                                    $stock=$article->quantity;}else{
                                                                    $stock=$stock['value'];
                                                                    }

                                                                                     $image= $helpers->get_simple_image($article->slug,$boutique_);

                                        @endphp
                                        @if($stock!=0)
                                            <li class="product produit_list col-xl-4 col-lg-4 col-md-4 col-12 ">
                                                <article class="card ">
                                                    <figure class="card-figure text-left">
                                                        <a href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}">
                                                            <div class="card-img-container">
                                                                @if(isset($image) && $image->filename!=null)
                                                                    <img
                                                                        src="{{$image->filename}}"
                                                                        alt="{{$name}}"
                                                                        title="{{$name}}" data-sizes="auto"
                                                                        srcset="{{$image->filename}}"
                                                                        data-srcset="{{$image->filename}}"
                                                                        class="lazy card-image"
                                                                    />
                                                                @endif

                                                            </div>

                                                            @if(isset($image) && $image->filename!=null)
                                                                <img
                                                                    src="{{$image->filename}}"
                                                                    alt="{{$name}}"
                                                                    title="{{$name}}" data-sizes="auto"
                                                                    srcset="{{$image->filename}}"
                                                                    data-srcset="{{$image->filename}}"
                                                                    class="lazy second-img"
                                                                />
                                                            @endif
                                                        </a>

                                                    </figure>
                                                    <div class="card-body text-center">
                                                            <p class="card-text" data-test-info-type="brandName">{{$name}}</p>
                                                        <div class="card-text" data-test-info-type="price">
                                                            <div class="price-section d-inline-block price-section--withoutTax rrp-price--withoutTax" style="display: none;">

            <span data-product-rrp-price-without-tax class="price price--rrp"></span>
                                                            </div>

                                                            <div
                                                                class="price-section d-inline-block price-section--withoutTax">
                                                                <span class="price-label"> </span>
                                                                <span class="price-now-label" style="display: none;"></span>
                                                                <span data-product-price-without-tax class="price price--withoutTax">{{$prix}} {{$boutique->meta->currency_client}}  @if($promo['value']==true) <span style="text-decoration: line-through;font-size: 7pt">{{$price['value']}} {{$boutique->meta->currency_client}}</span> @endif </span>
                                                            </div>
                                                            <div
                                                                class="price-section d-inline-block price-section--withoutTax non-sale-price--withoutTax"
                                                                style="display: none;">

            <span data-product-non-sale-price-without-tax class="price price--non-sale">

            </span>
                                                            </div>
                                                        </div>

                                                        <figcaption class="card-figcaption">
                                                            <div class="card-figcaption-body">
                                                                <a href="javascript:void(0)" title="Add to Cart"
                                                                   data-event-type="product-click"
                                                                   class="cartb button button--small card-figcaption-button cart-btn-every-where cart_i_value{{$article->slug}}"
                                                                   data-article="{{$article->slug}}"
                                                                   style="@if($helpers->check_panier($article->slug)) background-color: red!important; @endif">
                                                                    <svg width="20px" height="20px">
                                                                        <use xlink:href="#pcart"></use>
                                                                    </svg>
                                                                </a>
                                                                <a href="javascript:void(0)" title="Add to favoris"
                                                                   data-event-type="product-click"
                                                                   data-catalogue_article_slug="{{$article->slug}}"
                                                                   data-boutique_slug="{{$boutique_}}"
                                                                   data-url="{{route('wishlist.article')}}"
                                                                   data-article_name="{{$name}}"
                                                                   data-article="{{$article->slug}}"
                                                                   style="@if($helpers->check_fav($boutique_,$article->slug)) background-color: red!important; @endif"
                                                                   class="cartb button button--small card-figcaption-button product_fav fav_i_value{{$article->slug}} ">
                                                                    <svg width="20px" height="20px">
                                                                        <use xlink:href="#bwish"></use>
                                                                    </svg>
                                                                </a>

                                                                <div class="top-btn">
                                                                    <a
                                                                        href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}"
                                                                        class="button button--small card-figcaption-button "
                                                                    >
                                                                        <svg width="19px" height="19px">
                                                                            <use xlink:href="#quick"></use>
                                                                        </svg>
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        </figcaption>
                                                    </div>
                                                    @if($promo['value']==true && $promopourcent['value']>0)
                                                        <div class="promo-tags">-{{$promopourcent['value']}}%</div>
                                                    @endif
                                                </article>
                                            </li>
                                        @endif
                                    @empty
                                        <div class="alert alert-warning col-12 text-center">
                                            <img src="{{asset("grocery/images/famer.png")}}" alt="famer" width="170">
                                            <br>
                                            <span style="color: black;font-size: 18pt">Nous n'avons pas trouvé le(s) produit(s) que vous recherchez.</span>
                                        </div>
                                    @endforelse
                                </ul>
                            </div>

                            @if(count($promos) >0)
                                <div class="container">
                                    <div class="home-heading  page-heading text-left"><h1><span>
                        Recommander pour vous
                </span></h1></div>

                                    <div class="pro-margin next-prevb row">
                                        <section class="productCarousel row"
                                                 data-slick='{
         "dots": false,
        "infinite": true,
        "autoplay": true,
        "mobileFirst": true,
        "slidesToShow": 3,
        "slidesToScroll": 3,
        "slide": ".js-product-slide",
        "prevArrow": ".js-product-prev-arrow-blog",
        "nextArrow": ".js-product-next-arrow-blog",
        "responsive": [
            {
                "breakpoint": 1199,
                "settings": {
                    "slidesToScroll": 3,
                    "slidesToShow": 3
                }
            },
            {
                "breakpoint": 991,
                "settings": {
                    "slidesToScroll": 2,
                    "slidesToShow": 2
                }
            },
            {
                "breakpoint": 767,
                "settings": {
                    "slidesToScroll": 1,
                    "slidesToShow": 1
                }
            },
            {
                "breakpoint": 599,
                "settings": {
                    "slidesToScroll": 1,
                    "slidesToShow": 1
                }
            },
            {
                "breakpoint": 0,
                "settings": {
                    "slidesToScroll": 1,
                    "slidesToShow": 1
                }
            }
        ]
    }'
                                        >
                                            @php $p=0; @endphp
                                            @foreach($promos as $article)
                                                @php $p++; @endphp
                                                @php
                                                $thisShop=\Illuminate\Support\Facades\Session::get('boutique');
                                                    $boutique_=\Illuminate\Support\Facades\Session::get('boutique')['slug'];
        $helpers=new \App\Http\Controllers\HelperController();
        $prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
        $name=$helpers->get_meta_article('name',$article->slug,$boutique_);
        $price=$helpers->get_meta_article('price',$article->slug,$boutique_);
        if($price['statut']==false){
        $price['value']=$article->price;
        }
         if($thisShop->meta->currency_admin!==$thisShop->meta->currency_client)
         {
         $price['value']=$helpers->convertCurrency($thisShop->meta->currency_admin,$thisShop->meta->currency_client,$price['value']);
         $prix=$helpers->convertCurrency($thisShop->meta->currency_admin,$thisShop->meta->currency_client,$prix);
         }

          $promo=$helpers->get_meta_article('on_sale',$article->slug,$boutique_);
          if($promo['statut']==false){
            $promo['value']=$article->on_sale;
          }
                                 $promopourcent=$helpers->get_meta_article('show_price',$article->slug,$boutique_);

       if($promopourcent['statut']==false){
            $promopourcent['value']=$article->show_price ;
          }
        if($name['statut']==false){
        $name=$article->name;}else{
        $name=$name['value'];
        }
         $stock=$helpers->get_meta_article('stock',$article->slug,$boutique_);
                                if($stock['statut']==false){
                                $stock=$article->quantity;}else{
                                $stock=$stock['value'];}
                                                 $image= $helpers->get_simple_image($article->slug,$boutique_);
                                                @endphp
                                                @if($p<=20 && $stock!=0)
                                                    <div class="productCarousel-slide js-product-slide col-12">
                                                        <!-- <div class="col-12"> -->
                                                        <div class="blog-thumbnail">
                                                            <div class="blogb" title="{{$name}}">
                                                                <div class="">
                                                                    <div class="blog-hover">
                                                                        <a href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}"
                                                                           class="wb-blog-img">
                                                                            @if(isset($image) && $image->filename!=null)
                                                                                <img
                                                                                        class="lazy"
                                                                                        data-src="{{$image->filename}}"
                                                                                        alt="{{$name}}"
                                                                                        title="{{$name}}">
                                                                            @endif

                                                                        </a>
                                                                        <div class="webi_post_hover">
                                                                            <div class="blog-ic">
                                                                                <a class="icon readmore_link" title="all blog"
                                                                                   href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}"><i
                                                                                            class="fa fa-link"></i></a>
                                                                            </div>
                                                                        </div>

                                                                    </div>
                                                                </div>
                                                                <div class="blogd">
                                                                    <div class="blog-con text-left">
                                                                        <div class="wb-blog-title">
                                                                            <a href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}"> {{$name}}</a>
                                                                        </div>

                                                                        <div class="wb-blog-desc">
                                                                            {{\Illuminate\Support\Str::limit($article->description,100)}}
                                                                        </div>
                                                                        <div class="card-text" data-test-info-type="price">

                                                                            <div
                                                                                    class="price-section d-inline-block price-section--withoutTax rrp-price--withoutTax"
                                                                                    style="display: none;">

            <span data-product-rrp-price-without-tax class="price price--rrp">

            </span>
                                                                            </div>

                                                                            <div
                                                                                    class="price-section d-inline-block price-section--withoutTax">
            <span class="price-label">

            </span>
                                                                                <span class="price-now-label" style="display: none;">

            </span>
                                                                                <span data-product-price-without-tax
                                                                                      class="price price--withoutTax">
                                                                    {{$prix}} {{$thisShop->meta->currency_client}}</span>

                                                                                @if($promo['value']==true && $promopourcent['value']>0)
                                                                                    <span
                                                                                            style="font-size: 7pt; text-decoration: line-through">{{$price['value']}} {{$thisShop->meta->currency_client}}</span>
                                                                                @endif
                                                                            </div>
                                                                            <div
                                                                                    class="price-section d-inline-block price-section--withoutTax non-sale-price--withoutTax"
                                                                                    style="display: none;">

            <span data-product-non-sale-price-without-tax class="price price--non-sale">

            </span>
                                                                            </div>
                                                                        </div>
                                                                        <figcaption class="card-figcaption text-left">
                                                                            <div class="card-figcaption-body">
                                                                                <a href="javascript:void(0)" title="Add to Cart"
                                                                                   data-event-type="product-click"
                                                                                   class="cartb button button--small card-figcaption-button cart-btn-every-where cart_i_value{{$article->slug}}"
                                                                                   data-article="{{$article->slug}}"
                                                                                   style="@if($helpers->check_panier($article->slug)) background-color: red!important; @endif">
                                                                                    <svg width="20px" height="20px">
                                                                                        <use xlink:href="#pcart"></use>
                                                                                    </svg>
                                                                                </a>
                                                                                <a href="javascript:void(0)" title="Add to favoris"
                                                                                   data-event-type="product-click"
                                                                                   data-catalogue_article_slug="{{$article->slug}}"
                                                                                   data-boutique_slug="{{$boutique_}}"
                                                                                   data-url="{{route('wishlist.article')}}"
                                                                                   data-article_name="{{$name}}"
                                                                                   data-article="{{$article->slug}}"
                                                                                   style="@if($helpers->check_fav($boutique_,$article->slug)) background-color: red!important; @endif"
                                                                                   class="cartb button button--small card-figcaption-button product_fav fav_i_value{{$article->slug}}">
                                                                                    <svg width="20px" height="20px">
                                                                                        <use xlink:href="#bwish"></use>
                                                                                    </svg>
                                                                                </a>
                                                                            </div>
                                                                        </figcaption>

                                                                    </div>
                                                                </div>
                                                            </div>

                                                        </div>
                                                        @if($promo['value']==true && $promopourcent['value']>0)
                                                            <div class="promo-tags">-{{$promopourcent['value']}}%</div>
                                                        @endif
                                                    </div>
                                                @endif
                                            @endforeach
                                        </section>
                                    </div>
                                </div>
                            @endif

                            <div data-content-region="category_below_content"></div>
                        </main>
                    </div>
                </div>
            </div>

        </div>
    </div>


@endsection

@section("script")
    <script>
        $(document).on('click','.product_fav',function(e){
            e.preventDefault();
            let $btn=$(this);
            $btn.attr('disabled',true);
            let article = $(this).data('article');
            let url=$btn.data('url');
            let name=$btn.data('article_name');
            let $boutique_slug=$btn.data('boutique_slug');
            let $article_slug=$btn.data('catalogue_article_slug');
            $btn.html('<i class="fa fa-spinner" style="color: white"></i>');
            $.ajax({
                url:url,
                method:"POST",
                data:{_token:'{{csrf_token()}}',boutique_slug:$boutique_slug,catalogue_article_slug:$article_slug},
                success:function(data) {
                    $btn.attr('disabled',false);
                    data=JSON.parse(data);
                    if(data==1) {
                        let  $favorite_val=parseInt($('#fav').html());
                        $favorite_val+=1;
                        $('#fav').html('0'+$favorite_val);
                        $btn.html('<svg width="20px" height="20px">\n' +
                            '                                                        <use xlink:href="#bwish"></use>\n' +
                            '                                                    </svg>');
                        $.notify('le produit '+name+' a été ajouté à la liste des favoris','success');
                        $('.fav_i_value'+article).css('background-color','red');
                    }else{
                        let  $favorite_val=parseInt($('#fav').html());
                        $favorite_val-=1;
                        $('#fav').html('0'+$favorite_val);
                        $btn.html("<svg width=\"20px\" height=\"20px\">\n" +
                            "                                                        <use xlink:href=\"#bwish\"></use>\n" +
                            "                                                    </svg>");

                        $('.fav_i_value'+article).css('background-color','#88b121');
                        $.notify('le produit '+name+' a été retiré de la liste des favoris','warning');
                    }
                },error:function (data){
                    $btn.attr('disabled',false);
                }
            })
        })

        $(document).on('click','#btn-submit-recher',function(e){
            e.preventDefault();
            let $btn=$(this);
            let $form=$('#product_form');
            $btn.attr('disabled',true);
            let url=$form.attr('action');
            let data=$form.serialize();
            $btn.html('<i class="fa fa-spinner" style="color: white"></i> en cours ...');
            $.ajax({
                url:url,
                method:"POST",
                data:data,
                success:function(data) {
                    $btn.attr('disabled',false);
                    $btn.html('<i class="fa fa-search"></i> Rechercher');
                    console.log(data,'*********** data')
                  if(data.view.length<=0){
                      $('#product-list-dt').html('<div class="alert alert-warning col-12 text-center">\n' +
                          '                                            <img src="{{asset("grocery/images/famer.png")}}" alt="famer" width="170">\n' +
                          '                                            <br>\n' +
                          '                                            <span style="color: black;font-size: 18pt">Nous n\'avons pas trouvé le(s) produit(s) que vous recherché.</span>\n' +
                          '                                        </div>')
                  }else {
                      $('#product-list-dt').html(data.view)
                      $('.lazy').Lazy();
                  }
                },error:function (data){
                    $btn.attr('disabled',false);
                    $btn.html('<i class="fa fa-search"></i> Rechercher');
                }
            })
        })
      $(document).on('click','#btn-reset-recher',function(e){
            e.preventDefault();
            let $btn=$(this);
            let $form=$('#product_form');
            $btn.attr('disabled',true);
            $('#search-name').val('');
            $('#search-min').val('');
            $('#search-max').val('');
            $('#search-promo').val('off');
            let url=$form.attr('action');
            let data=$form.serialize();
            $btn.html('<i class="fa fa-spinner" style="color: white"></i> en cours ...');
            $.ajax({
                url:url,
                method:"POST",
                data:data,
                success:function(data) {
                    $btn.attr('disabled',false);
                    $btn.html('<i class="fa fa-search"></i> Rechercher');
                    console.log(data,'*********** data')
                  if(data.view.length<=0){
                      $('#product-list-dt').html('<div class="alert alert-warning col-12 text-center">\n' +
                          '                                            <img src="{{asset("grocery/images/famer.png")}}" alt="famer" width="170">\n' +
                          '                                            <br>\n' +
                          '                                            <span style="color: black;font-size: 18pt">Nous n\'avons pas trouvé le(s) produit(s) que vous recherchez.</span>\n' +
                          '                                        </div>')
                  }else {
                      $('#product-list-dt').html(data.view)
                      $('.lazy').Lazy();
                  }
                },error:function (data){
                    $btn.attr('disabled',false);
                    $btn.html('<i class="fa fa-search"></i> Rechercher');
                }
            })
        })
    </script>
@endsection
