@php
$boutique=\Illuminate\Support\Facades\Session::get('boutique');
$boutique_=$boutique['slug'];
$boutique_name=$boutique['nom_boutique'];
$helpers=new \App\Http\Controllers\HelperController();
$prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
$name=$helpers->get_meta_article('name',$article->slug,$boutique_);
if($name['statut']==false){
$name=$article->name;}else{
$name=$name['value'];
}

$description=$helpers->get_meta_article('description',$article->slug,$boutique_);
if($description['statut']==false){
$description=$article->description;}else{
$description=$description['value'];
}

$maker=$helpers->get_meta_article('maker',$article->slug,$boutique_);
if($maker['statut']==false){
$maker=$article->maker;}else{
$maker=$maker['value'];
}

$maker_country=$helpers->get_meta_article('maker_country',$article->slug,$boutique_);
if($maker_country['statut']==false){
$maker_country=$article->maker_country;}else{
$maker_country=$maker_country['value'];
}

$create=$helpers->get_meta_article('create',$article->slug,$boutique_);
if($create['statut']==false){
$create=$article->create;}else{
$create=$create['value'];
}
$create_="";
$expire_="";
$create=$helpers->get_meta_article('create',$article->slug,$boutique_);
if($create['statut']==false){
if(isset($article->create) && $article->create!=null)
$create_=\Illuminate\Support\Carbon::create($article->create)->format('d - m - y à H:i');
}else{
$create_=\Illuminate\Support\Carbon::create($create['value'])->format('d - m - y à H:i');
}

$expire=$helpers->get_meta_article('expire',$article->slug,$boutique_);
if($expire['statut']==false){
if(isset($article->expire) && $article->expire!=null)
$expire_=\Illuminate\Support\Carbon::create($article->expire)->format('d - m - y à H:i');}else{
$expire_=\Illuminate\Support\Carbon::create($expire['value'])->format('d - m - y à H:i');
}

$stock=$helpers->get_meta_article('stock',$article->slug,$boutique_);
if($stock['statut']==false){
$stock=$article->quantity;}else{
$stock=$stock['value'];
}

$price=$helpers->get_meta_article('price',$article->slug,$boutique_);
if($price['statut']==false){
$price['value']=$article->price;
}
if($boutique->meta->currency_admin!==$boutique->meta->currency_client)
{
$price['value']=$helpers->convertCurrency($boutique->meta->currency_admin,$boutique->meta->currency_client,$price['value']);
$prix=$helpers->convertCurrency($boutique->meta->currency_admin,$boutique->meta->currency_client,$prix);
}
$promo=$helpers->get_meta_article('on_sale',$article->slug,$boutique_);
if($promo['statut']==false){
$promo['value']=$article->on_sale;
}
$promopourcent=$helpers->get_meta_article('show_price',$article->slug,$boutique_);

if($promopourcent['statut']==false){
$promopourcent['value']=$article->show_price ;
}

$images= $helpers->get_all_sup_image($article->slug,$boutique_);
$images_full= $helpers->get_all_sup_full_image($article->slug,$boutique_);
$i=0;
$image_first= $helpers->get_simple_full_image($article->slug,$boutique_);
$image_tini= $helpers->get_simple_image($article->slug,$boutique_);
@endphp
@extends('dashboard.Boutique.Boutique_template.layouts.defaultLayout')
@section('title')
<title>{{strtoupper(str_replace('_',' ',$boutique->nom_boutique)).':'.$article->slug}}</title>
@endsection
@section('ogs')
<meta property="og:url"
    content="https://sunmarket.biz/product/{{str_replace(' ','_',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique']).'/'.$article->slug}}">
<meta property="og:title" content="{{Illuminate\Support\Str::limit($name,35)}}" />
<meta property="og:description" content="{{Illuminate\Support\Str::limit($description),65}}" />
<meta property="og:image" content="{{str_replace('../','',$image_tini!=null ? $image_tini->filename : '')}}">
<meta property='og:type' content='article' />
@endsection
@section('css')
@include('dashboard.Boutique.Boutique_template.styles.product_styles')
@include('dashboard.Boutique.Boutique_template.styles.product_responsive')
<style>
    .list-media a {
        font-size: 12pt;
        color: #fff;
        margin-bottom: 2px;
    }

    .list-media {
        margin-bottom: 2px;
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    }

    .list-media:hover {
        box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
        transition: all 500ms ease;
    }

    #media-share {
        z-index: 99;
    }

    .whatsapp {
        width: 30px;
        height: 30px;
        line-height: 32px;
        text-align: center;
        background: green;
        border-radius: 100%;
        font-weight: bold;
    }

    .facebook {
        width: 30px;
        height: 30px;
        line-height: 30px;
        text-align: center;
        background: #0e0ea0;
        border-radius: 100%;
        font-weight: bold;
    }

    .instagram {
        width: 30px;
        height: 30px;
        line-height: 30px;
        text-align: center;
        background: #48aed6;
        border-radius: 100%;
        font-weight: bold;
    }

    .list-media {
        display: inline-block;
        text-align: center;
    }

    .list-media div {
        margin-left: 3%;
    }
</style>
@endsection
@section('content')

<!-- Single Product -->
<div class="single_product" style="padding: 0">
    <div style="background: url('{{asset('images/shop_background.jpg')}}') center no-repeat;background-size: cover;">
        <div class="col-lg-12 text-center"
            style="height: 200px;line-height: 200px;font-weight: bold;font-size: 15pt;background:rgba(0,0,0,0.5);color: #fff;margin-bottom: 20px;">
            Détails {{$name}}
        </div>
    </div>
    <div class="container">
        <div class="row">

            <!-- Images -->
            <div class="col-lg-2 order-lg-1 order-2">
                <ul class="image_list">
                    @if(isset($image_first))
                    <li data-image="{{$image_first!=null ? $image_first->filename : ''}}"><img class="lazy"
                            data-src="{{$image_first!=null ? $image_first->filename : ''}}" alt=""></li>
                    @endif
                    @foreach($images as $image)
                    @php $i++; @endphp
                    @if($image->key==$article->slug)
                    @if($i<3) <li
                        data-image="{{isset($images_full[$i]) ? $images_full[$i] : ($image!=null ? $image->filename : '')}}">
                        <img class="lazy" data-src="{{$image!=null  ? $image->filename : ''}}" alt=""></li>
                        @endif
                        @endif
                        @endforeach
                </ul>
            </div>

            <!-- Selected Image -->
            <div class="col-lg-5 order-lg-2 order-1">
                <div class="image_selected">
                    @php
                    $image= $helpers->get_simple_full_image($article->slug,$boutique_);
                    $image_tini= $helpers->get_simple_image($article->slug,$boutique_);
                    @endphp
                    <img class="lazy"
                        data-src="{{$image!=null ? $image->filename : ($image_tini!=null ? $image_tini->filename : '')}}"
                        alt="">

                </div>
            </div>

            <!-- Description -->
            <div class="col-lg-5 order-3">
                <div class="product_description">
                    <div class="product_category ">{{$article->categorie->intitule}}</div>
                    <div class="product_name ">{{$name}}</div>
                    <div class="">
                        @if(isset($maker) && $maker!=null)
                        <span>Stock disponible: <span class="" style="font-weight: bold;">{{$stock}}</span></span>
                        &nbsp;&nbsp;&nbsp;
                        @endif


                        <div class="col-sm-12 text-center mt-5">
                            <div class="list-media whatsapp">
                                <a target="_blank"
                                    href="https://api.whatsapp.com/send?text=Decouvrez%20notre%20produit%20{{$name}}%20sur%20notre%20boutique%20en%20ligne%20avec%20le%20lien%20http%3A%2F%2Fsunmarket.biz%2Fproduct%2F{{str_replace(' ','_',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}%2F{{$article->slug}}."><i
                                        class="fab fa-whatsapp"></i></a>
                            </div>
                            <div class="list-media facebook">
                                <a target="_blank"
                                    href="https://www.facebook.com/sharer/sharer.php?u=http%3A%2F%2Fsunmarket.biz%2Fproduct%2F{{str_replace(' ','_',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}%2F{{$article->slug}}"><i
                                        class="fab fa-facebook-f"></i></a>
                            </div>

                            <div class="list-media instagram">
                                <a target="_blank"
                                    href="https://www.linkedin.com/shareArticle?mini=true&url=http%3A%2F%2Fsunmarket.biz%2Fproduct%2F{{str_replace(' ','_',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}%2F{{$article->slug}}"><i
                                        class="fab fa-linkedin-in"></i></a>
                            </div>
                        </div>

                    </div>
                    <div class="">

                        <div class="order_info " style="text-align: center">
                            <form action="#">
                                <div class="clearfix" style="z-index: 1000;">
                                    <div class="product_price"><span class="badge badge-warning"
                                            style="font-size: 14pt;font-weight: bold;color: #ffffff;background: #e65c2b;margin-bottom: 20px;">{{$prix}}
                                            {{$boutique->meta->currency_client}}</span> @if($promo['value']==true &&
                                        $promopourcent['value']) <span class="badge badge-primary"
                                            style="text-decoration: line-through;color: #fff;font-size: 14pt">{{$price['value']}}
                                            {{$boutique->meta->currency_client}}</span> @endif</div>

                                    <!-- Product Quantity -->
                                    <div class="product_quantity clearfix" style="border-radius: 0px;width: 100%">
                                        <span>Quantité: </span>
                                        <input id="quantity_input" type="text" pattern="[0-9]*" data-max="{{$stock}}"
                                            minlength="1" min="1" value="1">
                                        <div class="quantity_buttons">
                                            <div id="quantity_inc_button" class="quantity_inc quantity_control"><i
                                                    class="fas fa-chevron-up"></i></div>
                                            <div id="quantity_dec_button" class="quantity_dec quantity_control"><i
                                                    class="fas fa-chevron-down"></i></div>
                                        </div>
                                    </div>

                                    <!-- Product Color -->

                                </div>

                                <div class="button_container">
                                    <button type="button" class="button cart_button cart-btn"
                                        data-article="{{$article->slug}}" style="border-radius: 0px;width: 100%">Ajouter
                                        au panier</button>
                                    <div class="product_fav"><i class="fas fa-heart"></i></div>
                                </div>

                            </form>
                        </div>
                    </div>


                </div>
            </div>

            <div class="col-lg-12 order-4 pt-4">
                <div class="">
                    @if(isset($caracteristique) && count($caracteristique)>0)
                    <h6>caractéristiques:</h6>
                    <table class="table table-striped table-bordered">
                        @foreach($caracteristique as $carac)
                        @if(isset($articles_metas))
                        <tr>
                            <td>{{$carac->intitule}} disponibles :</td>
                            <td>
                                @foreach($articles_metas as $metas)
                                @if($metas->key == $carac->intitule && $metas->article_slug==$article->slug)
                                @php $value=[]; $value=explode(",",$metas->value); @endphp
                                @if($value !=null)
                                @for($i=0;$i<count($value);$i++) <a href="" class="badge badge-success">
                                    {{$value[$i]}}</a>
                                    @endfor
                                    @endif
                                    @endif
                                    @endforeach
                            </td>
                        </tr>
                        @endif
                        @endforeach
                    </table>
                    @endif
                </div>

               

                <div class="product_text">
                    <h6>Présentation:</h6>
                    <br>

                    <div class="col-sm-12">
                        <p class="row">
                            {{$description}}
                        </p>
                    </div>
                </div>

                <div class="" style="margin-top: 10px;font-weight: 200">
                    <table class="table table-bordered">

                        @if(isset($maker) && $maker!=null)
                        <tr>
                            <td class="">Fabriquant :</td>
                            <td class="" style="font-weight: 400;">{{$maker}}</td>
                        </tr>
                        @endif
                        @if(isset($maker_country) && $maker_country!=null)
                        <tr>
                            <td class="">Pays de fabrication :</td>
                            <td style="font-weight: 400;">{{$maker_country}}</td>
                        </tr>
                        @endif

                        @if(isset($create_) && $create_!="")
                        <tr>
                            <td class="">Date de fabrication : </td>
                            <td style="font-weight: 400;">{{$create_}}</td>
                        </tr>
                        @endif

                        @if(isset($expire_) && $expire_!="")
                        <tr>
                            <td class="">Date d'expiration : </td>
                            <td style="font-weight: 400;">{{$expire_}}</td>
                        </tr>
                        @endif

                    </table>
                </div>
            </div>


        </div>
    </div>
</div>

<!-- Recently Viewed -->
@if(count($promos) >0)
<div class="viewed">
    <div class="container">
        <div class="row">
            <div class="col">
                <div class="viewed_title_container">
                    <h3 class="viewed_title">Promo</h3>
                    <div class="viewed_nav_container">
                        <div class="viewed_nav viewed_prev"><i class="fas fa-chevron-left"></i></div>
                        <div class="viewed_nav viewed_next"><i class="fas fa-chevron-right"></i></div>
                    </div>
                </div>

                <div class="viewed_slider_container">

                    <!-- Recently Viewed Slider -->

                    <div class="owl-carousel owl-theme viewed_slider">

                        @foreach($promos as $article)
                        @php
                        $boutique=\Illuminate\Support\Facades\Session::get('boutique');
                        $boutique_=$boutique['slug'];
                        $helpers=new \App\Http\Controllers\HelperController();
                        $prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
                        $name=$helpers->get_meta_article('name',$article->slug,$boutique_);
                        if($name['statut']==false){
                        $name=$article->name;}else{
                        $name=$name['value'];
                        }

                        $price=$helpers->get_meta_article('price',$article->slug,$boutique_);
                        if($price['statut']==false){
                        $price['value']=$article->price;
                        }
                        if($boutique->meta->currency_admin!==$boutique->meta->currency_client)
                        {
                        $price['value']=$helpers->convertCurrency($boutique->meta->currency_admin,$boutique->meta->currency_client,$price['value']);
                        $prix=$helpers->convertCurrency($boutique->meta->currency_admin,$boutique->meta->currency_client,$prix);
                        }
                        $promo=$helpers->get_meta_article('on_sale',$article->slug,$boutique_);
                        if($promo['statut']==false){
                        $promo['value']=$article->on_sale;
                        }
                        $promopourcent=$helpers->get_meta_article('show_price',$article->slug,$boutique_);

                        if($promopourcent['statut']==false){
                        $promopourcent['value']=$article->show_price ;
                        }
                        @endphp
                        @if($promo['value']==true && $promopourcent['value'])
                        <!-- Recently Viewed Item -->
                        <div class="owl-item">
                            <div
                                class="product_i viewed_item discount d-flex flex-column align-items-center justify-content-center text-center">
                                <div class="viewed_image">
                                    @php $image= $helpers->get_simple_image($article->slug,$boutique_);
                                    @endphp
                                    @if(isset($image) && $image->filename!=null)

                                    <img class="lazy" data-src="{{$image->filename}}" alt="{{$name}}">
                                    @endif
                                </div>
                                <div class="viewed_content text-center">
                                    <div class="viewed_price" style="font-size: 7pt;">{{$prix}}
                                        {{$boutique->meta->currency_client}} <span
                                            style="font-size: 7pt;">{{$price['value']}}
                                            {{$boutique->meta->currency_client}}</span></div>
                                    <div class="viewed_name"><a title="{{$name}}"
                                            href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}">{{\Illuminate\Support\Str::limit($name,10)}}</a>
                                    </div>
                                </div>
                                <div class="product_fav" data-catalogue_article_slug="{{$article->slug}}"
                                    data-boutique_slug="{{$boutique_}}" data-url="{{route('wishlist.article')}}"
                                    data-article_name="{{$name}}"><i
                                        style="@if($helpers->check_fav($boutique_,$article->slug)) color: red; @endif"
                                        class="fas fa-heart"></i></div>
                                <div class="cart-btn-every-where" style="top: 80px;" data-article="{{$article->slug}}">
                                    <i style="@if($helpers->check_panier($article->slug)) color: red; @endif"
                                        class="fas fa-shopping-bag cart_i_value{{$article->slug}}"></i></div>

                                <ul class="item_marks">
                                    @if($promo['value']==true && $promopourcent['value'])
                                    <li class="product_mark product_discount">-{{$promopourcent['value']}}%</li>
                                    @endif
                                </ul>
                            </div>
                        </div>
                        @endif
                        @endforeach
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
@endif


@endsection

@section('script')
<script src="{{asset('js/product_custom.js')}}"></script>
@endsection