<script src="{{asset('js/notify.min.js')}}"></script>

<!-- Panier -->
<script>

    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
        }
    });

    $(document).on('submit','#contact_form',function(e){
        e.preventDefault();
        let $form = $(this);
        grecaptcha.ready(function() {
                 grecaptcha.execute('6LfFn0whAAAAAGLRb34I2afYzEi4mN3vK2WaXC-F', {action: 'submit'}).then(function(token) {
                    let btn=$('.contact_submit_button');
                    if(check_error(['contact_form_name'],['contact_form_email'],['contact_form_phone'],['contact_form_message'])) {
                        btn.text('en cours d\'envois');
                        btn.attr('disabled',true);
                        $.ajax({
                            url: $form.attr('action'),
                            method: "POST",
                            data: $form.serialize(),
                            success: function (data) {
                                data = JSON.parse(data);
                                if(data.error==false) {
                                    Swal.fire({
                                        title: 'Message Envoyé',
                                        text: data.message,
                                        type: 'success'
                                    })
                                }else{
                                    Swal.fire({
                                        title: 'Echec envois du message',
                                        text: data.message,
                                        type: 'error'
                                    })
                                }
                                $form.trigger("reset");
                                btn.attr('disabled',false);
                                btn.val('envoyer');
                            }, error: function (data) {
                            }
                        })
                    }

         })
        })
    })


    // $(document).on('click','#btnnewsletter',function(e){
    //     e.preventDefault();
    //     let btn=$(this);
    //     if(check_error(['newslettersemail'])) {
    //         btn.text('Abonnement en cours');
    //         btn.attr('disabled',true);
    //         let $form = $('#newsletters_forms');
    //         $.ajax({
    //             url: $form.attr('action'),
    //             method: "POST",
    //             data: $form.serialize(),
    //             success: function (data) {
    //                 data = JSON.parse(data);
    //                 console.log(data)
    //                 if (data.status == false) {
    //                     $.Zebra_Dialog(data.message, {
    //                         'type': 'error',
    //                         'title': 'Newsletters'
    //                     });
    //                 } else {
    //                     $.Zebra_Dialog(data.message, {
    //                         'type': 'information',
    //                         'title': 'Newsletters'
    //                     });
    //                 }
    //                 $form.trigger("reset");
    //                 btn.attr('disabled',false);
    //                 btn.text('Souscrire');
    //             }, error: function (data) {
    //                 console.log(data);
    //             }
    //         })
    //     }
    // })


    function isValidEmailAddress(emailAddress) {
        var pattern = /^([a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+(\.[a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+)*|"((([ \t]*\r\n)?[ \t]+)?([\x01-\x08\x0b\x0c\x0e-\x1f\x7f\x21\x23-\x5b\x5d-\x7e\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|\\[\x01-\x09\x0b\x0c\x0d-\x7f\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))*(([ \t]*\r\n)?[ \t]+)?")@(([a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.)+([a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.?$/i;
        return pattern.test(emailAddress);
    }


    function check_error($table){
        let $reponse=true;
        for(let i=0;i<$table.length;i++){
            let $btn=$('#'+$table[i]);
            let $btnerror=$('#error'+$table[i]);
            let $name=$btn.attr('type');
            let $requis=$btn.attr('required');
            let $inputname=$btn.data('input_name');
            let $val=$btn.val();
            if($val==null || $val==""){
                if($requis) {
                    $btnerror.html('La valeur du champs ' + $inputname + ' est requise');
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La valeur du champs ' + $inputname + ' est requise','error');
                    break;
                }
            }else
            if($name=='number'){
                let $min=$btn.attr('min');
                let $minlenght=$btn.attr('minlength');
                if(parseInt($val)<parseInt($min)){
                    $btnerror.html('La valeur du champs ' + $inputname + ' doit être supérieur à '+$min);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La valeur du champs ' + $inputname + ' doit être supérieur à '+$min,'error');
                    break;
                }else if($val.length<$minlenght){
                    $btnerror.html('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    break;
                }
            }
            else if($name=='email'){
                if(!isValidEmailAddress($val)){
                    $btnerror.html('L\'adresse mail saisis est incorrecte.');
                    $btn.css('border','1px solid red');
                    $.notify('L\'adresse mail saisis est incorrecte','error');
                    $reponse = false;
                    break;
                }
            }else if($name=='password'){
                let $minlenght=6;
                if($val.length<$minlenght){
                    $btnerror.html('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght,'error');

                    break;
                }
            }

            if($reponse){
                $btnerror.html(' ');
                $btn.css('border','');
                // $btnvalid.html('La valeur du champ ' + $inputname + ' est valide');
            }

        }
        return $reponse;
    }

</script>
