@extends("../dashboard._blank")
@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;"> Newsletter Options Abonnement <small></small></span> </h2>
                                <div class="col-md-6 col-xs-12 text-right">
                                   </div>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                           <div class="row">
                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <button  data-toggle="modal" data-target="#AbonnementNewsoptionModal" id="create_abonnement" class="btn btn-default btn-sm " style="background-color: #2a3f54;border-radius: 0px;color: white;">
                                    <i class="fa fa-plus-circle"></i> Créer une options d' abonnement
                                </button>
                            </div>
                           </div>
                        </div>

                    </div>

                    <div class="row">
                        <div class="col-sm-12 col-xs-12">

@foreach($abonnements as $abonnement)
<div class="col-sm-4 col-xs-12">
    <div class="panel">
        <div class="panel-heading" style="font-size: 12pt;">
            <i class="{{$abonnement->awesome_font}}"></i> &nbsp;&nbsp;  {{$abonnement->intitule}}
        </div>
        <div class="panel-body"><span class="badge">Diff: {{$abonnement->diffusion}}</span> &nbsp;&nbsp;<span class="badge">Boutique: {{$abonnement->boutique}}</span>&nbsp;&nbsp;<span class="badge">Prix: {{$abonnement->prix}} {{$abonnement->devise}}</span></div>
        <div class="panel-footer">
            <a href="{{route('abonnement.publier',$abonnement->slug)}}" class="btn @if(!$abonnement->publier) btn-primary @else btn-warning @endif btn-xs">@if(!$abonnement->publier)publier @else cacher @endif</a>
            <a href="{{route('abonnement.deleteabonnementnews',$abonnement->slug)}}" class="btn btn-danger btn-xs">supprimer</a>
        </div>
    </div>
</div>

    @endforeach

                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>


    <div id="AbonnementNewsoptionModal" class="modal fade">
        <div class="modal-dialog">
            <form method="post" id="abonnement_option_newsletter_form"  onsubmit="return check_error(['intitule','diffusion','boutique','prix'])"  action="{{route('abonnement.news.options.create')}}" enctype="multipart/form-data">
                @csrf
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fa fa-plus"></i> Option d' abonnement Newsletters</h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <label>Font awesome </label>
                                <input type="text" id="font" name="awesome-font" class="form-control" style="width: 100%;" placeholder="Font awesome">
                            </div>
                           <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                <label>Intitule <span style='color:red'>*</span></label>
                                <input type="text" id="intitule" name="intitule" required="required" data-input_name="intitule de l'abonnement" onblur="check_error(['intitule'])" class="form-control" style="width: 100%;" placeholder="Intitule">
                            </div>
                            <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                <label>Quantité news diffusion <span style='color:red'>*</span></label>
                                <input type="number" id="diffusion" name="diffusion"  required="required" min="1" data-input_name="nombre news de diffusion" onblur="check_error(['diffusion'])" class="form-control" style="width: 100%;" placeholder="Diffusion" >
                            </div>
                             <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                <label>Quantité news boutique <span style='color:red'>*</span></label>
                                <input type="number" id="boutique" name="boutique" required="required" min="1" data-input_name="nombre news boutique" onblur="check_error(['boutique'])" class="form-control" style="width: 100%;" placeholder="Diffusion" >
                            </div>

                            <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                <label>Prix <span style='color:red'>*</span></label>
                                <input type="number" id="prix" name="prix" required="required" min="1" data-input_name="prix d'abonnement" onblur="check_error(['prix'])" class="form-control" style="width: 100%;" placeholder="Prix d'abonnement" >
                            </div>
 <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                <label>Devise <span style='color:red'>*</span></label>
     <select name="devise" id="devise" class="form-control">
         <option value="XOF">XOF</option>
         <option value="USD">USD</option>
     </select>
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="submit" name="action" class="btn btn-info" style="background-color: #2a3f54;border-radius: 0px;color: white;" value="Ajouter"/>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                    </div>
                </div>
            </form>
        </div>
    </div>


    <!-- /page content -->
@endsection
