@if(count($articles)>0)
<div class="col-sm-12">Choisissez les produits concernées par la newsletter (Limiter le nombre de produits aux plus importants.) <span style='color:red'>*</span></div>
@endif
@foreach($articles as $article)
@php  $boutique_=$article->boutique_slug;
           $helpers=new \App\Http\Controllers\HelperController();
           $prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
           $name=$helpers->get_meta_article('name',$article->slug,$boutique_);
           $price=$helpers->get_meta_article('price',$article->slug,$boutique_);
           if($price['statut']==false){
               $price['value']=$article->price;
           }


           if($name['statut']==false){
               $name=$article->name;
               }else{
               $name=$name['value'];
           }

           $stock=$helpers->get_meta_article('stock',$article->slug,$boutique_);
           if($stock['statut']==false){
               $stock=$article->quantity;
               }else{
               $stock=$stock['value'];
           }
           $image= $helpers->get_simple_image($article->slug,$boutique_); @endphp

<label for="card_article{{$article->slug}}" class="col-sm-3 col-md-3 col-xs-6" style="padding: 1%;">
<div  class="panel" style="border-radius: 6px;border: 1px solid #ddd">
    <div class="panel-heading text-right">
        <input type="checkbox" id="card_article{{$article->slug}}" class="js-switch2" name="article_slug[]" value="{{$article->slug}}">
    </div>
    <div class="panel-body">
        <div class="col-sm-12 text-center" style="text-align: center">
            <div style="width: 100px;height: 100px;background: url('{{$image->filename}}') center no-repeat;background-size: cover;">

            </div>
        </div>
        <div class="text-center" title="{{$name}}">{{\Illuminate\Support\Str::limit($name,10)}}</div>
        <div class="text-center" style="color: #e65c2b;">{{$prix}}</div>
        <div>Stock disponible : <span style="font-weight: bold;">{{$stock}}</span></div>
    </div>
</div>
</label>
    @endforeach