@if(Illuminate\Support\Facades\Auth::check())
<script>
    location.href=location.origin+'/home';
</script>
@else
<!DOCTYPE HTML>
<html lang="fr">

<head>

    <title>SUNGROCERY-SOUSCRIPTION</title>

    <!-- Meta-Tags -->
    <meta property="og:type" content="website" />
    <meta property="og:image" content="{{asset('images/favicon-32x32.png')}}">
    <meta property="og:url" content="{{url('/')}}">
    <meta property="og:site" content="{{url('/')}}" />
    <meta property="og:site_name" content="SUNGROCERY">
    <meta property="og:description" content="{{Illuminate\Support\Str::limit(" Vente et achat, de tout produits
        agricoles. SUNGROCERY se place en avant pour vous offrir une expérience inédit en matière de gestion de votre
        commerce en ligne. Visitez des milliers de boutiques en ligne dédiées à la vente de produits
        agricoles."),165}}" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description"
        content="Vente et achat, de tout produits agricoles. SUNGROCERY se place en avant pour vous offrir une expérience inédit en matière de gestion de votre commerce en ligne. Visitez des milliers de boutiques en ligne dédiées à la vente de produits agricoles.">
    <meta name="keywords"
        content="Epicerie,vert,Boutique,Achat,Vente,Acheter,Vendre,grocery,achat en ligne,vente en ligne,acheter en ligne, vendre en ligne,livraison,benin">
    <meta name="author" content="suntech">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="{{asset('images/favicon.ico')}}" />
    <link rel="apple-touch-icon" sizes="180x180" href="{{asset('images/apple-touch-icon.png')}}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{asset('images/favicon-32x32.png')}}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{asset('images/favicon-16x16.png')}}">
    <link rel="manifest" href="{{asset('images/site.webmanifest')}}">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-168061172-1"></script>

    <script>
        window.dataLayer = window.dataLayer || [];
		function gtag(){dataLayer.push(arguments);}
		gtag('js', new Date());

		gtag('config', 'G-NMT1DCDEVS');
    </script>

    <script>
        addEventListener("load", function () {
            setTimeout(hideURLbar, 0);
        }, false);

        function hideURLbar() {
            window.scrollTo(0, 1);
        }
    </script>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <link href="{{asset('vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">
    <link rel="stylesheet" href="{{asset('plugin/telephone_input/build/css/intlTelInput.css')}}">
    <link rel="stylesheet" href="{{asset('plugin/chosen_/chosen.css')}}" />
    <!-- //Meta-Tags -->
    <!-- Stylesheets -->
    <!--// Stylesheets -->
    <!--fonts-->
    <link href="//fonts.googleapis.com/css?family=Poiret+One&amp;subset=cyrillic,latin-ext" rel="stylesheet">
    <!--//fonts-->
    <style>
        .intl-tel-input {
            width: 100%;
        }

        a {

            color: #88b121;
            text-decoration: none;
        }

        a:hover {
            color: #88b121;
            text-decoration: none;
        }

        .btn-primary {
            background: #88b121;



            color: #ffffff;
            border: none;
        }

        .btn-primary:hover {
            background: #88b121 !important;
            color: #ffffff !important;
        }

        .btn-primary:active {
            background: #88b121 !important;
            color: #ffffff !important;
        }

        .btn-primary:focus {
            background: #88b121 !important;
            color: #ffffff !important;

        }

        .form-control {
            border-radius: 0px;
        }

        .btn {
            border-radius: 0px;
        }

        .chosen-container-single .chosen-single {
            height: 35px;
            background: none;
            border-radius: 0px;
            line-height: 35px;
        }

        .chosen-container-single .chosen-single div {
            margin-top: 8px;
        }
    </style>
    <script src="https://www.google.com/recaptcha/api.js?render=6LfFn0whAAAAAGLRb34I2afYzEi4mN3vK2WaXC-F"></script>
    <script>
        if(typeof grecaptcha === 'undefined') {
            grecaptcha = {};
        }
        grecaptcha.ready = function(cb){
            if(typeof grecaptcha === 'undefined') {
            // window.__grecaptcha_cfg is a global variable that stores reCAPTCHA's
            // configuration. By default, any functions listed in its 'fns' property
            // are automatically executed when reCAPTCHA loads.
            const c = '___grecaptcha_cfg';
            window[c] = window[c] || {};
            (window[c]['fns'] = window[c]['fns']||[]).push(cb);
            } else {
            cb();
            }
        }
    </script>
    @include('facebook-pixel::head')
</head>

<body>
    @include('facebook-pixel::body')
    <div style="background: rgba(000,000,000,0.5);height: 100%">

        @php
        $firstname='';
        $lastname='';
        $sex='';
        $customer_phone='';
        $email='';
        if(\Illuminate\Support\Facades\Session::has('user_command')){
        $comd=\Illuminate\Support\Facades\Session::get('user_command');
        $firstname=$comd['first_name'];
        $lastname=$comd['last_name'];
        $sex=$comd['sex'];
        $customer_phone=$comd['customer_phone'];
        $email=$comd['email'];
        }
        @endphp

        <div class="col-xs-12 col-lg-12"
            style="background: url('{{asset('images/h2.jpg')}}') center no-repeat;background-size: cover;padding-bottom: 20px;padding-top: 20px">
            <!-- form starts here -->
            <div class="row">
                <div class="col-sm-3"></div>
                <form class="col-sm-6 col-xs-12"
                    onsubmit="return check_error(['username','lastname','firstname','phone','email','myInput','cpassword','privilege']);"
                    action="{{route('register')}}" method="post" id="register_form">
                    <div class="row">
                        <div class="col-sm-1"></div>

                        <div class="col-sm-10"
                            style="background: #fff;padding: 5%;border-left: 5px solid #88b121;border-radius:20px">

                            <div class=" col-sm-12 text-center" style="margin-bottom: 30px;">
                                <a href="{{url('/')}}"> <img src="{{asset('images/logo.png')}}" alt=""
                                        width="300px"></a>
                            </div>

                            <div class=" col-sm-12 text-center" style="margin-bottom: 30px;">
                                Ce compte utilisateur vous permettra de créer et gérer autant de boutique que vous le
                                désirez.
                            </div>

                            <div style="margin-bottom: 15px;">
                                @if ($errors->any())
                                <div class="alert alert-danger" style="border-radius: 0px;color: red;">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif
                                @if(session("success"))
                                <div class="alert alert-success" style="border-radius: 0px;color: red;">
                                    {{session('success')}}
                                </div>

                                @elseif(session("error"))
                                <div class="alert alert-danger"
                                    style="border-radius: 0px;color: red;text-align: justify;">
                                    {!! session('error') !!}
                                </div>

                                @endif
                            </div>
                            @csrf

                            <div class="row">
                                <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                                    <label for="pays">Votre pays <span style='color:red'>*</span></label></label>
                                    <select name="country" data-placeholder="Choisissez le pays"
                                        class="form-control pays choosen"
                                        @if(Illuminate\Support\Facades\Session::has('country'))
                                        data-country="{{Illuminate\Support\Facades\Session::get('country')}}" @endif>
                                        @foreach ($pays as $country)
                                        <option value="{{$country->id}}"
                                            @if(Illuminate\Support\Facades\Session::has('country') &&
                                            Illuminate\Support\Facades\Session::get('country')==$country->name) selected
                                            @endif>{{$country->name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="regions-container col-sm-12 col-md-4 col-lg-4">
                                    <div style="text-align: center;display: none" class="regions-loader text-center">
                                        <img style="width: 50px;" src="{{asset('images/loader2.gif')}}">
                                        <br> chargement régions
                                    </div>
                                </div>
                                <div class="villes-container col-sm-12 col-md-4 col-lg-4">
                                    <div style="text-align: center;display: none" class="villes-loader text-center">
                                        <img style="width: 50px;" src="{{asset('images/loader2.gif')}}">
                                        <br> chargement des villes
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label> Type de compte : <span style='color:red'>*</span></label>
                                <select name="privilege" data-placeholder="Choisissez un type de compte"
                                        class="form-control pays choosen">
                                        <option value="utilisateur">Marchand</option>
                                        <option value="producteur">Producteur</option>
                                    </select>
                                <span id="errorusername" style="color: red;"></span>
                            </div>

                            <div class="form-group">
                                <label> Nom d'utilisateur : <span style='color:red'>*</span></label>
                                <input type="text" name="username" id="username"
                                    data-input_name=" email ou nom d'utilisateur" onblur="check_error(['username'])"
                                    placeholder="Votre nom d'utilisateur" class="form-control" required="required" />
                                <span id="errorusername" style="color: red;"></span>
                            </div>

                            <div class="form-group">
                                <label> Nom : <span style='color:red'>*</span></label>
                                <input type="text" name="last_name" id="lastname" value="{{$lastname}}"
                                    data-input_name="nom" onblur="check_error(['lastname'])"
                                    placeholder="Votre nom de famille" class="form-control" required="required" />
                                <span id="errorlastname" style="color: red;"></span>
                            </div>

                            <div class="form-group">
                                <label> Prénom : <span style='color:red'>*</span></label>
                                <input type="text" name="first_name" id="firstname" value="{{$firstname}}"
                                    data-input_name="prenom" onblur="check_error(['firstname'])"
                                    placeholder="Votre prénom" class="form-control" required="required" />
                                <span id="errorfirstname" style="color: red;"></span>
                            </div>

                            <div class="form-group">
                                <label> Sexe : <span style='color:red'>*</span></label>&nbsp; &nbsp; &nbsp; &nbsp;
                                <input type="radio" name="sexe" value="Homme" id="homme"
                                    @if(\Illuminate\Support\Facades\Session::has('user_command')) @if($sex=='Homme' )
                                    checked @endif @else checked @endif />&nbsp;<label for="homme"> Homme</label> &nbsp;
                                &nbsp; &nbsp; &nbsp;
                                <input type="radio" name="sexe" id="femme" value="Femme"
                                    @if(\Illuminate\Support\Facades\Session::has('user_command')) @if($sex=='Homme' )
                                    checked @endif @endif />&nbsp;
                                <label for="femme">Femme</label>
                            </div>
                            <input type="hidden" name="type" value="user">
                            <div class="form-group">
                                <label> Numéro de téléphone : <span style='color:red'>*</span></label>
                                <input type="number" id="phone" class="form-control" name="telephone"
                                    value="{{$customer_phone}}" data-input_name="numéro de téléphone"
                                    onblur="check_error(['phone'])" placeholder="Téléphone"
                                    oninput="this.value=this.value.replace(/(?![0-9])./gmi,'')" />
                                <span id="valid-msg" class="hide" style="display: none;color: green;">✓ Valid</span>
                                <span id="error-msg" class="hide" style="color: red;"></span>
                                <span id="errorphone" style="color: red;"></span>

                            </div>
                            <div class="form-group">

                                <label> Votre email : <span style='color:red'>*</span></label>
                                <input type="email" name="email" value="{{$email}}" id="email" data-input_name="email"
                                    onblur="check_error(['email'])" placeholder="Votre adresse mail"
                                    class="form-control" required="required" />
                                <span id="erroremail" style="color: red;"></span>
                            </div>
                            <div class="form-group">
                                <label> Mot de passe : <span style='color:red'>*</span></label>

                                <div class="input-group mb-3">
                                    <input type="password" name="password" data-input_name="mot de passe"
                                        placeholder="Votre mot de passe" onblur="check_error(['myInput'])"
                                        class="form-control" required="required" id="myInput"
                                        aria-label="Recipient's username" aria-describedby="basic-addon2">
                                    <div class="input-group-append">
                                        <button class="btn btn-outline-secondary" type="button" id="check3"
                                            value="show password" onclick="myFunction()"><i
                                                class="fa fa-eye"></i></button>
                                    </div>
                                </div>
                                <span id="errormyInput" style="color: red;"></span>

                            </div>

                            <div class="form-group">
                                <label> Confirmé le mot de passe : <span style='color:red'>*</span></label>
                                <input type="password" name="cpassword" id="cpassword" data-imite="myInput"
                                    data-input_name="confirmation de mot de passe" onblur="check_error(['cpassword'])"
                                    placeholder="Votre mot de passe de confirmation" class="form-control"
                                    required="required" />
                                <span id="errorcpassword" style="color: red;"></span>
                            </div>
                            <!-- script for show password -->
                            <!-- //end script -->
                            <button type="submit" id="new_account" class="btn btn-primary btn-sm">CRÉER MON COMPTE
                                MAINTENANT</button>
                            <p class="form-group" style="padding-top: 10px;">
                                <a href="{{route('login')}}">J'ai déjà un compte utilisateur.</a>
                            </p>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <!-- //form ends here -->
        <!--copyright-->
        <div class="copy-wthree">

        </div>
        <!--//copyright-->
    </div>
    <script src="{{asset('vendors/jquery/dist/jquery.min.js')}}"></script><!-- Bootstrap -->
    <script src="{{asset('vendors/bootstrap/dist/js/bootstrap.min.js')}}"></script>
    <script src="{{asset('plugin/telephone_input/build/js/intlTelInput.js')}}"></script>
    <script src="{{asset('plugin/notify.js')}}"></script>
    <script type="text/javascript" src="{{asset('plugin/chosen/chosen.jquery.js')}}"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>
    <script>
        function myFunction() {
        var x = document.getElementById("myInput");
        if (x.type === "password") {
            x.type = "text";
        } else {
            x.type = "password";
        }
    }
    </script>

    <script>
        $(document).ready(function ($) {
        let country=$('.pays');
        let regionsLoader = $('.regions-loader');
        if(country.data('country')!==undefined && country.data('country')!=='undefined' && country.data('country')!==null){
            regionsLoader.show();
            getCountries();
        }
        $(document).on('change', '.pays', function () {
            getCountries();
        });
        function getCountries(){
            regionsLoader.show();
            let pays_id = country.val();
            console.log(pays_id);
            let url = location.origin+'/register/get/regions/'+pays_id;
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: url,
                method: "GET",
               success: function (data) {
                    console.log(data);
                    $('.regions-container').html(data);
                    $(".choosen").chosen({width: "100%"});
                      getCities();
                },
                error: function (error) {
                    console.log(error);
                }
            }).always((result)=>{
                regionsLoader.hide();
            });
        }

        function getCities(){
            let region=$('#regions');
            let villesLoader = $('.villes-loader');
            villesLoader.show();
            let region_id = region.val();
            let url = location.origin+'/register/get/villes/'+region_id;
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: url,
                method: "GET",
                success: function (data) {
                    console.log(data);
                    $('.villes-container').html(data);
                    $(".choosen").chosen({width: "100%"});
                },
                error: function (error) {
                    console.log(error);
                }
            }).always((result)=>{
                villesLoader.hide();
            });
        }


    });

    </script>
    <!-- loading villes on regions select -->
    <script>
        $(document).ready(function ($) {
        let region=$('#regions');
        if(region.data('region')!==undefined && region.data('region')!==null){
            console.log(error);
            getCities();
        }

        $(document).on('change', '#regions', function () {

            getCities();
        });

        function getCities(){
            let villesLoader = $('.villes-loader');
                villesLoader.show();
            let region_id = $('#regions').val();
            let url = location.origin+'/register/get/villes/'+region_id;
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: url,
                method: "GET",
                success: function (data) {
                    $('.villes-container').html(data);
                    $(".choosen").chosen({width: "100%"});
                },
                error: function (error) {
                    console.log(error);
                }
            }).always((result)=>{
                villesLoader.hide();
            });
        }

    });

    </script>

    <script>
        $(document).on('focus','#cpassword',function(e){
        $('#cpassword').css('border','');
    })

    $(document).on('submit', '#register_form', function (e) {
        e.preventDefault();
        let form=$(this),
        grecaptcha.ready(function() {
                 grecaptcha.execute('6LfFn0whAAAAAGLRb34I2afYzEi4mN3vK2WaXC-F', {action: 'submit'}).then(function(token) {
                    let btn=$('#new_account'),
                        url=form.data('url'),
                        $form=form.serialize(),
                        btn=$(this);
                    btn.attr('disabled',true).html('<img src="{{asset('images/loader.gif')}}" width="20px"> veuillez patienter ...');
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    });
                    $.ajax({
                        url:url,
                        method:"POST",
                        data:$form,
                        success:function(data) {
                            btn.attr('disabled',false).html('CRÉER MON COMPTE MAINTENANT');
                            if(data.error){
                                $.notify(data.message,'error')
                                Swal.fire({
                                    title: 'Echec inscription',
                                    text: data.message,
                                    type: 'error',
                                    showCancelButton: true,

                                    confirmButtonColor: '#88b121',

                                    cancelButtonColor: '#d33',
                                    cancelButtonText: 'Réactualiser',
                                    confirmButtonText: 'Reéssayer'
                                }).then((result) => {
                                    if (!result.value) {
                                        location.reload();
                                        }
                                })
                            }else{
                                Swal.fire({
                                    title: 'Inscription réussie',
                                    text: data.message,
                                    type: 'success',
                                    showCancelButton: false,

                                    confirmButtonColor: '#88b121',

                                }).then((result) => {
                                    if (result.value) {
                                            location.href=location.origin+'/login';
                                    }
                                })

                            }
                        },error:function (data) {
                            console.log(data,'*************error detect ')
                            btn.attr('disabled',false).html('CRÉER MON COMPTE MAINTENANT');
                            $.notify('Une erreur s\'est est survenue au cours du processus. Veuillez réactualiser la page et reéssayer si elle persiste.','error')
                        }
                    })
                })
        })
    });

    function check_error($table){
        let $reponse=true;
        for(let i=0;i<$table.length;i++){
            let $btn=$('#'+$table[i]);
            let $btnerror=$('#error'+$table[i]);
            let $name=$btn.attr('type');
            let $requis=$btn.attr('required');
            let $inputname=$btn.data('input_name');
            let $val=$btn.val();
            if($val==null || $val==""){
                if($requis) {
                    $btnerror.html('La valeur du champs ' + $inputname + ' est requise');
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La valeur du champs ' + $inputname + ' est requise','error');
                    break;
                }
            }else
            if($name=='number'){
                let $min=$btn.attr('min');
                let $minlenght=$btn.attr('minlength');
                if(parseInt($val)<parseInt($min)){
                    $btnerror.html('La valeur du champs ' + $inputname + ' doit être supérieur à '+$min);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La valeur du champs ' + $inputname + ' doit être supérieur à '+$min,'error');
                    break;
                }else if($val.length<$minlenght){
                    $btnerror.html('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    break;
                }
            }
            else if($name=='email'){
                if(!isValidEmailAddress($val)){
                    $btnerror.html('L\'adresse mail saisis est incorrecte.');
                    $btn.css('border','1px solid red');
                    $.notify('L\'adresse mail saisis est incorrecte','error');
                    $reponse = false;
                    break;
                }
            }else if($name=='password'){
                let $minlenght=6;
                if($val.length<$minlenght){
                    $btnerror.html('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght,'error');

                    break;
                }
            }

            if($btn.data('imite')){
                let $btn2=$('#'+$btn.data('imite')),
                    value= $btn2.val(),
                    value2=$btn.val();
                if(value!=value2){
                    $btnerror.html('Le '+$btn2.data('input_name')+' et '+$inputname+' doivent être conforme');
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('Le '+$btn2.data('input_name')+' et '+$inputname+' doivent être conforme','error');
                    break;
                }
            }

            if($reponse){
                $btnerror.html(' ');
                $btn.css('border','');
                // $btnvalid.html('La valeur du champ ' + $inputname + ' est valide');
            }

        }
        return $reponse;
    }


    function isValidEmailAddress(emailAddress) {
        var pattern = /^([a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+(\.[a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+)*|"((([ \t]*\r\n)?[ \t]+)?([\x01-\x08\x0b\x0c\x0e-\x1f\x7f\x21\x23-\x5b\x5d-\x7e\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|\\[\x01-\x09\x0b\x0c\x0d-\x7f\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))*(([ \t]*\r\n)?[ \t]+)?")@(([a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.)+([a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.?$/i;
        return pattern.test(emailAddress);
    }
    </script>
    <script>
        $(document).ready(function(){
        $('.choosen').chosen({
            no_results_text: "Oops, pas de résultat ! ",
            width: "100%"
        });
        let input = document.querySelector("#phone"),
            errorMsg = document.querySelector("#error-msg"),
            validMsg = document.querySelector("#valid-msg");

        // here, the index maps to the error code returned from getValidationError - see readme
        var errorMap = [ "Numéro invalide", "Code du pays invalide", "Trop court", "Trop long", "Numero Invalide"];

        var iti=  window.intlTelInput(input, {
            // allowDropdown: false,
            // autoHideDialCode: false,
            autoPlaceholder: "polite",
            // dropdownContainer: document.body,
            // excludeCountries: ["us"],
            // formatOnDisplay: false,
            geoIpLookup: function(callback) {
                $.get("http://ipinfo.io", function() {}, "jsonp").always(function(resp) {
                    $('#city').val(resp.city);
                    var countryCode = (resp && resp.country) ? resp.country : "";
                    callback(countryCode);
                });
            },
            hiddenInput: "full_number",
            initialCountry: "auto",
            // localizedCountries: { 'de': 'Deutschland' },
            nationalMode: true,
            // onlyCountries: ['us', 'gb', 'ch', 'ca', 'do'],
            // placeholderNumberType: "MOBILE",
            preferredCountries: ['BJ','BF','CI','GN','ML', 'NE','SN','TG'],
            separateDialCode: true,
            utilsScript: "{{asset('plugin/telephone_input/build/js/utils.js')}}",
        });

        var reset = function() {
            input.classList.remove("error");
            errorMsg.innerHTML = "";
            errorMsg.classList.add("hide");
            validMsg.classList.add("hide");
        };

        // on blur: validate
        input.addEventListener('blur', function() {
            reset();
            if (input.value.trim()) {
                if (iti.isValidNumber()) {
                    validMsg.classList.remove("hide");
                } else {
                    input.classList.add("error");
                    var errorCode = iti.getValidationError();
                    errorMsg.innerHTML = errorMap[errorCode];
                    errorMsg.classList.remove("hide");
                }
            }
        });

        // on keyup / change flag: reset
        input.addEventListener('change', reset);
        input.addEventListener('keyup', reset);
        $(document).on('change', '#phone', function () {

            var countryData = iti.getSelectedCountryData();
            var number='+'+countryData.dialCode+$('#phone').val();
            $('#telInput').val(number);

        });
    })
    </script>
</body>

</html>
@endif