@php $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
@endphp
@extends("../dashboard._blank")
@include("../dashboard.Boutique.check_is_user_boutique")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section('css')

    @endsection
@section("content")
    <style>
            .sp-colorize{
                height: 100%;
            }
                    textarea{
                        width: 100%;
                    }
                    h5{
                        font-size: 12pt;
                        font-weight: bold;
                    }
                    .labelMeta span{
                        color: #0b0b0b;
                        font-weight: bold;
                    }
            #boutique_link{
                box-shadow: none; border: 1px solid #f8f8f8;padding: 1%;font-size: 12pt;font-weight: 500;background: #f8f8f8;width: 100%;cursor: pointer;
            }
                    #boutique_link:hover{
                        background: #ddd;
                    }
            .mib_pricing_box {
                box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24); padding: 12px;border-radius: 10px;
                cursor: pointer;
            }
            .mib_pricing_box:hover {
                box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24); background: #f8f8f8;padding: 12px;border-radius: 10px;
        }
    </style>
    <div class="right_col" role="main">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2 class="text-uppercase"><span style="color: #0c1423;"><img src="{{asset('images/settings.png')}}" width="30px" alt="">Paramétrage {{$maboutique['nom_boutique']}} </span>  <small> Définissez les informations et paramétrer votre boutique.</small></h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                                    @if ($errors->any())
                                        <div class="alert alert-danger" style="border-radius: 0px;">
                                            <ul>
                                                @foreach ($errors->all() as $error)
                                                    <li>{{ $error }}</li>
                                                @endforeach
                                            </ul>
                                        </div>
                                    @endif
                                    @if(session("success"))
                                        <div class="alert alert-success" style="border-radius: 0px;">
                                            {{session('success')}}
                                        </div>
                                    @elseif(session("error"))
                                        <div class="alert alert-danger" style="border-radius: 0px;">
                                            {{session('error')}}
                                        </div>
                                    @endif
                            <div>
                      <a href="{{route('gerer_boutique',$maboutique['slug'])}}" class="btn btn-default btn-sm text-uppercase" style="color: #0D3349;-webkit-border-radius: 0px;-moz-border-radius: 0px;border-radius: 0px;"><i class="fa fa-list"></i> Menu</a>
                    &nbsp;&nbsp;<a class="btn btn-success btn-sm text-uppercase" style="border-radius: 0px" href="{{route('boutique.index',$maboutique['nom_boutique'])}}" target="_blank">accéder à la boutique</a>

                                <div class="col-lg-12">
                                    <div class="row" style="margin-top: 20px">
                                <h2 class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="font-weight: bold;margin-top: 20px;"> MODULES
                                    <hr>
                                </h2>
                                    <div class="col-lg-12" style="background: #f8f8f8">
                                        <h4 style="color: coral" class="text-uppercase">Paiement echellonner
                                            @php
                                                if($boutique->paiement_echelonner) $date_echelonner = \Carbon\Carbon::parse($boutique->paiement_echelonner->expired_at);
                                            @endphp
                                            @if(isset($boutique->paiement_echelonner) && $date_echelonner && !$date_echelonner->isPast())
                                               &nbsp; &nbsp;  <span class="badge badge-success" style="background: green">Actif</span>
                                            @endif
                                        </h4>
                                        <p>Permettez à vos clients de payer vos produits par tranche. <br>
                                            La commande ne peut être validée et livrée qu'après finalisation de paiement.
                                        </p>
                                        <div>
                                            @if(isset($boutique->paiement_echelonner) && new \DateTime($boutique->paiement_echelonner->expired_at)>new \DateTime(date("Y-m-d H:i:s")))
                                                <p style="color: green;margin-bottom: 5px;padding-bottom: 5px;">Vos clients peuvent à présent payer un panier en
                                                    <strong>{{$boutique->paiement_echelonner->max}} </strong>
                                                    tranches.</p>

                                                <span class="badge badge-info" style="background: #1b4b72;">expire le {{date($boutique->paiement_echelonner->expired_at)}}</span>
                                            @else
                                            <span class="badge badge-info">{{env('PAIEMENT_ECHELONNER')}} FCFA / AN</span>
                                                @endif
                                        </div>
                                        <div style="margin-top: 5px;">
                                            <button class="btn @if(isset($boutique->paiement_echelonner)) btn-dark @else btn-light @endif btn-sm text-uppercase" data-toggle="modal" data-target="#paiementEchelonnerModal" style="border-radius: 0px" >
                                            @if(isset($boutique->paiement_echelonner)) cumuler  @else   Activer @endif
                                            </button>
                                        </div>
                                    </div>
{{--                                        Module Panier MIB --}}
                                    <div class="col-lg-12" style="background: #f8f8f8;margin-top: 10px">
                                        <h4 style="color: coral" class="text-uppercase">Panier MIB
                                            <small>
                                                @php
                                                if($boutique->mibSubscribe) $date_mib = \Carbon\Carbon::parse($boutique->mibSubscribe->expired_at);
                                           @endphp
                                            @if(isset($boutique->mibSubscribe) && $date_mib && !$date_mib->isPast())
                                               &nbsp; &nbsp;  <span class="badge badge-success" style="background: green">Actif</span>
                                              @endif
                                            </small>

                                        </h4>
                                        <p>Faites souscrire vos clients à vos offres Panier Mib. gerez tous vos processus de Panier Mib.<br>
                                            Ce module offrent toutes les possibilités et vous permet de gerer et d'avoir les statistiques de gestion de vos offres MIB
                                        </p>
                                        @if(isset($boutique->mibSubscribe) && $date_mib && !$date_mib->isPast())
                                           <div class=""><span class="badge badge-info"> Expire le : {{$boutique->mibSubscribe->expired_at}}</span></div>
                                        @endif
                                        <div style="margin-top: 5px;">
                                            <button class="btn btn-light  btn-sm text-uppercase" data-toggle="modal" data-target="#sosucription_mib" style="border-radius: 0px" >
    @if(isset($boutique->mibSubscribe)) changer d'offre @else  Choisir une offre  @endif
      </button>
                                            @if(isset($boutique->mibSubscribe) && $date_mib && !$date_mib->isPast())

                                            <a class="btn btn-success btn-sm text-uppercase" href="{{route('admin.boutique.mib.year.list')}}" style="border-radius: 0px" >
                                                   Gerer
                                            </a>
                                            @endif
  </div>
</div>
</div>
</div>
@if($metas->internationalize && !$metas->pay_internationalize)
<a class="btn btn-warning btn-sm text-uppercase pay_internationalize" data-slug="{{$maboutique['slug']}}" style="border-radius: 0px" target="_blank">payer maintenant pour rendre international ma boutique</a>
@endif
<div class="col-sm-12">
<div class="row" style="margin-top: 20px">
  @if($metas->internationalize && $metas->pay_internationalize)
  <div for="badge badge-success col-xs-12 col-sm-12 col-md-12 col-lg-12" style="background:#f8f8f8;color: #fd6134;padding: 2px 20px">visibilité de votre boutique s'étant jusquà l'international</div>
 @endif
  <h2 class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="font-weight: bold;margin-top: 40px;">GENERALES </h2>
  <hr>
  <div class="col-xs-12 col-lg-12" style="padding-top: 20px">
      <label for="boutique_link" style="color: #942a25;font-weight: 400">Cliquer sur le lien pour le copier.</label>
      <input  type="text" class="form-control"  id="boutique_link" onclick="clipboard(this,'Le lien de votre boutique à été copier avec succès')" readonly value='{{url('/'.$maboutique['nom_boutique'])}}' />
  </div>

     <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-top: 20px">
          <label for="boutique_check" class="text-uppercase">
              <input type="checkbox" value="1" id="boutique_check" data-input="paiement_and_livraison" class="metaEventBoutique"
              @if($boutique['paiement_and_livraison']==1) checked @endif
                     data-href="{{route('activerBoutique_paiment',$boutique['slug'])}}">
              <span id="spanDescribe">
                  @if(!$boutique['paiement_and_livraison']==1)
                      ACTIVER LE MODE DE PAIEMENT
                  @else
                      DESACTIVER LE MODE DE PAIEMENT
                  @endif </span>
              <a href="">(en savoir plus)</a></label>
      </div>

  @if($boutique['international']==1)
     <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-top: 20px;color: #037100">
          <label for="shipping_international" class="text-uppercase">
              <input type="checkbox" value="1" id="shipping_international" @if($boutique['shipping_international']==1) checked @endif data-input="shipping_international" class="shipping_international metaEventBoutique"> ACTIVATION DE LA LIVRAISON A PARTIR DU {{Session::get('user')['country']}}
              <a href="">(Guide de tarification internationnal)</a> <br> <a href="{{route('livraisons.client.index',$boutique['slug'])}}" style="color: #942a25;text-decoration: underline">Configurer les paramètres de livraison international</a></label>
      </div>
  @endif

     <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-top: 20px;color: #037100">
          <label for="shipping_local" class="text-uppercase">
              <input type="checkbox" value="1" id="shipping_local" data-input="shipping_local"  @if($boutique['shipping_local']==1) checked @endif class="shipping_local metaEventBoutique"> ACTIVATION DE LA LIVRAISON AU {{Session::get('user')['country']}}
              <br> <a href="{{route('livraisons.client.index',$boutique['slug'])}}" style="color: #942a25;text-decoration: underline">Configurer les paramètres de livraison local</a></label>
      </div>


       <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-top: 20px">
          <label for="satisfy" class="text-uppercase">
              <input type="checkbox" value="1" id="satisfy" @if($metas->satisfied_or_refunded==1) checked @endif data-input="satisfied_or_refunded" class="metaEvent"> Satisfait ou remboursé ?</label>
      </div>

      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-top: 20px">
          <label for="exchange_after_ship" class="text-uppercase">
              <input type="checkbox" value="1" id="exchange_after_ship" @if($metas->exchange_after_ship==1) checked @endif data-input="exchange_after_ship" class="metaEvent"> Vos produits peuvent être échangés après la livraison ?
          </label>
      </div>

      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" id="exchange_after_ship_label" style="padding-top: 20px; @if($metas->exchange_after_ship==1) display:block; @else display:none; @endif">
          <input type="number" @if($metas->day_exchange_after_ship>0) value="{{$metas->day_exchange_after_ship}}" @else value="0" @endif id="day_exchange_after_ship" data-input="day_exchange_after_ship" class="day_exchange_after_ship metaEventInput"  style="width: 50px;"> jour(s) après la livraison
      </div>

  <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-top: 20px">
          <label for="offer_return_delivery_to_customer" class="text-uppercase">
          <input type="checkbox" value="5" data-input="offer_return_delivery_to_customer" @if($metas->offer_return_delivery_to_customer==1) checked @endif  id="offer_return_delivery_to_customer" class="offer_return_delivery_to_customer metaEvent">
          OFFRIR LA LIVRAISON RETOUR À VOS CLIENTS ?
          </label>
      </div>


  <div class="col-md-12 col-xs-12" style="padding-top: 20px">
      <h2 class="text-uppercase">Adresse retour client <br> <small style="font-size: 7pt;">  Adresse de retour des produits. </small></h2>
      <textarea type="text" class="form-control metaEventInput"  style="border-radius: 0px;font-size: 12pt;" name="address"  data-input="address">{{$metas->address!==null ? $metas->address : $metas->adresse_boutique}}</textarea>
  </div>

  <div class="col-sm-12 col-xs-12" style="padding-top: 50px">
      <h2  style="font-weight: bold">GESTIONS DES DEVISES </h2>
      <hr>
      <div class="row">
     <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">
         <div>  DEVISE A LAQUELLE VOS PRODUITS SONT DEFINIS EN ADMINISTRATION:  </div>
         <select name="" id="currency_selected" data-input="currency_admin" class="form-control metaEventInput">
              <option value="XOF" @if($metas->currency_admin=='XOF') selected @endif>XOF FCFA</option>
              <option value="USD"  @if($metas->currency_admin=='USD') selected @endif>USD DOLLARD</option>
              <option value="EUR"  @if($metas->currency_admin=='EUR') selected @endif>EUR EURO</option>
          </select>
         <span style="color: #942a25"><strong>Important :</strong> Ne modifier que si vous avez ajouté des produits avec une autre devise ou si vous n'avez pas encore de produits ajoutés.</span>

      </div>
        <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">
            <div>  CONVERTIR EN <span class="convert_client">XOF</span> POUR LES CLIENTS  </div>
            <select name="" id="currency_selected" disabled data-input="currency_client" class="form-control metaEventInput">
              <option value="XOF"  @if($metas->currency_client=='XOF') selected @endif>XOF FCFA</option>
              <option value="USD"  @if($metas->currency_client=='USD') selected @endif>USD DOLLARD</option>
              <option value="EUR"  @if($metas->currency_client=='EUR') selected @endif>EUR EURO</option>
          </select>
         <small>Le prix de vos produits et les commandes serons traitées à l'achat avec cette devise  <span class="devise_select">XOF</span></small>
      </div>
  </div>
  </div>
  <br>
  <br>


</div>
  <div class="col-12 pt-5 mt-3"  style="margin-top: 50px;">
      <h2  style="font-weight: bold">GESTION DE LA BANNIERE </h2>
      <hr>
  <form class="col-lg-12" style="border: 1px solid #ddd;padding: 2%;">
      <!-- Les publicité -->
      <div class="col-md-12">
          <h2 class="text-uppercase">Ajouter une images d'entête sur votre site. (taille minimum: 1200px/300px) </h2>
          <div  data-toggle="modal" data-target="#publiciteModal" id="publicites" class="btn btn-default" style="color: #0D3349;border-radius: 0px;">
              @if(count($publicites)>0)
                  <i class="fa fa-edit"></i>   Modifier
              @else
                  <i class="fa fa-plus"></i>  Ajouter
              @endif
          </div>
          @foreach($publicites as $publicite)
              <div class="row" id="partenerContainer"  style="margin-top: 5px;padding: 1%;">
                  <div  class="col-sm-4 col-xs-12 partenaires" style="cursor: pointer">
                      <div class="row">
                          <a href="{{route('publicites.destroy',$publicite->slug)}}"><i style="color: red;font-size: 12pt;" class="fa fa-trash-o"></i> retirer</a>
                          <div class="col-sm-12 col-xs-12 text-center">
                              <img  src="{{$publicite->image}}" alt="" width="100%" />
                          </div>
                          <div class="col-sm-12 col-xs-12 text-center">
                              <h6>{{$publicite->description}}</h6>
                          </div>
                      </div>
                  </div>

              </div>
          @endforeach



      </div>
  </form>
  </div>


  <form class="container" id="boutique_update_data_options" enctype="multipart/form-data" method="post" action="{{route('boutiques.customize')}}">
  @csrf
  @method('PUT')
  <div class="row" >
  <div class="col-sm-12 col-xs-12" style="margin-top: 50px;">
      <h2 class="text-uppercase" style="font-weight: bold">Couleur et police</h2>
      <hr>
  </div>

  <div class="col-sm-12 col-lg-6 col-xs-12">
      <h2 class="text-uppercase">Police principale</h2>
      <input id="font-picker" type="text" name="font" value="{{$metas->font!=null ? $metas->font : 'Montserrat' }}">
  </div>

  <div class="col-sm-12 col-lg-6 col-xs-12">
      <h2 class="text-uppercase">Couleur arrière plan </h2>
      <input type='text' class='basic form-control' name="background_color" value='{{$metas->background_color!=null ? strpos($metas->background_color,'#') ? $metas->background_color : '#'.$metas->background_color : 'indigo' }}' />
  </div>

      <div class="col-sm-12 col-lg-6 col-xs-12">
      <h2 class="text-uppercase">Couleur text sur arrière plan </h2>
      <input type='text' class='basic form-control' name="text_color" value='{{$metas->text_color!=null ?  strpos($metas->text_color,'#') ? $metas->text_color : '#'.$metas->text_color : 'white' }}'/>
  </div>
  </div>
  <input type="hidden" name="boutique_id" value="{{$boutique->id}}">
  <input type="hidden" name="boutique" value="{{$boutique->slug}}">
           <input type="hidden" class="form-control text-center" style="border-radius: 0px;height: 50px;font-weight: bold;font-size: 15pt;" name="boutique_url" value="@if($metas->boutique_url){{$metas->boutique_url}}@endif">
  <div class="row" style="margin-top: 50px;padding: 0">
      <div class="col-sm-12 col-xs-12" >
          <h2  style="font-weight: bold" class="text-uppercase">Informations sur votre boutique</h2>
          <hr>
      </div>
      <div class="col-sm-12 col-xs-12 col-lg-4 text-center" style="border: 1px solid #ddd;padding: 2%;margin-top: 25px;">
              <div class="control-group file-upload" id="file-upload1">
                  <div class="image-box text-center" id="photo_enseigne" style="width: 150px;height: 150px;@if($metas->logo_boutique) background:url('{{$metas->logo_boutique}}') center no-repeat;@else background:url('{{asset('images/logo.png')}}') center no-repeat;  @endif background-size: contain;border: 1px solid #ddd;">
                  </div>
                  <div class="controls"><input type="file" name="logo" onchange="readURLImageBackground(this,'photo_enseigne')"/></div>
              </div>
          <br>
                      Cliquer sur l'image pour ajouter un logo
      </div>

      <div class="col-md-8 col-lg-8 col-xs-12">
          <div class="row">
              <div class="col-sm-6 col-xs-12" style="padding-top: 20px;">
                  <label class="text-uppercase">Téléphone <br> <small style="font-size: 7pt;"> Contact de votre boutique pouvant servir aux clients</small></label>
                  <input type="text" class="form-control" id="phone" style="border-radius: 0px;font-size: 12pt;" name="telephone_boutique" value="{{($metas->telephone_boutique ==null)?'-':$metas->telephone_boutique}}">
              </div>
              <div class="col-md-6 col-xs-12" style="padding-top: 20px;">
                  <label class="text-uppercase">Adresse email <br> <small style="font-size: 7pt;"> L'adresse mail de contact de votre entreprise</small></label>
                  <input type="text" class="form-control" style="border-radius: 0px;font-size: 12pt;" name="email_boutique" value="{{($metas->email_boutique==null)? '-':$metas->email_boutique}}">
              </div>
              <div class="col-md-12 col-xs-12" style="padding-top: 20px;">
                  <label class="text-uppercase">Adresse de localisation <br> <small style="font-size: 7pt;">  l'adresse de localisation de votre point de vente </small></label>
                  <input type="text" class="form-control"  style="border-radius: 0px;font-size: 12pt;" name="adresse_boutique" value="{{($metas->adresse_boutique==null)? '-':$metas->adresse_boutique}}">
              </div>

              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4" style="padding-top: 20px">
                  <label for="continent" class="text-uppercase">
                      CONTINENT
                  </label>
                  <input type="text"  value="{{$metas->continent!=null ? $metas->continent : '' }}" name="continent"  id="continent" data-input="continent" class=" @if($metas->continent!=null) continent @endif    form-control" >
              </div>
              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4" style="padding-top: 20px">
                  <label for="country" class="text-uppercase">
                      PAYS
                  </label>
                  <input type="text"  value="{{$metas->country!=null ? $metas->country : '' }}" name="country"  id="country" data-input="country" class=" @if($metas->city!=null) country class1 @endif    form-control" >
              </div>
{{--                                                    <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4" style="padding-top: 20px">--}}
{{--                                                        <label for="iso" class="text-uppercase">--}}
{{--                                                            ISO--}}
{{--                                                        </label>--}}
{{--                                                        <input type="text"  value="{{$metas->iso!=null ? $metas->iso : '' }}" name="iso"  id="iso" data-input="iso" class=" @if($metas->iso!=null) iso @endif    form-control" >--}}
{{--                                                    </div>--}}
              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4" style="padding-top: 20px">
                  <label for="city" class="text-uppercase">
                      REGION
                  </label>
                  <input type="text"  value="{{$metas->region!=null ? $metas->region : '' }}" name="region"  id="region" data-input="region" class="@if($metas->city!=null) region @endif form-control"  >
              </div>

              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4" style="padding-top: 20px">
                  <label for="city" class="text-uppercase">
                      VILLE
                  </label>
                  <input type="text"  value="{{$metas->city!=null ? $metas->city : '' }}" name="city"  id="city" data-input="city" class="@if($metas->city!=null) city @endif form-control" >
              </div>
          </div>
      </div>
  </div>
<div class="row" style="border: 1px solid #ddd;padding: 2%;margin-top: 20px;">
  <div class="col-sm-12 col-xs-12">
      <div class="col-md-12 col-xs-12" style="padding-top: 20px;">
          <label class="text-uppercase">Decrivez les activitées de votre boutique. <br> <small style="font-size: 7pt;">  Cette description sera visible sur votre boutique. Elle présente les activitées de votre boutique. </small></label>
          <textarea type="text" class="form-control"  style="width: 100%" name="description" rows="5" >{{($boutique['description']!==null) ? $boutique['description'] : ''}}</textarea>
      </div>
  </div>
</div>
<div class="row" style="border: 1px solid #ddd;padding: 2%;margin-top: 20px;">
  <div class="col-sm-12 col-xs-12" >
      <h2>TAGS (Mots D'ordres) <br> <small style="font-size: 7pt;">  Définissez vos 4 critères de vente </small></h2>
      <div class="row">
          @php $tab=['Livraison','Remboursement','paiement mobile et carte de crédit','promotion']; @endphp
          @for($i=0;$i<4;$i++)
              <div class="col-sm-3 col-xs-12">
                  <input type="text" class="form-control"  style="border-radius: 0px;font-size: 12pt;margin-top: 10px;" name="mot_d_ordres[]" value="@if(isset($metas->mot_d_ordres[$i])){{$metas->mot_d_ordres[$i]}} @else {{$tab[$i]}}  @endif">
              </div>
          @endfor
      </div>
  </div>

</div>
  <div class="row">
      <div class="col-sm-12 col-lg-12 col-xs-12 text-left" style="padding: 0;margin-top: 25px;">
          <h2 class="text-uppercase">Condition générale d'achat propre à votre boutique</h2>
          <textarea name="general_condition" id="general_condition" style="width: 100%" rows="5" placeholder="Condition générale propre à votre boutique">{{($boutique['meta']['general_condition']!==null) ? $boutique['meta']['general_condition'] : ''}}</textarea>
      </div>
  </div>
<div class="row">
      <div class="col-sm-12 col-lg-12 col-xs-12 text-right" style="padding: 0;margin-top: 25px;">
  <input type="submit" id="boutique_info_update" value="Mettre à jour les informations de la boutique" class="btn btn-primary" style="border-radius: 0px;margin: 0">
  </div>
  </div>
</form>



</div>
</div>
</div>
</div>
</div>
</div>
{{--<!-- Publicite modal -->--}}
<div id="publiciteModal" class="modal fade">
<div class="modal-dialog modal-lg">
<form method="post" id="consultation_form"  enctype="multipart/form-data" action="@if(count($publicites)>0) {{route('publicites.update',$publicites[0]['slug'])}}  @else{{route('publicites.store')}}@endif" novalidate>
@csrf
@if(count($publicites)>0)  {{method_field('put')}} @endif
<div class="modal-content" style="border-radius: 0px;">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal">&times;</button>
<h4 class="modal-title"><i class="fa fa-plus"></i>@if(count($publicites)<=0) Nouvelle Banière @else Mise à jour de votre banière   @endif </h4>
</div>
<div class="modal-body">
<input type="hidden" name="boutique_id" value="{{$boutique->id}}">
@php  $image=""; $description=""; @endphp
@if(count($publicites)>0)
@foreach($publicites as $publicite)
@php  $image=$publicite->image; $description=$publicite->description; @endphp
@endforeach
@endif
<div class="row" style="margin-bottom: 10px;">
<div class="col-md-4 col-xs-12 text-center">
<label for="pub"  style="cursor: pointer;padding: 5%;background: #fefefe;width: 100%;">
  <img id="image_pub" src="{{$image}}" alt="banière" style="width: 100%" />
  <input type="file" name="image_pub" id="pub" onchange="readURLImage(this,'image_pub');" style="display: none">
Cliquer pour   @if(count($publicites)>0) changer l'image @else ajouter une image @endif
</label>
</div>

<div class="col-md-8 col-xs-12">
<div class="row">
  <textarea class="form-control" id="description_pub" name="description" rows="5" placeholder="Texte d'entête">{{$description}}</textarea>
</div>
</div>
</div>

<div class="row">
<div class="modal-footer">
<input type="submit" name="action" id="action_pub" class="btn btn-info primary"  value="Ajouter" />
<button type="button" class="btn btn-default" data-dismiss="modal" id="close-btn">Fermer</button>
</div>
</div>
</div>
</div>
</form>
</div>
</div>


</div>



<div id="supressionModal" class="modal fade" data-backdrop="static" data-keyboard="false">
<div class="modal-dialog">
<form method="post" id="post_demande_supression"  action="{{route('demande_supression_boutique')}}">
@csrf
<input type="hidden" value="" name="boutique_slug" id="boutique_slug_supression">
<input type="hidden" value="" name="name" id="boutique_name_supression">
<div class="modal-content" style="border-radius: 0px;">
<div class="modal-header" style="background: red;">
<h4 class="modal-title" style="color: white;"><i class="fas fa-trash-alt"></i> Demande de supression de votre boutique <span id="nom_boutique_supression"></span> </h4>
</div>
<div class="modal-body">

<div class="row">

<div class="form-group col-md-12 col-sm-12 col-xs-12">
<label>Motif <span style='color:red'>*</span></label>
<textarea name="motif" id="motif"  style="width: 100%" rows="5" data-input_name="motif" onblur="check_error(['motif'])" placeholder="Pourquoi voulez vous supprimer votre site. Vos raisons pourrais nous aider à corriger les erreurs ou insuffisance pour un meilleur service." required="required"></textarea>
</div>

</div>

</div>

<div class="modal-footer">
<input type="submit" name="action" id="demandesupress" onclick="return check_error(['motif'])" class="btn btn-danger btn-sm" style="border-radius: 0px;color: white;" value="Envoyer"/>
<button type="button" class="btn btn-default btn-sm" data-dismiss="modal">Fermer</button>
</div>

</div>
</form>
</div>
</div>

<div id="paiementEchelonnerModal" class="modal fade" data-backdrop="static" data-keyboard="false">
<div class="modal-dialog">
<form method="post" id="paiementEchelonnerForm">
@csrf
<div class="modal-content" style="border-radius: 0px;">
<div class="modal-header" >
<h4 class="modal-title">
Activation de la fonctionnalité de paiement séquentiel
</h4>
</div>
<div class="modal-body">

<div class="row">

<div class="form-group col-md-12 col-sm-12 col-xs-12">
<label>Veuillez définir un nombre maximal de paiement échelonner pour un panier <span style='color:red'>*</span></label>
<input name="max" id="max_paiement" type="number" min="1" max="10" minlength="1" maxlength="2" value="3" style="width: 40%" data-input_name="max" onblur="check_error(['max_paiement'])" placeholder="le nombre maximal de paiement" required="required"/>
<br>
<strong>NB:</strong> Vous ne pouvez modifier cette valeur qu'en faisant un cumul.
</div>

</div>

</div>

<div class="modal-footer">
<input type="button" name="action" id="abonnement_paiement_echalonner" data-slug="{{$maboutique['slug']}}" onclick="return check_error(['max_paiement'])" class="btn btn-success btn-sm" value="Activer"/>
<button type="button" class="btn btn-default btn-sm" data-dismiss="modal">Fermer</button>
</div>

</div>
</form>
</div>
</div>

<div id="sosucription_mib" class="modal fade" data-backdrop="static" data-keyboard="false">
<div class="modal-dialog">
<form method="post" id="panierMibForm">
@csrf
<div class="modal-content" style="border-radius: 0px;">
<div class="modal-header" >
<h4 class="modal-title">
Activation Panier MIB
</h4>
</div>
<div class="modal-body">
<div class="row">
<h2 class="col-lg-12">
Choisir une option d'abonnement
</h2>
@foreach($mib_pricings as $pricing)
<div class="col-12 col-md-6 mib_box_choice" >
<div class="card">
  <div class="card-body mib_pricing_box" data-mib="{{$pricing->name}}">
<h5 class="text-center">{{$pricing->name}}</h5>
<h6 class="text-center"><span>Utilisateur maximal</span> : <strong><span style="color: red">{{$pricing->max_user}}</span></strong></h6>
<h4 class="text-center" style="color: orange">{{$pricing->price.' '.$pricing->devise}} / an</h4>
</div>
</div>
</div>
@endforeach
<input type="hidden" id="mib_choice">
</div>

</div>

<div class="modal-footer">
<input type="button" name="action" id="abonnement_mib" data-url="{{route('admin.boutique.pricing')}}" data-slug="{{$maboutique['slug']}}" onclick="return check_error(['mib_choice'])" class="btn btn-success btn-sm" value="Activer"/>
<button type="button" class="btn btn-default btn-sm" data-dismiss="modal">Fermer</button>
</div>

</div>
</form>
</div>
</div>

@include('dashboard.paiement_box.choose')

@endsection

@section("script")
<script src="https://cdn.tiny.cloud/1/imnai4k01hp1s5jemj6974k5x25h7ncbmq8osv1jnlq0i4rs/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>
<script src="https://cdn.tiny.cloud/1/imnai4k01hp1s5jemj6974k5x25h7ncbmq8osv1jnlq0i4rs/tinymce/5/jquery.tinymce.min.js" referrerpolicy="origin"></script>
<script>
$('textarea#general_condition').tinymce({
height: 500,
menubar: false,
plugins: [
'advlist autolink lists link image charmap print preview anchor',
'searchreplace visualblocks code fullscreen',
'insertdatetime media table paste code help wordcount'
],
toolbar: 'undo redo | formatselect | bold italic backcolor | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | removeformat | help'
});
</script>
@endsection
