@php $maboutique=\Illuminate\Support\Facades\Session::get('boutique');@endphp
@extends("../dashboard._blank")
@include("../dashboard.Boutique.check_is_user_boutique")
@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>



        .list-media{
            display: inline-block;
            text-align: center;
        }
        .list-media div{
            margin-left: 3%;
        }

        .inputfile {
            width: 0.1px;
            height: 0.1px;
            opacity: 0;
            overflow: hidden;
            position: absolute;
            z-index: -1;
        }

        .inputfile + label {
            font-size: 1em;
            display: inline-block;
        }

        .inputfile:focus + label,
        .inputfile + label:hover {

        }

        .inputfile + label {
            cursor: pointer; /* "hand" cursor */
        }

        .inputfile:focus + label {
            outline: 1px dotted #000;
            outline: -webkit-focus-ring-color auto 5px;
        }

        #upload
        {

        }
        #upload:hover
        {
            color: #D40025;
            border: #D40025 2px solid;
        }


        #selectedFiles img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom:10px;
        }


        #upload2
        {

        }
        #upload2:hover
        {
            color: #D40025;
            border: #D40025 2px solid;
        }


        #selectedFiles2 img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom:10px;
        }

        .error{
            color: red;
        }
        .btn{
            border-radius: 0px;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;"> Gestionnaire de newsletters<small></small></span> </h2>
                                <div class="col-md-6 col-xs-12 text-right">
                                   </div>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                           <div class="row">
                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <a href="{{route('gerer_boutique',$maboutique['slug'])}}" class="btn btn-default" style="color: #0D3349;-webkit-border-radius: 0px;-moz-border-radius: 0px;border-radius: 0px;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                                <a href="{{route('all_abonne_by_boutique')}}" class="btn btn-default" style="color: #0D3349;-webkit-border-radius: 0px;-moz-border-radius: 0px;border-radius: 0px;">listes des abonnés</a>&nbsp;&nbsp;
                                <button  id="btn_create_newsletter" class="btn btn-default btn-sm " style="background-color: #2a3f54;border-radius: 0px;color: white;">
                                    <i class="fa fa-plus-circle"></i> Envoyer une newsletters
                                </button>
                            </div>
                           </div>
                        </div>

                    </div>

{{--create newsletters method--}}
                        <div class="col-sm-12 col-xs-12" id="create_newsletter" style="background: #fff;padding: 5%;display: none;margin-bottom: 1%;">
                            <form action="{{route('send.newsletter')}}" method="post" onsubmit="return check_error(['message','subject']);" class="row" enctype="multipart/form-data">
                                @csrf
                                <input type="hidden" name="abonnement_slug" value="{{$abonnement->slug}}">
                                <div class="form-group col-xs-12 col-sm-12 text-right">
                                    <button class="btn btn-default btn-xs"> <i class="fa fa-exclamation-circle"></i> Aide</button>
                                </div>
                                <div class="form-group col-xs-12 col-sm-12 ">
                                    <label for="subject">Sujet</label>
                                    <input type="text" class="form-control" onblur="check_error(['subject'])" required="required" data-input_name="sujet" name="subject" placeholder="Un titre pour votre newsletter">
                                </div>
                                <div class="form-group col-sm-12">&nbsp;
                                    <input type="hidden"  name="choix_diffusion" value="diffusion_boutique">
                                    <input type="hidden"     name="onlyboutique_slug" value="{{$maboutique['slug']}}">
                                </div>

                                <div class="form-group">
                                    @if(count($articles)>0)
                                        <div class="col-sm-12">Choisissez les produits concernées par la newsletter (Limiter le nombre de produits aux plus importants.) <span style='color:red'>*</span></div>
                                    @endif
                                    @foreach($articles as $article)
                                        @php  $boutique_=$article->boutique_slug;
           $helpers=new \App\Http\Controllers\HelperController();
           $prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
           $name=$helpers->get_meta_article('name',$article->slug,$boutique_);
           $price=$helpers->get_meta_article('price',$article->slug,$boutique_);
           if($price['statut']==false){
               $price['value']=$article->price;
           }


           if($name['statut']==false){
               $name=$article->name;
               }else{
               $name=$name['value'];
           }

           $stock=$helpers->get_meta_article('stock',$article->slug,$boutique_);
           if($stock['statut']==false){
               $stock=$article->quantity;
               }else{
               $stock=$stock['value'];
           }
           $image= $helpers->get_simple_image($article->slug,$boutique_);

                                        @endphp

                                        <label for="card_article{{$article->slug}}" class="col-sm-3 col-md-3 col-xs-6" style="padding: 1%;">
                                            <div  class="panel" style="border-radius: 6px;border: 1px solid #ddd">
                                                <div class="panel-heading text-right">
                                                    <input type="checkbox" id="card_article{{$article->slug}}" class="js-switch2" name="article_slug[]" value="{{$article->slug}}">
                                                </div>
                                                <div class="panel-body">
                                                    <div class="col-sm-12 text-center" style="text-align: center">
                                                        <div style="width: 100px;height: 100px;background: url('{{isset($image->filename) ? $image->filename : ''}}') center no-repeat;background-size: cover;">

                                                        </div>
                                                    </div>
                                                    <div class="text-center" title="{{$name}}">{{\Illuminate\Support\Str::limit($name,10)}}</div>
                                                    <div class="text-center" style="color: #e65c2b;">{{$prix}}</div>
                                                    <div>Stock disponible : <span style="font-weight: bold;">{{$stock}}</span></div>
                                                </div>
                                            </div>
                                        </label>
                                    @endforeach

                                </div>

                                <div class="form-group">
                                    <h6 class="col-sm-12 col-xs-12">
                                        <label for="btn_piece_joint">
                                        <input type="checkbox" name="pieces_jointes" id="btn_piece_joint" class="js-switch"> Ajouter des pièces jointes</label></h6>
                                    <div class="col-lg-4 col-xs-12" id="piece_joint" style="display: none;">
                                        <input type="file" accept="image/*"  multiple  name="images[]" id="file" class="inputfile" data-multiple-caption="{count}  fichiers choisis" />
                                        <label for="file" style="background: #060e1c;color: #fff;border: 1px double #060e1c;" class="form-control col-form-label text-center text-sm-center btn subs_btn"><i id="upload" class="fa fa-upload col-2"></i> <span id="lab" style="color: #fff;"> Ajouter une piece jointe (image document) </span></label>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-xs-12 text-center mb-2">
                                    <div  id="list_img_">

                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12 col-xs-12"  style="padding-top: 20px;">
                                        <label for="">Votre message</label>
                                        <textarea name="message" class="form-control" required="required" data-input_name="message" id="message" onblur="check_error(['message']);" style="width: 100%;" rows="10" placeholder="Ecrivez ici"></textarea>
                                    </div>
                                </div>
                                <div class="form-group text-right col-xs-12" style="margin-top: 20px;">
                                    <input type="submit" name="action" id="send_newsletters_" class="btn btn-info" style="background-color: #2a3f54;border-radius: 0px;color: white;" value="envoyer la newsletter"/>
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                                </div>
                            </form>

                        </div>

                    <div class="row">
                        @if(count($newsletters_makes)>0)
                        @foreach($newsletters_makes as $news)
                        <div class="col-xs-12 col-md-4">
                            <div class="panel" style="border: 1px solid #ddd">
                                <div class="panel-heading" style="background: #eaeaea;">
                                   <span style="font-weight: bold">Sujet:</span> {{$news->subject}}
                                    <br>
                                    <span>Envoyé le: {{$news->created_at->format('d/m/yy H:i')}}</span>
                                </div>
                                <div class="panel-body">

                                    <div>
                                       <span style="font-weight: bold">Message</span><br>
                                        {{\Illuminate\Support\Str::limit($news->message,100)}} <a data-message="{{$news->message}}" class="message_display btn btn-default btn-xs"  title="{{$news->message}}" style="color: #1d2124">Lire tous</a></div>
                                    <br>

                                    @if(isset($news->newsletter_boutique))
                                        <div style="border: 1px solid #ddd; padding: 8px;">
                                            <span style="font-weight: bold;">Boutique cible:</span> <br>
                                        @foreach($news->newsletter_boutique as $news_boutique)
                                            @php $boutique = $news_boutique->boutique; @endphp
                                            <span class="badge">     {{$boutique->nom_boutique}} </span>
                                        @endforeach
                                        </div>
                                    @endif
                                    <br>

                                    @if(isset($news->newsletter_article) && count($news->newsletter_article)>0)
                                    <div style="border: 1px solid #ddd; padding: 8px;">
                                        <span style="font-weight: bold;">Article cible:</span>
                                    @foreach($news->newsletter_article as $ews_article)
                                            @php $article= $ews_article->article; $boutique_=$boutique->slug;
           $helpers=new \App\Http\Controllers\HelperController();
           $name=$helpers->get_meta_article('name',$article->article_slug,$boutique_);
           if($name['statut']==false){
               $name=$article->name;
               }else{
               $name=$name['value'];
           }
                                           @endphp

                                            <span class="badge" style="background: #8bbbc0;">{{$name}} </span>
                                            <br>
                                        @endforeach
                                    </div>
                                    @endif

                                </div>
                                <div class="panel-footer">
                                    @php $i=0; @endphp
                                    @if(isset($news->newsletter_piece) && count($news->newsletter_piece)>0)
                                        @foreach($news->newsletter_piece as $piece)
                                            @php $i++; @endphp
                                            <a class="btn btn-success btn-xs" href="{{$piece->file_url}}">piece jointe {{$i}}</a>&nbsp;
                                        @endforeach
                                            @endif
                                    <div class="form-group">
                                        <span style="font-weight: bold;" class="badge">Diffusion
                                                Boutique :
                                        </span>
                                        <span style="font-weight: bold;background: #0c5460" class="badge">Utilisateurs atteints: <span class="pulse">{{$news->number_user}}</span></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                            @endforeach
@else
                            <div class="col-sm-12 text-center" style="padding: 10%">
                                Aucune newsletter disponible
                            </div>
                            @endif
                    </div>

                </div>
            </div>
        </div>
    </div>


    <div id="MessageDisplayModal" class="modal fade">
        <div class="modal-dialog">
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fas fa-envelope-open"></i> Message envoyé </h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group col-sm-12 col-xs-12" style="margin-bottom: 2%;">
                            <textarea disabled id="messsage_display_area" style="width: 100%" rows="5" class="form-control"></textarea>
                        </div>

                    <div class="form-group col-sm-12 col-xs-12 text-right">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                    </div>
                </div>
        </div>
        </div>
        </div>



    <!-- /page content -->
@endsection
