

<!DOCTYPE HTML>
<html>

<head>
	<meta property="og:type" content="website"/>
	<meta property="og:image"  content="{{asset('images/favicon-32x32.png')}}">
	<meta property="og:url" content="{{url('/')}}">
	<meta property="og:site" content="{{url('/')}}"/>
	<meta property="og:site_name" content="SUNGROCERY">
	<meta property="og:description" content="{{Illuminate\Support\Str::limit("Vente et achat, de tout produits agricoles. SUNGROCERY se place en avant pour vous offrir une expérience inédit en matière de gestion de votre commerce en ligne. Visitez des milliers de boutiques en ligne dédiées à la vente de produits agricoles."),165}}" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="description" content="Vente et achat, de tout produits agricoles. SUNGROCERY se place en avant pour vous offrir une expérience inédit en matière de gestion de votre commerce en ligne. Visitez des milliers de boutiques en ligne dédiées à la vente de produits agricoles.">
	<meta name="keywords" content="Epicerie,vert,Boutique,Achat,Vente,Acheter,Vendre,grocery,achat en ligne,vente en ligne,acheter en ligne, vendre en ligne,livraison,benin">
	<meta name="author" content="suntech">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="icon" type="image/png" href="{{asset('images/favicon.ico')}}"/>
	<link rel="apple-touch-icon" sizes="180x180" href="{{asset('images/apple-touch-icon.png')}}">
	<link rel="icon" type="image/png" sizes="32x32" href="{{asset('images/favicon-32x32.png')}}">
	<link rel="icon" type="image/png" sizes="16x16" href="{{asset('images/favicon-16x16.png')}}">
	<link rel="manifest" href="{{asset('images/site.webmanifest')}}">
	<meta name="csrf-token" content="{{ csrf_token() }}">
	<title>SUNGOCERY RECUPERATION MOT DE PASSE</title>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
	<link href="{{asset('vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">
	<link href="{{asset('vendors/switchery/dist/switchery.min.css')}}" rel="stylesheet">
	<link rel="stylesheet" href="{{asset('zebra_css/zebra_dialog.css')}}" />
	<!--fonts-->
	<link href="//fonts.googleapis.com/css?family=Poiret+One&amp;subset=cyrillic,latin-ext" rel="stylesheet">

	<!-- Meta-Tags -->
	<script async src="https://www.googletagmanager.com/gtag/js?id=UA-168061172-1"></script>
	<script>
		window.dataLayer = window.dataLayer || [];
		function gtag(){dataLayer.push(arguments);}
		gtag('js', new Date());

		gtag('config', 'G-NMT1DCDEVS');
	</script>

	<script>
		addEventListener("load", function () {
			setTimeout(hideURLbar, 0);
		}, false);

		function hideURLbar() {
			window.scrollTo(0, 1);
		}
	</script>

	<script>
        addEventListener("load", function () {
            setTimeout(hideURLbar, 0);
        }, false);

        function hideURLbar() {
            window.scrollTo(0, 1);
        }
	</script>
	<!-- Stylesheets -->
	<!--//fonts-->
	<style>
		.vertical-center {
			min-height: 100%; /* Fallback for browsers do NOT support vh unit */
			min-height: 100vh; /* These two lines are counted as one :-)       */
			display: flex;
			align-items: center;
		}

		a{
			color: #88b121;
			text-decoration: none;
		}
		a:hover{
			color: #00836a;
			text-decoration: none;
		}
		.btn-primary{
			background: #88b121;
			color: #ffffff;
			border: none;
		}
		.btn-primary:hover{
			background: #00836a;
			color: #ffffff;
		}
		.form-control{
				border-radius: 0px;
		}
		.btn{
			border-radius: 0px;
		}
		@media(min-width: 769px) {
.row{
	width: 100%;
}		}


	</style>
	@include('facebook-pixel::head')
</head>
<body>
@include('facebook-pixel::body')

<div class="col-xs-12 col-lg-12 vertical-center" style="background: url('{{asset('images/h2.jpg')}}') center no-repeat;background-size: cover;">
		<!-- form starts here -->
		<div class="row">
			<div class="col-md-3 col-xs-12"></div>
			<form class="col-md-6 col-xs-12" style="" action="{{route('reset.pass')}}" method="post" id="login_form">
				<div class="row">
					<div class="col-sm-1 col-xs-12"></div>
					<div class="col-sm-10 col-xs-12" style="background: #fff;padding: 5%;border-left: 5px solid #88b121;padding-top: 50px;">
					<div class=" col-sm-12 text-center" style="margin-bottom: 30px;">
                        <a href="{{url('/')}}"> <img src="{{asset('images/logo.png')}}" alt="" width="300px"></a>
                    </div>
		@csrf
		<div class="form-group">
			<label> Pseudo ou Email</label>
			<input type="text" name="email" class="form-control" placeholder="Email ou nom d'utilisateur" id="username" onblur="check_error(['username'])" data-input_name="email ou nom d'utilisateur" required="required" />
			<span id="errorusername"  style="color: red;"></span>
		</div>

						<div class="form-group">
		<input type="submit" id="fpassword" class="btn btn-primary btn-xs" value="M'ENVOYER UN EMAIL">
						</div>
						<p class="form-group" style="padding-top: 10px;">
							<a href="{{route('login')}}" style="text-decoration: underline">Se connecter</a>
						</p>
				</div>
				</div>
	</form>
</div>
</div>



<script src="{{asset('vendors/jquery/dist/jquery.min.js')}}"></script>

<script src="{{asset('plugin/notify.js')}}"></script>

<script src="{{asset('vendors/switchery/dist/switchery.js')}}"></script>
<script src="{{asset('js/zebra_dialog.src.js')}}"></script>

<script>

	$(document).ready(function(){
        var elem = document.querySelector('.js-switch');
        var init = new Switchery(elem,{color:'#88b121',size: 'small'});
	})

    $(document).on('click','#connection',function(e){
		e.preventDefault();
		let reponse=check_error(['myInput','username']);
		if(reponse){
		   $('#login_form').submit();
		}
    })

    function check_error($table){
        let $reponse=true;
        for(let i=0;i<$table.length;i++){
            let $btn=$('#'+$table[i]);
            let $btnerror=$('#error'+$table[i]);
            let $name=$btn.attr('type');
            let $requis=$btn.attr('required');
            let $inputname=$btn.data('input_name');
            let $val=$btn.val();
            if($val==null || $val==""){
                if($requis) {
                    $btnerror.html('La valeur du champs ' + $inputname + ' est requise');
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La valeur du champs ' + $inputname + ' est requise','error');
                    break;
                }
            }else
            if($name=='number'){
                let $min=$btn.attr('min');
                let $minlenght=$btn.attr('minlength');
                if(parseInt($val)<parseInt($min)){
                    $btnerror.html('La valeur du champs ' + $inputname + ' doit être supérieur à '+$min);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La valeur du champs ' + $inputname + ' doit être supérieur à '+$min,'error');
                    break;
                }else if($val.length<$minlenght){
                    $btnerror.html('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    break;
                }
            }
            else if($name=='email'){
                if(!isValidEmailAddress($val)){
                    $btnerror.html('L\'adresse mail saisis est incorrecte.');
                    $btn.css('border','1px solid red');
                    $.notify('L\'adresse mail saisis est incorrecte','error');
                    $reponse = false;
                    break;
                }
            }else if($name=='password'){
                let $minlenght=6;
                if($val.length<$minlenght){
                    $btnerror.html('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght,'error');

                    break;
                }
            }

            if($reponse){
                $btnerror.html(' ');
                $btn.css('border','');
                // $btnvalid.html('La valeur du champ ' + $inputname + ' est valide');
            }

        }
        return $reponse;
    }
    function isValidEmailAddress(emailAddress) {
        var pattern = /^([a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+(\.[a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+)*|"((([ \t]*\r\n)?[ \t]+)?([\x01-\x08\x0b\x0c\x0e-\x1f\x7f\x21\x23-\x5b\x5d-\x7e\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|\\[\x01-\x09\x0b\x0c\x0d-\x7f\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))*(([ \t]*\r\n)?[ \t]+)?")@(([a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.)+([a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.?$/i;
        return pattern.test(emailAddress);
    }
</script>

@if ($errors->any())

	<script>
	$.Zebra_Dialog('@foreach ($errors->all() as $error)<li>{{ $error }}</li>@endforeach',{
	'type': 'error',
	'title': 'Des errreurs se sont produites.'
	});
	</script>

@endif
@if(session("success"))

	<script>
        $.Zebra_Dialog('{{session('success')}}',{
            'type': 'information',
            'title': 'Connexion réussie'
        });
	</script>

@elseif(session("error"))

	<script>
        $.Zebra_Dialog('{{session('error')}}',{
            'type': 'error',
            'title': 'Une errreur s\'est produite.'
        });
	</script>


@endif

</body>
</html>
