<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>projet</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <style>
        h4{
            font-size: 14px;
        }
   h6{
            font-size: 12px;
        }
    </style>
</head>

<body>
    @if(isset($project))
   <div  style="width: 100%;">
        <div  style="width: 100%;margin-top: 1%;">
            <div  style="width: 50%;display: inline-block">
                {{-- <img src="{{$clients[0]->boutique->meta->logo_boutique}}" alt="{{$clients[0]->boutique->nom_boutique}}" style="width: 100px!important;"> --}}
                <h4>SUNGROCERY</h4>
                <h6>Email : <strong>contact@sungrocery.biz</strong></h6>
                <h6>Telephone : <strong>+229 67 72 32 43</strong></h6>
                <h6>Adresse : <strong>Abomey-Calavi - Bidodessi</strong></h6>
            </div>
        
    </div>
    <div style="width: 100%;margin-bottom: 2%;margin-top: 2%;">
        <h3>RAPPORT DES INVESTISSEMENT SUR LE PROJET {{ $project->titre }} en date de {{ date('d-m-Y') }}</h2>
    </div>
    @if(isset($project))
    <table class=" table table-bordered" style="width: 100%;font-size:6px!important;">
        <thead>
        <tr>
            <th>Investisseur</th>
            <th>Status de paiement</th>
            <th>Status de remboursement</th>
           
            <th>Nombre d'action</th>
            <th>Capital Total A Payer</th>
            <th>Capital Total Payer</th>
            <th>Capital Total Restant à payer</th>
            <th>Type Paiement</th>
            <th>% Gain</th>
            <th>Total Gain</th>
            <th>RSI</th>
            <th>Investis le </th>
        </tr>
        </thead>
        <tbody>
        @php $i=1; @endphp
        @foreach($project->contributions as $contribution)
            @php
                $payments = $contribution->payment_logs;
                $payment_sum=0;
                $month_sum=0;
                if(isset($payments) && count(payments) > 0){
                    foreach($payments as $payment){
                        $payment_sum += $payment->montant;
                        $month_sum += $payment->number_month_paid;
                    }
                }
            @endphp
            <tr>
                <td class="user_data" data-user="{{json_encode($contribution->user) }}">{{$contribution->user->first_name}} {{$contribution->user->last_name}} </td>
                <td>
                    @if (!$contribution->investissement_payment_status)
                        <span class="badge badge-warning">paiement en cours</span>
                    @else
                        <span class="badge badge-success">paiement finalisé</span>
                    @endif
                </td>
                <td>
                    <a href="javascript:void(0)">
                        @switch($contribution->statut)
                            @case("investir")
                            <span class="badge"
                                  style="background-color: orange">En attente</span>
                            @break
                            @case("gain_envoyer")
                            <span class="badge"
                                  style="background-color: #4ddb17">Terminé</span>
                            @break

                        @endswitch
                    </a>
                </td>
               
                <td>{{ $contribution->part }}</td>
                <td>
                    <span style="font-weight: bold">{{$contribution->part*$project->action_prix}} XOF</span> 
                    @if($project->obligation_mensuel==='mensuel') 
                        <br> 
                        <span class="badge badge-info">sur {{ $project->nbre_obligation_mensuelle_paiement }} mois</span>
                    @endif
                </td>
                <td>
                    <span style="font-weight: bold">{{$contribution->montant}} XOF</span> 
                    @if($project->obligation_mensuel==='mensuel')<br> 
                   
                        <span class="badge badge-success">
                            sur {{!$contribution->investissement_payment_status ? $contribution->number_month_paid : $project->nbre_obligation_mensuelle_paiement }} mois
                        </span>
                   

                    @endif 
                </td>
                <td>
                    @if ($contribution->investissement_payment_status)
                    <span class="badge badge-success">0</span>
                    @else
                        <span style="font-weight: bold">{{($contribution->part*$project->action_prix) - ($contribution->montant)}} XOF</span>
                        @if($project->obligation_mensuel==='mensuel')<br> 
                            <span class="badge badge-warning">
                           sur {{ $project->nbre_obligation_mensuelle_paiement - $contribution->number_month_paid }} mois
                            </span> 
                        @endif
                    @endif
                </td>
                <td>{{ $contribution->type_payment }} <br>
                  
                </td>
                <td>{{ $project->pourcentage_gain }} %</td>
                <td>
                    {{ 
                        (intVal((($project->action_prix * $contribution->part)*($project->pourcentage_gain/100)) * $project->date_gain ))    
                    }} XOF
                </td>
                <td><span style="color: darkred; font-weight: bold">
                    {{
                        (intVal($project->action_prix * $contribution->part)+intVal((($project->action_prix * $contribution->part)*($project->pourcentage_gain/100)) * $project->date_gain ))
                    }}
                    XOF</span>
                </td>
                
                <td>{{date("d-m-Y h:i:s",strtotime($contribution->created_at))}}</td>
            </tr>
            @php $i++; @endphp
        @endforeach
        </tbody>
    </table>
    @endif

    <div style="width: 100%;margin-bottom: 2%;margin-top: 2%; color:#000;">
        <div class="">
            <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="">
                    <h5>Nombre de part total disponible :</h5>
                    {{$project->nbre_part}}
                </div>
            </a>
             <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="">
                    <h5>Nombre de part maximal par investisseur :</h5>
                    {{$project->action_nbre_limit}} 
                </div>
            </a>
             <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="">
                    <h5>Prix d'une part :</h5>
                    {{$project->action_prix}} XOF
                </div>
            </a>
             <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="">
                    <h5>Nombre d'obligation maximal en paiement mensuel :</h5>
                    {{$project->nbre_obligation_mensuelle_paiement}}
                </div>
            </a>
            <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="">
                    <h5>Montant de l'obligation mensuel :</h5>
                    {{$project->montant_fixe_obligation_mensuelle}}
                </div>
            </a>
            <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1  text-left" style="">
                    <h5>Nombre D'investisseurs :</h5>
                    {{count($project->contributions)}}
                </div>
            </a>
            <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="">
                    <h5>Montant Total des investissement receuillis :</h5>
                    {{$project->total_contribution}} XOF
                </div>
            </a>
          
           <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1  text-left" style="">
                    <h5>Total RSI à Remboursé :</h5>
                    {{$project->total_rsi}} XOF
                </div>
            </a>
            <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1  text-left" style="">
                    <h5>Total Gain à Remboursé :</h5>
                    {{$project->total_gain}} XOF
                </div>
            </a>
            <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left">
                    <h5>Date Début Remboursement Des Gains :</h5>
                    {{$project->start_remboursment}}
                </div>
            </a>  
            <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left">
                    <h5>Date de Remboursement Du Capital :</h5>
                    {{$project->retour_capital}} 
                </div>
            </a>

            <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left">
                    <h5>Total déjà Remboursé :</h5>
                    {{$project->total_remboursement}} XOF
                </div>
            </a>

            <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left">
                    <h5>Reste à Remboursé :</h5>
                    {{$project->total_rsi - $project->total_remboursement}} XOF
                </div>
            </a>
            <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left">
                    <h5>Date de fin d'investissement :</h5>
                    {{$project->date_fin_participation}}
                </div>
            </a>

        </div>
    </div>

  </div>
  @endif
</body>

</html>