<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>projet</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <style>
        h4{
            font-size: 14px;
        }
   h6{
            font-size: 12px;
        }
    </style>
</head>

<body>
    @if(isset($project))
   <div  style="width: 100%;">
        <div  style="width: 100%;margin-top: 1%;">
            <div  style="width: 50%;display: inline-block">
                {{-- <img src="{{$clients[0]->boutique->meta->logo_boutique}}" alt="{{$clients[0]->boutique->nom_boutique}}" style="width: 100px!important;"> --}}
                <h4>SUNGROCERY</h4>
                <h6>Email : <strong>contact@sungrocery.biz</strong></h6>
                <h6>Telephone : <strong>+229 67 72 32 43</strong></h6>
                <h6>Adresse : <strong>Abomey-Calavi - Bidodessi</strong></h6>
            </div>
        
    </div>
    <div style="width: 100%;margin-bottom: 2%;margin-top: 2%;">
        <h3 class="text-uppercase">RAPPORT DES PAIEMENTS DES FRAIS D'INVESTISSEMENT DU CLIENT {{$contribution->user->first_name}} {{$contribution->user->last_name}} SUR LE PROJET {{ $project->titre }} en date de {{ date('d-m-Y') }}</h2>
    </div>
    @if(isset($project))
    <table class=" table table-bordered" style="width: 100%;">
        <thead>
            <tr>
                <th>Référence</th>
                <th>montant</th>
                <th>Nombre de mois</th>
                <th>Payé le </th>
            </tr>
            </thead>
            <tbody>
            @foreach($payments as $payment)
                <tr>
                    <td>
                       {{ $payment->reference }}
                    </td>
                   <td>{{ $payment->montant }} XOF</td>
                   <td>{{ $payment->number_month_paid }}</td>
                   <td> {{date("d-m-Y h:i:s",strtotime($payment->created_at))}} </td>
                </tr>
            @endforeach
            </tbody>
    </table>
    @endif

    <div style="width: 100%;margin-bottom: 2%;margin-top: 2%; color:#000;">
        <div class="">
           <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="">
                    <h5>Nombre total de part :</h5>
                    {{$contribution->part}} 
                </div>
            </a>
             <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="">
                    <h5>Prix d'une part :</h5>
                    {{$project->action_prix}} XOF
                </div>
            </a>
              <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="">
                    <h5>Montant total à Investir :</h5>
                    {{intVal($project->action_prix)*intVal($contribution->part)}} XOF
                </div>
            </a>
             <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="">
                    <h5>Gain :</h5>
                    {{$project->pourcentage_gain}} %
                </div>
            </a>
             <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="">
                    <h5>Total Gain par année:</h5>
                    {{
                        (intVal((($project->action_prix * $contribution->part)*($project->pourcentage_gain/100))))
                    }} XOF
                </div>
            </a>
                <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="">
                    <h5>Total Gain sur {{ $project->date_gain }} {{ $project->frequence_paiement }} :</h5>
                    {{
                        (intVal((($project->action_prix * $contribution->part)*($project->pourcentage_gain/100)) * $project->date_gain ))
                    }} XOF
                </div>
            </a>
               <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left">
                    <h5>Total Retour sur Investissement :</h5>
                    {{ 
                        (intVal($project->action_prix)*intVal($contribution->part)) + (intVal((($project->action_prix * $contribution->part)*($project->pourcentage_gain/100)) * $project->date_gain ))
                    }} XOF
                </div>
            </a>
            <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1 text-left" style="background:antiquewhite" style="padding:10px">
                    <h5>Montant Total Payé :</h5>
                    {{$total_payments}} XOF
                </div>
            </a>
            <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1  text-left" style="background:antiquewhite" style="padding:10px">
                    <h5>Total Restant A Payé :</h5>
                    {{ 
                        (intVal($project->action_prix)*intVal($contribution->part)) - $total_payments
                    }} XOF
                </div>
            </a>
           <a href="javascript:void(0)" style="color:#000;">
                <div class="panel card-1  text-left" style="background:antiquewhite" style="padding:10px">
                    <h5>Status de l'investissement :</h5>
                @if($contribution->investissement_payment_status) <span class="badge bagde-success">complèté</span>  @endif  
                @if(!$contribution->investissement_payment_status) <span class="badge bagde-warning">en cours</span>  @endif   
                </div>
            </a>

        </div>
    </div>

  </div>
  @endif
</body>

</html>