<div id="associateModal" class="modal fade" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered modal-md">
        <div class="modal-content" style="border-radius: 10px;">
            <div class="modal-header">
                <h3>Définissez les conditions de gestion</h3>
            </div>
            <div class="modal-body">
                <form action="{{route('sunmarketer_associate')}}" method="post" class="row" id="form_associate_sunmarketer">
                    @csrf
                  <div class="col-lg-12 col-xs-12">
                      <div class="form-group">
                          <label for="shop">Choisissez une boutique</label>
                          <select name="shop_slug" id="shop" class="choosen">
                              @foreach($boutiques as $shop)
                              <option value="{{$shop->slug}}">{{strtoupper(str_replace('_',' ',$shop->nom_boutique))}}</option>
                                  @endforeach
                          </select>
                      </div>

                         <div class="form-group">
                          <label for="shop">Remuneration</label>
                             <select name="remuneration" id="remuneration" class="form-control">
                                 <option value="pourcentage_vente" >pourcentage par vente</option>
                                 <option value="salaire_mensuel">salaire mensuel</option>
                                 <option value="salaire_annuel">salaire annuel</option>
                                 <option value="salaire_hebdomadaire">salaire hebdomadaire</option>
                                 <option value="salaire_journalier">salaire journalier</option>
                             </select>
                      </div>

                      <div class="form-group">
                          <label for="montant">Montant ou pourcentage</label>
                          <input type="number" class="form-control" name="solde">
                      </div>


                       <div class="form-group">
                          <label for="montant">Objectifs vente mensuel</label>
                          <input type="number" class="form-control" name="solde_objectif_vente">
                      </div>

                      <div class="form-group">
                          <label for="devise">Devise</label>
                          <select name="devise" id="devise" class="form-control">
                              <option value="XOF">XOF</option>
                              <option value="USD" >USD</option>
                              <option value="EUR">EUR</option>
                          </select>
                      </div>
                          <input type="hidden" id="marketer_slug" name="marketer_slug">
                          <div class="form-group">
                              <button class="btn btn-success" type="button" id="setSunmarketer">Définir comme gestionnaire</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                          </div>

                  </div>
                </form>
            </div>

        </div>
    </div>
</div>
