
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    @php
        $get_user_data=$user;
        $meta_model=new \App\Users_meta();
        $picture=$meta_model->get_user_field($get_user_data['id'],'profil_picture');
   // dd($picture);
         if(!isset($picture)){
                $picture="logo_mini.jpg";
         }
         $photo='/Profil_picture/'.$picture;
         $nom=$get_user_data['last_name'];
         $prenom=$get_user_data['first_name'];
         $sexe=$get_user_data['sexe'];
         $date_naissance='';
         $lieu_naissance='';
         $nationnalite=$get_user_data['country'];
         $city='';
         $region='';
         $cni_doc_recto='';
         $cni_doc_verso='';
         $cni='';
         $numero_tel=$get_user_data['telephone'];
         $numero_whatsapp=$get_user_data['telephone'];
         $email=$get_user_data['email'];
         $facebook='';
         $twitter='';
         $linkedin='';
         $lieu_residence='';
         $diplome_elever='';
         $diplome_elever_doc='';
         $formation='';
         $ancien_profession='';
         $information_supplementaire='';
         $remuneration='';
         $devise='';
         $remuneration_negociable='';
         $motivation='';
         $montant=0;
    if($marketers!=null){
 $photo=$marketers->photo==null ? '/Profil_picture/'.$picture : '/Profil_marketer/'.$marketers->photo;
         $nom=$marketers->nom;
         $prenom=$marketers->prenom;
         $sexe=$marketers->sexe;
         $date_naissance=$marketers->date_naissance;
         $lieu_naissance=$marketers->lieu_naissance;
         $nationnalite=$marketers->nationnalite!=null ? $get_user_data['country'] : $marketers->nationnalite ;
         $city=$marketers->ville;
         $region=$marketers->region;
         $cni_doc_recto=$marketers->cni_doc_recto;
         $cni_doc_verso=$marketers->cni_doc_verso;
         $cni=$marketers->cni;
         $numero_tel=$marketers->numero_tel==null ? $get_user_data['telephone'] : $marketers->numero_tel;
         $numero_whatsapp=$marketers->numero_whatsapp==null ? $get_user_data['telephone'] : $marketers->numero_whatsapp;
         $email=$marketers->email!=null  ? $marketers->email : $get_user_data['email'] ;
         $facebook=$marketers->facebook;
         $twitter=$marketers->twitter;
         $linkedin=$marketers->linkedin;
         $lieu_residence=$marketers->lieu_residence;
         $diplome_elever=$marketers->diplome_elever;
         $diplome_elever_doc=$marketers->diplome_elever_doc;
         $formation=$marketers->formation;
         $ancien_profession=$marketers->ancien_profession;
         $information_supplementaire=$marketers->information_supplementaire;
         $remuneration=$marketers->remuneration;
         $devise=$marketers->devise;
         $remuneration_negociable=$marketers->remuneration_negociable;
         $motivation=$marketers->motivation;
         $montant=$marketers->montant!=null ? $marketers->montant : 0 ;

    }
    @endphp

    <style>
        @media (min-width: 768px){
            .form-horizontal .control-label{
                text-align: left;
            }
        }
    </style>
    <div class="right_col" role="main">

        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel text-uppercase" style="border: 1px solid #ddd;box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);">
                    <div class="x_title" style="padding-left: 20px;">
                        <h5 >MISE à jour de votre profil marketer </h5>
                        <small>Validez votre profil en 5 étapes</small> <br>
                        <small>Veuillez fournir toutes les informations nécessaires et crédibles pour attirer les employeurs.</small>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        @if(session("success"))

                            <div class="alert alert-success">
                                {{session('success')}}
                            </div>

                        @endif
                        @if(session("error"))

                            <div class="alert alert-danger">
                                {{session('error')}}
                            </div>

                        @endif
                        <br/>
                        <form action="{{route('createProfilSunmarketers')}}" id="post_marketer_data" method="post"  class="form-horizontal form-label-left" enctype="multipart/form-data">
                            @csrf
                            <input type="hidden" name="user_id" value="@php echo $get_user_data['id']; @endphp">
                            <fieldset id="etape1">
                                <div class="col-md-12 col-xs-12">
                                <h2 class="col-xs-12 col-md-12">
                                    <span style="padding: 10px 18px; border-radius: 100%;background:  #0bb59d;color: #f8f8f8;font-weight: bold;line-height: 40px;text-align: center">1</span>
                                    Informations personnelles</h2>
                                </div>
                                    <div class="col-ting col-12" style="">
                                <div class="control-group file-upload" id="file-upload1">
                                    <div class="image-box text-center" style="background: url('{{asset(''.$photo)}}');background-size: contain; background-repeat: no-repeat;background-position: center"><p style="color: #0D3349;font-weight: bold;">Ajouter une photo de profil<br><i class="fa fa-camera"></i></p><img src="" alt=""></div>
                                    <div class="controls"><input type="file" name="photo"/></div>
                                </div>
                            </div>
                            <div>
                                <div class="form-group col-lg-4 col-sm-12">
                                    <label class="control-label col-md-12 col-sm-12 col-xs-12 text-left" for="prenom">Prénom  <span class="required" style="color: red;">*</span>
                                    </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input type="text" id="prenom" name="prenom" data-input_name="prenom" onblur="check_error(['prenom'])" placeholder="Votre prenom" required="required" value="{{$prenom}}" class="form-control col-md-7 col-xs-12">
                                    </div>
                                </div>
                                <div class="form-group col-sm-12 col-lg-4">
                                    <label class="control-label col-md-12  text-left" for="nom" >Nom <span class="required" style="color: red;">*</span>
                                    </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input type="text" id="nom" name="nom" data-input_name="nom" onblur="check_error(['nom'])" placeholder="Votre nom" required="required" value="{{$nom}}" class="form-control col-md-7 col-xs-12">
                                    </div>
                                </div>
                                <div class="form-group col-sm-12 col-lg-4">
                                    <label for="sexe" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Sexe </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <select name="sexe" class="form-control" id="sexe">
                                            <option value="Homme" @if($sexe=='Homme') selected @endif>Homme</option>
                                            <option value="Femme" @if($sexe=='Femme') selected @endif>Femme</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group col-sm-12 col-lg-6 col-md-6">
                                    <label for="date_naissance" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Date de naissance </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="date_naissance" class="form-control" type="date" name="date_naissance" value="{{$date_naissance}}">
                                    </div>
                                </div>
                                 <div class="form-group col-sm-12 col-lg-6 col-md-6">
                                    <label for="lieu_naissance" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Lieu de naissance </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="lieu_naissance" class="form-control" type="text" name="lieu_naissance" value="{{$lieu_naissance}}">
                                    </div>
                                </div>

                                <div class="col-md-12 col-12">
                                    <div class="row">
                                    <div class="form-group col-xs-12 col-sm-12 col-md-4 col-lg-4">
                                        <label for="pays">Votre pays <span style='color:red'>*</span></label></label>
                                        <select  name="nationnalite" data-placeholder="Choisissez le pays" class="form-control pays choosen" @if($get_user_data['country']!=null) data-country="{{$get_user_data['country']}}" @endif>
                                            @foreach ($pays as $country)
                                                <option value="{{$country->id}}" @if($get_user_data['country']!=null && $get_user_data['country']==$country->name) selected @endif>{{$country->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="form-group regions-container col-sm-12 col-md-4 col-lg-4">
                                        <div style="text-align: center;display: none" class="regions-loader text-center">
                                            <img style="width: 50px;" src="{{asset('images/loader2.gif')}}">
                                            <br> chargement régions
                                        </div>
                                    </div>
                                    <div class="form-group villes-container col-sm-12 col-md-4 col-lg-4">
                                        <div  style="text-align: center;display: none" class="villes-loader text-center">
                                            <img style="width: 50px;" src="{{asset('images/loader2.gif')}}">
                                            <br> chargement des villes
                                        </div>
                                    </div>
                                    </div>
                                </div>

                                        <div class="form-group col-sm-4">
                                            <label for="cni" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Numéro CNI /PASSPORT </label>
                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                <input id="cni" class="form-control" type="text" name="cni" value="{{$cni}}">
                                            </div>
                                        </div>

                                        <div class="form-group col-sm-4">
                                            <label for="cnir" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Photo de votre carte d'identité / passport (recto) </label>
                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                <input id="cnir" class="form-control" type="file" name="cni_doc_recto" value="{{$cni_doc_recto}}">
                                            </div>
                                        </div>
                                        <div class="form-group col-sm-4">
                                            <label for="cniv" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Photo de votre carte d'identité / passport (verso) </label>
                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                <input id="cniv" class="form-control"    type="file" name="cni_doc_verso" value="{{$cni_doc_verso}}">
                                            </div>
                                        </div>

                                <div class="form-group col-sm-12">
                                    <div class="col-md-12 col-sm-12 col-xs-12 " style="padding-top: 10px;">
                                        <button type="button" class="btn btn-success" id="suivant1"  style="border-radius: 0px;">Suivant</button>
                                    </div>
                                </div>
                            </div>
                            </fieldset>

{{--                            //etape 2--}}

                            <fieldset id="etape2" style="display: none">
                                <div class="col-md-12 col-xs-12">
                                <h2 class="col-xs-12 col-md-12 pb-5">
                                    <span style="padding: 10px 15px; border-radius: 100%;background:  #0bb59d;color: #f8f8f8;font-weight: bold;line-height: 40px;text-align: center">2</span>
                                    Informations de localisation</h2>
                                </div>
                                    <div class="form-group col-sm-12 col-md-6 col-lg-4 pt-4">
                                    <label for="tel" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Numéro de téléphone </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="tel" class="form-control myphone" data-full="numero_tel" type="text" name="telephone" value="{{$numero_tel}}">
                                        <span id="#error-msg-general"></span>
                                        <input type="hidden" name="numero_tel" id="numero_tel" value="{{$numero_tel}}">
                                    </div>
                                </div>

                                <div class="form-group col-sm-12 col-md-6 col-lg-4">
                                    <label for="whatsapp" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Numéro whatsapp </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="phone" data-full="numero_whatsapp" class="form-control myphone" type="text"  value="{{$numero_whatsapp}}">
                                        <span id="#error-msg"></span>
                                        <input type="hidden" name="numero_whatsapp" id="numero_whatsapp" value="{{$numero_whatsapp}}">
                                    </div>
                                </div>

                                <div class="form-group col-sm-12 col-lg-4 col-md-4">
                                    <label for="email" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Email </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="email" class="form-control" type="text" name="email" value="{{$email}}">
                                    </div>
                                </div>

                                <div class="form-group col-sm-12 col-lg-4 col-md-4">
                                    <label for="facebook" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Lien Facebook </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="facebook" class="form-control" type="text" name="facebook" value="{{$facebook}}">
                                    </div>
                                </div>

                                <div class="form-group col-sm-12 col-lg-4 col-md-4">
                                    <label for="twitter" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Lien Twitter </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="twitter" class="form-control" type="text" name="twitter" value="twitter">
                                    </div>
                                </div>

                               <div class="form-group col-sm-12 col-lg-4 col-md-4">
                                    <label for="linkedin" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Lien Linkedin </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="linkedin" class="form-control" type="text" name="linkedin" value="linkedin">
                                    </div>
                                </div>

                                <div class="form-group col-sm-12 col-lg-12 col-md-12">
                                    <label for="lieu_residence" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Adresse de résidence </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="lieu_residence" class="form-control" type="text" name="lieu_residence" value="{{$lieu_residence}}">
                                    </div>
                                </div>

                                <div class="form-group col-sm-12">
                                    <div class="col-md-12 col-sm-12 col-xs-12 " style="padding-top: 10px;">
                                        <button type="button" class="btn btn-default" id="retour2" style="border-radius: 0px;">Retour</button>
                                        <button type="button" class="btn btn-success" id="suivant2" style="border-radius: 0px;">Suivant</button>
                                    </div>
                                </div>
                            </fieldset>


                            <fieldset id="etape3" style="display: none">
                                <div class="col-md-12 col-xs-12">
                                <h2 class="col-xs-12 col-md-12 pb-5">
                                    <span style="padding: 10px 15px; border-radius: 100%;background:  #0bb59d;color: #f8f8f8;font-weight: bold;line-height: 40px;text-align: center">3</span>
                                    Parcours professionelle
                                </h2>
                                </div>
                                <div class="form-group col-sm-12 col-lg-4 col-md-4">
                                    <label for="diplome_elever" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Votre niveau d'étude </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <select name="diplome_elever" id="diplome_elever" class="form-control">
                                            <option value="bepc" @if($diplome_elever=='bepc') selected @endif>BEPC</option>
                                            <option value="cap" @if($diplome_elever=='cap') selected @endif>CAP</option>
                                            <option value="bac" @if($diplome_elever=='bac') selected @endif>Bac</option>
                                            <option value="licence" @if($diplome_elever=='licence') selected @endif>Licence</option>
                                            <option value="master" @if($diplome_elever=='master') selected @endif>Master</option>
                                            <option value="ingenieur" @if($diplome_elever=='ingenieur') selected @endif>Ingenieur</option>
                                        </select>
                                    </div>
                                </div>
                              <div class="form-group col-sm-12 col-lg-4 col-md-4">
                                    <label for="formation" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Nom de la formation ou série </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="formation" class="form-control" type="text" name="formation" value="{{$formation}}">
                                    </div>
                              </div>
                             <div class="form-group col-sm-12 col-lg-4 col-md-4">
                                    <label for="diplome_elever_doc" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Document du diplome </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="diplome_elever_doc" class="form-control" type="file" name="diplome_elever_doc">
                                    </div>
                             </div>
                             <div class="form-group col-sm-12 col-lg-4 col-md-4">
                                    <label for="ancien_profession" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Profession antérieur </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="ancien_profession" class="form-control" type="text" name="ancien_profession" value="{{$ancien_profession}}">
                                    </div>
                             </div>
                           <div class="form-group col-sm-12 col-lg-12 col-md-12">
                                    <label for="information_supplementaire" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Avez vous été déjà vendeur ? Dites nous en un peu sur votre parcours.</label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <textarea id="information_supplementaire" class="form-control" type="text" name="information_supplementaire">{{$information_supplementaire}}</textarea>
                                    </div>
                           </div>

                                <div class="form-group col-sm-12">
                                    <div class="col-md-12 col-sm-12 col-xs-12 " style="padding-top: 10px;">
                                        <button type="button" class="btn btn-default" id="retour3" style="border-radius: 0px;">Retour</button>
                                        <button type="button" class="btn btn-success" id="suivant3" style="border-radius: 0px;">Suivant</button>
                                    </div>
                                </div>
                            </fieldset>

                         <fieldset id="etape4" style="display: none">
                             <div class="col-md-12 col-xs-12">
                             <h2 class="col-xs-12 col-md-12 pb-5">
                                 <span style="padding: 10px 15px; border-radius: 100%;background:  #0bb59d;color: #f8f8f8;font-weight: bold;line-height: 40px;text-align: center">4</span>
                                 Prétention salariale</h2>
                             </div>
                                <div class="form-group col-sm-12 col-lg-12 col-md-12">
                                    <label for="remuneration" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Comment souhaitez vous être remunéré ? </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <select name="remuneration" id="remuneration" class="form-control">
                                            <option value="pourcentage_vente" @if($remuneration=='pourcentage_vente') selected @endif>pourcentage par vente</option>
                                            <option value="salaire_mensuel" @if($remuneration=='salaire_mensuel') selected @endif>salaire mensuel</option>
                                            <option value="salaire_annuel" @if($remuneration=='salaire_annuel') selected @endif>salaire annuel</option>
                                            <option value="salaire_hebdomadaire" @if($remuneration=='salaire_hebdomadaire') selected @endif>salaire hebdomadaire</option>
                                            <option value="salaire_journalier" @if($remuneration=='salaire_journalier') selected @endif>salaire journalier</option>
                                        </select>
                                    </div>
                                </div>
                              <div class="form-group col-sm-12 col-lg-12 col-md-12">
                                    <label for="montant" class="control-label col-md-12 col-sm-12 col-xs-12 text-left"> Définissez un salaire net (ou un pourcentage si vous avez choisis la remuneration par pourcentage )  </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <input id="montant" class="form-control" type="number" value="{{$montant}}" name="montant">
                                    </div>
                                </div>
                             <div class="form-group col-sm-12 col-lg-12 col-md-12">
                                    <label for="devise" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Devise avec lequel vous souhaiter être remunérer.</label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <select name="devise" id="devise" class="form-control">
                                            <option value="XOF" @if($devise=='XOF') selected @endif>XOF</option>
                                            <option value="USD" @if($devise=='USD') selected @endif>USD</option>
                                            <option value="EUR" @if($devise=='EUR') selected @endif>EUR</option>
                                        </select>
                                    </div>
                                </div>
                             <div class="form-group col-sm-12 col-lg-12 col-md-12">
                                    <label for="remuneration_negociable" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Le montant que vous avez proposé est-il négociable ? </label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <select name="remuneration_negociable" id="remuneration_negociable" class="form-control">
                                            <option value="1" @if($remuneration_negociable==1) selected @endif>Oui</option>
                                            <option value="0" @if($remuneration_negociable==0) selected @endif>Non</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group col-sm-12">
                                    <div class="col-md-12 col-sm-12 col-xs-12 " style="padding-top: 10px;">
                                        <button type="button" class="btn btn-default" id="retour4" style="border-radius: 0px;">Retour</button>
                                        <button type="button" class="btn btn-success" id="suivant4" style="border-radius: 0px;">Suivant</button>
                                    </div>
                                </div>
                            </fieldset>

                            <fieldset id="etape5" style="display: none">
                                <div class="col-md-12 col-xs-12">
                                <h2 class="col-xs-12 col-md-12 pb-5">
                                    <span style="padding: 10px 15px; border-radius: 100%;background:  #0bb59d;color: #f8f8f8;font-weight: bold;line-height: 40px;text-align: center">5</span>
                                   &nbsp;&nbsp; Informations supplémentaires.</h2>
                                </div>

                                <div class="form-group col-sm-12 col-lg-12 col-md-12">
                                    <label for="motivation" class="control-label col-md-12 col-sm-12 col-xs-12 text-left">Qu'est ce qui vous motive à être vendeur ?.</label>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <textarea id="motivation" class="form-control" name="motivation">{{$motivation}}</textarea>
                                    </div>
                                </div>
<div class="col-12">
    <p>En cliquant sur valider, vous accepter toutes les conditions et politiques de confidentialités liés au gestionnaire sungrocery. Vous pouvez lire les condition de confidentialité en cliquant
        sur ces liens : <a href="{{route('politique_confidentialite')}}">politique de confidentialité</a> &nbsp;&nbsp; <a href="{{route('condition_generale')}}">conditions générales</a>
    </p>
</div>
                                <div class="form-group col-sm-12">
                                    <div class="col-md-12 col-sm-12 col-xs-12 " style="padding-top: 10px;">
                                        <button type="button" class="btn btn-default" id="retour5" style="border-radius: 0px;">Retour</button>
                                        <button type="button" class="btn btn-success" id="valider" style="border-radius: 0px;">Valider</button>
                                    </div>
                                </div>
                            </fieldset>
                        </form>
                        <div class="clearfix"></div>
                        <div class="ln_solid"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')

    <script type="text/javascript">
        $(document).ready(function(){
            $(document).on('click','#suivant1',function(){
                if(check_error(['prenom','nom','nationnalite'])){
                    $('#etape1').slideUp(1000,function(){
                        $('#etape2').slideDown(1000);
                    })
                }
            });

            $(document).on('click','#suivant2',function(){
                    $('#etape2').slideUp(1000,function(){
                        $('#etape3').slideDown(1000);
                    })
            });

        $(document).on('click','#retour2',function(){
                    $('#etape2').slideUp(1000,function(){
                        $('#etape1').slideDown(1000);
                    })
            });

            $(document).on('click','#suivant3',function(){
                $('#etape3').slideUp(1000,function(){
                    $('#etape4').slideDown(1000);
                })
            });

            $(document).on('click','#retour3',function(){
                $('#etape3').slideUp(1000,function(){
                    $('#etape2').slideDown(1000);
                })
            });

            $(document).on('click','#suivant4',function(){
                $('#etape4').slideUp(1000,function(){
                    $('#etape5').slideDown(1000);
                })
            });

            $(document).on('click','#retour4',function(){
                $('#etape4').slideUp(1000,function(){
                    $('#etape3').slideDown(1000);
                })
            });



            $(document).on('click','#retour5',function(){
                $('#etape5').slideUp(1000,function(){
                    $('#etape4').slideDown(1000);
                })
            });

            $(document).on('click', '#valider', function () {
                let form=$('#post_marketer_data'),
                    url=form.attr('action'),
                    $form = new FormData(form[0]),
                    btn=$(this);
                btn.attr('disabled',true).html('<img src="{{asset('images/loader.gif')}}" width="20px"> veuillez patienter ...');
                $.ajax({
                    url:url,
                    method:"POST",
                    data:$form,
                    dataType:'JSON',
                    contentType: false,
                    cache: false,
                    processData: false,
                    success:function(data) {
                        console.log(data)
                        btn.attr('disabled',false).html('Valider');
                        if(data.error){
                            $.notify(data.message,'error')
                            Swal.fire({
                                title: 'Echec mise à jour du profil',
                                text: data.message,
                                type: 'error',
                                showCancelButton: true,
                                confirmButtonColor: '#88b121',
                                cancelButtonColor: '#d33',
                                cancelButtonText: 'Réactualiser',
                                confirmButtonText: 'Reéssayer'
                            }).then((result) => {
                                if (!result.value) {
                                   location.reload();
                                }
                            })
                        }else{
                            Swal.fire({
                                title: 'PROFIL SUNMARKETER',
                                text: data.message,
                                type: 'success',
                                showCancelButton: false,
                                confirmButtonColor: '#88b121',
                            }).then((result) => {
                                if (result.value) {
                                    location.href='{{route('sunmarketers')}}';
                                }
                            })

                        }
                    },error:function (data) {
                        console.log(data)
                        btn.attr('disabled',false).html('Valider');
                        $.notify('Une erreur s\'est est survenue au cours du processus. Veuillez réactualiser la page et reéssayer si elle persiste.','error')
                    }
                })
            });

        })

    </script>

    @endsection
