@php $boutique=\Illuminate\Support\Facades\Session::get('boutique');@endphp
@extends("../dashboard._blank")
@include("dashboard.Boutique.check_is_user_boutique")
@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        #categorieModal .modal-dialog {
            -webkit-transform: translate(0,-50%);
            -o-transform: translate(0,-50%);
            transform: translate(0,-50%);
            top: 50%;
            margin: 0 auto;
        }
        #categorieViewModal .modal-dialog {
            -webkit-transform: translate(0,-50%);
            -o-transform: translate(0,-50%);
            transform: translate(0,-50%);
            top: 50%;
            margin: 0 auto;
        }
        .form-control{
            width:100%;
        }
        .form-control{
            width: 100%;
        }

        .btn{
            border-radius: 0px;
        }
        h5{
            font-size: 12pt;
            font-weight: bold;
        }
        .labelMeta span{
            color: #0b0b0b;
            font-weight: bold;
        }
    </style>
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="clearfix"></div>
        <div class="row">
                <div class="x_panel">
                    <div class="x_title">
                        <h2>SERVICES DE LIVRAISON</h2>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        @if(session("success"))

                            <div class="alert alert-success">
                                {{session('success')}}
                            </div>

                        @elseif(session("error"))
                            <div class="alert alert-danger">
                                {{session('error')}}
                            </div>
                        @endif

                      <div class="col-md-12 col-xs-12 co-lg-12">
                          <a href="{{route('gerer_boutique',$boutique['slug'])}}" class="btn btn-default" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;

                          <h6>Configurer vos informations de livraisons</h6>
                          <br>
                          <a href="" data-toggle="modal" data-title="Configurer vos informations de livraisons" data-target="#shippingInformationModal" class="btn btn-default btn-sm">configurer</a>
                          <hr>
                      </div>
                          @if(count($services)>0)
                        <div class="col-lg-12 col-xs-12">
                                <table id="categoriedatatable-buttons"  class="table table-responsive-xs table-striped table-bordered">
                                <thead>
                                      <tr>
                                        <th>logo</th>
                                                       <th>type</th>
                                                       <th>name</th>
                                                       <th>Pays de localisation</th>
                                                       <th>telephone</th>
                                                       <th>Email</th>
                                                       <th>Adresse</th>
                                                       <th>Contrat</th>
                                                       <th>status</th>
                                                       <td>Actions</td>
                                                   </tr>
                                                   </thead>
                                                   <tbody>
                                                   @php $serviceapp=new App\ServiceShipping(); @endphp
                                                   @foreach($services as $service)
                                                   <tr style="@if($service->shop_shipping!=null) background: rgba(245,246,254,0.3) @else background: rgba(128,21,19,0.1)  @endif">
                                                       <td> <img src="{{$service->logo}}" alt="" width="50px" height="50px" style="border-radius: 50%;border: 1px solid #ddd;padding: 5px"></td>
                                                       <td>{{$service->type}}</td>
                                                        <td>{{$service->name}}</td>
                                                       <td>
                                                       @php
                                                          $serv= $serviceapp->country($service->country);
                                                       @endphp
                                                           @if($serv!=null)
                                                               {{$serv->name}}
                                                               @endif
                                                       </td>
                                                       <td>{{$service->tel}}</td>
                                                       <td>{{$service->email}}</td>
                                                       <td>{{$service->adress}}</td>
                                                        <td>@if($service->shop_shipping!=null)  <a href="{{asset('Contrats/'.$service->shop_shipping->contrat_pdf)}}" target="_blank" class="btn btn-xs btn-primary" style="padding: 2px 10px">lire</a> @else <span class="badge badge-dark ">aucun</span> @endif</td>
                                                       <td>
                                                           @if($service->shop_shipping!=null)
                                                               <span class="badge badge-success" style="background: green">actif</span>
@else
                                                               <span class="badge badge-warning" style="background: #c48e09">inactif</span>
                                                           @endif
                                                       </td>
                                                       <td>
                                                           <a href="{{url('/livraisons/guidetarifaire/client/'.$service->slug.'/'.$boutique['slug'])}}" class="btn btn-primary">guide tarifaire</a>
                                                          @if(!$service->shop_shipping!=null)
                                                               <a href="{{url('/add/shipping/shop/'.$service->slug.'/'.$boutique['slug'])}}" data-slug="{{$service->slug}}" data-modal="{{strtolower(str_replace(' ','',$service->name))}}" class="addShipping btn btn-warning">Ajouter</a>
                                                           @endif
                                                       </td>
                                                   </tr>
                                                   @endforeach
                                                   </tbody>
                                               </table>
                                           </div>

                            @else
                            <div class="col-12 text-center mt-5 mb-5">
                               <span class="alert alert-danger">Aucun service de livraison disponible dans votre pays pour le moment. <br> Nous travaillons activement pour vous offrir les meilleurs services de livraison disponible dans votre pays. <br> Merci!</span>
                            </div>
                            @endif
                    </div>
                </div>
            </div>

    </div>

    <div id="shippingCreateModal" class="modal fade" data-backdrop="static" data-keyboard="false">
        <div class="modal-md modal-dialog">

                <div class="modal-content">
                    <div class="modal-header" style="background: #00ba9d;">
                        <h4 class="modal-title text-left" style="color: #f1f1f1;"><i class="fa fa-shipping-car"></i> Nouveau service de livraison</h4>
                    </div>
                    <div class="modal-body">
                        <div class="card col-md-12 col-lg-12 col-xs-12" id="form-container">
                            <div class="card-body row">
                                <div style="text-align: center;display:none" class="form-loader text-center"><img style="width: 7%;" src="{{asset('images/livraison-loader.gif')}}"></div>
                                <div class="error-container" style="display: none;">
                                </div>
                                   <form class="col-md-12" method="post" action="{{route('livraisons.store')}}" enctype="multipart/form-data">
                                       @csrf
                                        <section id="first_section">
                                            <h2>Informations du service de livraison</h2>
                                            <div class="form-group">
                                                <label for="type">Choisissez le type de service livraison proposé</label>
                                                <select name="type" id="type" class="form-control">
                                                    <option value="locale">Livraison locale</option>
                                                    <option value="internationale">Livraison internationale</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label for="pays_provenance">Pays de localisation</label>
                                                <select id="pays_provenance" data-placeholder="Choisissez le pays"  name="country" class="form-control choosen">
                                                    <option>Choisissez le pays </option>
                                                    @foreach ($pays as $country)
                                                        <option value="{{$country->name}}"> {{$country->name}}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label for="societe_livraison">Nom de la société de livraison</label>
                                                <input name="name" id="societe_livraison" type="text" class="form-control" placeholder="Exp: DHL">
                                            </div>
                                            <div class="form-group">
                                                <label for="logo_societe_livraison">Logo de la société</label>
                                                <input type="file" id="logo_societe_livraison" class="form-control" name="logo">
                                            </div>
                                            <div class="form-group">
                                                <label for="tel">Contact : numéro de téléphone</label>
                                                <input name="tel" id="tel" type="text" class="form-control">
                                            </div>
                                            <div class="form-group">
                                                <label for="email">Contact : email</label>
                                                <input name="email" id="email" type="text" class="form-control">
                                            </div>
                                             <div class="form-group">
                                                <label for="email">Adresse de localisation</label>
                                                <input name="adress" id="adress" type="text" class="form-control">
                                            </div>
                                            <br><br>
                                            <div class="form-group pull-right">
                                                <button type="button" class="btn btn-primary show_second_section">suivant</button>
                                                <button type="button" class="btn btn-dark close-form-btn" data-dismiss="modal">Annuler</button>
                                            </div>
                                        </section>
                                       <section id="second_section" style="display: none">
                                           <h2>Plan tarifaire par pays</h2>
                                           <div class="form-group">
                                               <button type="button" class="btn btn-warning btn-sm add_plan">Ajouter un nouveau plan tarifaire par pays</button>
                                           </div>
                                           <div class="planTarifaire">
                                               <div class="section">
                                           <div class="form-group">
                                               <label for="pays_provenance">Pays </label>
                                               <select id="pays_provenance" data-placeholder="Choisissez le pays" multiple name="countries[][]" class="form-control choosen">
                                                   <option>Choisissez le pays </option>
                                                   @foreach ($pays as $country)
                                                       <option value="{{$country->name}}"> {{$country->name}}</option>
                                                   @endforeach
                                               </select>
                                           </div>
                                           <div class="form-group">
                                               <label for="plan_tarifaire">Plan tarifaire <span style="color: red">(pdf *)</span></label>
                                               <input type="file" id="plan_tarifaire" class="form-control" name="filename[]">
                                           </div>
                                               <button class="btn btn-danger btn-sm delete_section_plan"><i class="fa fa-trash"></i></button>
                                           </div>
                                           </div>
                                           <br><br>
                                           <div class="form-group pull-right">
                                               <button type="button" class="btn btn-primary show_first_section">Précédent</button>
                                               <button type="submit" class="btn btn-primary">Ajouter</button>
                                               <button type="button" class="btn btn-dark close-form-btn" data-dismiss="modal">Annuler</button>
                                           </div>
                                       </section>

                                    </form>

                            </div>
                        </div>
                    </div>
                </div>

        </div>
    </div>

    <div id="lecoursier" style="display: none">
        <h2>CONTRAT DE PRESTATIONS DE SERVICES</h2>
        <p>
            Entre
        <p>
            La société « Le Coursier »; SARL au capital de deux millions, domicilié Immeuble 1435, Boulevard du Canada, Quartier Cadjèhoun, ayant pour Registre de Commerce le .N°RB/COT/18 B 20943, représentée par son Directeur Général Monsieur Ulrich AGNOUN
        </p>
        <p>
            Désignée ci-après par le Prestataire de Service, D’une part
        </p>
        <p>
            Et : La Société {{strtoupper(str_replace('_',' ',$shop->nom_boutique))}} Représentée par {{strtoupper($shop->user->last_name.' '.$shop->user->first_name)}} en sa qualité de Gérand Domicilié à {{$shop->meta->adresse_boutique}} @if($shop->rccm)Immatriculée au Registre du Commerce de {{$shop->rccm}} @endif .
        </p>
        <p>
            Désignée ci-après par le Donneur d’Ordre, D’autre part.
        </p>
        <p>
            Il est convenu et arrêté ce qui suit :
        </p>
        <p>
            Les présentes conditions régissent les rapports entre les parties et ne peuvent être modifiées que par accord écrit, signé par l’un des responsables de la société, Dûment habilité. En l’absence d’un tel accord, seules les présentes conditions s’appliquent.
        </p>
        <h4>
            ARTICLE 1- Objet de la convention dite contrat.
        </h4>
        <p>
            La présente convention dite contrat a pour objet la livraison par « Le Coursier », de documents ou tout autre objet sur Cotonou et ses environs, conformément aux indications du donneur d’ordre. La société « Le Coursier », se réserve le droit d’organiser de façon indépendante la procédure, le trajet, et d’utiliser les moyens qu’elle juge nécessaires pour effectuer la prestation commandée.
        </p>
        <h4> ARTICLE 2 – Durée. </h4>
        <p>
            La présente convention dite contrat est conclue pour une durée d’un an, renouvelable par tacite reconduction. Toutefois, les deux parties auront la possibilité d’y mettre fin à tout moment pour manquement aux obligations moyennant un préavis de deux mois, par lettre adressée avec accusée de réception.
        </p>
        <h4>
            ARTICLE 3 – Montant des prestations et Horaires d’ouvertures.
        </h4>
        <p>
            Le montant des prestations est défini par les conditions générales de vente en vigueur, ainsi que le barème des prestations. Le Coursier est ouvert à sa clientèle du Lundi au Vendredi de 07h à 19h sans interruption et le Samedi de 9h à 13h. Ces horaires peuvent être actualisés. Le Coursier offre plusieurs délais et conditions de livraison qui figurent dans les conditions tarifaires.
        </p>
        <h4>
            ARTICLE 4 – Facturation.
        </h4>

        <p> Les factures sont réputées payables à réception de facture par chèque, espèces ou virement bancaire, hors accords spécifiques, consignés par écrit. Tout retard de règlement entraînera l’exigibilité immédiate de toutes les sommes restant dues, quel que soit le mode de règlement prévu.
        </p>
        <h4> ARTICLE 5 – Responsabilité pendant le transport.</h4>
        <p> La responsabilité de « Le Coursier », est engagée à partir de la prise en charge du document ou de l’objet, jusqu’ au moment de sa remise au destinataire ou à ses préposés ou ayant droit selon les conditions de remise explicitement stipulées lors de la commande et confirmées sur le pli ou le colis. Pour les livraisons avec remise en main propre, Le Coursier exigera du destinataire l’une des pièces d’identité suivante :sa carte national d’identité, son passeport, son permis de conduire, sa carte professionnelle.
            La responsabilité de « Le Coursier » est également engagée pour les envois acheminés. Le Coursier répond de la perte, de la spoliation ou de l’avarie des envois express, des envois recommandés, des colis ordinaires, et des envois avec valeur déclarée. Egalement du renvoi des envois recommandés, des envois avec la valeur déclarée et des colis ordinaires dont le motif de non-distribution n’est pas donné.
            Sous réserve du paiement du prix convenu, la société « Le Coursier », s’engage à transporter les envois de ses clients jusqu’à la destination convenue ; elle s’engage à déployer tous ses efforts pour effectuer la prestation en temps convenu. Elle se réserve de fixer de façon indépendante la procédure, le trajet et les coursiers qu’elle choisira. Il est expressément indiqué que la société « Le Coursier », n’engage sa responsabilité que pour ce qui dépend de ses prestations à l’exclusion de tout autre.
        </p>
        <h4>
            ARTICLE 6 : Abonnement Le Coursier-Easy (LC-Easy)
        </h4>
        <p>
            L’Offre Le Coursier Easy (LC-Easy) est un service d’abonnement mensuel payant à destination des particuliers, commerçants et entreprises permettant un accès permanent à nos services tels que définis ci-dessous :
        </p>
        <ul>
            <li>Un Espace Abonné à créer sur la plateforme www.lecoursier.bj ou sur l’application mobile Le       Coursier, permettant la gestion de l’abonnement.</li>
            <li>Le suivi dans l’Espace Abonné des colis ;</li>
            <li>Un Service Clients dédié permettant un accès prioritaire ;</li>
            <li>Un accès à des nouvelles présentant les nouveautés de l’abonnement et nouvelles offres ;</li>
        </ul>

        <h4>ARTICLE 7 – Limite de responsabilité.</h4>
        <p>  Le donneur d’ordre devra prendre toutes les dispositions nécessaires d’emballage, afin que le transport s’effectue dans les meilleures conditions de sécurité. Il procédera lui-même au conditionnement et à l’emballage. Dans le cas où le donneur d’ordre ne disposera pas d’emballage, la société « Le Coursier » se chargera de l’emballage et pourra le facturer au donneur d’ordre.  La société « Le Coursier », ne peut transporter que des paquets ou des documents propriété du client, qui doit agir pour son propre compte ou pour le compte pour toute personne pour laquelle il est dûment habilité.
            La responsabilité de « Le Coursier », ne saurait en aucun cas recherchée si le donneur d’ordre indique que la chose transportée peut-être déposée dans un endroit tel que boite aux lettres, ou chez une tierce personne, gardien, voisin, etc.…Le donneur d’ ordre demeure en toute hypothèse responsable de toute perte, préjudice, ou frais de toute nature occasionnée par le non-respect des obligations fixées par les présentes conventions dite contrat, ou de toutes autres obligations réglementaires ou légales.
            Aucune des Parties au présent Contrat ne sera responsable d’un manquement ou d’un retard dans l’exécution de tout ou partie des obligations du présent Contrat, si ce manquement ou ce retard trouve son origine dans un cas de force majeure ; est considéré comme un cas de force majeure tout évènement et toutes circonstances exceptionnel(les), indépendant(es) de la volonté ou du contrôle de la Partie qui l’invoque, imprévisible(s), irrésistible(s) et qui aurai(en)t pour effet de rendre impossible l’exécution par cette dernière, de tout ou partie des obligations découlant pour elle du présent Contrat. Sont interdits dans les envois postaux,
        </p>
        <ul>
            <li>Toute matière ou tout objet dangereux ou salissant,</li>
            <li>Tout objet qui par sa nature ou son conditionnement, peut présenter un danger pour les personnels de conduite ou de manutention, l’environnement, la sécurité des engins de transport, ou endommager les autres objets transportés, les véhicules ou les tiers,</li>
            <li>Tout objet prohibé par les lois et règlement en vigueur</li>
            <li>Les drogues, les armes, stupéfiants et substances psychotropes</li>
            <li>Les animaux morts ou vivants sauf exceptions prévues par la règlementation en vigueur.</li>
            <li></li>
        </ul>
        <p>
            Le donneur d’ordre s’engage à assumer toutes les responsabilités qui adviendront en cas de manquement aux diverses interdictions cité ci-dessus.
        </p>

        <h4> ARTICLE 8 – Réclamation. </h4>
        <p>
            Toute réclamation pour quelque cause que ce soit est subordonnée au contrôle des plis ou colis dès réception et devra faire l’objet d’une réclamation par lettre au siège social de « Le Coursier » ou par courrier électronique. Les réclamations sont admises dans un délai d’un an à compter du lendemain du jour de prise en charge de l’envoi.
        </p>
        <h4> ARICLE 9 : Garanties </h4>
        <p> En cas de préjudice de perte ou détérioration directement imputable à Le Coursier, les frais de remboursement seront limités au coût d’affranchissement des plis en question payés par le client. Avant de procéder au dédommagement, Le Coursier et le client s’engagent à tout mettre en œuvre pour trouver une solution adéquate et rapide.
            Pour tous les dommages matériels liés aux colis confiés dus à l’opération de transport, notre responsabilité est strictement limitée comme suit : Le montant de l’indemnisation est le montant calculé en combinant le taux de 40 DTS par colis ordinaire et le taux de 4,50 DTS par kilogramme, en sus de la restitution des taxes et droits acquittés lors de l’envoi.
        </p>
        <h4> ARTICLE 10 – Clauses de juridiction.</h4>
        <p> Tout litige auxquels la présente convention dite contrat pourra donner lieu, tant par son interprétation que par son exécution, sera réglé à l’amiable et porté le recours de l’arbitrage devant l’Autorité de régulation avant le recours au Tribunal de 1ere instance du siège social de « Le Coursier ».
            Le Coursier fournit ses services dans le respect des dispositions légales et règlementaires relatives à la protection des données à caractère personnel. Le client a le droit d’accès, d’opposition et de rectification des données personnelles le concernant. La responsabilité de « Le Coursier » est engagée pour le non-respect des dispositions applicables à la protection des données à caractère personnel.
        </p>
    </div>

    <div id="shippingInformationModal" class="modal fade" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog">
            <form method="post" id="marchandShipping2"  action="{{route('livraison.shipping_informations')}}">
                @csrf
                <input type="hidden" value="{{$shop->slug}}" name="boutique_slug" id="boutique_slug">
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title" style="color: white;"><i class="fas fa-exclamation-circle"></i> INFORMATIONS <span id="nom_boutique_supression"></span> </h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <fieldset class="col-lg-12 col-xs-12 col-sm-12 col-md-12 pt-4 pb-4" id="firstContratBox" >
                                <div class="col-lg-12 col-xs-12 col-sm-12 col-md-12">
                                    <h2>INFORMATIONS D'ACQUISITION DE COLIS</h2>
                                </div>
                                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                    <label for="description">Description des objects vendus <span style='color:red'>*</span></label>
                                    <br>
                                    <small>Décrivez les produits que vous vendez. cela permet au service de livraison d'estimer la taille et le poids de vos produits pour l'anticipation des modalités de livraison d'une commande venant de votre boutique.</small>
                                    <textarea name="description" id="description" class="form-control"  style="width: 100%" rows="5" data-input_name="description" onblur="check_error(['description'])"  required="required">@if($shippingInfos!=null) {{$shippingInfos->Description}} @endif</textarea>
                                </div>
                                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                    <label for="depart">Départ <span style='color:red'>*</span></label>
                                    <br>
                                    <small>L'agent de livraison doit recupérer le colis chez vous avant de la livré au client. Définissez le lieu (quartier) de récupération.</small>
                                    <input name="depart" id="depart" value=" @if($shippingInfos!=null) {{$shippingInfos->depart}} @endif"  class="form-control"  data-input_name="depart" onblur="check_error(['depart'])"  required="required"/>
                                </div>
                                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                    <label for="adresse">Adresse détaillé <span style='color:red'>*</span></label>
                                    <br>
                                    <small>Donnez toutes les informations qui permettrons de pouvoir vous localisez assez rapidement.</small>
                                    <textarea name="adresse" id="adresse"  style="width: 100%" class="form-control" rows="5" data-input_name="adresse" onblur="check_error(['adresse'])"  required="required">@if($shippingInfos!=null) {{$shippingInfos->adresse}} @endif</textarea>
                                </div>

                                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">Fermer</button>
                                    <button type="submit" name="action"  onclick="return check_error(['adresse','depart','description'])" class="btn btn-primary btn-sm">valider</button>
                                </div>
                            </fieldset>
                        </div>
                    </div>

                </div>
            </form>
        </div>
    </div>

   <div id="contratModal" class="modal fade" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog">
            <form method="post" id="contratShipping"  action="{{url('/add/shipping/shop/')}}">
                @csrf
                <input type="hidden" value="{{$shop->slug}}" name="boutique_slug" id="boutique_slug2">
                <input type="hidden" id="services_slug" name="service_slug">
                <input type="hidden" id="contrat_text_input" name="contrat">
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title" style="color: white;"><i class="fas fa-trash-alt"></i> CONTRAT  <span id="nom_boutique_supression"></span> </h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <fieldset class="col-lg-12 col-xs-12 col-sm-12 col-md-12 pt-4 pb-4" id="secondContratBox">
                                <div class="col-lg-12 col-xs-12 col-sm-12 col-md-12">
                                    <h2>CONTRAT DE PRESTATIONS DE SERVICES</h2>
                                </div>
                               <div id="contratText" style="height: 300px;padding: 20px;overflow-x: hidden;overflow-y: auto;border: 1px solid #ddd;"></div>
                                <div style="padding-bottom: 10px;padding-top: 10px;">
                                    <label for="accept" class="labelMeta">
                                        En cliquant sur accepter, vous signez et acceptez les conditions et articles de ce contrat. Vous devez donc lire et être en accord avec chaque détails avant de valider ce contrat.
                                        <br> Sunmarket ne sera en rien fautif en cas de mal compréhension ou d'abus.
                                        <br>
                                        <input id="accept" name="accept" type="checkbox"> &nbsp;&nbsp; <span>J' accepte les conditions de livraison </span>
                                    </label>
                                </div>
                                <div class="">
                                    <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">Fermer</button>
                                     <button type="submit" name="action" id="validerContrat" style="display: none" onclick="return check_error(['accept'])" class="btn btn-primary btn-sm" >Valider</button>
                                </div>
                            </fieldset>
                        </div>
                    </div>

                </div>
            </form>
        </div>
    </div>

    <!-- /page content -->
@endsection
@section('script')
    @include('dashboard.MoyenLivraisons.scripts.scripts')
    @stop
