@if(!\Illuminate\Support\Facades\Session::has('user'))
<script>
    location.href='{{route('login')}}';
</script>
@endif
<!DOCTYPE html>
<html lang="fr">

<head>
    <meta property="og:url" content="{{url('/')}}">
    <meta property="og:url" content="{{url('/')}}">
    <meta property="og:site" content="{{url('/')}}" />
    <meta property="og:site_name" content="SUNGROCERY">
    <meta property="og:description" content="{{Illuminate\Support\Str::limit(" Vente et achat, de tout produits
        agricoles. SUNGROCERY se place en avant pour vous offrir une expérience inédit en matière de gestion de votre
        commerce en ligne. Visitez des milliers de boutiques en ligne dédiées à la vente de produits
        agricoles."),165}}" />
    <meta property="og:title" content="{{Illuminate\Support\Str::limit(" SUNGROCERY",35)}}" />
    <meta property="og:image" content="{{asset('images/favicon-16x16.png')}}">
    <link rel="icon" type="image/png" href="{{asset('images/favicon.ico')}}" />
    <link rel="apple-touch-icon" sizes="180x180" href="{{asset('images/apple-touch-icon.png')}}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{asset('images/favicon-32x32.png')}}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{asset('images/favicon-16x16.png')}}">
    <link rel="manifest" href="{{asset('images/site.webmanifest')}}">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description"
        content="Vente et achat, de tout produits agricoles. SUNGROCERY se place en avant pour vous offrir une expérience inédit en matière de gestion de votre commerce en ligne. Visitez des milliers de boutiques en ligne dédiées à la vente de produits agricoles.">

    <meta name="keywords"
        content="grocery,epicerie,Boutique,Achat,Vente,Acheter,Vendre,sungrocery,achat en ligne,vente en ligne,acheter en ligne, vendre en ligne,livraison,benin">

    <meta name="author" content="suntech">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="{{asset('images/sunmarket_fav.png')}}" />
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>SUNGROCERY DASHBOARD</title>

    <!-- Bootstrap -->
    <link href="{{asset('vendors/bootstrap/dist/css/bootstrap.min.css')}}" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="{{asset('vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">
    <!-- NProgress -->
    <link href="{{asset('vendors/nprogress/nprogress.css')}}" rel="stylesheet">
    <!-- iCheck -->
    <link href="{{asset('vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">
    <!-- bootstrap-progressbar -->
    <link href="{{asset('vendors/bootstrap-progressbar/css/bootstrap-progressbar-3.3.4.min.css')}}" rel="stylesheet">
    <!-- JQVMap -->
    <link href="{{asset('vendors/jqvmap/dist/jqvmap.min.css')}}" rel="stylesheet" />
    <!-- bootstrap-daterangepicker -->
    <link href="{{asset('vendors/bootstrap-daterangepicker/daterangepicker.css')}}" rel="stylesheet">
    <!-- Custom Theme Style -->
    <link href="{{asset('vendors/switchery/dist/switchery.min.css')}}" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/OwlCarousel2-2.2.1/owl.carousel.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/OwlCarousel2-2.2.1/owl.theme.default.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/OwlCarousel2-2.2.1/animate.css')}}">
    {{--
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/slick-1.8.0/slick.css')}}">--}}
    <link href="{{asset('build/css/custom.min.css')}}" rel="stylesheet">
    <link rel="stylesheet"
        href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.3/css/bootstrap-select.min.css">
    <link rel="stylesheet" href="{{asset('plugin/telephone_input/build/css/intlTelInput.css')}}">
    <link rel="stylesheet" href="{{asset('plugin/chosen_/chosen.css')}}" />
    <link rel="stylesheet" href="{{asset('zebra_css/zebra_dialog.css')}}" />
    <link rel="stylesheet" href="{{asset('plugins/system-google-font-picker/jquery.fontselect.css')}}" />
    <link rel="stylesheet" type="text/css"
        href="https://cdn.jsdelivr.net/npm/spectrum-colorpicker2@2.0.0/dist/spectrum.min.css">
    <link rel="stylesheet" type="text/css" href="{{asset('plugin/slick/slick.css')}}" />
    <link rel="stylesheet" type="text/css" href="{{asset('plugin/slick/slick-theme.css')}}" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@mdi/font@latest/css/materialdesignicons.min.css">

    @include('dashboard.Boutique.global.globalCss')
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-NMT1DCDEVS"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'G-NMT1DCDEVS');
    </script>
    <style>
        #articledatatable-buttons_filter,
        #categoriedatatable-buttons_filter {
            float: right !important;
        }

        #articledatatable-buttons_filter input,
        #categoriedatatable-buttons_filter input {
            margin-left: 10px;
        }

        #articledatatable-buttons_paginate,
        #categoriedatatable-buttons_paginate {
            float: right;
        }

        .style-2::-webkit-scrollbar-track #categoriedatatable-buttons_wrapper::-webkit-scrollbar-track {

            -webkit-box-shadow: inset 0 0 6px rgba(131, 131, 131, 0.3);

            border-radius: 10px;
            background-color: #F5F5F5;
        }

        .style-2::-webkit-scrollbar,
        #categoriedatatable-buttons_wrapper::-webkit-scrollbar {
            width: 5px;
            background-color: #F5F5F5;
            color: #fff !important;
        }


        .left_col {

            background: #f3f3f3 !important;

            color: #fff !important;
        }

        .left_col a {
            color: #fff !important;
        }

        .nav_title {

            background: #f3f3f3 !important;

            color: #fff !important;
        }

        .style-2::-webkit-scrollbar-thumb,
        #categoriedatatable-buttons_wrapper::-webkit-scrollbar-thumb {
            border-radius: 10px;

            -webkit-box-shadow: inset 0 0 6px rgba(19, 93, 157, 0.3);
            background-color: #dddddd;

        }

        .pulse {
            animation: pulse 2s infinite;
        }

        .pulse:hover {
            animation: none;
        }

        @-webkit-keyframes pulse {
            0% {
                -webkit-box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.4);
            }

            70% {
                -webkit-box-shadow: 0 0 0 10px rgba(204, 169, 44, 0);
            }

            100% {
                -webkit-box-shadow: 0 0 0 0 rgba(204, 169, 44, 0);
            }
        }

        @keyframes pulse {
            0% {
                -moz-box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.4);
                box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.4);
            }

            70% {
                -moz-box-shadow: 0 0 0 10px rgba(204, 169, 44, 0);
                box-shadow: 0 0 0 10px rgba(204, 169, 44, 0);
            }

            100% {
                -moz-box-shadow: 0 0 0 0 rgba(204, 169, 44, 0);
                box-shadow: 0 0 0 0 rgba(204, 169, 44, 0);
            }
        }

        .list-media a {
            font-size: 12pt;
            color: #fff;
            margin-bottom: 2px;

        }

        .list-media {
            margin-bottom: 2px;
        }

        .list-media:hover {
            box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
            transition: all 500ms ease;
        }

        #media-share {
            z-index: 99;
        }

        .whatsapp {
            width: 30px;
            height: 30px;
            line-height: 32px;
            text-align: center;
            background: green;
            border-radius: 100%;
            font-weight: bold;
        }

        .facebook {
            width: 30px;
            height: 30px;
            line-height: 30px;
            text-align: center;
            background: #0e0ea0;
            border-radius: 100%;
            font-weight: bold;
        }

        .instagram {
            width: 30px;
            height: 30px;
            line-height: 30px;
            text-align: center;
            background: #48aed6;
            border-radius: 100%;
            font-weight: bold;
        }

        .modal-dialog {
            min-height: calc(100vh - 60px);
            display: flex;
            flex-direction: column;
            justify-content: center;

        }

        @media(max-width: 768px) {
            .modal-dialog {
                min-height: calc(100vh - 20px);
            }
        }

        table {
            margin: 0 auto;
            width: 100%;
            clear: both;
            border-collapse: collapse;
            white-space: nowrap;

        }

        .element.style {}

        @media screen and (max-width: 767px) {
            .table-responsive {
                border: none;
                margin-top: 15px;
            }

        }

        #overlay {
            position: fixed;
            top: 0;
            z-index: 100;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.95);
        }

        .cv-spinner {
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .spinner {
            width: 40px;
            height: 40px;
            border: 4px #ddd solid;
            border-top: 4px #2e93e6 solid;
            border-radius: 50%;
            animation: sp-anime 0.8s infinite linear;
        }

        @keyframes sp-anime {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(359deg);
            }
        }

        .badge {
            border-radius: 0px;
        }

        .form-control {
            width: 100%;
        }


        label span {
            color: #d21d19;
        }

        .chosen-container-single .chosen-single {
            height: 35px;
            background: none;
            border-radius: 0px;
            line-height: 35px;
        }

        .chosen-container-single .chosen-single div {
            margin-top: 8px;
        }

        .error-msg {
            color: #d21d19;
        }

        .nav-md .container.body .right_col {
            padding-top: 80px;
        }

        .top_nav .navbar-right {
            padding-right: 240px;
        }

        @media (max-width: 991px) {
            .nav-md .container.body .right_col {
                padding-top: 80px !important;
            }

            .top_nav .navbar-right {
                padding-right: 0;
            }

            /*.x_panel{*/
            /*    margin-top: 60px;*/
            /*}*/

        }

        .nav.side-menu>li>a {
            font-weight: 500;
        }

        .pulse-button {
            box-shadow: 0 0 0 0 rgba(30, 53, 81, 0.7);
            cursor: pointer;
            -webkit-animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
            -moz-animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
            -ms-animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
            animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
        }

        .pulse-button:hover {
            -webkit-animation: none;
            -moz-animation: none;
            -ms-animation: none;
            animation: none;
        }

        @-webkit-keyframes pulse {
            to {
                box-shadow: 0 0 0 45px rgba(232, 76, 61, 0);
            }
        }

        @-moz-keyframes pulse {
            to {
                box-shadow: 0 0 0 45px rgba(232, 76, 61, 0);
            }
        }

        @-ms-keyframes pulse {
            to {
                box-shadow: 0 0 0 45px rgba(232, 76, 61, 0);
            }
        }

        @keyframes pulse {
            to {
                box-shadow: 0 0 0 45px rgba(232, 76, 61, 0);
            }
        }

        label {
            font-weight: 500;
        }

        .modal-content {
            border-radius: 0;
        }

        .modal-header {

            background: #88b121 !important;

            color: #fff !important;
        }

        .btn {
            margin-bottom: 10px !important;
            white-space: normal !important;
            text-overflow: ellipsis;
        }

        .pagination>.active>a,
        .pagination>.active>a:focus,
        .pagination>.active>a:hover,
        .pagination>.active>span,
        .pagination>.active>span:focus,
        .pagination>.active>span:hover {
            background-color: #88b121 !important;
            border-color: #88b121 !important;
        }

        .btn-primary {

            background: #88b121 !important;
            color: #fff !important;
            border: 1px solid #88b121 !important;
        }

        .btn-primary:hover {
            background: #4e6a18 !important;
            color: #fff !important;
        }

        .carousel-indicators li {
            border: 1px solid #000;
        }

        .badge-success {
            background: green !important;
            color: #fff !important;
        }

        .badge-warning {
            background: orange !important;
            color: #fff !important;
        }

        .badge-info {
            background: #155790 !important;
            color: #fff !important;

            #badge-info {
                background: #155790 !important;
                color: #fff !important;
            }

            .badge-danger {
                background: #79111d !important;
                color: #fff !important;
            }

            td .btn {
                display: block !important;
            }
    </style>
        <style>
            .gcard {
                width: 360px;
                height: 500px;
                background: url('{{ asset('images/card/back_badge.jpg') }}') no-repeat center center;
                background-size: cover;
                position: relative;
                padding: 15px;
                box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
                /* box-shadow: 0 1px 5px rgba(6, 14, 28, 0.25), 0 1px 1px rgba(0, 0, 0, 0.22) */
                border-radius: 10px;
            }
    
            .profile-pic {
                width: 150px;
                height: 160px;
                border-radius: 0%;
                object-fit: cover;
                position: absolute;
                top: 60px;
                left: 50%;
                transform: translateX(-50%);
            }
    
            .name {
                position: absolute;
                top: 230px;
                left: 50%;
                transform: translateX(-50%);
                font-size: 1em;
                font-weight: bold;
                color: #333;
                text-align: center;
            }
    
            .position {
                position: absolute;
                top: 260px;
                left: 50%;
                transform: translateX(-50%);
                color: #666;
                text-align: center;
                width: 100% auto;
            }
    
            .details {
                position: absolute;
                top: 350px;
                left: 50%;
                transform: translateX(-50%);
                text-align: center;
                width: 100%;
                display: block;
            }
    
            .details p {
                margin: 5px 0;
                color: #333;
            }

            thead{
                background-color: #88b121;
                color: #FFFF;
            }
        </style>
    @yield('css_add')
    @include('facebook-pixel::head')
</head>

<body class="nav-md style-2">
    @include('facebook-pixel::body')
    <div id="overlay">
        <div class="cv-spinner">
            <span class="spinner"></span>
            &nbsp; <span style="color: white;font-size: 14pt">chargement en cours</span>
        </div>
    </div>
    <div class="container body">
        <div class="main_container">

            <div class="col-md-3 left_col menu_fixed" style="background: #f9faff">
                <div class="left_col scroll-view">
                    <div class="navbar nav_title text-center" style="border: 0;">
                        <a href="{{url('/')}}" class="site_title text-center">
                            <img class="lazy" data-src="{{asset('images/logo.png')}}" alt="" width="100%">

                        </a>
                    </div>

                    <div class="clearfix"></div>

                    @php

                    $get_user_data=\Illuminate\Support\Facades\Session::get('user');
                    $meta_model=new \App\Users_meta();
                    $picture=$meta_model->get_user_field($get_user_data['id'],'profil_picture');
                    @endphp


                    {{--
                    <!-- menu profile quick info -->--}}

                    {{-- <div class="profile clearfix">--}}
                        {{-- <div class="profile_pic">--}}
                            {{-- @if(isset($picture) && $picture!="")--}}
                            {{-- <img src="{{asset('Profil_picture/'.$picture)}}" alt="..."
                                class="img-circle profile_img">--}}
                            {{-- @else--}}
                            {{-- <img src="{{asset('images/logo_mini.jpg')}}" alt="..."
                                class="img-circle profile_img">--}}
                            {{-- @endif--}}
                            {{-- </div>--}}
                        {{-- <div class="profile_info">--}}
                            {{-- <span>Bienvenue,</span>--}}
                            {{-- <h2>{{\Illuminate\Support\Facades\Session::get('user')['username']}}</h2>--}}
                            {{-- </div>--}}
                        {{-- </div>--}}
                    {{--
                    <!-- /menu profile quick info -->--}}


                    @yield('sidebar')


                    @yield('content')

                    <!-- footer content -->
                    <footer>
                        <div class="pull-right">
                            <img class="lazy" data-src="{{asset('images/logo.png')}}" alt="" width="150px">
                        </div>
                        <div class="clearfix"></div>
                    </footer>

                    <!-- /footer content -->
                </div>
            </div>
        </div>
    </div>

    @include('dashboard.Boutique.global.globalBody')

    <!-- jQuery -->
    <script type="text/javascript" src="{{asset('vendors/jquery/dist/jquery.min.js')}}"></script>
    <!-- Bootstrap -->
    <script type="text/javascript" src="{{asset('vendors/bootstrap/dist/js/bootstrap.min.js')}}"></script>
    <!-- FastClick -->
    <script type="text/javascript" src="{{asset('vendors/fastclick/lib/fastclick.js')}}"></script>
    <!-- NProgress -->
    <script type="text/javascript" src="{{asset('vendors/nprogress/nprogress.js')}}"></script>
    <!-- Chart.js -->
    <script type="text/javascript" src="{{asset('vendors/Chart.js/dist/Chart.min.js')}}"></script>
    <!-- gauge.js -->
    <script type="text/javascript" src="{{asset('vendors/gauge.js/dist/gauge.min.js')}}"></script>
    <!-- bootstrap-progressbar -->
    <script type="text/javascript" src="{{asset('vendors/bootstrap-progressbar/bootstrap-progressbar.min.js')}}">
    </script>
    <!-- iCheck -->
    <script type="text/javascript" src="{{asset('vendors/iCheck/icheck.min.js')}}"></script>
    <!-- Skycons -->
    <script type="text/javascript" src="{{asset('vendors/skycons/skycons.js')}}"></script>
    <!-- Flot -->
    <script type="text/javascript" src="{{asset('vendors/Flot/jquery.flot.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/Flot/jquery.flot.pie.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/Flot/jquery.flot.time.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/Flot/jquery.flot.stack.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/Flot/jquery.flot.resize.js')}}"></script>
    <!-- Flot plugins -->
    <script type="text/javascript" src="{{asset('vendors/flot.orderbars/js/jquery.flot.orderBars.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/flot-spline/js/jquery.flot.spline.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/flot.curvedlines/curvedLines.js')}}"></script>
    <!-- DateJS -->
    <script type="text/javascript" src="{{asset('vendors/DateJS/build/date.js')}}"></script>
    <!-- JQVMap -->
    <script type="text/javascript" src="{{asset('vendors/jqvmap/dist/jquery.vmap.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/jqvmap/dist/maps/jquery.vmap.world.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/jqvmap/examples/js/jquery.vmap.sampledata.js')}}"></script>
    <!-- bootstrap-daterangepicker -->
    <script type="text/javascript" src="{{asset('vendors/moment/min/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/bootstrap-daterangepicker/daterangepicker.js')}}"></script>


    <script type="text/javascript" src="{{asset('vendors/datatables.net/js/jquery.dataTables.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/datatables.net-bs/js/dataTables.bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/datatables.net-buttons/js/dataTables.buttons.min.js')}}">
    </script>
    <script type="text/javascript" src="{{asset('vendors/datatables.net-buttons-bs/js/buttons.bootstrap.min.js')}}">
    </script>
    <script type="text/javascript" src="{{asset('vendors/datatables.net-buttons/js/buttons.flash.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/datatables.net-buttons/js/buttons.html5.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/datatables.net-buttons/js/buttons.print.min.js')}}"></script>
    <script type="text/javascript"
        src="{{asset('vendors/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/datatables.net-keytable/js/dataTables.keyTable.min.js')}}">
    </script>
    <script type="text/javascript" src="{{asset('vendors/datatables.net-responsive/js/dataTables.responsive.min.js')}}">
    </script>
    <script type="text/javascript" src="{{asset('vendors/datatables.net-responsive-bs/js/responsive.bootstrap.js')}}">
    </script>
    <script type="text/javascript" src="{{asset('vendors/datatables.net-scroller/js/dataTables.scroller.min.js')}}">
    </script>
    <script type="text/javascript" src="{{asset('vendors/jszip/dist/jszip.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/pdfmake/build/pdfmake.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/pdfmake/build/vfs_fonts.js')}}"></script>
    <script type="text/javascript" src="{{asset('vendors/switchery/dist/switchery.js')}}"></script>
    <script type="text/javascript"
        src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.3/js/bootstrap-select.min.js" charset="utf-8">
    </script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.6.0/Chart.bundle.js"
        charset="utf-8"></script>

    <!-- Custom Theme Scripts -->
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>
    <script type="text/javascript" src="https://cdn.kkiapay.me/k.js"></script>

    <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery.lazy/1.7.9/jquery.lazy.min.js"></script>
    <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery.lazy/1.7.9/jquery.lazy.plugins.min.js">
    </script>
    <script type="text/javascript" src="{{asset('plugin/chosen/chosen.jquery.js')}}"></script>
    <script type="text/javascript" src="{{asset('plugin/telephone_input/build/js/intlTelInput.js')}}"></script>
    <script type="text/javascript" src="{{asset('js/zebra_dialog.src.js')}}"></script>
    <script type="text/javascript" src="{{asset('plugin/notify.js')}}"></script>
    <script type="text/javascript" src="{{asset('plugin/countries.js')}}"></script>
    <script type="text/javascript" src="{{asset('plugins/OwlCarousel2-2.2.1/owl.carousel.js')}}"></script>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.1/dist/jquery.validate.js">
    </script>
    <script type="text/javascript"
        src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/additional-methods.min.js"></script>
    <script type="text/javascript" src="{{asset('plugins/system-google-font-picker/jquery.slim.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('plugins/system-google-font-picker/jquery.fontselect.js')}}"></script>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/spectrum-colorpicker2@2.0.0/dist/spectrum.min.js">
    </script>

    <script type="text/javascript" src="{{asset('plugin/slick/slick.min.js')}}"></script>
    <script type="text/javascript">
        $(document).ready(function(){
        $('.slick1').slick({
            autoplay:true,
            slidesToShow: 3,
            slidesToScroll:3,
            responsive: [
            {
                breakpoint: 768,
                settings: {
                    arrows: false,
                    slidesToShow: 2,
                    slidesToScroll:2,
                }
            },
            {
                breakpoint: 480,
                settings: {
                    arrows: false,
                    slidesToShow: 1,
                    slidesToScroll:1,

                }
            }
        ]
    });
    });
    </script>
    @include('dashboard.Boutique.global.globalJs')
    <script type="text/javascript">
        $(document).ready(function(){
        $('#overlay').fadeOut();

        if($('.trends_slider').length)
        {
            var trendsSlider = $('.trends_slider');
            trendsSlider.owlCarousel(
                {
                    loop:false,
                    margin:5,
                    nav:false,
                    items : 1,
                    dots:false,
                    autoplayHoverPause:true,
                    autoplay:false,
                    responsive:
                        {
                            0:{items:1},
                            575:{items:2},
                            800:{items:3}
                        }
                });

            trendsSlider.on('click', '.trends_fav', function (ev)
            {
                $(ev.target).toggleClass('active');
            });

            if($('.trends_prev').length)
            {
                var prev = $('.trends_prev');
                prev.on('click', function()
                {
                    trendsSlider.trigger('prev.owl.carousel');
                });
            }

            if($('.trends_next').length)
            {
                var next = $('.trends_next');
                next.on('click', function()
                {
                    trendsSlider.trigger('next.owl.carousel');
                });
            }
        }


        if($('.trends_slider_boutique').length)
        {
            var trendsSliderBoutique = $('.trends_slider_boutique');
            trendsSliderBoutique.owlCarousel(
                {
                    loop:false,
                    nav:false,
                    dots:false,
                    autoplayHoverPause:true,
                    autoplay:false,
                    responsive:
                        {
                            0:{items:1},
                            700:{items:2},
                            1100:{items:3}
                        }
                });

            trendsSliderBoutique.on('click', '.trends_fav', function (ev)
            {
                $(ev.target).toggleClass('active');
            });

            if($('.trends_prev').length)
            {
                var prev = $('.trends_prev');
                prev.on('click', function()
                {
                    trendsSliderBoutique.trigger('prev.owl.carousel');
                });
            }

            if($('.trends_next').length)
            {
                var next = $('.trends_next');
                next.on('click', function()
                {
                    trendsSliderBoutique.trigger('next.owl.carousel');
                });
            }
        }
    })


    // $('.owl-carousel').owlCarousel({
    //     loop:true,
    //     margin:10,
    //     responsiveClass:true,
    //     responsive:{
    //         0:{
    //             items:1,
    //             nav:true
    //         },
    //         600:{
    //             items:3,
    //             nav:false
    //         },
    //         1000:{
    //             items:5,
    //             nav:true,
    //             loop:false
    //         }
    //     }
    // })
    </script>

    {{-- <script>
        $(document).on('click','.abonnement_init',function(e){
            let btn = $(this)
            let url=btn.data('url');
            let boutique_slug= $('#boutique_for_abonnement_update').val();
            e.preventDefault();
            console.log('paiement');
            $.ajax({
                url:url,
                method:"GET",
                success:function(data) {
                    data = JSON.parse(data);
                    data['boutique_slug'] = boutique_slug;
                    data['transaction_type'] = 'activation_boutique';
                    if (localStorage.getItem('continent') !== null && localStorage.getItem('continent') === 'Africa') {
                        data['devise']='XOF';
                        data = JSON.stringify(data)
                        sessionStorage.setItem('data', data)
                        $('#AbonnementModal').modal('hide')
                        $('#choosePaiementOptionsModal').modal('show');

                    }else{
                        getGateWayPaiementMethod(parseInt(data.price),'USD','abonnement_shop',data,'paypal');
                    }
                },error:function (data){
                }
            });
        })

        $(document).on('click','.abonnement_productor_init',function(e){
            let btn = $(this)
            let url=btn.data('url');
            console.log('abonnement_productor_init');
            e.preventDefault();
            $.ajax({
                url:url,
                method:"GET",
                success:function(data) {
                    data = JSON.parse(data);
                    // data['boutique_slug'] = boutique_slug;
                    data['transaction_type'] = 'activation_catalogue';
                    console.log('data', data);
                    if (localStorage.getItem('continent') !== null && localStorage.getItem('continent') === 'Africa') {
                        data['devise']='XOF';
                        data = JSON.stringify(data)
                        sessionStorage.setItem('data', data)
                        $('#subscribeModal').modal('hide')
                        $('#choosePaiementProductorOptionsModal').modal('show');
                        
                    }else{
                        getGateWayPaiementMethod(parseInt(data.price),'USD','abonnement_shop',data,'paypal');
                    }
                },error:function (data){
                }
            });
        })
    </script> --}}
    @include('dashboard.scripts.script')
    @include('dashboard.scripts.clients_script')

    @include('dashboard.scripts.metier_script')
    @include('dashboard.scripts.catalogue_categorie_script')
    @include('dashboard.scripts.catalogue_articles_script')

    {{-- include Usercataloguepricing script --}}

    {{-- include actorcategory script --}}
    @include('dashboard.scripts.actorcategory_script')

    <script type="text/javascript" src="{{asset('build/js/custom.js')}}"></script>
    @yield('script')

    @if ($errors->any())

    <script>
        $.Zebra_Dialog('@foreach ($errors->all() as $error)<li>{{ $error }}</li>@endforeach',{
            'type': 'error',
            'title': 'Une ou plusieurs erreures se sont produites.'
        });
    </script>

    @endif
    @if(session("success"))

    <script>
        $.Zebra_Dialog('{{session('success')}}',{
            'type': 'information',
            'title': 'Opération effectuée avec succès'
        });
    </script>

    @elseif(session("warning"))
    <script type="text/javascript">
        $.Zebra_Dialog('{{session('warning')}}',{
            'type': 'warning',
            'title': 'Vous pouvez continuer.'
        });
    </script>
    @elseif(session("error"))
    <script type="text/javascript">
        $.Zebra_Dialog('{{session('error')}}',{
            'type': 'error',
            'title': 'L\'opération à échouer.'
        });
    </script>
    @endif

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/additional-methods.min.js"
        integrity="sha512-XZEy8UQ9rngkxQVugAdOuBRDmJ5N4vCuNXCh8KlniZgDKTvf7zl75QBtaVG1lEhMFe2a2DuA22nZYY+qsI2/xA=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
</body>

</html>