@php

$get_user_data=\Illuminate\Support\Facades\Session::get('user');
$meta_model=new \App\Users_meta();
$picture=$meta_model->get_user_field($get_user_data['id'],'profil_picture');
//dd($get_user_data);
$id=$get_user_data['slug'];
@endphp
@php
$privilegecheck=new \App\Users_controle();
$check_privilege=$privilegecheck->has_privilege($get_user_data['id'],'super_administrateur');
$check_user_privilege=$privilegecheck->has_privilege($get_user_data['id'],'utilisateur');
$check_productor_privilege=$privilegecheck->has_privilege($get_user_data['id'],'producteur');
@endphp
<style>
    .side-menu hr {
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }

    .side-menu li:hover {
        background: #88b121;
    }

    .side-menu {
        background: #fff;
    }

    .side-menu li {
        background: #fff;
    }

    .side-menu li a {
        color: #0f0f0f !important;
        margin-bottom: 0 !important;
    }

    .side-menu li:hover a {
        color: #ffffff !important;
    }

    .side-menu hr {
        padding-top: 0;
        margin-top: 0;
        margin-bottom: 0;
    }
</style>
<!-- sidebar menu -->
<div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
    <div class="menu_section">
        <ul class="nav side-menu style-2"
            style="height: 100vh;overflow-x: auto;padding-bottom: 100px;border-right: 1px solid #ddd">

            <li><a href="{{route('home')}}">@if(!$check_privilege)<img class="lazy"
                        data-src="{{asset('images/dashboard.png')}}" alt="" width="40px"> @endif TABLEAU DE BORD </a>
            </li>
            <hr>

            @if($check_privilege)
            <hr>
            <li><a href="{{route('list.user')}}">GESTION UTILISATEURS</a></li>
            <hr>

            <hr>
            <li><a href="{{route('mes_metiers')}}"> DOMAINE ACTIVITE</a></li>
            <hr>

            <li><a href="{{route('categorie_index',1)}}">GESTION CATEGORIES</a></li>
            <hr>
            <li><a href="{{route('article_index',1)}}">GESTION ARTICLES</a></li>
            <hr>

            <li><a href="{{route('abonnementBoutique')}}">ABONNEMENT PRICING</a></li>
            <hr>

            <li><a href="{{route('abonnementCatalogue')}}">ABONNEMENT CATALOGUE PRODUCTEUR</a></li>
            <hr>

            <li><a href="{{route('investment.allPermissionProject')}}" class="text-uppercase">GESTION Financement
                    projet</a></li>
            <hr>

            <li><a href="{{route('allAbonnementBoutique')}}" class="text-uppercase">GESTION BOUTIQUE ABONNées</a>
            </li>
            <hr>

            <li><a href="{{route('general_list_boutique')}}">TOUTES LES BOUTIQUES</a></li>
            <hr>

            <li><a href="{{route('list.gestion.admin.command')}}">MARKET COMMANDES</a></li>
            <hr>
            <li><a href="{{route('admin.market.setting')}}">MARKET PARAMETRE</a></li>
            <hr>
            <li><a href="{{route('generale.command.admin')}}">GESTION COMMANDES GLOBAL</a></li>
            <hr>

            <li><a href="{{route('portefeuille_admin')}}" class="text-uppercase">GESTION PORTEFEUILLE
                    COMMERçANTS</a></li>
            <hr>

            <li><a href="{{route('retrait_index')}}">GESTION DEMANDE RETRAIT </a></li>
            <hr>

            <li><a href="{{route('admin.paiement')}}"> RECETTE ADMIN</a></li>
            <hr>

            <li><a href="{{route('livraisons.index')}}">GESTION SERVICES LIVRAISONS</a></li>
            <hr>
            <li><a href="{{route('recette.index')}}"> RECETTES</a></li>
            <hr>
            <li><a href="{{route('promotion.index')}}"> PROMOTIONS</a></li>
            <hr>
            <li><a href="{{route('reclamation.index')}}"> RECLAMATIONS</a></li>
            <hr>
            <li><a href="{{route('panier.index')}}"> GESTION PANIER D'ACHAT </a></li>
            <hr>
            <li><a href="{{route('demandeGestionnaireAdmin')}}"> GESTION SUNMARKETERS</a></li>
            <hr>
            <li><a href="{{route('mib.index')}}"> GESTION MIB</a></li>
            <hr>
            <li><a href="{{ route('usercatalogue.princing') }}"> GESTION Prix du Catalogue</a></li>
            <hr>
            <hr>
            <li><a href="{{ route('actorcategory.category') }}"> GESTION Catégorie-acteur</a></li>
            <hr>

            <li><a href="{{url('blog_admin')}}"> GESTION BLOG</a></li>
            <hr>

            {{-- <li><a href="{{route('article_index',1)}}">GESTION PRODUITS</a></li>
            <hr>
            --}}
            <li><a href="{{route('abonnement.news.options')}}">GESTION NEWSLETTERS OPTIONS ABONNEMENT</a></li>
            <hr>

            <li><a href="{{route('all_abonne')}}">GESTION NEWSLETTERS ABONNEES</a></li>
            <hr>

            {{-- <li><a href="{{route('demande.activation.index')}}"> DEMANDE ACTIVATION PAIEMENT</a></li>
            <hr>
            --}}
            @endif

            @if($check_productor_privilege)
            <hr>
            <li><a href="{{route('article_supplier_index')}}"><img class="lazy" data-src="{{asset('images/boutique.png')}}" alt="" width="40px">CATALOGUE DE PRODUIT</a></li>
            <hr>
            <li><a href="{{route('supplier_history')}}"><img class="lazy" data-src="{{asset('images/news2.png')}}" alt="" width="40px">HISTORIQUE DES GAINS</a></li>
            @else
            <li><a href="{{route('boutique')}}"> @if(!$check_privilege)<img class="lazy"
                        data-src="{{asset('images/boutique.png')}}" alt="" width="40px"> @endif MES
                    BOUTIQUES</a></li> @if($check_privilege)
            <hr> @endif
            {{-- @if($check_user_privilege && !$check_privilege){
            <li><a href="#"> @if(!$check_privilege)<img class="lazy" data-src="{{asset('images/boutique.png')}}" alt=""
                        width="40px"> @endif CATALOGUE PRODUIT</a></li>
            }@endif --}}
            <li>@if(!$check_privilege)<a href="{{route('product_index', 2)}}">@elseif ($check_privilege)<a
                        href="{{route('product_index', 1)}}">@endif @if(!$check_privilege)<img class="lazy"
                            data-src="{{asset('images/produit.png')}}" alt="" width="40px"> @endif MES
                        PRODUITS</a></li> @if($check_privilege)
            <hr> @endif

            <li><a href="{{route('annonce.index')}}">@if(!$check_privilege)<img class="lazy"
                        data-src="{{asset('images/news2.png')}}" alt="" width="40px"> @endif ESPACE
                    ANNONCES</a></li> @if($check_privilege)
            <hr> @endif
            <li><a href="{{route('investment.index')}}">@if(!$check_privilege)<img class="lazy"
                        data-src="{{asset('images/retrait.png')}}" alt="" width="40px"> @endif FINANCEMENT
                    PROJET</a>
            </li>
            <li><a href="{{route('actualite.index')}}">@if(!$check_privilege)<img class="lazy"
                        data-src="{{asset('images/Ecommerce-28.png')}}" alt="" width="40px"> @endif ACTUALITES</a>
            </li>


            @if($check_privilege)
            <hr> @endif

            <li><a href="{{route('sunmarketers')}}"> @if(!$check_privilege)<img class="lazy"
                        data-src="{{asset('images/profil.png')}}" alt="" width="40px"> @endif
                    GESTIONNAIRES</a></li> @if($check_privilege)
            <hr> @endif


            <li><a href="{{route('generale.command')}}">@if(!$check_privilege)<img class="lazy"
                        data-src="{{asset('images/vente.png')}}" alt="" width="40px"> @endif MES
                    VENTES</a></li> @if($check_privilege)
            <hr> @endif

            <li><a href="{{route('generale.achat')}}">@if(!$check_privilege)<img class="lazy"
                        data-src="{{asset('images/achat.png')}}" alt="" width="40px"> @endif MES ACHATS</a>
            </li> @if($check_privilege)
            <hr> @endif

            @if(!$check_privilege)
            <li><a href="{{route('list_retrait_user')}}"><img class="lazy"
                        data-src="{{asset('images/portefeuille.png')}}" alt="" width="40px"> RETRAIT</a>
            </li> @if($check_privilege)
            <hr> @endif
            @endif
            @if(!$check_privilege)
            <li><a href="{{route('code_promo.gainCodePromo')}}"><img class="lazy"
                        data-src="{{asset('images/Ecommerce-41.png')}}" alt="" width="40px"> GAIN PARAINAGE</a>
            </li> @if($check_privilege)
            <hr> @endif
            @endif

            <li><a href="{{route('abonnement.news.user')}}">@if(!$check_privilege)<img class="lazy"
                        data-src="{{asset('images/news1.png')}}" alt="" width="40px"> @endif
                    NEWSLETTERS</a></li> @if($check_privilege)
            <hr> @endif


            <li><a href="{{route('documentation')}}">@if(!$check_privilege)<img class="lazy"
                        data-src="{{asset('images/documentation.png')}}" alt="" width="40px"> @endif FAQ</a>
            </li> @if($check_privilege)
            <hr> @endif
            @endif




            {{--<li><a><i class="fa fa-share-alt"></i> Partage <span class="fa fa-chevron-down"></span></a>--}}
                {{--<ul class="nav child_menu">--}}
                    {{--</ul>--}}
                {{--</li>--}}
            {{--<li><a><i class="fa fa-sitemap"></i> Collaboration <span class="fa fa-chevron-down"></span></a>--}}
                {{--<ul class="nav child_menu">--}}
                    {{--</ul>--}}
                {{--</li>--}}
        </ul>
    </div>
</div>
<!-- /sidebar menu -->
</div>
</div>
<!-- top navigation -->
<div class="top_nav">
    <div class="nav_menu one-edge-shadow">
        <nav>
            <div class="nav toggle">
                <a id="menu_toggle"><i class="fa fa-bars"></i></a>
            </div>

            <ul class="nav navbar-nav navbar-right">
                <li class="">
                    <a href="javascript:;" class="user-profile dropdown-toggle" data-toggle="dropdown"
                        aria-expanded="false">
                        @if(isset($picture) && $picture!="")
                        <img class="lazy" data-src="{{asset('Profil_picture/'.$picture)}}" alt="" width="30px">
                        @else
                        <img class="lazy" data-src="{{asset('images/logo_mini.jpg')}}" width="30px">
                        @endif
                        {{\Illuminate\Support\Str::limit(\Illuminate\Support\Facades\Session::get('user')['username'],10)}}
                        <span class=" fa fa-angle-down"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-usermenu pull-right">
                        <li><a href="{{route('update_view')}}"> Profil</a></li>

                        <li><a href="{{route('logout')}}"><i class="fa fa-sign-out pull-right"></i> Déconnection</a>
                        </li>
                    </ul>
                </li>

            </ul>
        </nav>
    </div>
</div>