<!DOCTYPE html>
<html lang="fr">
<head>
    <meta property="og:type" content="website"/>
    <meta property="og:image"  content="{{asset('images/favicon-32x32.png')}}">
    <meta property="og:url" content="{{url('/')}}/e-commerce">
    <meta property="og:site" content="{{url('/')}}/e-commerce"/>
    <meta property="og:site_name" content="SUNGROCERY">
    <meta property="og:description" content="{{Illuminate\Support\Str::limit("Vente et achat, de tout produits agricoles. SUNGROCERY se place en avant pour vous offrir une expérience inédit en matière de gestion de votre commerce en ligne. Visitez des milliers de boutiques en ligne dédiées à la vente de produits agricoles."),165}}" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="Vente et achat, de tout produits agricoles. SUNGROCERY se place en avant pour vous offrir une expérience inédit en matière de gestion de votre commerce en ligne. Visitez des milliers de boutiques en ligne dédiées à la vente de produits agricoles.">
    <meta name="keywords" content="Epicerie,vert,Boutique,Achat,Vente,Acheter,Vendre,grocery,achat en ligne,vente en ligne,acheter en ligne, vendre en ligne,livraison,benin">
    <meta name="author" content="suntech">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="{{asset('images/favicon-32x32.png')}}"/>
    <link rel="apple-touch-icon" sizes="180x180" href="{{asset('images/apple-touch-icon.png')}}">
<link rel="icon" type="image/png" sizes="32x32" href="{{asset('images/favicon-32x32.png')}}">
<link rel="icon" type="image/png" sizes="16x16" href="{{asset('images/favicon-16x16.png')}}">
<link rel="manifest" href="{{asset('images/site.webmanifest')}}">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>@yield('title')</title>
    <link href="https://fonts.googleapis.com/css?family=Crimson+Text:400,400i,600|Montserrat:200,300,400" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Cinzel+Decorative:wght@900&family=Russo+One&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{{asset('landing_page/css/bootstrap/bootstrap.css')}}">
    <link rel="stylesheet" href="{{asset('landing_page/fonts/ionicons/css/ionicons.min.css')}}">
    <link rel="stylesheet" href="{{asset('landing_page/fonts/law-icons/font/flaticon.css')}}">
    <link rel="stylesheet" href="{{asset('landing_page/fonts/fontawesome/css/font-awesome.min.css')}}">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.2/animate.min.css">
    <link rel="stylesheet" href="{{asset('landing_page/css/slick.css')}}">
    <link rel="stylesheet" href="{{asset('landing_page/css/slick-theme.css')}}">
    <link rel="stylesheet" href="{{asset('landing_page/css/helpers.css')}}">
    <link rel="stylesheet" href="{{asset('landing_page/css/style.css')}}">
    <link rel="stylesheet" href="{{asset('landing_page/css/landing-1.css')}}">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@mdi/font@latest/css/materialdesignicons.min.css">
    <link href="{{asset('vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-NMT1DCDEVS"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'G-NMT1DCDEVS');
    </script>
    <style>

        .btn-primary{
            background: #88b121;
            border: none;
        }
        .btn-primary:hover{
            background: #abebbb;
        }
        .list-media {
            display: block;
            margin-bottom: 2px;
            box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
        }

        .list-media:hover {
            box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
            transition: all 500ms ease;
        }
        #media-share{
            z-index: 99;
        }
        .whatsapp{
            width: 30px;
            height: 30px;
            line-height: 32px;
            text-align: center;
            background: green;
            border-radius: 100%;
            font-weight: bold;
        }

        .facebook{
            width: 30px;
            height: 30px;
            line-height: 30px;
            text-align: center;
            background: #0e0ea0;
            border-radius: 100%;
            font-weight: bold;
        }
        .instagram{
            width: 30px;
            height: 30px;
            line-height: 30px;
            text-align: center;
            background: #48aed6;
            border-radius: 100%;
            font-weight: bold;
        }

        .list-media{
            display: inline-block;
            text-align: center;
        }
        .list-media div{
            margin-left: 3%;
        }
        .list-media a{
            font-size: 12pt;
            color: #fff;
            margin-bottom: 2px;
        }
        .pb_pricing_v1 {
            border-radius: 20px;
             box-shadow: none !important;
            border:none !important;
            min-height: 490px;
        }
        .pb_form_v1{
            border-radius: 20px;
            box-shadow: none !important;
            border:none !important;
        }
        .contact_submit_button{

         background: #88b121;
            color: #fff;
            border: 1px solid #88b121;
        }
        .contact_submit_button:hover{
         background: #fff;
            border: 1px solid #88b121;
            color:#88b121;

        }

        }
        html {
            scroll-behavior: smooth;
        }
        .form-group span{
            color: red;
        }

        .notification {
            z-index:99;
            position:fixed;
            bottom:0;
            float:none;
            min-width:100%;
            background: #ffffff;
            padding: 10px 15px;
            box-shadow: 0px 0px 5px #999999;
        }

        .notification-error {
            background: #ff1010;
            color: #ffffff;
        }

        .notification-alert {
            background: #ffffff;
            color: #000000;
        }

        .notification-info {
            background: #ffffff;
            color: #000000;
        }
        #close{
            text-decoration:none;
            float:right;
        }

        .dec-a{
            font-size: 10pt;
            font-weight: 300;
            color: #88b121;
            border: 1px solid #88b121;
            padding: 10px;
            border-radius: 6px;
            text-decoration: none;
        }
        .col-md-6{
            margin-bottom: 20px;
        }
        .pb_pricing_v1 h3{
            font-size: 13pt;
            padding: 30px 0;
            font-weight: bold;
        }
        .pb_pricing_v1{
            box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
        }
        .client-card{
            border-radius: 6px;
        }
        .header-a{
            color: #88b121;
            font-size: 12pt;
        }
        .myConnectBtn a{
            width: 200px;
        }
        .logo .f2{
            font-family: 'Russo One', sans-serif;
        }
        .logo{

            width: 200px;
        }
        .logoDiv{
            padding-left: 5%;
        }
        .menuFade{
            display: none;
        }
        @media (max-width: 991px) {
            .logo{
                width: 200px;
            }
            .logoDiv{
                padding-left: 2%;
            }
            .header-a{
                color: #88b121;

                font-size: 8pt;
            }

            .myConnectBtn img{
                margin-right: 20px;
            }
            #openMenu,#closeMenu{
                cursor: pointer;
            }
        }
        .btn{
            border-radius: 50px;
        }
        .btn-xs{
            margin-top: 10px;
            width: 200px;
        }
        .share{
            background: #000000;
            width: 30px;
            height: 30px;
            border-radius: 50px;
            line-height: 30px; 
        }
    </style>
    @yield('css')
    <script src="https://www.google.com/recaptcha/api.js?render=6LfFn0whAAAAAGLRb34I2afYzEi4mN3vK2WaXC-F"></script>
    <script>
        if(typeof grecaptcha === 'undefined') {
            grecaptcha = {};
        }
        grecaptcha.ready = function(cb){
            if(typeof grecaptcha === 'undefined') {
            // window.__grecaptcha_cfg is a global variable that stores reCAPTCHA's
            // configuration. By default, any functions listed in its 'fns' property
            // are automatically executed when reCAPTCHA loads.
            const c = '___grecaptcha_cfg';
            window[c] = window[c] || {};
            (window[c]['fns'] = window[c]['fns']||[]).push(cb);
            } else {
            cb();
            }
        }
    </script>
    @include('facebook-pixel::head')
</head>
<body>
@include('facebook-pixel::body')
<section>
<div class="col-sm-12" style="background: #fff;padding: 0.5% 3%">
  <div class="row" style="margin: 0">
        <div class="offset-lg-6 col-sm-6 text-right">
            <a href="#contactSupport" class="header-a"><i class="fa fa-headphones"></i> Contacter le service de support </a> &nbsp;&nbsp; | &nbsp;&nbsp;
            <a href="tel:+22967723243" class="header-a"><i class="fa fa-phone"></i> +22967723243 </a>
        </div>
    </div>
</div>

<div class="col-sm-12" style="background: #88b121;">
    <div class="row" style="margin: 0">
        <div class="col-sm-4 col-6 logoDiv">
            <img class="logo" src="{{asset('images/logo-white.png')}}" alt="" width="200px">

        </div>
        <div class="col-sm-8 col-6 text-right myConnectBtn" style="padding: 1% 3%">
           <div class="row d-block d-sm-block d-md-none">
               <img id="openMenu" src="{{asset('images/menu.png')}}" alt="" width="40px">
           </div>
           <div class="row d-none d-sm-none d-md-block">
               @if(!\Illuminate\Support\Facades\Session::has('user'))

            <a href="{{route('login')}}" class="btn btn-light" >se connecter</a> &nbsp;&nbsp;
            <a href="{{route('register')}}" class="btn btn-light">créer un compte</a>&nbsp;&nbsp;
               @else
                   <a href="{{route('logout')}}" class="btn btn-light">se déconnecter</a>
                   <a href="{{route('home')}}" class="btn btn-light" >Tableau de bord</a>
               @endif
               <a href="#section-shop" class="btn btn-dark">Toutes nos boutiques</a>

           </div>
        </div>
    </div>
</div>
</section>
<div class="col-sm-12 menuFade" style=" position: fixed;top: 0;right: 0;width: 300px;height: 100vh;z-index: 1;padding: 0;">

    <div style="background: #88b121;width: 100%;height: 100%;">
        <h6 style="width: 100%;text-align: center;border-bottom: 1px solid #fff;color: #fff;padding: 2%">
        Menu
    </h6>
        <span id="closeMenu" style="position: absolute;top: -5px; right: 10px;font-size: 20pt;color: #fff;"><i class="fa fa-close"></i></span>

    <div class="col-sm-12 text-center pt-5">
        @if(!\Illuminate\Support\Facades\Session::has('user'))

        <a href="{{route('login')}}" class="btn btn-light btn-xs">se connecter</a>
        <a href="{{route('register')}}" class="btn btn-light btn-xs" >créer un compte</a>
            @else
            <a href="{{route('logout')}}" class="btn btn-light btn-xs">se déconnecter</a>
            <a href="{{route('home')}}" class="btn btn-dark btn-xs">Tableau de bord</a>
        @endif
            <a href="{{route('boutique_liste')}}" class="btn btn-dark btn-xs">Toutes nos boutiques</a>

    </div>
    </div>

</div>

@yield('content')



<footer class="pb_footer " role="contentinfo" style="padding: 2% 0;background: #88b121;color:#fff">
    <div class="container">
        <div class="col-sm-12 text-center">
            <a href="{{route('politique_confidentialite')}}" style="color: #fff">politique de confidentialité</a> &nbsp;&nbsp;&nbsp;
            <a href="{{route('condition_generale')}}" style="color: #fff">Conditions générales</a>&nbsp;&nbsp;&nbsp;

        </div>
        <div class="row text-center">
            <div class="col mt-4">
                <ul class="list-inline">

                    <li class="list-inline-item"><a href="https://web.facebook.com/sungrocery/" class="p-2" style="color: #fff"><i class="fa fa-facebook"></i></a></li>
{{--                    <li class="list-inline-item"><a href="#" class="p-2"><i class="fa fa-twitter"></i></a></li>--}}
                    <li class="list-inline-item"><a href="https://www.linkedin.com/company/sungrocery/" class="p-2" style="color: #fff"><i class="fa fa-linkedin"></i></a></li>

                </ul>
            </div>
        </div>
        <div class="row">
            <div class="col text-center">
                <p class="pb_font-14">&copy; 2020. Tout droit réservé à <a href="https://suntech.bj">suntech</a>.</p>
            </div>
        </div>
    </div>
</footer>

<div class="notification notification-alert">
    Nous utilisons des cookies pour améliorer les services et nous assurer qu'ils fonctionnent pour vous.
    <a href="#" id="close">ok</a>
</div>

<!-- loader -->
<div id="pb_loader" class="show fullscreen"><svg class="circular" width="48px" height="48px"><circle class="path-bg" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke="#eeeeee"/><circle class="path" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke-miterlimit="10" stroke="#88b121"/></svg></div>


<script src="{{asset('landing_page/js/jquery.min.js')}}"></script>

<script src="{{asset('landing_page/js/popper.min.js')}}"></script>
<script src="{{asset('landing_page/js/bootstrap.min.js')}}"></script>
<script src="{{asset('landing_page/js/slick.min.js')}}"></script>
<script src="{{asset('landing_page/js/jquery.mb.YTPlayer.min.js')}}"></script>
<script src="{{asset('landing_page/js/jquery.waypoints.min.js')}}"></script>
<script src="{{asset('landing_page/js/jquery.easing.1.3.js')}}"></script>
<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery.lazy/1.7.9/jquery.lazy.min.js"></script>
<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery.lazy/1.7.9/jquery.lazy.plugins.min.js"></script>
<script src="{{asset('landing_page/js/main.js')}}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-cookie/1.4.1/jquery.cookie.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>
<script type="text/javascript" src="{{asset('plugin/chosen/chosen.jquery.js')}}"></script>
@include('dashboard.Boutique.global.globalJs')
@yield('script')
<script>
    $(document).ready(function() {
        $(function() {
            $('.lazy').Lazy();
        });

        $('.responsive').slick({
            dots: false,
            infinite: true,
            speed: 2000,
            autoplay: true,
            slidesToShow: 6,
            slidesToScroll: 6,
            centerMode: true,
            responsive: [
                {
                    breakpoint: 1024,
                    settings: {
                        slidesToShow: 4,
                        slidesToScroll: 4,
                        infinite: true,
                    }
                },
                {
                    breakpoint: 600,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2
                    }
                },
                {
                    breakpoint: 480,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2
                    }
                }
            ]
        });

        if(localStorage.getItem('pub')===undefined || localStorage.getItem('pub')===null){
            $('#pubModal').modal('show');
        }

        $(document).on('click','#closePub',function(){
            $('#pubModal').modal('hide');
            localStorage.setItem('pub','hello');
        })
        $(document).on('click','#openMenu',function(){
            $('.menuFade').show();
            animateCSS('.menuFade', 'slideInRight',function(){

            })


        })
 $(document).on('click','#closeMenu',function(){
     animateCSS('.menuFade', 'slideOutRight',function(){
         $('.menuFade').hide();

     })
 })
        $('.notification').slideDown();

        $(document).on('click','#close',function(){
            $('.notification').slideUp();
            let cookieset = getCookie("_checkCookie");

            if (cookieset === "" || cookieset == null) {
                setCookie("_checkCookie", "check", 7);
            }
        });

        function checkCookie() {
            var cookieset = getCookie("_checkCookie");
            if (cookieset==="" || cookieset==null) {
                $('.notification').slideDown();
            }else{
                $('.notification').slideUp();
            }
        }
        checkCookie();


        function setCookie(name,value,days) {
            $.cookie(name, value, { expires: days });
        }
        function getCookie(name) {
          return  $.cookie(name);

        }

        function animateCSS(element, animationName, callback) {
            const node = document.querySelector(element)
            node.classList.add('animated', animationName)

            function handleAnimationEnd() {
                node.classList.remove('animated', animationName)
                node.removeEventListener('animationend', handleAnimationEnd)

                if (typeof callback === 'function') callback()
            }

            node.addEventListener('animationend', handleAnimationEnd)
        }
    });
</script>
@include('dashboard.Boutique.Boutique_template.script')
</body>
</html>
