@extends("../dashboard._blank")
@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-12 col-xs-12"><span style="color: #1e8033;">ESPACE CONFIGURATION MIB  </span></h2>

                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))

                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>
                            @endif

                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <a class="btn btn-success btn-sm" style="border-radius: 0px" href="{{route('admin.mib.princing.list')}}">Configuration des prix</a>
                            </div>

                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    <table id="categoriedatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                        <thead>
                                        <tr>
                                            <th>Boutique</th>
                                            <th>max utilisateur</th>
                                            <th>expire dans</th>
                                            <th>Action</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @php $i=1; @endphp
                                        @foreach($mib_abonnements as $abonnement)
                                            <tr>
                                                <td>{{$i++}}</td>
                                                <td>{{$abonnement->boutique ? $abonnement->boutique->nom_boutique :''}}</td>
                                                <td>{{$abonnement->expired_at}}</td>
                                                <td></td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>




    <!-- /page content -->
@endsection
