<div id="RetraitDataModal" class="modal fade" data-backdrop="static" data-keyboard="false">
    <div class="modal-md modal-dialog">
        <form method="post" id="retrait_form" autocomplete="off" onsubmit="return check_error(['password','phone','price','motifretrait']);"  action="{{route('makedemande_retrait')}}"  enctype="multipart/form-data">
            @csrf
            <div class="modal-content" style="border-radius: 0px;background: #ffffff;border-right: 5px solid #2a3f54;">
                <div class="modal-header" style="background: #2a3f54;border-radius: 0px">
                    <h4 class="modal-title text-left" style="color: #f1f1f1;"><i class="fa fa-hand-lizard"></i> Fournir les informations suivantes pour valider la demande <span id="name_details_header"></span></h4>
                </div>
                <div class="modal-body">
                    @php
                        $devise=[];
                    @endphp
                    @foreach($portefeuilles as $portefeuille)
    @php
    if($portefeuille->montant>10000 && $portefeuille->devise=='XOF'){

    array_push($devise,$portefeuille->devise);
    }elseif($portefeuille->montant>50 && $portefeuille->devise=='USD' && $portefeuille->devise=='EUR'){
    array_push($devise,$portefeuille->devise);
    }

    @endphp
                        @endforeach
                    <div id="retrait_detail">
                        <div class="row" style="padding-top: 30px;padding-bottom: 10px;" id="livraison_panel">
                            @if(count($devise)>0)
                            <div class="col-xs-12 col-sm-12">
                                <small class="col-xs-12 col-sm-12">
                                    <span style="color: red;">NB: </span>
                                    <span>Vous ne pouvez effectué que des retraits de montant supérieur ou égale à 10.000 XOF, à 50 USD ou 50 EUR.</span>
                                </small>
                            </div>
                            <br><br>
                            <div class="form-group col-xs-12 col-sm-12">
                                <label> Votre mot de passe de connexion</label><br>
                                <input type="password" id="password" name="password"
                                       onblur="check_error(['password'])"  data-input_name="mot de passe"
                                       required="required" role="presentation" autocomplete="off"  class="form-control"
                                       placeholder="Veuillez saisir votre mot de passe" style="width: 100%;">
                                <span style="color: red;font-size: 10pt;" id="errorpassword"></span>
                                <span style="color: forestgreen;font-size: 10pt;" id="validpassword"></span>
                            </div>
                            <div class="col-sm-12 form-group">
                                <label for="">Choisir le moyen de paiement pour votre retrait</label>
                               <label for="compteBanquaireRetrait"> <input type="radio" id="compteBanquaireRetrait" class="type_retrait" checked name="moyen_paiement" value="compte_bancaire">&nbsp; Compte bancaire  &nbsp;&nbsp;&nbsp;</label>
                               <label for="mobilMoneyRetrait"> 
                               <input type="radio" class="type_retrait" id="mobilMoneyRetrait"  name="moyen_paiement" value="mobile_money">&nbsp; Mobile money &nbsp;&nbsp;&nbsp;
                                </label>
                                <label for="paypalRetrait"><input type="radio" id="paypalRetrait" class="type_retrait" name="moyen_paiement" value="paypal">&nbsp; Compte PAYPAL </label>
                            </div>
                            <div class="form-group col-xs-12 col-sm-12" id="mobile_panel" style="display: none">
                                <label> Numéro de téléphone du recepteur</label><br>
                                <input type="number" id="phone" name="numero" required="required"  minlength="8" onblur="check_error(['phone'])"  data-input_name="numéro de téléphone" class="form-control" oninput="this.value=this.value.replace(/(?![0-9])./gmi,'')" placeholder="Votre numéro de téléphone de livraison" style="width: 100%;">
                                <span id="valid-msg" class="hide" style="display: none;color: green;">✓ Valid</span>
                                <span id="error-msg" class="hide" style="color: red;"></span>
                                <span style="color: red;font-size: 10pt;" id="errorphone"></span>
                                <span style="color: forestgreen;font-size: 10pt;" id="validphone"></span>
                            </div>
                            <div class="form-group col-xs-12 col-sm-12" id="compte_bancaire_panel">
                                <label> Compte bancaire</label><br>
                                <div class="input-group">
                                    <input type="number" id="compte" role="presentation" autocomplete="off" value="" name="compte_bancaire" data-input_name="compte bancaire" onblur="check_error(['compte'])"   class="form-control"  minlength="16"  placeholder="Veuillez saisir votre numéro de compte bancaire" style="width: 100%;">
                                    <span class="input-group-addon"><i class="fa fa-credit-card"></i></span>
                                </div>
                                <span style="color: red;font-size: 10pt;" id="errorcompte"></span>
                                <span style="color: forestgreen;font-size: 10pt;" id="validcompte"></span>
                            </div>
  <div class="form-group col-xs-12 col-sm-12" id="paypal_panel" style="display: none;">
                                <label> Paypal</label><br>
                                <div class="input-group">
                                    <input type="text" id="paypal" name="paypal" role="presentation" autocomplete="off" value="" data-input_name="compte paypal" onblur="check_error(['paypal'])"   class="form-control"  minlength="16"  placeholder="Veuillez saisir l'email de votre compte paypal" style="width: 100%;">
                                    <span class="input-group-addon"><i class="fa fa-paypal"></i></span>
                                </div>
                                <span style="color: red;font-size: 10pt;" id="errorpaypal"></span>
                                <span style="color: forestgreen;font-size: 10pt;" id="validpaypal"></span>
  </div>
                            <div class="form-group col-xs-12 col-sm-12">
                                <label> Montant à retirer</label><br>
                                <div class="input-group">
                                    <input type="number" id="price" name="montant" data-input_name="montant du retrait" onblur="check_error(['price'])"   required="required" class="form-control" value="100" min="10" minlength="2"  placeholder="Veuillez saisir le montant du retrait" style="width: 100%;">
                                    <span class="input-group-addon"><i class="fa fa-money"></i></span>
                                </div>
                                <span style="color: red;font-size: 10pt;" id="errorprice"></span>
                                <span style="color: forestgreen;font-size: 10pt;" id="validprice"></span>
                            </div>
    <div class="form-group col-xs-12 col-sm-12">
                                <label> Choisissez une devise</label><br>
                                <div class="form-group">
                                    <select name="devise" class="form-control">
                                    @for($i=0;$i<count($devise);$i++)
                                        <option value="{{$devise[$i]}}">{{$devise[$i]}}</option>
                                    @endfor
                                    </select>
                                </div>
                                 </div>
                            <div class="form-group col-xs-12 col-sm-12">
                                <label> Motif du retrait</label><br>
                                <textarea class="form-control" name="motif"  data-input_name="motif du retrait" onblur="check_error(['motifretrait'])"  id="motifretrait" rows="5" style="width: 100%"></textarea>
                                <span style="color: red;font-size: 10pt;" id="errormotif"></span>
                                <span style="color: forestgreen;font-size: 10pt;" id="validmotif"></span>
                            </div>
                            <div id="type-transaction"></div>
                        </div>
                        @else
                            <div class="col-xs-12 col-lg-12 col-md-12 text-center" style="color: #942a25;padding:10px">
                                Fond insuffisant ! Vous ne pouvez pas effectué un retrait pour le moment.
                            </div>
                            @endif
                    </div>
                    <div class="row">
                        <div class="col-sm-12 text-right" style="margin-top: 20px;">
                            @if(count($devise)>0)
                            <button  type="submit" class="btn btn-primary" id="demande_retrait" data-page="2" style="border-radius: 0px;cursor: pointer;background: #2a3f54">Faire la demande</button>
                          @endif
                            <button type="button" class="btn btn-default" data-dismiss="modal" style="border-radius: 0px;cursor: pointer;">Fermer</button>
                        </div>
                    </div>
                </div>
            </div>

        </form>
    </div>
</div>
