<?php

use App\Http\Controllers\mib\Api\AuthController;
use App\Http\Controllers\mib\Api\MibController;
use Illuminate\Support\Facades\Route;

Route::post('mib/login', [AuthController::class, 'login']);

Route::get('mib/user/logout', [AuthController::class, 'logout']);
Route::get('mib/user', [AuthController::class, 'user']);
Route::post('mib/user/update', [AuthController::class, 'update']);

Route::get('mib/list_by_user', [MibController::class, 'mib_list_by_user']);
Route::get('mib/client_mib_index_year', [MibController::class, 'client_mib_index_year']);
Route::get('mib/category_by_boutique/{boutique_id}/{an}', [MibController::class, 'mib_category_by_boutique']);
Route::get('mib/lot_by_category/{categorie_mib}', [MibController::class, 'mib_lot_by_category']);
Route::get('mib/clients_by_boutique/{boutique_id}/{an}', [MibController::class, 'mib_client']);
Route::post('mib/clients/store', [MibController::class, 'mib_store_client']);
Route::get('mib/show/clients/{client_id}', [MibController::class, 'mib_show_client']);
Route::put('mib/clients/update/{client_id}', [MibController::class, 'mib_update_client']);

Route::post('mib/payment_by_intram', [MibController::class, 'payment_by_intram']);

