<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class AbonnementPaiment extends Model
{
    protected $fillable=['user_slug','montant','action','motif','devise'];

    static function createpaiement($user,$montant,$action,$motif,$devise){
        $data['user_slug']=$user;
        $data['montant']=$montant;
        $data['action']=$action;
        $data['motif']=$motif;
        $data['devise']=$devise;
        AbonnementPaiment::create($data);
        if($data['motif']!='Actif de parainage') {
            $portefeuille_check = adminPortefeuilles::where('devise', $devise)->first();
            if ($portefeuille_check == null) {
                adminPortefeuilles::create([
                    'devise' => $devise,
                    'montant' => $montant,
                ]);
            } else {
                $portefeuille = adminPortefeuilles::findOrFail($portefeuille_check['id']);
                $portefeuille->montant = (double)$portefeuille->montant + (double)$montant;
                $portefeuille->save();
            }
        }
    }

    public function user(){
        return $this->belongsTo('App\User','user_slug','slug');
    }
}
