<?php

namespace App;

use App\Boutique;
use Illuminate\Database\Eloquent\Model;

class ArticleCoffret extends Model
{
    protected $fillable=['coffret_id', 'article_id', 'boutique_slug'];

    protected $table = "article_coffrets";

    public function coffret()
    {
        return $this->belongsTo('App\CatalogueArticles', 'coffret_id', 'id');
    }

    public function article()
    {
        return $this->belongsTo('App\CatalogueArticles', 'coffret_id', 'id');
    }

    public function boutiques()
    {
        return $this->belongsTo('App\CatalogueArticles', 'boutique_slug', 'slug');
    }
}
