<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CategorieCatalogue extends Model
{
    protected $fillable = [
        'slug','secteur_activite','intitule','description','user_slug','type_user','boutique_slug','corbeil'
    ];

    public function caracteristique(){
     return   $this->hasMany('App\CategorieCaracteristique');
    }

    public function article(){
        return $this->hasMany('App\CatalogueArticles','categorie_slug','slug');
    }

    public function metier(){
        return $this->belongsTo('App\Metier','secteur_activite','slug');
    }
}
