<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CategoriesMib extends Model
{
    protected $fillable=['slug','name','price','filename','description','status','boutique_id','bonus','an'];

    public function  boutique(){
        return $this->belongsTo('App\Boutique');
    }
    public function lots(){
        return $this->hasMany('App\LotMib');
    }
    public function  clients(){
        return $this->hasMany('App\ClientMib');
    }

}
