<?php

namespace App\Http\Controllers;

use App\Concerver_etat;
use App\Formations;
use App\Missions;
use App\Offres;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;

class Admin_Controller extends Controller
{

    function sendSmsMessage($num,$msg,$from='JobsREADY') {
        $url='sendmsg.php?';
        $url.='user=magmatel2';
        $url.='&password=SMSmagamatelys2@2017';
        $url.='&from='.urlencode(trim($from));
        $url.='&to='.$num;
        $url.='&text='.urlencode($msg);
        $url.='&api=6355';
        return $results=file('http://74.207.224.67/api/http/'.$url);
    }

    public function recommandation_par_sms(Request $request){
        $data=$request->all();
        $link="";
        $user=Session::get('user');
        $job="";
        $data['slug']=$data['job_slug'];
        $intitule="";
        switch($data['job']){
            case "offre":
                $job=Offres::where('slug','=',$data['slug'])->first();
                $link=url('recommande_offre',$data['slug']);
                $intitule=$job['intitule_poste'];
                break;

            case "mission":
                $job=Missions::where('slug','=',$data['slug'])->first();
                $link=url('recommande_mission',$data['slug']);
                $intitule=$job['intitules'];
                break;

            case "formation":
                $job=Formations::where('slug','=',$data['slug'])->first();
                $link=url('recommande_formation',$data['slug']);
                $intitule=$job['intitules'];
                break;
        }


        $messages="l'utilisateur ".$user['first_name']." ".$user['last_name']." Vous recommande une ".$data['job'];

        if($data['job']=='offre'){
            $messages.=" d'emploie au poste de";
        }elseif($data['job']=='formation'){
            $messages.=" sur";
        }elseif ($data['job']=='mission'){
            $messages.=" portant sur";
        }
        $messages.= $intitule." sur JobsREADY. Merci de cliquer sur ce lien pour y accéder ".$link." © L'équipe JobsREADY | Les formateurs prêtes-A-l'Emploi";

       $url= $this->sendSmsMessage($data['telephone'],$messages);
        return $url;
    }

    public function recommandation(Request $request){
        $data=$request->all();
        $link="";
        $user=Session::get('user');
        $job="";
        $data['slug']=$data['job_slug'];
        $intitule="";
        switch($data['job']){
        case "offre":
            $job=Offres::where('slug','=',$data['slug'])->first();
            $link=url('recommande_offre',$data['slug']);
            $intitule=$job['intitule_poste'];
                break;

        case "mission":
            $job=Missions::where('slug','=',$data['slug'])->first();
            $link=url('recommande_mission',$data['slug']);
            $intitule=$job['intitules'];
            break;

        case "formation":
            $job=Formations::where('slug','=',$data['slug'])->first();
            $link=url('recommande_formation',$data['slug']);
            $intitule=$job['intitules'];
            break;
        }

        $subject = 'Recommandation d\'une '.$data['job'];
        $messages = array('user' => $user['first_name'].' '.$user['last_name'], 'link' => $link, 'job' => $data['job'],'intitule'=>$intitule);
        $sendMail = MailController::RecommandationMail($subject, $messages, $data['email']);

            Session::flash('success','Vous venez de recommander cette '.$data['job'].' à l\'utilisateur '.$data['email']);

return back();
    }

    public function concerver_etat($vue,$etat){
        $data['key']=$vue;
        $data['etat']=$etat;
        $data['user_slug']= Session::get('user')['slug'];
        $concerv=Concerver_etat::where('key','=',$data['key'])->where('user_slug',$data['user_slug'])->count();
        if($concerv>0){
            DB::table('concerver_etats')
                ->where('key','=',$data['key'])
                ->where('user_slug',$data['user_slug'])
                ->update(['etat' =>$data['etat']]);
        }else {

            Concerver_etat::create($data);
        }
        return back();
    }

    public function get_concerver_etat($key){
        $etat= Concerver_etat::where('key','=',$key)->where('user_slug','=',Session::get('user')['slug'])->first();
        return $etat['etat'];
    }

    public function get_etat_concerver($etat){
       $etat= Concerver_etat::where('etat','=',$etat)->where('user_slug','=',Session::get('user')['slug'])->first();
       return $etat;
    }

    public  function update_etat_concerver(Request $request){
        $data=$request->all();
        $concerv=Concerver_etat::where('key','=',$data['key'])->where('user_slug','=',Session::get('user')['slug'])->count();
        if($concerv>0){
            DB::table('concerver_etats')
                ->where('key','=',$data['key'])
                ->where('user_slug','=',Session::get('user')['slug'])
                ->update(['etat' =>$data['etat']]);
        }else {
            $data['user_slug']=Session::get('user')['slug'];
            Concerver_etat::create($data);
        }

return back();
    }
}
