<?php

namespace App\Http\Controllers\Api;

use App\Recettes;
use Illuminate\Support\Str;
use App\Http\Controllers\Controller;

class recetteController extends Controller
{

    public function list()
    { 
        try {
            $recettes =  Recettes::orderBy("id",'DESC')->inRandomOrder()->paginate(10);
            return json_encode($recettes);
        }catch (\Exception $e){
            return json_encode($e);
        }           
    } 

    public function homeList()
    { 
        try {
            $recettes =  Recettes::orderBy("id",'DESC')->inRandomOrder()->take(10)->get();
            return json_encode($recettes);
        }catch (\Exception $e){
            return json_encode($e);
        }           
    } 
    
    public function get($slug)
    {
        try {
           $recette =  Recettes::where('slug',$slug)->first();
           return json_encode($recette);
        } catch (\Exception $e) {
            return json_encode($e);
        }
    }
    
}
