<?php

namespace App\Http\Controllers\SGI;

use App\Http\Traits\UserClientInvest;
use App\InvestmentProjetContribution;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Log;

class ClientProjectController extends ApiController
{
    use UserClientInvest;

    public function index(Request $request)
    {
        $header = $request->header('Token');
        //Log::info($header);
        //Log::info($request->header());
        //return $request->header();
        //$token = substr($header, strpos($header, " ") + 1);
        $user = $this->getSgiUser("token",$header);
        Log::info($user);
        $investments = InvestmentProjetContribution::with(["investment","remboursements"])
            ->where("sgi_user_id",$user->id)
            ->orderByDesc("id")->get();
        return $this->successResponse($investments);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
