<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class LoginMibUserRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'email' => 'required|email',
            'password' => 'required',
        ];
    }

    public function messages()
    {
        return [
            'email.required' => 'Le champ email est requis',
            'password.required' => 'Le champ mot de passe est requis',
        ];
    }
}
