<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreMibClientRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
         return [
            'nom' => 'required|string',
            'prenom' => 'required|string',
            'tel' => 'nullable|string',
            'adresse' => 'nullable|string',
            'nom_mandataire' => 'nullable|string',
            'tel_mandataire' => 'nullable|string',
            'adresse_mandataire' => 'nullable|string',
            'parainer' => 'nullable|string',
            'parain_id' => 'nullable|integer|exists:parains,id',
            'boutique_id' => 'required|integer|exists:boutiques,id',
            'categories_mib_id' => 'required|integer|exists:categories_mibs,id',
            'lot' => 'required|string|exists:lot_mibs,slug',
        ];
    }
}
