<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class InvestmentProjetContribution extends Model
{
    protected $guarded = [];

    public function investment()
    {
        return $this->belongsTo(InvestmentProject::class,"investment_project_id");
    }

    public function user()
    {
        return $this->belongsTo(User::class,"sgi_user_id");
    }

    public function payments_logs()
    {
        return $this->hasMany(InvestmentPaymentLogs::class,'id', 'contribution_id');
    }

    public function remboursements()
    {
        return $this->hasMany(investissementRemboursement::class,'contribution_id');
    }


}
