<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Marketer extends Model
{

protected  $fillable=[
'user_slug',
'nom',
'prenom',
'date_naissance',
'lieu_naissance',
'sexe',
'diplome_elever',
'diplome_elever_doc',
'photo',
'lieu_residence',
'numero_tel',
'numero_whatsapp',
'facebook',
'twitter',
'email',
'nationnalite',
'region',
'ville',
'adresse_residence',
'remuneration',
'pourcentage_sur_vente',
'montant',
'devise',
'remuneration_negociable',
'a_propos',
'cni',
'cni_doc_recto',
'cni_doc_verso',
'verified',
'note',
'formation',
'ancien_profession',
'information_supplementaire',
'status_compte',
'signaler',
'motivation','visibility'];

    public function user(){
        return $this->belongsTo('App\User','user_slug','slug');
    }
}
