<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Retrait extends Model
{
   protected $fillable=['slug','montant','numero','motif','status_demande','status_retrait','user_slug','admin_validate','date_validate','compte_bancaire','moyen_paiement'];

   public function user(){
        return $this->belongsTo('App\User','user_slug','slug');
    }
    public function admin(){
        return $this->belongsTo('App\User','admin_validate','slug');
    }

}
