<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Users_meta extends Model
{
    protected $fillable=['key','value','user_id'];

    public function get_user_field($id,$key){

      $response="";
      $user=Users_meta::where('key',$key)->where('user_id',$id)->get();
		if(isset($user[0])){
	     $response=$user[0]['value'];
		}
          return $response;
    }

    public function update_user_meta($user_id,$key,$value){

        $response="";
       $user_meta = Users_meta::where('user_id',$user_id)->where('key',$key)->get();

       if(count($user_meta)>0){

            $response =   DB::table('users_metas')
                   ->where('user_id', $user_id)
                   ->update(['value' => $value]);


           }else{

             $response =   Users_meta::create(['user_id'=>$user_id,'key'=>$key,'value'=>$value]);

           if(isset($response) && $response!=""){
               return $response=1;
           }else{
               return $response=0;
           }

       }

       return $response;


    }
}
