<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class TableEnseigne extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
       Schema::create('enseignes',function(Blueprint $table){
            $table->increments('id');
            $table->string('slug');
            $table->string('nom_enseigne');
            $table->string('slogan_enseigne');
            $table->string('logo_enseigne');
            $table->string('presentation_enseigne');
            $table->string('telephone_enseigne');
            $table->string('email_enseigne');
            $table->string('site_web_enseigne');
            $table->string('pays_enseigne');
            $table->string('adresse_enseigne');
            $table->string('gps_enseigne');
            $table->integer('id_user_fk_enseigne')->unsigned();
          $table->foreign('id_user_fk_enseigne','user_fk_fk_enseigne')->references('id')->on('users');
          $table->timestamps();
        });
        Schema::create('afiliates',function(Blueprint $table){
            $table->integer('id_enseigne_fk_afiliate');
            $table->string('type');
            $table->string('name');
            $table->timestamps();
});


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
       Schema::dropIfExists('enseignes');
    }
}
