<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class TableCatalogueArticles extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('categorie_articles', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->string('name');
            $table->string('price');
            $table->string('show_price');
            $table->boolean('active');
            $table->integer('quantity');
            $table->string('reference');
            $table->text('description');
            $table->boolean('on_sale');
            $table->string('minimal_quantity');
            $table->string('categorie_slug');
            $table->string('stock');
            $table->string('user_slug');
            $table->string('type_user');
            $table->string('boutique_slug');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
