<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateNewslettersOptionAbonnementsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('newsletters_option_abonnements', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->string('intitule');
            $table->integer('diffusion');
            $table->integer('boutique');
            $table->integer('prix');
            $table->boolean('corbeil');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('newsletters_option_abonnements');
    }
}
