<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDemandeActivationAbonnementsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('demande_activation_abonnements', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('boutique_id');
            $table->string('rccm')->nullable();
            $table->string('rccmFile')->nullable();
            $table->string('ifu')->nullable();
            $table->string('ifuFile')->nullable();
            $table->string('cni')->nullable();
            $table->string('cniFile')->nullable();
            $table->string('state')->nullable()->default('init');
            $table->integer('user_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('demande_activation_abonnements');
    }
}
