<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateServiceShippingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('service_shippings', function (Blueprint $table) {
            $table->bigIncrements('id');
             $table->string('slug');
             $table->string('type');
             $table->string('country');
             $table->string('name');
             $table->string('logo');
             $table->string('tel');
             $table->string('email');
             $table->string('adress');
             $table->boolean('status');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('service_shippings');
    }
}
