<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePlantarifaireShippingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('plantarifaire_shippings', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->text('countries');
            $table->string('filename');
            $table->boolean('status');
            $table->string('service_slug');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('plantarifaire_shippings');
    }
}
