<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePortefeuilleUserLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('portefeuille_user_logs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('action');
            $table->text('motif')->nullable();
            $table->integer('montant');
            $table->string('devise');
            $table->boolean('admin')->default(false);
            $table->string('boutique_slug')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('portefeuille_user_logs');
    }
}
