<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLotMibsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('lot_mibs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->string('nom');
            $table->string('valeur_produit');
            $table->integer('numeraire');
            $table->integer('nombre_possibilite_emballage');
            $table->text('info_plus');
            $table->integer('categories_mib_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('lot_mibs');
    }
}
