<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddColunmToInvestmentProjects extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('investment_projects', function (Blueprint $table) {
            $table->double("min_invest")->default(1000);
            $table->boolean("pay_gain_status")->default(false);
            $table->dateTime("pay_gain_at")->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('investment_projects', function (Blueprint $table) {
            //
        });
    }
}
