<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CodePromoBoutiques extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('code_promo_boutiques', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('code');
            $table->integer('max_user')->nullable();
            $table->timestamp('validate_date')->nullable();
            $table->integer('min_amount')->nullable();
            $table->integer('reduction');
            $table->string('boutique_slug');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
