<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddToInvestmentProjects extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('investment_projects', function (Blueprint $table) {
            $table->integer('max_invest')->default()->default(0);
            $table->string('support_investissement')->nullable();
            $table->integer('montant_global')->default(0);
            $table->string('frequence_paiement')->nullable();
            $table->string('modalite_remboursement')->nullable();
            $table->text('porteur_projet')->nullable();
            $table->text('risques')->nullable();
            $table->text('finance')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('investment_projects', function (Blueprint $table) {
            //
        });
    }
}
