<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddToInvestmentProjects3 extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('investment_projects', function (Blueprint $table) {
           $table->integer('nbre_part')->default(0);
           $table->integer('action_prix')->default(0);
           $table->integer('action_nbre_limit')->default(0);
           $table->integer('nbre_obligation_mensuelle_investisseur')->default(0);
           $table->integer('montant_fixe_obligation_mensuelle')->default(0);
           $table->integer('nbre_obligation_mensuelle_paiement')->default(0);
           $table->string('obligation_mensuel')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('investment_projects3', function (Blueprint $table) {
            //
        });
    }
}
