<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddToInvestmentProjectContributions extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('investment_projet_contributions', function (Blueprint $table) {
            $table->string('number_month_paid')->nullable();
            $table->boolean('active')->default(false);
            $table->string('receipt')->nullable();
            $table->string('type_payment')->nullable();
            $table->boolean('payment_status')->default(false);
            $table->integer('part')->default(1);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('investment_projet_contributions', function (Blueprint $table) {
            //
        });
    }
}
