<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInvestissementNewsDocsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('investissement_news_docs', function (Blueprint $table) {
                $table->bigIncrements('id');
                $table->string('slug');
                $table->string('name');
                $table->string('filename');
                $table->text('news_id');
                $table->boolean('status');
                $table->integer('created_by');
                $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('investissement_news_docs');
    }
}
