<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRecettesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('recettes', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->string('name');
            $table->string('image');
            $table->enum('type',["video","text"])->default("text");
            $table->text('documentation')->nullable();
            $table->string('link')->nullable();
            $table->string('resume')->nullable();
            $table->text('ingrédients')->nullable();
            $table->text('minutes')->nullable();
            $table->text('plats')->nullable();
            $table->integer('panier_recette_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('recettes');
    }
}
