<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddToCommandes8 extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('commandes', function (Blueprint $table) {
            $table->boolean('is_global')->default(false);
            $table->string('global_code_promo')->default(0);
            $table->integer('montant_global_code_promo')->default(0);
            $table->integer('admin_percentage')->default(10);
            $table->integer('admin_gain')->default(0);
            $table->integer('reference_global')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('commandes', function (Blueprint $table) {
            //
        });
    }
}
