<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnToCatalogueArticles extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('catalogue_articles', function (Blueprint $table) {
            $table->string('private_key')->unique()->nullable()->after('reference');;
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('catalogue_articles', function (Blueprint $table) {
            $table->dropColumn('private_key');
        });
    }
}
