<?php

use App\Models\Setting;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Config;

class SgiClientGrantSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $tab = [
            [
                "type"=>"client",
                "client_secret"=>\Illuminate\Support\Str::random(50),
            ],
            [
                "type"=>"password",
                "client_secret"=>\Illuminate\Support\Str::random(50),
            ]
        ];

        foreach ($tab as $value) {
            \App\SgiClientGrant::create($value);
        }
    }
}
