@extends('dashboard.Boutique.Boutique_template.layouts.defaultLayout')

@section('css')
    @include('dashboard.Boutique.Boutique_template.styles.contact_styles')
    @include('dashboard.Boutique.Boutique_template.styles.contact_responsive')
@endsection

@section('content')
    <div  style="background: url('{{asset('images/shop_background.jpg')}}') center no-repeat;background-size: cover;">
        <div class="col-lg-12 text-center" style="height: 200px;line-height: 200px;font-weight: bold;font-size: 15pt;background:rgba(0,0,0,0.5);color: #fff">
               A PROPOS DE {{strtoupper(str_replace('_',' ',$boutique->nom_boutique))}}
        </div>
    </div>
    <!-- Contact Info -->

    <div class="contact_info" style="margin-bottom: 5%;">
        <div class="container">
            <div class="row">
                <div class="col-lg-10 offset-lg-1">


                                <div class="row" style="background: #f8f8f8;padding: 15px 0;margin: 10px 0">
                                 <!-- Char. Item -->

                                     <h4 class="col-12">
                                         #  @if($metas->satisfied_or_refunded) Satisfait ou remboursé @else Pas de remboursement @endif
                                     </h4>
                                    <br>
                                    <h4 class="col-12">
                                        # @if($metas->exchange_after_ship) Les produits peuvent être changés jusqu'à <strong> {{$metas->day_exchange_after_ship}} jours</strong>  après la livraison
                                        @else Les produits vendus ne sont plus échangés.
                                        @endif
                                    </h4>
                                    <br>
                                    <h4 class="col-12">
                                        #  @if($metas->offer_return_delivery_to_customer) Retour après livraison gratuite @else Retour après livraison payante @endif
                                    </h4>
                               <h4 class="col-12">
                                        #  <strong>Adresse retour </strong> @if($metas->address!=null) {{$metas->address}} @else {{$metas->adresse_boutique}} @endif
                                    </h4>
                                </div>



                                    <h2>EN SAVOIR PLUS</h2>

                   <p> {{$description}}</p>
                    <br>
                    @php
                        $meta_model=new \App\Users_meta();
                        $picture=$meta_model->get_user_field($boutique->user->id,'profil_picture');
                    @endphp
                    <h4>
                        Gestionnaire :
                        <img src="{{asset('Profil_picture/'.$picture)}}" alt=""  style="width: 70px;height: 70px;border-radius: 100%"> &nbsp; <span>{{$boutique->user->last_name.' '.$boutique->user->first_name}}</span>
                    </h4>
                    <hr style="background: {{$metas->background_color!=null ?  $metas->background_color : 'indigo' }};width: 50%;margin: 5% 0;">
                @if($metas->general_condition!==null)
                    <h2 style="margin-top: 20px;">CONDITION GENERALE D'ACHAT</h2>
                    <p>
                        {{$metas->general_condition}}
                    </p>
                    @endif

                </div>
            </div>
        </div>
    </div>

@endsection
