@if(isset($boutique_listes) && count($boutique_listes)>0)
    @foreach($boutique_listes as $boutique)
        @php
            $helpers=new \App\Http\Controllers\HelperController();
            $metier="";
            if(isset($boutique->metier) && $boutique->metier!=null){
                                   if(isset($boutique->metier->intitule_metier)){
                               $metier=$boutique->metier->intitule_metier;
                                   }
            }

        @endphp
        <div class="col-lg-3 col-xs-12 col-sm-6 col-md-4 list_boutique" data-name="{{str_replace('_',' ',$boutique->nom_boutique)}}"  data-metier="{{$metier}}" style="margin-bottom: 30px;">
            <div class="card card-1" style="padding: 1%;">
                <div class="card-header text-center" style="padding: 0; font-size: 13pt;color: #fff;border-radius: 20px !important;
                @if(isset($boutique->publicites) && $boutique->publicites !=null) @foreach($boutique->publicites as $pub)
                @if(isset($pub->image)) background: url('{{$pub->image}}'); background-size: cover;background-repeat: no-repeat;background-position: center;
                 @endif
                @endforeach
                @else background: rgba(136,177,33,1) !important;
                @endif">
                    <div class="" style="background: rgba(136,177,33,0.5);text-align: center; padding: 10%;border-radius: 20px 20px 0 0 !important;">
                        @if($boutique->meta!=null)
                            @php $metas=$boutique->meta; @endphp
                              @if($metas->logo_boutique!=null)
                                <img class="lazy" data-src="{{$metas->logo_boutique}}" alt="{{$boutique->nom_boutique}}" width="80" height="80" style="border-radius: 100%;">
                            @else
                                <img class="lazy" data-src="{{asset('images/logo_mini.jpg')}}" alt="{{$boutique->nom_boutique}}" width="80" height="80" style="border-radius: 100%;">
                            @endif
                        @else
                            <img class="lazy" data-src="{{asset('images/logo_mini.jpg')}}" alt="{{$boutique->nom_boutique}}" width="80" height="80" style="border-radius: 100%;">
                        @endif
                        <br>
                        <br>
                       <span title="{{strtoupper(str_replace('_',' ',$boutique->nom_boutique))}}"> {{\Illuminate\Support\Str::limit(strtoupper(str_replace('_',' ',$boutique->nom_boutique)),19)}}</span>
                    </div>
                    <div class="favorite_boutique" data-url="{{route('wishlist.boutique')}}" data-name="{{$boutique->nom_boutique}}" data-boutique_slug="{{$boutique->slug}}" style="position: absolute;background: white;width: 30px;height: 30px;top: 30px;right: 30px;line-height: 33px;text-align: center;border-radius: 100%;font-size: 14px;"><i style="@if($helpers->check_fav_boutique($boutique->slug)) color: red; @endif" class="fas fa-heart"></i></div>
                </div>
                <div class="card-body p-0">
                    <div class="text-center col-12 mt-0 pt-1 pb-1 mb-3" style="border-radius: 0 0 20px 20px;width:100%;background: #2b2d2b;color: #ffffff">{{$metier}}
                      </div>
                  
                    <div class="col-lg-12 text-center">
                         <img src="data:image/png;base64, {!! 
                         base64_encode(QrCode::style('dot')->color(0, 0, 0, 100)->eye('circle')->format('png')->generate(route('boutique.index',$boutique->nom_boutique)))
                             !!}" alt="{{$boutique->nom_boutique}}">
                     </div>
                    <p class="mb-0" style="font-size: 9pt;color: #000;margin-top: 3%;padding: 2%;padding-top: 0px;">
                        {{\Illuminate\Support\Str::limit($boutique->description,50)}}  <a href="" class="description" data-description="{{$boutique->description}}">suite</a>
                    </p>


                    <div class="col-12 text-center">
                        <span style="color: #3c3c3c"><i class="fa fa-users"></i> visiteurs: <strong> {{$boutique->most_visit!=null ? count($boutique->most_visit) : 0}}</strong></span>
                    </div>

                    <div class="col-md-12 text-center mt-2">
                        @php
                         if($boutique->paiement_echelonner) $date_echelonner = \Carbon\Carbon::parse($boutique->paiement_echelonner->expired_at);
                        @endphp
                        @if(isset($boutique->paiement_echelonner) && $date_echelonner && !$date_echelonner->isPast())
                           <span class="badge badge-success">Paiement échellonner</span> &nbsp;
                         @endif
                        @php
                          if($boutique->mibSubscribe) $date_mib = \Carbon\Carbon::parse($boutique->mibSubscribe->expired_at);
                        @endphp
                        @if(isset($boutique->mibSubscribe) && $date_mib && !$date_mib->isPast())
                           <span class="badge badge-success">Panier MIB</span>
                        @endif
                    </div>
               

                    <div class="text-right" id="boutique_footer{{$boutique->slug}}" style="padding: 3%;">
                        <div class="row">

                            <div class="col-md-6 col-xs-12 text-left">
                                <div class="list-media whatsapp"><a target="_blank" href="https://api.whatsapp.com/send?text=Tous%20ce%20que%20vous%20rechercher%20dans%20le%20secteur%20{{$metier}}%20dans%20notre%20boutique%20en%20ligne%20sur%20le%20lien%20{{url('/')}}%2F{{str_replace(' ','_',$boutique->nom_boutique)}}"><i class="mdi mdi-whatsapp"></i></a></div>
                                <div class="list-media facebook"><a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u={{url('/')}}%2F{{str_replace(' ','_',$boutique->nom_boutique)}}"  title="Share on Facebook"><i class="mdi mdi-facebook"></i></a></div>
                                <div class="list-media instagram"><a target="_blank" href="https://www.linkedin.com/shareArticle?mini=true&url={{url('/')}}%2F{{str_replace(' ','_',$boutique->nom_boutique)}}"><i class="mdi mdi-linkedin"></i></a></div>
                                <div class="list-media share"><a href="#" class="share_btn" data-title="{{$boutique->nom_boutique}}" data-test="{{\Illuminate\Support\Str::limit($boutique->description,150)}}" data-url="{{url('/').'/'.$boutique->nom_boutique}}"><i class="mdi mdi-share-variant"></i></a></div>
                            </div>
                            @if($boutique->installer!=false)
                                @php $maboutique= str_replace(' ','_',$boutique->nom_boutique); @endphp
                                <div class="col-sm-6 col-md-6 col-xs-12">

                                    <a class="btn btn-light btn-sm visite" style="width: 80px; cursor: pointer;border-radius: 6px" data-url="{{route('boutique.index',$boutique->nom_boutique)}}" data-slug="{{$boutique->slug}}"> visiter <i class="mdi mdi-arrow-right-bold"></i> </a>

                                </div>
                            @endif
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
    @endforeach
@else
    <div class="col-xs-12 col-lg-12 text-center" style="padding: 10%">
        Aucune boutique disponible pour le moment !
    </div>

@endif
