@foreach($articles_lists as $article)
    @php
        $boutique_=$thisShop['slug'];
        $helpers=new \App\Http\Controllers\HelperController();
        $prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
        $name=$helpers->get_meta_article('name',$article->slug,$boutique_);
        $price=$helpers->get_meta_article('price',$article->slug,$boutique_);
        if($price['statut']==false){
        $price['value']=$article->price;
        }
         if($thisShop->meta->currency_admin!==$thisShop->meta->currency_client)
         {
         $price['value']=$helpers->convertCurrency($thisShop->meta->currency_admin,$thisShop->meta->currency_client,$price['value']);
         $prix=$helpers->convertCurrency($thisShop->meta->currency_admin,$thisShop->meta->currency_client,$prix);
         }

          $promo=$helpers->get_meta_article('on_sale',$article->slug,$boutique_);
          if($promo['statut']==false){
            $promo['value']=$article->on_sale;
          }
                                 $promopourcent=$helpers->get_meta_article('show_price',$article->slug,$boutique_);

       if($promopourcent['statut']==false){
            $promopourcent['value']=$article->show_price ;
          }
        if($name['statut']==false){
        $name=$article->name;}else{
        $name=$name['value'];
        }
         $stock=$helpers->get_meta_article('stock',$article->slug,$boutique_);
                                if($stock['statut']==false){
                                $stock=$article->quantity;}else{
                                $stock=$stock['value'];}
                                                 $image= $helpers->get_simple_image($article->slug,$boutique_);
    @endphp
    @if($stock!=0)
        <div  id="product_slug_{{$article->slug}}"  class="produit_list col-md-3 mb-4">
            <article class="card p-3">
                <figure class="card-figure text-left">
                    <a href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}">
                        <div class="card-img-container">
                            @if(isset($image) && $image->filename!=null)
                                <img
                                    data-src="{{$image->filename}}"
                                    alt="{{$name}}"
                                    data-sizes="auto"
                                    srcset="{{$image->filename}}"
                                    data-srcset="{{$image->filename}}"
                                    class="lazyload card-image lazy"

                                />
                            @endif

                        </div>
                        @if(isset($image) && $image->filename!=null)
                            <img
                                src="{{$image->filename}}"
                                alt="{{$name}}" title="{{$name}}"
                                class="second-img">
                        @endif

                    </a>
                </figure>
                <div class="card-body text-center">


                    <h3 class="card-title">
                        <a style="font-size: 15pt;"
                           href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}">{{$name}}</a>
                    </h3>
                    <p class="card-text"
                       data-test-info-type="brandName">{{$article->categorie->intitule}}</p>

                    <div class="card-text" data-test-info-type="price">

                        <div
                            class="price-section d-inline-block price-section--withoutTax rrp-price--withoutTax"
                            style="display: none;">

            <span data-product-rrp-price-without-tax class="price price--rrp">

            </span>
                        </div>

                        <div class="price-section d-inline-block price-section--withoutTax">
            <span class="price-label">

            </span>
                            <span class="price-now-label" style="display: none;">

            </span>
                            <span data-product-price-without-tax
                                  class="price price--withoutTax">

                                                    <span >{{$prix}} {{$thisShop->meta->currency_client}}</span>@if($promo['value']==true && $promopourcent['value']>0)
                                    <span
                                        style="text-decoration: line-through">{{$price['value']}} {{$thisShop->meta->currency_client}}</span> @endif

                                                </span>
                        </div>
                        <div
                            class="price-section d-inline-block price-section--withoutTax non-sale-price--withoutTax"
                            style="display: none;">

            <span data-product-non-sale-price-without-tax class="price price--non-sale">

            </span>
                        </div>
                    </div>

                    <figcaption class="card-figcaption">
                        <div class="card-figcaption-body">
                            <a href="javascript:void(0)" title="Add to Cart"
                               data-event-type="product-click"
                               class="cartb button button--small card-figcaption-button cart-btn-every-where cart_i_value{{$article->slug}}"
                               data-article="{{$article->slug}}"
                               style="@if($helpers->check_panier($article->slug)) background-color: red!important; @endif">
                                <svg width="20px" height="20px">
                                    <use xlink:href="#pcart"></use>
                                </svg>
                            </a>
                            <a href="javascript:void(0)" title="Add to favoris"
                               data-event-type="product-click"
                               data-catalogue_article_slug="{{$article->slug}}"
                               data-boutique_slug="{{$boutique_}}"
                               data-url="{{route('wishlist.article')}}"
                               data-article_name="{{$name}}"
                               data-article="{{$article->slug}}"
                               style="@if($helpers->check_fav($boutique_,$article->slug)) background-color: red!important; @endif"
                               class="cartb button button--small card-figcaption-button product_fav fav_i_value{{$article->slug}}">
                                <svg width="20px" height="20px">
                                    <use xlink:href="#bwish"></use>
                                </svg>
                            </a>

                            <div class="top-btn">
                                <a
                                    href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}"
                                    class="button button--small card-figcaption-button "
                                >
                                    <svg width="19px" height="19px">
                                        <use xlink:href="#quick"></use>
                                    </svg>
                                </a>
                            </div>
                        </div>
                    </figcaption>
                    @if($promo['value']==true && $promopourcent['value']>0)
                        <div class="promo-tags">-{{$promopourcent['value']}}%</div>
                    @endif
                </div>
            </article>

        </div>
    @endif
@endforeach
