@extends('dashboard.Boutique.Boutique_template.layouts.grocery.app')
@php
$thisShop=\Illuminate\Support\Facades\Session::get('boutique');
@endphp
@php

$boutique=\Illuminate\Support\Facades\Session::get('boutique');
$boutique_=$boutique['slug'];
$boutique_name=$boutique['nom_boutique'];
$helpers=new \App\Http\Controllers\HelperController();
$prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
$name=$helpers->get_meta_article('name',$article->slug,$boutique_);
if($name['statut']==false){
$name=$article->name;}else{
$name=$name['value'];
}

$description=$helpers->get_meta_article('description',$article->slug,$boutique_);
if($description['statut']==false){
$description=$article->description;}else{
$description=$description['value'];
}

$maker=$helpers->get_meta_article('maker',$article->slug,$boutique_);
if($maker['statut']==false){
$maker=$article->maker;}else{
$maker=$maker['value'];
}

$maker_country=$helpers->get_meta_article('maker_country',$article->slug,$boutique_);
if($maker_country['statut']==false){
$maker_country=$article->maker_country;}else{
$maker_country=$maker_country['value'];
}

$create=$helpers->get_meta_article('create',$article->slug,$boutique_);
if($create['statut']==false){
$create=$article->create;}else{
$create=$create['value'];
}
$create_="";
$expire_="";
$create=$helpers->get_meta_article('create',$article->slug,$boutique_);
if($create['statut']==false){
if(isset($article->create) && $article->create!=null)
$create_=\Illuminate\Support\Carbon::create($article->create)->format('d - m - y à H:i');
}else{
$create_=\Illuminate\Support\Carbon::create($create['value'])->format('d - m - y à H:i');
}

$expire=$helpers->get_meta_article('expire',$article->slug,$boutique_);
if($expire['statut']==false){
if(isset($article->expire) && $article->expire!=null)
$expire_=\Illuminate\Support\Carbon::create($article->expire)->format('d - m - y à H:i');}else{
$expire_=\Illuminate\Support\Carbon::create($expire['value'])->format('d - m - y à H:i');
}

$stocks=$helpers->get_meta_article('stock',$article->slug,$boutique_);
if($stocks['statut']==false){
$stocks['value']=$article->quantity;
}

$stock=$stocks['value'];

$prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
$price=$helpers->get_meta_article('price',$article->slug,$boutique_);
if($price['statut']==false){
$price['value']=$article->price;
}
if($thisShop->meta->currency_admin!==$thisShop->meta->currency_client)
{
$price['value']=$helpers->convertCurrency($thisShop->meta->currency_admin,$thisShop->meta->currency_client,$price['value']);
$prix=$helpers->convertCurrency($thisShop->meta->currency_admin,$thisShop->meta->currency_client,$prix);
}

$promo=$helpers->get_meta_article('on_sale',$article->slug,$boutique_);
if($promo['statut']==false){
$promo['value']=$article->on_sale;
}
$promopourcent=$helpers->get_meta_article('show_price',$article->slug,$boutique_);

if($promopourcent['statut']==false){
$promopourcent['value']=$article->show_price ;
}

$images= $helpers->get_all_sup_image($article->slug,$boutique_);
$images_full= $helpers->get_all_sup_full_image($article->slug,$boutique_);
$i=0;
$image_first= $helpers->get_simple_full_image($article->slug,$boutique_);
$image_tini= $helpers->get_simple_image($article->slug,$boutique_);
@endphp
@section("css")
@include("dashboard.Boutique.Boutique_template.layouts.grocery.css_other_page")
@include('dashboard.Boutique.Boutique_template.styles.product_styles')
@include('dashboard.Boutique.Boutique_template.styles.product_responsive')
<style>
    .list-media a {
        font-size: 12pt;
        color: #fff;
        margin-bottom: 2px;
    }

    .list-media {
        margin-bottom: 2px;
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    }

    .list-media:hover {
        box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
        transition: all 500ms ease;
    }

    #media-share {
        z-index: 99;
    }

    .whatsapp {
        width: 30px;
        height: 30px;
        line-height: 32px;
        text-align: center;
        background: green;
        border-radius: 100%;
        font-weight: bold;
    }

    .facebook {
        width: 30px;
        height: 30px;
        line-height: 30px;
        text-align: center;
        background: #0e0ea0;
        border-radius: 100%;
        font-weight: bold;
    }

    .instagram {
        width: 30px;
        height: 30px;
        line-height: 30px;
        text-align: center;
        background: #48aed6;
        border-radius: 100%;
        font-weight: bold;
    }

    .list-media {
        display: inline-block;
        text-align: center;
    }

    .list-media div {
        margin-left: 3%;
    }
</style>
@endsection
@section('title')
<title>{{strtoupper(str_replace('_',' ',$boutique->nom_boutique)).':'.$article->slug}}</title>
@endsection
@section('ogs')
<meta property="og:url"
    content="https://sunmarket.biz/product/{{str_replace(' ','_',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique']).'/'.$article->slug}}">
<meta property="og:title" content="{{Illuminate\Support\Str::limit($name,35)}}" />
<meta property="og:description" content="{{Illuminate\Support\Str::limit($description),65}}" />
<meta property="og:image" content="{{str_replace('../','',$image_tini!=null ? $image_tini->filename : '')}}">
<meta property='og:type' content='article' />
@endsection
@section('content')

@include("dashboard.Boutique.Boutique_template.layouts.grocery.banner",["page_title"=> "Détails ".$name])

<div id="contact-us-page" class="col-12">
    <div class="row">

        <!-- Images -->
        <div class="col-lg-2 order-lg-1 order-2">
            <ul class="image_list">
                @if(isset($image_first))
                <li data-image="{{$image_first!=null ? $image_first->filename : ''}}"><img class="lazy"
                        data-src="{{$image_first!=null ? $image_first->filename : ''}}" alt=""></li>
                @endif
                @foreach($images as $image)
                @php $i++; @endphp
                @if($image->key==$article->slug)
                @if($i<3) <li
                    data-image="{{isset($images_full[$i]) ? $images_full[$i] : ($image!=null ? $image->filename : '')}}">
                    <img class="lazy" data-src="{{$image!=null  ? $image->filename : ''}}" alt="">
                    </li>
                    @endif
                    @endif
                    @endforeach
            </ul>
        </div>

        <!-- Selected Image -->
        <div class="col-lg-5 order-lg-2 order-1">
            <div class="image_selected">
                @php
                $image= $helpers->get_simple_full_image($article->slug,$boutique_);
                $image_tini= $helpers->get_simple_image($article->slug,$boutique_);
                @endphp
                <img class="lazy"
                    data-src="{{$image!=null ? $image->filename : ($image_tini!=null ? $image_tini->filename : '')}}"
                    alt="">

            </div>
        </div>

        <!-- Description -->
        <div class="col-lg-5 order-3">
            <div class="product_description">
                <div class="product_category ">{{$article->categorie->intitule}}</div>
                <div class="product_name ">{{$name}}</div>
                <div class="">
                    @if(isset($maker) && $maker!=null)
                    <span>Stock disponible: <span class="" style="font-weight: bold;">{{$stock}}</span></span> &nbsp;
                    &nbsp;&nbsp;
                    @endif


                    <div class="col-sm-12 text-center mt-5">
                        <div class="list-media whatsapp">
                            <a target="_blank"
                                href="https://api.whatsapp.com/send?text=Decouvrez%20notre%20produit%20{{$name}}%20sur%20notre%20boutique%20en%20ligne%20avec%20le%20lien%20{{url('/')}}%2F{{str_replace(' ','_',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}%2Fproduct%2F{{$article->slug}}"><i
                                    class="fab fa-whatsapp"></i></a>
                        </div>
                        <div class="list-media facebook">
                            <a target="_blank"
                                href="https://www.facebook.com/sharer/sharer.php?u={{url('/')}}%2F{{str_replace(' ','_',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}%2Fproduct%2F{{$article->slug}}"><i
                                    class="fab fa-facebook-f"></i></a>
                        </div>

                        <div class="list-media instagram">
                            <a target="_blank"
                                href="https://www.linkedin.com/shareArticle?mini=true&url={{url('/')}}%2F{{str_replace(' ','_',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}%2Fproduct%2F{{$article->slug}}"><i
                                    class="fab fa-linkedin-in"></i></a>
                        </div>
                        <div class="list-media share">
                            <a href="#" class="share_btn" data-title="{{$name}}"
                                data-test="{{\Illuminate\Support\Str::limit($article->description,150)}}"
                                data-url="{{url('/').'/'.str_replace(' ','_',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique']).'/product/'.$article->slug}}"><i
                                    class="fas fa-share"></i>
                            </a>
                        </div>
                    </div>

                </div>
                <div class="">

                    <div class="order_info " style="text-align: center">
                        <form action="#">
                            <div class="clearfix" style="z-index: 1000;">
                                <div class="product_price"><span class="badge badge-warning"
                                        style="font-size: 14pt;font-weight: bold;color: #ffffff;background: #e65c2b;margin-bottom: 20px;">{{$prix}}
                                        {{$boutique->meta->currency_client}}</span> @if($promo['value']==true &&
                                    $promopourcent['value'])
                                    <span class="badge badge-primary"
                                        style="text-decoration: line-through;color: #fff;font-size: 14pt">{{$price['value']}}
                                        {{$boutique->meta->currency_client}}</span> @endif
                                </div>

                                <!-- Product Quantity -->
                                <div class="product_quantity clearfix" style="border-radius: 0px;width: 100%">
                                    <span>Quantité: </span>
                                    <input id="quantity_input" type="text" pattern="[0-9]*" data-max="{{$stock}}"
                                        minlength="1" min="1" value="1">
                                    <div class="quantity_buttons">
                                        <div id="quantity_inc_button" class="quantity_inc quantity_control"><i
                                                class="fas fa-chevron-up"></i></div>
                                        <div id="quantity_dec_button" class="quantity_dec quantity_control"><i
                                                class="fas fa-chevron-down"></i></div>
                                    </div>
                                </div>

                                <!-- Product Color -->

                            </div>

                            <div class="button_container">
                                <button type="button" class="button  cart-btn" data-article="{{$article->slug}}"
                                    style="border-radius: 0px;width: 100%">Ajouter au panier
                                </button>
                                <div class="product_fav"><i class="fas fa-heart"></i></div>
                            </div>

                        </form>
                    </div>
                </div>


            </div>
        </div>

        <div class="col-lg-12 order-4 pt-4">
            <div class="">
                @if(isset($caracteristique) && count($caracteristique)>0)
                <h6>caractéristiques:</h6>
                <table class="table table-striped table-bordered">
                    @foreach($caracteristique as $carac)
                    @if(isset($articles_metas))
                    <tr>
                        <td>{{$carac->intitule}} disponibles :</td>
                        <td>
                            @foreach($articles_metas as $metas)
                            @if($metas->key == $carac->intitule && $metas->article_slug==$article->slug)
                            @php $value=[]; $value=json_decode($metas->value); @endphp
                            @if($value !=null)
                            @for($i=0;$i<count($value);$i++) <a href="" class="badge badge-success">{{$value[$i]}}</a>
                                @endfor
                                @endif
                                @endif
                                @endforeach
                        </td>
                    </tr>
                    @endif
                    @endforeach
                </table>
                @endif
            </div>




            {{-- count($articleCoffrets)>0 --}}
            @if(isset($articleCoffrets) && count($articleCoffrets)>0)
                <div class="new-pro backgroundNewProduct">
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-12 col-md-12 col-12 rtlleft" >
                                <div class="home-heading  page-heading text-left">
                                    <h1><span>Produits du coffret</span></h1>
                                </div>
                                <ul class="pro-margin next-prevb row" data-product-type="new">
                                    <section class="productCarousel" data-list-name="New Products" data-slick='{
                                    "dots": false,
                                    "infinite": true,
                                    "mobileFirst": true,
                                    "slidesToShow": 5,
                                    "autoplay":true,
                                    "autoplayOptions": {
                                        "timeout":3000,
                                        "randomize": true
                                    },
                                    "slidesToScroll": 5,
                                    "prevArrow": ".js-product-prev-arrow",
                                    "nextArrow": ".js-product-next-arrow",
                                    "responsive": [
                                        {
                                            "breakpoint": 1409,
                                            "settings": {
                                                "slidesToScroll": 5,
                                                "slidesToShow": 5
                                            }
                                        },
                                        {
                                            "breakpoint": 1199,
                                            "settings": {
                                                "slidesToScroll": 1,
                                                "slidesToShow": 4
                                            }
                                        },
                                        {
                                            "breakpoint": 991,
                                            "settings": {
                                                "slidesToScroll": 1,
                                                "slidesToShow": 3
                                            }
                                        },
                                        {
                                            "breakpoint": 767,
                                            "settings": {
                                                "slidesToScroll": 1,
                                                "slidesToShow": 2
                                            }
                                        },
                                        {
                                            "breakpoint": 599,
                                            "settings": {
                                                "slidesToScroll": 1,
                                                "slidesToShow": 1
                                            }
                                        },
                                        {
                                            "breakpoint": 0,
                                            "settings": {
                                                "slidesToScroll": 1,
                                                "slidesToShow": 1
                                            }
                                        }
                                    ]
                                }'>
                                        @php $i=0; @endphp
                                        @foreach($articleCoffrets as $article)
                                                @php
                                                $boutique_=$thisShop['slug'];
                                                $helpers=new \App\Http\Controllers\HelperController();
                                                // $prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
                                                $name=$helpers->get_meta_article('name',$article->article->slug,$boutique_);
                                                $price=$helpers->get_meta_article('price',$article->article->slug,$boutique_);
                                                if($price['statut']==false){
                                                $price['value']=$article->article->price;
                                                }
                                                if($thisShop->meta->currency_admin!==$thisShop->meta->currency_client)
                                                {
                                                $price['value']=$helpers->convertCurrency($thisShop->meta->currency_admin,$thisShop->meta->currency_client,$price['value']);
                                                $prix=$helpers->convertCurrency($thisShop->meta->currency_admin,$thisShop->meta->currency_client,$prix);
                                                }
                                    
                                                $promo=$helpers->get_meta_article('on_sale',$article->article->slug,$boutique_);
                                                if($promo['statut']==false){
                                                $promo['value']=$article->article->on_sale;
                                                }
                                                $promopourcent=$helpers->get_meta_article('show_price',$article->article->slug,$boutique_);
                                    
                                                if($promopourcent['statut']==false){
                                                $promopourcent['value']=$article->article->show_price ;
                                                }
                                                if($name['statut']==false){
                                                $name=$article->article->name;}else{
                                                $name=$name['value'];
                                                }
                                                $stock=$helpers->get_meta_article('stock',$article->article->slug,$boutique_);
                                                if($stock['statut']==false){
                                                $stock=$article->article->quantity;}else{
                                                $stock=$stock['value'];}
                                                $image= $helpers->get_simple_image($article->article->slug,$boutique_);
                                                @endphp
                                                <div class="productCarousel-slide js-product-slide col-12">
                                                    <article class="new-card card ">
                                                        <div class="row">
                                                            <figure class="card-figure text-center col-12">
                                                                <a
                                                                    href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->article->slug)}}">
                                                                    <div class="card-img-container">
                                                                        @if(isset($image) && $image->filename!=null)
                                                                        <img src="{{$image->filename}}" alt="{{$name}}" title="{{$name}}"
                                                                            data-sizes="auto" srcset="{{$image->filename}}"
                                                                            data-srcset="{{$image->filename}}"
                                                                            class="lazyload card-image" />
                                                                        @endif

                                                                    </div>
                                                                </a>
                                                            </figure>
                                                            <div class="card-body text-center col-12">
                                                                <h3 class="card-title">
                                                                    <a
                                                                        href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->article->slug)}}">{{$name}}</a>
                                                                </h3>
                                                            </div>
                                                        </div>
                                                    </article>
                                                </div>
                                        @endforeach
            
            
                                    </section>
                                    <div class="all-btn">
                                        <button aria-label="Go to slide [NUMBER] of 13"
                                            class="js-product-prev-arrow slick-prev slick-arrow">
                                            <svg>
                                                <use xlink:href="#arrow-left"></use>
                                            </svg>
                                        </button>
                                        <button aria-label="Go to slide [NUMBER] of 13"
                                            class="js-product-next-arrow slick-next slick-arrow">
                                            <svg>
                                                <use xlink:href="#arrow-right"></use>
                                            </svg>
                                        </button>
                                    </div>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            @endif













































            <div class="product_text">
                <h6>Présentation:</h6>
                <br>

                <div class="col-sm-12">
                    <p class="row">
                        {{$description}}
                    </p>
                </div>
            </div>

            <div class="" style="margin-top: 10px;font-weight: 200">
                <table class="table table-bordered">

                    @if(isset($maker) && $maker!=null)
                    <tr>
                        <td class="">Fabriquant :</td>
                        <td class="" style="font-weight: 400;">{{$maker}}</td>
                    </tr>
                    @endif
                    @if(isset($maker_country) && $maker_country!=null)
                    <tr>
                        <td class="">Pays de fabrication :</td>
                        <td style="font-weight: 400;">{{$maker_country}}</td>
                    </tr>
                    @endif

                    @if(isset($create_) && $create_!="")
                    <tr>
                        <td class="">Date de fabrication :</td>
                        <td style="font-weight: 400;">{{$create_}}</td>
                    </tr>
                    @endif

                    @if(isset($expire_) && $expire_!="")
                    <tr>
                        <td class="">Date d'expiration :</td>
                        <td style="font-weight: 400;">{{$expire_}}</td>
                    </tr>
                    @endif

                </table>
            </div>
        </div>


    </div>
    <!-- Recently Viewed -->

    @if(count($promos) >0)
    <div class="container">
        <div class="home-heading  page-heading text-left">
            <h1><span>
                    Dans la même catégorie
                </span></h1>
        </div>

        <div class="pro-margin next-prevb row">
            <section class="productCarousel row" data-slick='{
         "dots": false,
        "infinite": true,
        "autoplay": true,
        "mobileFirst": true,
        "slidesToShow": 4,
        "slidesToScroll": 4,
        "slide": ".js-product-slide",
        "prevArrow": ".js-product-prev-arrow-blog",
        "nextArrow": ".js-product-next-arrow-blog",
        "responsive": [
            {
                "breakpoint": 1199,
                "settings": {
                    "slidesToScroll": 4,
                    "slidesToShow": 4
                }
            },
            {
                "breakpoint": 991,
                "settings": {
                    "slidesToScroll": 3,
                    "slidesToShow": 3
                }
            },
            {
                "breakpoint": 767,
                "settings": {
                    "slidesToScroll": 1,
                    "slidesToShow": 1
                }
            },
            {
                "breakpoint": 599,
                "settings": {
                    "slidesToScroll": 1,
                    "slidesToShow": 1
                }
            },
            {
                "breakpoint": 0,
                "settings": {
                    "slidesToScroll": 1,
                    "slidesToShow": 1
                }
            }
        ]
    }'>
                @php $p=0; @endphp
                @foreach($promos as $article)
                @php $p++; @endphp
                @php
                $boutique_=$thisShop['slug'];
                $helpers=new \App\Http\Controllers\HelperController();
                $prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
                $name=$helpers->get_meta_article('name',$article->slug,$boutique_);
                $price=$helpers->get_meta_article('price',$article->slug,$boutique_);
                if($price['statut']==false){
                $price['value']=$article->price;
                }
                if($thisShop->meta->currency_admin!==$thisShop->meta->currency_client)
                {
                $price['value']=$helpers->convertCurrency($thisShop->meta->currency_admin,$thisShop->meta->currency_client,$price['value']);
                $prix=$helpers->convertCurrency($thisShop->meta->currency_admin,$thisShop->meta->currency_client,$prix);
                }

                $promo=$helpers->get_meta_article('on_sale',$article->slug,$boutique_);
                if($promo['statut']==false){
                $promo['value']=$article->on_sale;
                }
                $promopourcent=$helpers->get_meta_article('show_price',$article->slug,$boutique_);

                if($promopourcent['statut']==false){
                $promopourcent['value']=$article->show_price ;
                }
                if($name['statut']==false){
                $name=$article->name;}else{
                $name=$name['value'];
                }
                $stock=$helpers->get_meta_article('stock',$article->slug,$boutique_);
                if($stock['statut']==false){
                $stock=$article->quantity;}else{
                $stock=$stock['value'];}
                $image= $helpers->get_simple_image($article->slug,$boutique_);
                @endphp
                @if($p<=20 && $stock!=0) <div class="productCarousel-slide js-product-slide col-12">
                    <!-- <div class="col-12"> -->
                    <div class="blog-thumbnail">
                        <div class="blogb" title="{{$name}}">
                            <div class="">
                                <div class="blog-hover">
                                    <a href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}"
                                        class="wb-blog-img">
                                        @if(isset($image) && $image->filename!=null)
                                        <img class="lazy" data-src="{{$image->filename}}" alt="{{$name}}"
                                            title="{{$name}}">
                                        @endif

                                    </a>
                                    <div class="webi_post_hover">
                                        <div class="blog-ic">
                                            <a class="icon readmore_link" title="all blog"
                                                href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}"><i
                                                    class="fa fa-link"></i></a>
                                        </div>
                                    </div>

                                </div>
                            </div>
                            <div class="blogd">
                                <div class="blog-con text-left">
                                    <div class="wb-blog-title">
                                        <a
                                            href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}">
                                            {{$name}}</a>
                                    </div>

                                    <div class="wb-blog-desc">
                                        {{\Illuminate\Support\Str::limit($article->description,100)}}
                                    </div>
                                    <div class="card-text" data-test-info-type="price">

                                        <div class="price-section d-inline-block price-section--withoutTax rrp-price--withoutTax"
                                            style="display: none;">

                                            <span data-product-rrp-price-without-tax class="price price--rrp">

                                            </span>
                                        </div>

                                        <div class="price-section d-inline-block price-section--withoutTax">
                                            <span class="price-label">

                                            </span>
                                            <span class="price-now-label" style="display: none;">

                                            </span>
                                            <span data-product-price-without-tax class="price price--withoutTax">
                                                {{$prix}} {{$thisShop->meta->currency_client}}</span>

                                            @if($promo['value']==true && $promopourcent['value']>0)
                                            <span
                                                style="font-size: 7pt; text-decoration: line-through">{{$price['value']}}
                                                {{$thisShop->meta->currency_client}}</span>
                                            @endif
                                        </div>
                                        <div class="price-section d-inline-block price-section--withoutTax non-sale-price--withoutTax"
                                            style="display: none;">

                                            <span data-product-non-sale-price-without-tax class="price price--non-sale">

                                            </span>
                                        </div>
                                    </div>
                                    <figcaption class="card-figcaption text-left">
                                        <div class="card-figcaption-body">
                                            <a href="javascript:void(0)" title="Add to Cart"
                                                data-event-type="product-click"
                                                class="cartb button button--small card-figcaption-button cart-btn-every-where cart_i_value{{$article->slug}}"
                                                data-article="{{$article->slug}}"
                                                style="@if($helpers->check_panier($article->slug)) background-color: red!important; @endif">
                                                <svg width="20px" height="20px">
                                                    <use xlink:href="#pcart"></use>
                                                </svg>
                                            </a>
                                            <a href="javascript:void(0)" title="Add to favoris"
                                                data-event-type="product-click"
                                                data-catalogue_article_slug="{{$article->slug}}"
                                                data-boutique_slug="{{$boutique_}}"
                                                data-url="{{route('wishlist.article')}}" data-article_name="{{$name}}"
                                                data-article="{{$article->slug}}"
                                                style="@if($helpers->check_fav($boutique_,$article->slug)) background-color: red!important; @endif"
                                                class="cartb button button--small card-figcaption-button product_fav fav_i_value{{$article->slug}}">
                                                <svg width="20px" height="20px">
                                                    <use xlink:href="#bwish"></use>
                                                </svg>
                                            </a>
                                        </div>
                                    </figcaption>

                                </div>
                            </div>
                        </div>

                    </div>
                    @if($promo['value']==true && $promopourcent['value']>0)
                    <div class="promo-tags">-{{$promopourcent['value']}}%</div>
                    @endif
        </div>
        @endif
        @endforeach
        </section>
    </div>
</div>
@endif


</div>


@endsection
@section('script')
<script src="{{asset('js/product_custom.js')}}"></script>
<script>
    $(document).on('click', '.product_fav', function (e) {
            e.preventDefault();
            let $btn = $(this);
            $btn.attr('disabled', true);
            let article = $(this).data('article');
            let url = $btn.data('url');
            let name = $btn.data('article_name');
            let $boutique_slug = $btn.data('boutique_slug');
            let $article_slug = $btn.data('catalogue_article_slug');
            $btn.html('<i class="fa fa-spinner" style="color: white"></i>');
            $.ajax({
                url: url,
                method: "POST",
                data: {
                    _token: '{{csrf_token()}}',
                    boutique_slug: $boutique_slug,
                    catalogue_article_slug: $article_slug
                },
                success: function (data) {
                    $btn.attr('disabled', false);
                    data = JSON.parse(data);
                    if (data == 1) {
                        let $favorite_val = parseInt($('#fav').html());
                        $favorite_val += 1;
                        $('#fav').html('0' + $favorite_val);
                        $btn.html('<svg width="20px" height="20px">\n' +
                            '                                                        <use xlink:href="#bwish"></use>\n' +
                            '                                                    </svg>');
                        $.notify('le produit ' + name + ' a été ajouté à la liste des favoris', 'success');
                        $('.fav_i_value' + article).css('background-color', 'red');
                    } else {
                        let $favorite_val = parseInt($('#fav').html());
                        $favorite_val -= 1;
                        $('#fav').html('0' + $favorite_val);
                        $btn.html("<svg width=\"20px\" height=\"20px\">\n" +
                            "                                                        <use xlink:href=\"#bwish\"></use>\n" +
                            "                                                    </svg>");

                        $('.fav_i_value' + article).css('background-color', '#88b121');
                        $.notify('le produit ' + name + ' a été retiré de la liste des favoris', 'warning');
                    }
                }, error: function (data) {
                    $btn.attr('disabled', false);
                }
            })
        })
</script>
@endsection