@extends("../dashboard._blank")
@include("../dashboard.Boutique.check_is_user_boutique")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12 text-uppercase"><span style="color: #0c1423;" class="text-uppercase">PAIEMENT REçu  </span></h2>
                           <div class="col-md-6 col-xs-12 text-right">
                            </div>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))

                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>

                            @endif

                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <a href="{{route('adminRetraitNotification')}}"  class="btn btn-primary btn-sm mt-2" style="border-radius: 0;">DETAILS RETRAIT ADMIN</a>
                                <a href="#" data-target="#retraitNotifyModal" data-toggle="modal" class="btn btn-warning btn-sm mt-2" style="border-radius: 0;">NOTIFIEZ UN RETRAIT</a>
                                <br>
                                <hr>
                                @foreach($portefeuilles as $key=>$value)
                                    <span style="padding: 7px 15px;background: #425690;color: #fff" class="text-uppercase">  Total PORTEFEUILLES DISPONIBLE {{$key}} : <span style="color: #e1f3fb;font-weight: bold;">{{$value}} {{$key}}</span></span> &nbsp;&nbsp;
                                @endforeach
                                <br>
                                <hr>
                                @foreach($total as $key=>$value)
                                      <span style="padding: 7px 15px;background: #942a25;color: #e1f3fb" class="text-uppercase"> BILAN Total {{$key}} : <span style="color: #fefefe;font-weight: bold;">{{$value}} {{$key}}</span></span> &nbsp;&nbsp;
                                @endforeach
                                <br>
                                <hr>

                            </div>




<div class="col-xs-12 col-md-12">
    <div class="row">
                                <table id="categoriedatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                    <thead>
                                    <tr>
                                        <th>utilisateur</th>
                                        <th>Montant</th>
                                        <th>Devise</th>
                                        <th>Action</th>
                                        <th>Motif</th>
                                        <th>Created at</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                  @foreach($abonnements as $abonnement)
                                      <tr>
                                          <td>{{$abonnement->user->first_name }} {{$abonnement->user->last_name}}</td>
                                          <td>{{$abonnement->montant}}</td>
                                          <td>{{$abonnement->devise}}</td>
                                          <td>{{$abonnement->action}}</td>
                                          <td>{{$abonnement->motif}}</td>
                                          <td>{{$abonnement->created_at}}</td>
                                      </tr>
                                      @endforeach
                                    </tbody>
                                </table>
    </div>
</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="retraitNotifyModal" class="modal fade" tabindex="-1" role="dialog"  aria-hidden="true">
        <form action="{{route('adminMakeretrait')}}" method="post" class="modal-dialog modal-dialog-centered" role="document">
            @csrf
            <div class="modal-content" style="border-radius: 0px;">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title"><i class="fa fa-plus"></i>NOTIFICATION DE RETRAIT </h4>
                </div>
                <div class="modal-body">
                    <div class="col-12">
                        <div class="row">
                            <div class="col-12 col-lg-12 col-xs-12">
                                <div class="form-group">
                                    <label for="password">MOT DE PASSE ADMIN</label>
                                    <input type="password" name="password" id="password" required class="form-control">
                                </div>
                            </div>
                          <div class="col-lg-6 col-md-6 col-12">
                                <div class="form-group">
                                    <label for="montant">Montant</label>
                                    <input type="number" name="montant" id="montant" required class="form-control">
                                </div>
                            </div>
                         <div class="col-lg-6 col-md-6 col-12">
                                <div class="form-group">
                                    <label for="devise">Devis</label>
                                    <select name="devise" id="devise" class="form-control">
                                        <option value="XOF">XOF</option>
                                        <option value="USD">USD</option>
                                        <option value="EUR">EUR</option>
                                    </select>
                                </div>
                            </div>
                         <div class="col-lg-12 col-md-12 col-12">
                                <div class="form-group">
                                    <label for="motif">Motif</label>
                                    <textarea type="text" name="motif" id="motif" required class="form-control" placeholder="Motif"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary" >Valider</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                </div>
            </div>
        </form>
    </div>

    <!-- /page content -->
@endsection
