@if(Illuminate\Support\Facades\Auth::check())
	<script>
		location.href=location.origin+'/home';
	</script>
		@else
<!DOCTYPE HTML>
<html lang="fr">
<head>
	<meta property="og:type" content="website"/>
	<meta property="og:image"  content="{{asset('images/favicon-32x32.png')}}">
	<meta property="og:url" content="{{url('/')}}">
	<meta property="og:site" content="{{url('/')}}"/>
	<meta property="og:site_name" content="SUNGROCERY">
	<meta property="og:description" content="{{Illuminate\Support\Str::limit("Vente et achat, de tout produits agricoles. SUNGROCERY se place en avant pour vous offrir une expérience inédit en matière de gestion de votre commerce en ligne. Visitez des milliers de boutiques en ligne dédiées à la vente de produits agricoles."),165}}" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="description" content="Vente et achat, de tout produits agricoles. SUNGROCERY se place en avant pour vous offrir une expérience inédit en matière de gestion de votre commerce en ligne. Visitez des milliers de boutiques en ligne dédiées à la vente de produits agricoles.">
	<meta name="keywords" content="Epicerie,vert,Boutique,Achat,Vente,Acheter,Vendre,grocery,achat en ligne,vente en ligne,acheter en ligne, vendre en ligne,livraison,benin">
	<meta name="author" content="suntech">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="{{asset('images/favicon.ico')}}"/>
    <link rel="apple-touch-icon" sizes="180x180" href="{{asset('images/apple-touch-icon.png')}}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{asset('images/favicon-32x32.png')}}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{asset('images/favicon-16x16.png')}}">
    <link rel="manifest" href="{{asset('images/site.webmanifest')}}">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>SUNGROCERY-CONNEXION</title>
	<!-- Meta-Tags -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=UA-168061172-1"></script>
	<script>
		window.dataLayer = window.dataLayer || [];
		function gtag(){dataLayer.push(arguments);}
		gtag('js', new Date());

		gtag('config', 'G-NMT1DCDEVS');
	</script>

    <script>
        addEventListener("load", function () {
            setTimeout(hideURLbar, 0);
        }, false);

        function hideURLbar() {
            window.scrollTo(0, 1);
        }
	</script>
	<!-- //Meta-Tags -->
	<!-- Stylesheets -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
	<link href="{{asset('vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">

	<link href="{{asset('vendors/switchery/dist/switchery.min.css')}}" rel="stylesheet">
	<link rel="stylesheet" href="{{asset('zebra_css/zebra_dialog.css')}}" />

	<!--// Stylesheets -->
	<!--fonts-->
	<link href="//fonts.googleapis.com/css?family=Poiret+One&amp;subset=cyrillic,latin-ext" rel="stylesheet">
	<!--//fonts-->
	<style>
		.vertical-center {
			min-height: 100%; /* Fallback for browsers do NOT support vh unit */
			min-height: 100vh; /* These two lines are counted as one :-)       */
			display: flex;
			align-items: center;
		}

		a{

			color: #88b121;

			text-decoration: none;
		}
		a:hover{
			color: #4e5183;
			text-decoration: none;
		}
		.btn-primary{

			background: #88b121;

			color: #ffffff;
			border: none;
		}
		.btn-primary:hover{

			background: #88b121;

			color: #ffffff;
		}
		.form-control{
				border-radius: 0px;
		}
		.btn{
			border-radius: 0px;
		}
		@media(min-width: 769px) {
.row{
	width: 100%;
}		}


	</style>
    <script src="https://www.google.com/recaptcha/api.js?render=6LfFn0whAAAAAGLRb34I2afYzEi4mN3vK2WaXC-F"></script>
    <script>
        if(typeof grecaptcha === 'undefined') {
            grecaptcha = {};
        }
        grecaptcha.ready = function(cb){
            if(typeof grecaptcha === 'undefined') {
            // window.__grecaptcha_cfg is a global variable that stores reCAPTCHA's
            // configuration. By default, any functions listed in its 'fns' property
            // are automatically executed when reCAPTCHA loads.
            const c = '___grecaptcha_cfg';
            window[c] = window[c] || {};
            (window[c]['fns'] = window[c]['fns']||[]).push(cb);
            } else {
            cb();
            }
        }
    </script>
    @include('facebook-pixel::head')
</head>
<body>
@include('facebook-pixel::body')

	<div class="col-xs-12 col-lg-12 vertical-center" style="background: url('{{asset('images/h2.jpg')}}') center no-repeat;background-size: cover;">

		<!-- form starts here -->
		<div class="row">
			<div class="col-md-3 col-sm-12 col-xs-12"></div>
			<form class="col-md-6 col-sm-12 col-xs-12" onsubmit="return check_error(['myInput','username']);" action="{{route('login')}}" method="post" id="login_form">
				
                <div class="row">
					<div class="col-md-1 col-sm-12 col-xs-12"></div>

					<div class="col-md-10 col-xs-12" style="background: #fff;padding: 5%;border-left: 5px solid #88b121;padding-top: 50px;border-radius:20px">

					<div class=" col-sm-12 text-center" style="margin-bottom: 30px;">
                        <a href="{{url('/')}}"> <img src="{{asset('images/logo.png')}}" alt="" width="300px"></a>
                    </div>
		@csrf
		<div class="form-group">
			<label> Pseudo ou Email</label>
			<input type="text" name="email" class="form-control" placeholder="Email ou nom d'utilisateur" id="username" onblur="check_error(['username'])" data-input_name="email ou nom d'utilisateur" required="required" />
			<span id="errorusername"  style="color: red;"></span>
		</div>
						<div class="form-group">
							<label> Mot de passe</label>

							<div class="input-group mb-3">
								<input type="password" name="password" data-input_name="mot de passe" placeholder="Votre mot de passe" onblur="check_error(['myInput'])" class="form-control" required="required" id="myInput" aria-label="Recipient's username" aria-describedby="basic-addon2">
								<div class="input-group-append">
									<button class="btn btn-outline-secondary" type="button" id="check3"  value="show password" onclick="myFunction()"><i class="fa fa-eye"></i></button>
								</div>
							</div>
							<span id="errormyInput" style="color: red;"></span>

						</div>

					<div class="form-group">
						<a href="{{url('password/reset')}}">Mot de passe oublié ?</a>
					</div>
		<!-- script for show password -->
		<script>
            function myFunction() {
                var x = document.getElementById("myInput");
                if (x.type === "password") {
                    x.type = "text";
                } else {
                    x.type = "password";
                }
            }
		</script>
		<!-- //end script -->
		<div class="form-group">
			<div class="switch-agileits">
				<label class="switch">
					<input type="checkbox" class="js-switch" checked name="remember" value="remember">
					<span class="slider round"></span>
					se souvenir de moi
				</label>
			</div>
		</div>

						<div class="form-group">
                            <button type="submit" id="connection" class="btn btn-primary btn-xs">SE CONNECTER</button>
						</div>
						<p class="form-group" style="padding-top: 10px;">
							Vous n'avez pas un compte ?<a href="{{route('register')}}" target="_blank"> inscrivez vous</a>
						</p>
				</div>
				</div>
	</form>
</div>
</div>



<script src="{{asset('vendors/jquery/dist/jquery.min.js')}}"></script>

<script src="{{asset('plugin/notify.js')}}"></script>

<script src="{{asset('vendors/switchery/dist/switchery.js')}}"></script>
<script src="{{asset('js/zebra_dialog.src.js')}}"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>
<script>

	$(document).ready(function(){
        var elem = document.querySelector('.js-switch');

        var init = new Switchery(elem,{color:'#88b121',size: 'small'});

        $(document).on('submit', '#login_form', function (e) {
            e.preventDefault();
            let form=$('#login_form');
            grecaptcha.ready(function() {
                 grecaptcha.execute('6LfFn0whAAAAAGLRb34I2afYzEi4mN3vK2WaXC-F', {action: 'submit'}).then(function(token) {
                    // Add your logic to submit to your backend server here.
                    let btn=$('#connexion'),
                        url=form.data('url'),
                        $form=form.serialize();
                    btn.attr('disabled',true).html('<img src="{{asset('images/loader.gif')}}" width="20px"> veuillez patienter ...');
                    $.ajax({
                        url:url,
                        method:"POST",
                        data:$form,
                        success:function(data) {
                            btn.attr('disabled',false).html('SE CONNECTER');
                            if(data.error){
                                $.notify(data.message,'error')
                                Swal.fire({
                                    title: 'Echec connexion',
                                    text: data.message,
                                    type: 'error',
                                    showCancelButton: true,
                                    confirmButtonColor: '#88b121',
                                    cancelButtonColor: '#d33',
                                    cancelButtonText: 'Réactualiser',
                                    confirmButtonText: 'Reéssayer'
                                }).then((result) => {
                                    if (!result.value) {
                                        location.reload();
                                    }
                                })
                            }else{
                                Swal.fire({
                                    title: 'Connexion établie',
                                    text: data.message,
                                    type: 'success',
                                    showCancelButton: false,
                                    showConfirmButton:false,
                                })
                                setTimeout(function(){location.href=data.url;},500)
                            }
                        },error:function (data) {
                            console.log(data);
                            btn.attr('disabled',false).html('SE CONNECTER');
                            Swal.fire({
                                title: 'Echec connexion',
                                text: 'Une erreur s\'est est survenue au cours du processus. Veuillez réactualiser la page et reéssayer si elle persiste.',
                                type: 'error',
                                confirmButtonColor: '#88b121',
                                confirmButtonText: 'Reéssayer'
                            }).then((result) => {
                                if (result.value) {
                                    location.reload();
                                }
                            })
                            }
                        })
                    });
            });
        });


    })



    function check_error($table){
        let $reponse=true;
        for(let i=0;i<$table.length;i++){
            let $btn=$('#'+$table[i]);
            let $btnerror=$('#error'+$table[i]);
            let $name=$btn.attr('type');
            let $requis=$btn.attr('required');
            let $inputname=$btn.data('input_name');
            let $val=$btn.val();
            if($val==null || $val==""){
                if($requis) {
                    $btnerror.html('La valeur du champs ' + $inputname + ' est requise');
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La valeur du champs ' + $inputname + ' est requise','error');
                    break;
                }
            }else
            if($name=='number'){
                let $min=$btn.attr('min');
                let $minlenght=$btn.attr('minlength');
                if(parseInt($val)<parseInt($min)){
                    $btnerror.html('La valeur du champs ' + $inputname + ' doit être supérieur à '+$min);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La valeur du champs ' + $inputname + ' doit être supérieur à '+$min,'error');
                    break;
                }else if($val.length<$minlenght){
                    $btnerror.html('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    break;
                }
            }
            else if($name=='email'){
                if(!isValidEmailAddress($val)){
                    $btnerror.html('L\'adresse mail saisis est incorrecte.');
                    $btn.css('border','1px solid red');
                    $.notify('L\'adresse mail saisis est incorrecte','error');
                    $reponse = false;
                    break;
                }
            }else if($name=='password'){
                let $minlenght=6;
                if($val.length<$minlenght){
                    $btnerror.html('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght,'error');

                    break;
                }
            }

            if($reponse){
                $btnerror.html(' ');
                $btn.css('border','');
                // $btnvalid.html('La valeur du champ ' + $inputname + ' est valide');
            }

        }
        return $reponse;
    }
    function isValidEmailAddress(emailAddress) {
        var pattern = /^([a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+(\.[a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+)*|"((([ \t]*\r\n)?[ \t]+)?([\x01-\x08\x0b\x0c\x0e-\x1f\x7f\x21\x23-\x5b\x5d-\x7e\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|\\[\x01-\x09\x0b\x0c\x0d-\x7f\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))*(([ \t]*\r\n)?[ \t]+)?")@(([a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.)+([a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.?$/i;
        return pattern.test(emailAddress);
    }
</script>

@if ($errors->any())

	<script>
	$.Zebra_Dialog('@foreach ($errors->all() as $error)<li>{{ $error }}</li>@endforeach',{
	'type': 'error',
	'title': 'Des errreurs se sont produites.'
	});
	</script>

@endif
@if(session("success"))

	<script>
        $.Zebra_Dialog('{{session('success')}}',{
            'type': 'information',
            'title': 'Connexion réussie'
        });
	</script>

@elseif(session("error"))

	<script>
        $.Zebra_Dialog('{{session('error')}}',{
            'type': 'error',
            'title': 'Une errreur s\'est produite.'
        });
	</script>


@endif

</body>
</html>
@endif
