<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery.lazy/1.7.9/jquery.lazy.min.js"></script>
<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery.lazy/1.7.9/jquery.lazy.plugins.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>
<script src="https://cdn.intram.org/sdk-javascript.js"></script>

<script>
    $(document).ready(function(){

        if(!navigator.share) {
            $('.share').css('display','none!important;');
        }

        $(document).on('click','.share_btn',function(){
            let title= $(this).data('title'),
                test= $(this).data('test'),
                url= $(this).data('url');
            if(navigator.share) {
                navigator.share({
                    title: title,
                    text: test,
                    url: url
                })
            }
        })

        // $('.lazy').Lazy();

        $('.lazy').Lazy({
            // your configuration goes here
            scrollDirection: 'vertical',
            effect: 'fadeIn',
            visibleOnly: true,
            onError: function(element) {
            }
        });

        $('.choosen').chosen({
            no_results_text: "Oops, pas de résultat ! ",
            width: "100%"
        });
        // $('.select').select2({
        //     width: '100%',
        //     dropdownParent: $("#user-welcome")
        // });
        $.ajax({
            url:'{{route('get.countries')}}' ,
            method:"GET",
            success:function(data) {
                data=JSON.parse(data);
                let options='';
                for(let i=0;i<data.length;i++){
                    options+='<option value="'+data[i].name+'">'+data[i].name+'</option>'
                }
                $('#countrySlect').html(options).trigger('updated');
            },
            error:function(data){
            }
        })
        if(localStorage.getItem('pub')===undefined || localStorage.getItem('pub')===null){
            $('#pubModal').modal('show');
        }
        $(document).on('click','.localisation_panel',function(){
            $('.welcomeText').fadeOut();
            $('.countryModalClose').fadeIn();
            $('.countryText').text('Veuillez redéfinir votre pays de résidence.');
            $('#countrySlect').val(localStorage.getItem('country')).trigger('updated');
            $("#user-welcome").modal('show')
        })
        $(document).on('click','#button-addon2',function(){
            let text=$('#sendWhatsappText').val();
            if(text!==undefined || text!==""){
                let url=getLinkWhastapp('+22967723243',text);
                let win = window.open(url, '_blank');
                win.focus();
            }
        })
        function getLinkWhastapp(number, message) {
            let url = 'https://api.whatsapp.com/send?phone='
                + number
                + '&text='
                + encodeURIComponent(message)
            return url
        }
        $(document).on('click','#closehelpSupport',function(){
            $('.helpPanel').slideToggle();
        })
        $(document).on('click','.support_sticky',function(){
            $('.helpPanel').slideToggle();
        })
        $(document).on('click','#closePub',function(){
            $('#pubModal').modal('hide');
            localStorage.setItem('pub','hello');
        })

          //function to initialize boutique liste
          function initializePageListe(){
            if('{{\Request::route()->getName()}}'==='liste_annonces'){
                $.ajax({
                    url: '{{route('liste_annonces_paginate')}}',
                    method: "GET",
                    success: function (data) {
                        $('#list_boutique').html(data.view);
                        sessionStorage.setItem('annonceUrlData',data.annonces.next_page_url)
                        $('.lazy').Lazy();
                    }, error: function (data) {
                    }
                })
            }else if('{{\Request::route()->getName()}}'==='liste_actualites'){
                $.ajax({
                    url: '{{route('liste_actualites_paginate')}}',
                    method: "GET",
                    success: function (data) {
                        $('#list_boutique').html(data.view);
                        sessionStorage.setItem('actualiteUrlData',data.actualites.next_page_url)
                        $('.lazy').Lazy();
                    }, error: function (data) {
                    }
                })
            }else if('{{\Request::route()->getName()}}'==='boutique_liste' || '{{\Request::route()->getName()}}'==='landing'){
                $.ajax({
                    url: '{{route('get_boutiquePaginate')}}',
                    method: "POST",
                    data: {_token: '{{csrf_token()}}'},
                    success: function (data) {
                        console.log(data,'success *******')
                        $('#list_boutique').html(data.view);
                       if(data.boutiques && data.boutiques.next_page_url) sessionStorage.setItem('urlData', data.boutiques.next_page_url);
                        $('.lazy').Lazy();
                    }, error: function (data) {
                        console.log(data,'error *******')
                    }
                })
            }
          }


          function setCountryToLocalStorage(country){
                         $.ajax({
                            url: '{{route('userLocation')}}',
                            method: "POST",
                            data: {_token: '{{csrf_token()}}', country: country},
                            success: function (data) {
                               data = JSON.parse(data)
                               localStorage.setItem('country', country);
                                localStorage.setItem('continent', data.continent);
                                localStorage.setItem('region', data.region);
                                localStorage.setItem('iso', data.iso);
                                localStorage.setItem('city', data.city);
                                localStorage.setItem('currency', data.currency);
                                $('.country_show').text(data.country).fadeIn();
                            }, error: function (data) {
                            }
                        })
          }
          function getCountryData(country){
            $.ajax({
                            url: '{{route('userSetCountry')}}',
                            method: "POST",
                            data: {_token: '{{csrf_token()}}', country: country},
                            success: function (data) {
                                let $local = '{{Illuminate\Support\Facades\Session::get('country')}}';
                                initializePageListe();
                            }, error: function (data) {
                            }
                        })
          }

        $(document).on('change', '#countrySlect', function () {
            let country=$(this).val();
            if(country!==undefined || country!=='') {
                Swal.fire({
                    title: 'PAYS',
                    text: 'Êtes vous sûr de vouloir choisir ' + country + ' comme pays de localisation ?',
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#88b121',
                    cancelButtonColor: '#d33',
                    cancelButtonText: 'NON',
                    confirmButtonText: 'OUI'
                }).then((result) => {
                    if (result.value) {
                        $('#user-welcome').modal('hide');
                        setCountryToLocalStorage(country);
                        getCountryData(country);
                    }
                })
            }
        });


        if ($('#userConnectedCountry').val()!=='not'){
                let country=$('#userConnectedCountry').val();
                localStorage.setItem('country', country);
                $.ajax({
                    url: '{{route('userLocation')}}',
                    method: "POST",
                    data: {_token: '{{csrf_token()}}', country: country},
                    success: function (data) {
                        data = JSON.parse(data)
                        localStorage.setItem('continent', data.continent);
                        localStorage.setItem('region', data.region);
                        localStorage.setItem('iso', data.iso);
                        localStorage.setItem('country', data.country);
                        localStorage.setItem('city', data.city);
                        localStorage.setItem('currency', data.currency);
                        $('.country_show').text(data.country).fadeIn();
                        $.ajax({
                            url: '{{route('userSetCountry')}}',
                            method: "POST",
                            data: {_token: '{{csrf_token()}}', country: country},
                            success: function (data) {
                                initializePageListe();
                            }, error: function (data) {
                            }
                        })
                    }, error: function (data) {

                    }
                });
            }
            else if(localStorage.getItem('country')===null || localStorage.getItem('country')===undefined || localStorage.getItem('country')==='undefined'){
                $('#user-welcome').modal('show');
             }else{
                  $('.country_show').text(localStorage.getItem('country')).fadeIn();
                  initializePageListe();
            }

        setTimeout(function(){
            let $local='{{Illuminate\Support\Facades\Session::get('country')}}';
            if(($local==='null' || $local==='undefined' || $local===undefined || $local===null || $local==='') && localStorage.getItem('country')===null) {
                $('#user-welcome').modal('show')
            }
        },1000)
       
    })
</script>
