@php
    $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
@endphp
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>
    <style>
        .list-media {
            display: inline-block;
            text-align: center;
        }

        .list-media div {
            margin-left: 3%;
        }

        .inputfile {
            width: 0.1px;
            height: 0.1px;
            opacity: 0;
            overflow: hidden;
            position: absolute;
            z-index: -1;
        }

        .inputfile + label {
            font-size: 1em;
            display: inline-block;
        }

        .inputfile:focus + label,
        .inputfile + label:hover {
        }

        .inputfile + label {
            cursor: pointer; /* "hand" cursor */
        }

        .inputfile:focus + label {
            outline: 1px dotted #000;
            outline: -webkit-focus-ring-color auto 5px;
        }

        #upload:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }

        #upload2 {
        }

        #upload2:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles2 img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }

        .error {
            color: red;
        }

        .btn {
            border-radius: 0px;
        }

        .article_catalogue_show {
            border: 1px solid #ddd;
            margin-top: 5px;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;">LES CATEGORIES DE PANIER MIB  </span></h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))
                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>
                            @endif
                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <a href="{{route('admin.boutique.list',$year)}}" class="btn btn-default btn-sm" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                                <a href="#" data-toggle="modal" data-target="#createCategorieModal" class="btn btn-light btn-sm float-right" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-plus-circle"></i> Ajouter une categrie mib </a>&nbsp;&nbsp;
                            </div>

                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    <table id="categoriedatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                        <thead>
                                        <tr>
                                            <th></th>
                                            <th>Image</th>
                                            <th>Nom</th>
                                            <th>Prix</th>
                                            <th>Bonus</th>
                                            <th>Description</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @php($i=1)
                                        @foreach($categorie_mibs as $categorie)
                                            <tr>
                                                <td>
                                                    <div class="dropdown">
                                                        <button class="btn btn-light btn-sm dropdown-toggle" style="display: inline-flex;" type="button" data-toggle="dropdown">action  <i style="margin-top: 4px;margin-left: 3px;" class="fa fa-chevron-down"></i> </button>
                                                        <ul class="dropdown-menu">
                                                            <li><a href="{{url('boutique/mib/lot/index/'.$boutique->slug.'/'.$categorie->slug)}}" class="">Gestion des lots</a></li>
                                                            <li><a href="{{route('get.categorie.mib',$categorie->slug)}}" class="updateCategorieMib">Modifier</a></li>
                                                            <li><a href="{{route('delete.categorie.mib',$categorie->slug)}}" >Supprimer</a></li>
                                                        </ul>
                                                    </div>
                                                </td>
                                                <td><img width="50px" src="{{asset('Uploads/Categories_mib/'.$categorie->filename)}}" alt=""></td>
                                                <td>{{$categorie->name}}</td>
                                                <td>{{$categorie->price}}</td>
                                                <td>{{$categorie->bonus}}</td>
                                                <td>{{$categorie->description}}</td>
                                            </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

   <div id="createCategorieModal" class="modal fade" tabindex="-1" role="dialog"  aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content" style="border-radius: 0px;">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title"><i class="fa fa-plus"></i> <span id="titleTexte">Categorie de Panier Mib</span> </h4>
                </div>
                <div class="modal-body col-lg-12">
                    <div class="col-lg-12">
                    <form action="{{route('admin.boutique.create.categorie')}}" id="createForms" method="post"  enctype="multipart/form-data" class="row">
                       @csrf
                        <h6 class="col-sm-12 col-xs-12">Ajouter une images de capacités inférieure ou égale à
                            2MB. Les images lourdes ralentirons votre espace de vente.
                        </h6>
                        <div class="col-lg-12">
                            <div class="form-group">
                               <div class="col-sm-12 col-xs-12 text-center mb-2">
                                    <div class="text-center" id="list_img_">
                                    </div>
                                </div>
                                <div class="col-lg-12 col-xs-12">
                                    <input type="file" accept=".jpg, .jpeg, .png" name="image" id="file" class="inputfile"/>
                                    <label for="file"
                                           style="background: #408217;color: #fff;border: 1px double #408217;"
                                           class="form-control col-form-label text-center text-sm-center btn subs_btn"><i
                                                id="upload" class="fa fa-upload col-2"></i> <span id="lab"
                                                                                                  style="color: #fff;"> Mettre une image en avant </span></label>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6">
                            <div class="form-group">
                                <label for="update_name">Nom du panier</label>
                                <input type="text" class="form-control" name="name" id="update_name" placeholder="Nom du panier">
                            </div>
                        </div>

                        <div class="col-lg-6">
                            <div class="form-group">
                                <label for="update_price">Prix</label>
                                <input type="number" class="form-control" name="price" id="update_price" placeholder="Nom du panier">
                            </div>
                        </div>

                        <div class="col-lg-12">
                            <div class="form-group">
                                <label for="update_bonus">Les bonus</label>
                                <textarea type="text" class="form-control" name="bonus" id="update_bonus" placeholder="Décrivez le bonus du panier"></textarea>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group">
                                <label for="update_description">Description</label>
                                <textarea type="text" class="form-control" name="description" id="update_description" placeholder="Décrivez le panier"></textarea>
                            </div>
                        </div>
                        <input type="hidden" name="categorie_mib_slug" id="categorie_mib_slug">
                        <div class="col-lg-12 text-right">
                            <button type="button" class="btn btn-default btn-sm close_categorie_mib" >Fermer</button>
                            <button type="submit" class="btn btn-primary btn-sm">Valider</button>
                        </div>
                    </form>
                    </div>
                </div>

            </div>
        </div>
    </div>


    <!-- /page content -->
@endsection
