@php
    $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
@endphp
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>
    <style>
        .list-media {
            display: inline-block;
            text-align: center;
        }

        .list-media div {
            margin-left: 3%;
        }

        .inputfile {
            width: 0.1px;
            height: 0.1px;
            opacity: 0;
            overflow: hidden;
            position: absolute;
            z-index: -1;
        }

        .inputfile + label {
            font-size: 1em;
            display: inline-block;
        }

        .inputfile:focus + label,
        .inputfile + label:hover {
        }

        .inputfile + label {
            cursor: pointer; /* "hand" cursor */
        }

        .inputfile:focus + label {
            outline: 1px dotted #000;
            outline: -webkit-focus-ring-color auto 5px;
        }

        #upload:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }

        #upload2 {
        }

        #upload2:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles2 img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }

        .error {
            color: red;
        }

        .btn {
            border-radius: 0px;
        }

        .article_catalogue_show {
            border: 1px solid #ddd;
            margin-top: 5px;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;">LES COTISATIONS DE PANIER MIB  </span></h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))
                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>
                            @endif
                            
                                <div class="col-md-12" style="margin-bottom: 10px;">
                                    <a href="{{route('admin.boutique.list',$year)}}" class="btn btn-default btn-sm" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                                </div>
                                @php
                                    $params=new \App\ParametrageMib();
                                    $jour_fin=$params->getParametersByKeys('jour_fin',$boutique['id'],$year);
                                @endphp
                                <div class="col-md-12" style="background: #f8f8f8;padding: 10px;margin-bottom: 10px;">
                                    <div class="row">
                                            <div class="col-md-12">
                                                Client : <strong>{{$client->nom}} {{$client->prenom}}</strong>
                                            </div>
                                    <div class="col-md-12">
                                                Téléphone : <strong>{{$client->tel}} </strong>
                                            </div>
                                    <div class="col-md-12">
                                                Adresse : <strong>{{$client->adresse}}</strong>
                                            </div>
                                    </div>
                                </div>
                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    <table id="categoriedatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                        <thead>
                                        <tr>
                                            @if(intVal(date('Y')) == intVal($year))
                                                <th></th>
                                            @endif
                                            <th>Mois</th>
                                            <th>Status</th>
                                            <th>Montant</th>
                                            <th>Reference de paiement</th>
                                            <th>Payé le</th>
                                            <th>Payé par</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @php($i=1)
                                        @foreach($cotisations as $cotisation)
                                            <tr>
                                                @if(intVal(date('Y')) == intVal($year))
                                                    <td>
                                                        <div class="dropdown">
                                                            <button class="btn btn-light btn-sm dropdown-toggle" style="display: inline-flex;" type="button" data-toggle="dropdown">action  <i style="margin-top: 4px;margin-left: 3px;" class="fa fa-chevron-down"></i> </button>
                                                            <ul class="dropdown-menu">
                                                                <li><a href="{{route('admin.update.client.cotisation',$cotisation->slug)}}" >Valider la cotisation</a></li>
                                                            </ul>
                                                        </div>
                                                    </td>
                                                @endif
                                                <td>{{$cotisation->mois}}</td>
                                                <td>{{$cotisation->montant}}</td>
                                                <td>

                                                    @if(!$cotisation->status)
                                                        @if($cotisation->numero_mois < date('m'))
                                                            <span class="badge badge-danger">impayer</span>
                                                        @elseif($cotisation->numero_mois == date('m'))
                                                                @if($jour_fin >= date('d'))
                                                                    <span class="badge badge-warning">en attente de paiement</span>
                                                                @else
                                                                <span class="badge badge-danger">impayer</span>
                                                                @endif
                                                        @else
                                                            <span class="badge badge-warning">en attente de paiement</span>
                                                        @endif
                                                    @else
                                                        <span class="badge badge-success">payer</span>
                                                    @endif
                                                </td>

                                                <td>{{$cotisation->reference_paiement}}</td>

                                                <td>{{ $cotisation->paid_at}}</td>
                                                <td>
                                                @if(isset($cotisation->validate_by) && $cotisation->validate_by!=null)
                                                        {{$cotisation->user->last_name.' '.$cotisation->user->first_name}}
                                                    @endif
                                                </td>

                                            </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- /page content -->
@endsection
