@php
    $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
@endphp
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>
    <style>
        .list-media {
            display: inline-block;
            text-align: center;
        }

        .list-media div {
            margin-left: 3%;
        }

        .inputfile {
            width: 0.1px;
            height: 0.1px;
            opacity: 0;
            overflow: hidden;
            position: absolute;
            z-index: -1;
        }

        .inputfile + label {
            font-size: 1em;
            display: inline-block;
        }

        .inputfile:focus + label,
        .inputfile + label:hover {
        }

        .inputfile + label {
            cursor: pointer; /* "hand" cursor */
        }

        .inputfile:focus + label {
            outline: 1px dotted #000;
            outline: -webkit-focus-ring-color auto 5px;
        }

        #upload:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }

        #upload2 {
        }

        #upload2:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles2 img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }

        .error {
            color: red;
        }

        .btn {
            border-radius: 0px;
        }

        .article_catalogue_show {
            border: 1px solid #ddd;
            margin-top: 5px;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;">LES DEMANDES DE BRUNCHS  </span></h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))
                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>
                            @endif
                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <a href="{{route('admin.boutique.list',$year)}}" class="btn btn-default btn-sm" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                                 </div>
                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    <table id="categoriedatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                        <thead>
                                        <tr>
                                            <th></th>
                                            <th>client</th>
                                            <th>demande</th>
                                            <th>status</th>
                                            <th>emis le </th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @php($i=1)
                                        @foreach($demandes as $demande)
                                            <tr>
                                                <td>
                                                    @if($demande->status!='accepte')

                                                    <div class="dropdown">
                                                        <button class="btn btn-light btn-sm dropdown-toggle" style="display: inline-flex;" type="button" data-toggle="dropdown">action  <i style="margin-top: 4px;margin-left: 3px;" class="fa fa-chevron-down"></i> </button>
                                                        <ul class="dropdown-menu">
                                                            <li><a href="{{url('/mib/demande/brunch/update/'.$demande->id.'/accepte')}}" >Valider la demande</a></li>
                                                            @if($demande->status!='ignorer')
                                                            <li><a href="{{url('/mib/demande/brunch/update/'.$demande->id.'/ignorer')}}" >Ignorer la demande</a></li>
                                                          @endif
                                                           </ul>
                                                    </div>
                                                    @endif
                                                </td>
                                                <td>{{$demande->client->nom}} {{$demande->client->prenom}}</td>
                                                <td>{{$demande->demande}}</td>

                                                <td>
                                                    @if($demande->status=='en_attente')
                                                        <span class="badge badge-warning">En attente</span>
                                                        @elseif($demande->status=='accepte')
                                                        <span class="badge badge-success">Octoyer</span>
                                                   @else
                                                        <span class="badge badge-danger">Annuler</span>
                                                    @endif
                                                </td>

                                                <td>{{ $demande->created_at}}</td>


                                            </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- /page content -->
@endsection
