<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>clients PDF</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <style>
        h4{
            font-size: 14px;
        }
   h6{
            font-size: 12px;
        }
    </style>
</head>

<body>
    @if(isset($clients) && isset($clients[0]))
   <div  style="width: 100%;">
        <div  style="width: 100%;margin-top: 1%;">
            <div  style="width: 50%;display: inline-block">
                {{-- <img src="{{$clients[0]->boutique->meta->logo_boutique}}" alt="{{$clients[0]->boutique->nom_boutique}}" style="width: 100px!important;"> --}}
                <h4>{{strtoupper(str_replace('_',' ',$clients[0]->boutique->nom_boutique))}}</h4>
                <h6>Email : <strong>{{$clients[0]->boutique->meta->email_boutique}}</strong></h6>
                <h6>Telephone : <strong>{{$clients[0]->boutique->meta->telephone_boutique}}</strong></h6>
                <h6>Adresse : <strong>{{$clients[0]->boutique->meta->country}} / {{$clients[0]->boutique->meta->adresse_boutique}}</strong></h6>
            </div>
        
    </div>
    <div style="width: 100%;margin-bottom: 2%;margin-top: 2%;">
        <h3>POINT DES PAIEMENTS PANIER MIB {{ date('Y') }}</h2>
    </div>
    @if(count($clients)>0)
    <table class=" table table-bordered" style="width: 100%;">
        <thead>
        <tr>
            <th>Client</th>
            <th>Categorie</th>
            <th>Lot</th>
            <th>Payer</th>
            <th>Impayer</th>
            <th>Reste a payer</th>
            <th>Bonus</th>
        </tr>
        </thead>
        <tbody>
        @php $helpers=new \App\Http\Controllers\HelperController(); 
             $cotisation=new \App\CotisationMib(); 
             @endphp
        @foreach($clients as $client)
                <tr>
                    <td>{{$client->nom}} {{$client->prenom}}</td>
                    <td>{{$client->categorieMib->name}} </td>
                    <td>{{isset($client->lotMib) && $client->lotMib !=null  ? $client->lotMib->nom : '-'}}</td>
                    <td>
                         <span class="badge badge-info"> {{$cotisation->nombrePayer($client->id)}} mois</span>
                        </td>
               <td>
                         <span class="badge badge-danger"> {{$cotisation->nombreImpayer($client->id,$client->boutique_id)}} mois</span>
                            </td>
               <td>
                     <span class="badge badge-warning"> {{$cotisation->nombreRestePayer($client->id)}} mois</span>
               </td>
               <td>
                @if($client->bonus)
                    <span class="badge badge-success">actif</span>
                @else
                    <span class="badge badge-danger">perdu</span>
                @endif
            </td>
                </tr>
        @endforeach
        </tbody>
    </table>
    @endif
  </div>
  @endif
</body>

</html>