@php
    $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
@endphp
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
        .categorieBox{
            background: #ebebeb;
            padding-bottom: 10px;
            padding-top: 5px;
        }
       .categorieBox2{
            background: #f8f8f8;
            padding-bottom: 10px;
            padding-top: 5px;
        }
       
          .warning{
            border: 1px solid orange;
           
        }
        .success{
            border: 1px solid green;
           
        }
     .danger{
            border: 1px solid rgb(128, 0, 21);
           
        }
    
        .categorieBox-Up{
           margin-bottom: 10px;
        }
       
        hr{
            margin-bottom: 5px;
            margin-top: 5px;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;">STATISTIQUES PANIER MIB {{date('Y')}} </span></h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))

                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>
                            @endif
                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <a href="{{route('admin.boutique.list',$year)}}" class="btn btn-default btn-sm" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                               </div>
                                @php
                                    $params=new \App\ParametrageMib();
                                    $souscription=$params->getParametersByKeys('souscription',$boutique->id,$year);
                                    $devise=$params->getParametersByKeys('devise',$boutique->id,$year);
                                    $jour_fin=$params->getParametersByKeys('jour_fin',$boutique->id,$year);
                                    $fin_souscription=$params->getParametersByKeys('fin_souscription',$boutique->id,$year);
                                    $active_carte_brunch=$params->getParametersByKeys('active_carte_brunch',$boutique->id,$year);
                                    $can_have_carte_brunch=$params->getParametersByKeys('can_have_carte_brunch',$boutique->id,$year);
                                     $condition_integration=$params->getParametersByKeys('condition_integration',$boutique->id,$year);
                                    $mot_bienvenue=$params->getParametersByKeys('mot_bienvenue',$boutique->id,$year);
                                    $parainnage=$params->getParametersByKeys('parainnage',$boutique->id,$year);
                                @endphp
                                @php $cotisation=new \App\CotisationMib(); @endphp
                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    @if(
                                        isset($souscription) && $souscription!=null &&
                                        isset($devise) && $devise!=null &&
                                        isset($jour_fin) && $jour_fin!=null &&
                                        isset($fin_souscription) && $fin_souscription!=null &&
                                        isset($parainnage) && $parainnage!=null
                                        )
                                        <h2 class="col-lg-12" style="margin-top: 20px">
                                            ETAT DES COTISATIONS CLIENT <br><br>
                                            <a href="{{ route('mib.statistique.pdf') }}" target="_blank" class="btn btn-primary btn-sm">Telecharger etat des cotisations client</a>
                                        </h2>
                                        <div class="col-lg-4 col-xs-12 categorieBox-Up">
                                          <div class="col-xs-12 col-lg-12 categorieBox">
                                              <h4>Nombre de client :</h4>
                                              <h2>{{ $clientsCount }}</h2>
                                          </div>
                                      </div>
                                     <div class="col-lg-4 col-xs-12 categorieBox-Up">
                                          <div class="col-xs-12 col-lg-12 categorieBox2 success">
                                              <h4>Client a jour :</h4>
                                              <h2>{{ $cotisation_a_jour }}</h2>
                                          </div>
                                      </div>
                                      <div class="col-lg-4 col-xs-12 categorieBox-Up">
                                          <div class="col-xs-12 col-lg-12 categorieBox2 warning">
                                              <h4>Client en retard :</h4>
                                              <h2>{{ $impayer }}</h2>
                                          </div>
                                      </div>
                                    
                                    <h2 class="col-lg-12" style="margin-top: 20px">
                                        ETAT PORTEFEUILLE MIB ADMINISTRATREUR 
                                    </h2>

                                    <div class="col-lg-4 col-xs-12 categorieBox-Up">
                                        <div class="col-xs-12 col-lg-12 categorieBox2">
                                            <h4>Portefeuille Global :</h4>
                                            <h2>{{ $portefeuilleGlobal }} {{ $devise }}</h2>
                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-xs-12 categorieBox-Up">
                                        <div class="col-xs-12 col-lg-12 categorieBox2">
                                            <h4>Portefeuille en especes :</h4>
                                            <h2>{{ $portefeuilleAdminValidate }} {{ $devise }}</h2>
                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-xs-12 categorieBox-Up">
                                        <div class="col-xs-12 col-lg-12 categorieBox2">
                                            <h4>Portefeuille interne :</h4>
                                            <h2>{{ $portefeuillePaidDirectly }} {{ $devise }}</h2>
                                        </div>
                                    </div>

 
                                    <h2 class="col-lg-12" style="margin-top: 20px">
                                        STATISTIQUES BRUNCH ET BONUS
                                    </h2>

                                    <div class="col-lg-3 col-xs-12 categorieBox-Up">
                                        <div class="col-xs-12 col-lg-12 categorieBox2">
                                            <h4>Demande de carte brunch :</h4>
                                            <h2>{{ $demandeBrunchs }}</h2>
                                        </div>
                                    </div>
                                    <div class="col-lg-3 col-xs-12 categorieBox-Up">
                                        <div class="col-xs-12 col-lg-12 categorieBox2 success">
                                            <h4>Carte Brunch active :</h4>
                                            <h2>{{ $brunchActif }}</h2>
                                        </div>
                                    </div>
                                    <div class="col-lg-3 col-xs-12 categorieBox-Up">
                                        <div class="col-xs-12 col-lg-12 categorieBox2 success">
                                            <h4>Bonus actif :</h4>
                                            <h2>{{ $bonusActif }} </h2>
                                        </div>
                                    </div>
                                    <div class="col-lg-3 col-xs-12 categorieBox-Up">
                                        <div class="col-xs-12 col-lg-12 categorieBox2 danger">
                                            <h4>Bonus perdu :</h4>
                                            <h2>{{ $bonusOff }} </h2>
                                        </div>
                                    </div>


                                      <h2 class="col-lg-12" style="margin-top: 20px">
                                        STATISTIQUES CATEGORIE PANIER MIB
                                    </h2>
                                      @foreach($categorie_mibs as $categorie)
                                            <div class="col-lg-4 col-xs-12 categorieBox-Up">
                                                <div class="col-xs-12 col-lg-12 categorieBox">
                                                    <h4>{{ $categorie->name }}</h4>
                                                    <h6>Nombre inscris : <strong>{{ count($categorie->clients) }}</strong></h6>
                                                </div>
                                                    <div class="col-xs-12 col-lg-12 categorieBox2">
                                                        <h6>Nombre inscris par lot</h6>
                                                        @foreach($categorie->lots as $lot)
                                                            <span class=""> {{ $lot->nom }} : </span>
                                                            <strong class=""> ( {{ count($lot->clients) }} )</strong> &nbsp;&nbsp;&nbsp;
                                                        @endforeach
                                                    </div>
                                            </div>
                                        @endforeach
                                      
                                    @else
                                        <div class="col-md-12 alert alert-warning">
                                            Paramétrer votre compte Mib pour profiter des fonctionnalités de ce module.
                                       Pour cela , cliquer sur le bouton Paramètre ci-dessus.
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

  @endsection
