@php
    $admin=false;
          if($id==1) {
           $admin=true;
            $maboutique=[];
          }else{
           $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
          }
  $privilegecheck=new \App\Users_controle();
  $check_privilege=$privilegecheck->has_privilege(\Illuminate\Support\Facades\Session::get('user')['id'],'super_administrateur');
@endphp


@extends("../dashboard._blank")
@include("../dashboard.Boutique.check_is_user_boutique")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    <style>
        #categorieModal .modal-dialog {
            -webkit-transform: translate(0,-50%);
            -o-transform: translate(0,-50%);
            transform: translate(0,-50%);
            top: 50%;
            margin: 0 auto;
        }

        #categorieViewModal .modal-dialog {
            -webkit-transform: translate(0,-50%);
            -o-transform: translate(0,-50%);
            transform: translate(0,-50%);
            top: 50%;
            margin: 0 auto;
        }
        .form-control{
            width:100%;
        }
        .form-control{
            width: 100%;
        }
        /*.dataTables_length{*/
        /*    margin-bottom: 10px;*/
        /*}*/
        /*.dt-buttons btn-group{*/
        /*    margin-bottom: 10px;*/
        /*}*/
        .btn{
            border-radius: 0px;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <input type="hidden" value="{{$admin}}" id="admin">
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                            <h2 class="col-xs-12 col-md-6" style="padding: 0px;">@if(!$admin)<img src="{{asset('images/categorie.png')}}" alt="" width="20px">  Catégories <small>Liste des categories disponible sur {{$maboutique['nom_boutique']}}</small>
                                @else
                                    <img src="{{asset('images/categorie.png')}}" alt="" width="20px"> Catégories <small> Liste des catégories disponibles dans le catalogue</small>@endif </h2>
                            @if(!$admin)
                                    <div class="col-md-6 col-xs-12 text-right">
                                        <a class="btn btn-default btn-sm" style="border-radius: 0px" href="{{route('boutique.index',$maboutique['nom_boutique'])}}" target="_blank"><i class="fas fa-store"></i>  Accéder à {{$maboutique['nom_boutique']}}</a>
                                        <a href="#" data-target="#helpModal" data-toggle="modal" class="btn btn-default btn-sm"><i class="fa fa-exclamation-circle"></i> Comment ça marche ?</a>
                                    </div>

                            @endif
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
<div class="row">
                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <div class="row">
                                    @if(!$admin)
                                        <a href="{{route('gerer_boutique',$maboutique['slug'])}}" class="btn btn-default" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                                    @endif

                                <button  data-toggle="modal" data-target="#categorieModal" id="add_categorie"  class="btn btn-primary brn-sm"><i class="fa fa-plus-circle"></i> Nouvelle catégorie</button>
                                </div>
                            </div>
                            </div>


<div class="row" style="">

                                        <table id="categoriedatatable-buttons"  class="table table-responsive-xs table-striped table-bordered">
                                        <thead >
                                    <tr>
                                        <th>N°</th>
                                        <th>Intitulé</th>
                                        <th>Secteur d'activité</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @php $counter=1 @endphp
                                    @foreach($categories as $categorie)
                                        @if($admin)
                                        <tr>
                                            <td>
                                                {{$counter++}}
                                            </td>

                                            <td>
                                                {{$categorie->intitule}}
                                            </td>

                                            <td>
                                                @foreach($metiers as $metier)
                                                    @if($metier->slug==$categorie->secteur_activite)
                                                       {{$metier->intitule_metier}}
                                                        @break;
                                                    @endif
                                                @endforeach
                                            </td>


                                            <td>
                                                @if($categorie->type_user=="administrateur" )
                                                    @if($check_privilege)

                                                        <a data-slug="{{$categorie->slug}}" class="view_catalogue_categorie btn btn-primary btn-xs" style=""><i class="fa fa-eye"></i> consulter</a>
                                                       <a data-slug="{{$categorie->slug}}" data-url="{{route('get_categorie',$categorie->slug)}}" data-url2="{{route('update_categorie',$categorie->slug)}}" class="modifier_categorie btn btn-warning btn-xs" style=""><i class="fa fa-pencil"></i> modifier</a>
                                                           <a href="{{route('delete_categorie',$categorie->slug)}}" class="btn btn-danger btn-xs" onclick="return confirm('êtes vous sûr de vouloir suprimer ce metier');" style=""><i class="fa fa-trash"></i> suprimer</a>

                                                        @else

                                                        <div>
                                                            <a data-slug="{{$categorie->slug}}" class="view_catalogue_categorie btn btn-primary btn-xs" style=""><i class="fa fa-eye"></i> consulter</a>
                                                            <a href="{{route('delete_categorie_selected',$categorie->slug)}}" class="btn btn-danger btn-xs delete-action" onclick="return confirm('êtes vous sûr de vouloir suprimer cette catégorie?');" style=""><i class="fa fa-trash"></i> suprimer</a>
                                                        </div>

                                                        @endif
                                                @else
                                                            <a data-slug="{{$categorie->slug}}" class="view_catalogue_categorie btn btn-primary btn-xs" style=""><i class="fa fa-eye"></i> consulter</a>
                                               <a data-slug="{{$categorie->slug}}" data-url="{{route('get_categorie',$categorie->slug)}}" data-url2="{{route('update_categorie',$categorie->slug)}}" class="modifier_categorie btn btn-warning btn-xs" style=""><i class="fa fa-pencil"></i> modifier</a>
                                               <a href="{{route('delete_categorie',$categorie->slug)}}" class="btn btn-danger bn-xs" onclick="return confirm('êtes vous sûr de vouloir suprimer ce metier');" style=""><i class="fa fa-trash"></i> suprimer</a>

                                                @endif
                                            </td>
                                        </tr>

                                        @else
                                          @if($categorie->type_user=='administrateur')
                                            @foreach( $select_categories as $choice)
                                                @if($choice->categorie_slug==$categorie->slug)
                                                <tr>
                                                <td>
                                                    {{$counter++}}
                                                </td>

                                                <td>
                                                    {{$categorie->intitule}}
                                                </td>

                                                <td>
                                                    @foreach($metiers as $metier)
                                                        @if($metier->slug==$categorie->secteur_activite)
                                                            {{$metier->intitule_metier}}
                                                            @break;
                                                        @endif
                                                    @endforeach
                                                </td>



                                                <td>
                                                    @if($categorie->type_user=="administrateur" )
                                                        @if($check_privilege)

                                                            <a data-slug="{{$categorie->slug}}" class="view_catalogue_categorie btn btn-primary btn-xs" style=""><i class="fa fa-eye"></i> consulter</a>
                                                               <a data-slug="{{$categorie->slug}}" data-url="{{route('get_categorie',$categorie->slug)}}" data-url2="{{route('update_categorie',$categorie->slug)}}" class="modifier_categorie btn btn-warning btn-xs" style=""><i class="fa fa-pencil"></i> modifier</a>
                                                            <a href="{{route('delete_categorie',$categorie->slug)}}" class="btn btn-danger btn-xs delete-action" style=""><i class="fa fa-trash"></i> suprimer</a>

                                                        @else

                                                            <div>
                                                                <a data-slug="{{$categorie->slug}}" class="view_catalogue_categorie btn btn-primary btn-xs" style=""><i class="fa fa-eye"></i> consulter</a>
                                                                <a href="{{route('delete_categorie',$categorie->slug)}}" class="btn btn-danger btn-xs delete-action" style=""><i class="fa fa-trash"></i> suprimer</a>
                                                            </div>

                                                        @endif
                                                    @else
                                                        <a data-slug="{{$categorie->slug}}" class="view_catalogue_categorie btn btn-primary btn-xs" style=""><i class="fa fa-eye"></i> consulter</a>
                                                           <a data-slug="{{$categorie->slug}}" data-url="{{route('get_categorie',$categorie->slug)}}" data-url2="{{route('update_categorie',$categorie->slug)}}" class="modifier_categorie btn btn-warning btn-xs" style=""><i class="fa fa-pencil"></i> modifier</a>
                                                                <a href="{{route('delete_categorie',$categorie->slug)}}" class="btn btn-danger btn-xs delete-action" style=""><i class="fa fa-trash"></i> suprimer</a>

                                                    @endif
                                                </td>
                                            </tr>
                                                @endif
                                             @endforeach
                                          @else
                                            <tr>
        <td>
            {{$counter++}}
        </td>

        <td>
            {{$categorie->intitule}}
        </td>

        <td>
            @foreach($metiers as $metier)
                @if($metier->slug==$categorie->secteur_activite)
                    {{$metier->intitule_metier}}
                    @break;
                @endif
            @endforeach
        </td>


        <td>
            @if($categorie->type_user=="administrateur" )
                @if($check_privilege)
                    <a data-slug="{{$categorie->slug}}" class="view_catalogue_categorie btn btn-primary btn-xs" style=""><i class="fa fa-eye"></i> consulter</a>
                       <a data-slug="{{$categorie->slug}}" data-url="{{route('get_categorie',$categorie->slug)}}" data-url2="{{route('update_categorie',$categorie->slug)}}" class="modifier_categorie btn btn-warning btn-xs" style=""><i class="fa fa-pencil"></i> modifier</a>
                            <a href="{{route('delete_categorie',$categorie->slug)}}" class="btn btn-danger btn-xs delete-action" style=""><i class="fa fa-trash"></i> suprimer</a>

                @else

                    <div>
                        <a data-slug="{{$categorie->slug}}" class="view_catalogue_categorie btn btn-primary btn-xs" style=""><i class="fa fa-eye"></i> consulter</a>
                        <a href="{{route('delete_categorie_selected',$categorie->slug)}}" class="btn btn-danger btn-xs delete-action"  style=""><i class="fa fa-trash"></i> suprimer</a>
                    </div>

                @endif
            @else
                <a data-slug="{{$categorie->slug}}" class="view_catalogue_categorie btn btn-primary btn-xs" style=""><i class="fa fa-eye"></i> consulter</a>
                <a data-slug="{{$categorie->slug}}" data-url="{{route('get_categorie',$categorie->slug)}}" data-url2="{{route('update_categorie',$categorie->slug)}}" class="modifier_categorie btn btn-warning btn-xs" style=""><i class="fa fa-pencil"></i> modifier</a>
                <a href="{{route('delete_categorie',$categorie->slug)}}" class="btn btn-danger btn-xs delete-action" style=""><i class="fa fa-trash"></i> suprimer</a>

            @endif
        </td>
    </tr>
                                          @endif
                                        @endif
                                      @endforeach

                                    </tbody>
                                </table>

                                   </div>

                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>

    <!-- /page content -->

    <div id="categorieModal" class="modal fade">
        <div class="modal-dialog">
            <form method="post" id="categorie_form"  enctype="multipart/form-data">
                @csrf

                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <button type="button" id="close_category_modal" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"><i class="fa fa-plus"></i> Ajouter une nouvelle categorie </h4>
                    </div>
                    <div class="modal-body">
<div class="col-sm-12">
                        <div class="row" id="choice_maker_panel">
                            @if(!$admin)
                                <div class="form-group col-md-6 text-left">
                                    <input type="radio" id="catalogue" name="choice_selection" class="choix_categorie_source" checked value="catalogue">
                                    <label style="font-size: 10pt;margin-top: -3px;" for="catalogue">Ajouter depuis le catalogue</label>
                                </div>
                            @endif
                            <div class="form-group col-md-6 text-right" @if($admin) style="display: none;" @endif>
                                <input type="radio" id="new_categorie" name="choice_selection" @if($admin) checked @endif class="choix_categorie_source" value="creer">
                                <label style="font-size: 10pt;margin-top: -3px;" for="new_categorie">créer une nouvelle catégorie</label>
                            </div>

                        </div>
</div>
                        <div id="catalogue_categorie" @if($admin) style="display: none;" @endif>
                            <div class="row" style="padding: 20px;">
                                <div class="form-group col-md-12">
                                    <label for="choice_catalogue_categorie">Liste des catégories du catalogue</label><br>
                                    <small>Vous pouvez choisir une catégorie disponible dans notre catalogue.</small>
                                    @php
                                        $categories=new \App\Http\Controllers\CategorieCatalogue();
                                        $listes=$categories->list_option_categorie();
                                    @endphp
                                    <select name="categorie_slug" id="choice_catalogue_categorie" class="form-control choosen">
                                        <option>Selectionner une catégorie dans le catalogue</option>
                                        {!! $listes !!}
                                    </select>
                                </div>

                                <div id="catalogue_article_details" class="mt-2 mb-1" style="display: none">

                                    <h4  class="col-sm-12" style="">Détails <br>
                                        <small>consulter les détails de la catégorie sélectionner depuis le catalogue.</small>

                                    </h4>
                                    <div class="form-group col-md-12 col-sm-12 col-xs-12" >
                                        <label for="intitule__">Intitulé de la catégorie</label>
                                        <input type="text" value="" disabled class="form-control" id="intitule__" style="width: 100%">
                                    </div>

                                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                        <label for="secteur__">Secteur d'activité</label>
                                        <input type="text" value="" disabled class="form-control" id="secteur__" style="width: 100%">
                                    </div>

                                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                        <label for="description__">Description</label>
                                        <textarea type="text" disabled class="form-control" id="description__" style="width: 100%"></textarea>
                                    </div>
                                    <div class="form-group col-sm-12 col-xs-12" id="caracteristique_choice_panel">
                                        <label for="">Caractéristiques</label>
                                        <div id="caracteristique_choice"></div>
                                    </div>
                                </div>
                            </div>
                        </div>


                        </div>

                        <div @if(!$admin) style="display: none" @endif id="creer_categorie">

                        @php
                        $metier=new \App\Http\Controllers\metierController();
                        @endphp

                       @if($admin)
                        <div class="row" style="padding: 20px;padding-bottom: 5px;">
                            <div class="form-group col-md-12 col-sm-12">
                                <label>Domaine d'activité <span style='color:red'>*</span></label>
                                <select name="secteur_activite" id="secteur_activite" class="choosen form-control">
                                    {{$metier->liste_output_metier()}}
                                </select>
                            </div>
                        </div>
                       @endif
                        <div class="row" style="padding: 20px;padding-bottom: 5px;">
                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <label>Intitulé</label><br>
                                <input type="text" id="intitule" name="intitule" required="required" data-input_name="intitulé du nom de la categorie" onblur="check_error(['intitule'])" class="form-control" value="automobile" placeholder="Intitule de la catégorie *" style="width: 100%;">
                            <span id="errorintitule" style="color: red"></span>
                            </div>

                        </div>

                        <div class="row" style="padding: 20px;padding-top: 5px;">
                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <label>Description</label><br>
                                <textarea name="description" class="form-control" id="description" style="width: 100%;" rows="5" placeholder=""></textarea>
                            </div>
                        </div>

                            <div class="row" style="padding: 20px;padding-bottom: 5px;">
                                <div class="form-group col-xs-12">
                                  Exemple: caractéristique pour la Catégorie d'intitulé T-shirt
                                    <br><span style="font-weight: bold"> 1- Tailles </span>
                                    <br><span style="font-weight: bold"> 2- couleurs </span>
                                    <br><span style="font-weight: bold">3- textiles.... </span>
                                    <br> Ceci vous permet donc à l'ajout du produits T-shirt de définir les tailles:XL,m, les couleurs vert, bleu et le textile utilisé.
                                </div>
                                <div class="form-group col-md-12 col-sm-12 col-xs-12" id="caracteristique">
                                    <label> Ajouter des Caractéristiques de cette catégorie <br> <button id="add_caracteristique" class="btn btn-warning btn-xs" style="font-size: 7pt;"><i class="fa fa-plus-circle"></i> Ajouter</button></label><br>
                                   <div class="caracteristique0 row">
                                       <div class="col-sm-11">
                                           <input type="text" name="caracteristique[]" class="form-control" placeholder="intitule caractéristique*" style="width: 100%;">
                                       </div>
                                       <div class="col-sm-1" style="padding-top: 1%">
                                           <button data-place="0" class="btn btn-danger btn-xs delete_caracteristique" style="width:100%;"><i class="fa fa-trash"></i></button>
                                       </div>
                                   </div>
                                   </div>
                            </div>


                        </div>
                        <div class="">
                            <div class="modal-footer">
                                <input type="hidden" name="id_page" value="{{$id}}">
                                <input type="submit" name="action" id="action" onclick="return check_error(['intitule']);" class="btn btn-info" style="background-color: #0D3349;border-radius: 0px;color: white;" value="Ajouter" />
                                <button type="button" id="close_category_modal2" class="btn btn-default" data-dismiss="modal">Fermer</button>
                            </div>
                        </div>
                    </div>
            </form>
        </div>
    </div>


  <div id="categorieViewModal" class="modal fade">
        <div class="modal-dialog">
            <div>
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fa fa-eye"></i> Details de la catégorie </h4>
                    </div>
                    <div class="modal-body">

                        <div>
                            <div class="row" style="padding: 20px;">

                                <div id="catalogue_article_details" class="mt-2 mb-1">

                                   <small class="col-sm-12">consulter les détails de la catégorie sélectionner depuis le catalogue.</small>
                                     <div class="form-group col-md-6 col-sm-6 col-xs-12" >
                                        <label for="view_intitule__">Intitulé de la catégorie</label>
                                        <input type="text" value="" disabled class="form-control" id="view_intitule__" style="width: 100%">
                                    </div>

                                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                                        <label for="view_secteur__">Secteur d'activité</label>
                                        <input type="text" value="" disabled class="form-control" id="view_secteur__" style="width: 100%">
                                    </div>

                                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                        <label for="view_description__">Description</label>
                                        <textarea type="text" disabled class="form-control" id="view_description__" style="width: 100%"></textarea>
                                    </div>

                                    <div class="form-group col-md-6 col-sm-6 col-xs-12" >
                                        <label for="view_intitule__">Crée par</label>
                                        <input type="text" value="" disabled class="form-control" id="view_create_by__" style="width: 100%">
                                    </div>

                                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                                        <label for="view_secteur__">Date de création</label>
                                        <input type="text" value="" disabled class="form-control" id="view_creation_date__" style="width: 100%">
                                    </div>

                                    <div class="col-sm-12">
                                        <label for="">Caractéristiques</label>
                                        <div id="caracteristique_view"></div>
                                    </div>
                                </div>
                            </div>
                        </div>


                        </div>
                        <div class="">
                            <div class="modal-footer">
                                 <button type="button" id="close_category_modal2" class="btn btn-default" data-dismiss="modal">Fermer</button>
                            </div>
                        </div>
                    </div>
            </div>
        </div>
    </div>

    <div id="helpModal" class="modal fade">
        <div class="modal-dialog">
            <div>
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fa fa-exclamation-circle"></i> Aide </h4>
                    </div>
                    <div class="modal-body">

                        <div>
                            <div class="row" style="padding: 20px;">
                                <h4 style="color: #1d2124;margin-bottom: 20px;">Ajout d'une nouvelle catégorie</h4>
                                <h6 style="color: indigo;"><i class="fa fa-circle-o"></i> Ajouter depuis le catalogue</h6>
                                <div>Le catalogue des catégories est une liste pré-établis des catégories que vous pouvez ajouter suivant votre domaine d'activité. Le catalogue vous facilite la tâche en vous permettant d'ajouter de nouvelle catégorie à votre propre catalogue de catégorie.
                                    <br>
                                    <span>NB:</span> vous ne pouvez modifier une catégorie ajouter depuis le catalogue care elle peux être utiliser par plusieurs autre boutique de même secteur d'activité que vous;
                                </div>
                                 <h6 style="color: indigo;"><i class="fa fa-circle-o"></i> Créer une nouvelle catégorie</h6>
                                <div>Il s'agit d'ajouter une nouvelle catégorie propre à votre boutique que vous n'arrivez pas à trouver dans le catalogue.
                                      &nbsp;&nbsp;&nbsp;  <h6 style="color: indigo;">caractéristique</h6>
                                       <div>Elles représentent les différentes caractéristiques des produits liés à cette catégorie.
                                        <br>
                                    <span>Exemple:</span> &nbsp;&nbsp; Catégorie T-shirt : caractéristiques : Tailles, couleurs, textiles....
                                    </div>
                                    <br>
                                    <span>NB:</span> vous  pouvez modifier ou supprimer cette catégorie commme bon vous semble.
                                </div>
                            </div>
                        </div>


                    </div>
                    <div class="">
                        <div class="modal-footer">
                            <button type="button" id="close_category_modal2" class="btn btn-default" data-dismiss="modal">Fermer</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


@endsection
