@php
  $privilegecheck=new \App\Users_controle();
  $check_privilege=$privilegecheck->has_privilege(\Illuminate\Support\Facades\Session::get('user')['id'],'super_administrateur');
@endphp


@extends("../dashboard._blank")
@include("../dashboard.Boutique.check_is_user_boutique")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    <style>
        #categorieModal .modal-dialog {
            -webkit-transform: translate(0,-50%);
            -o-transform: translate(0,-50%);
            transform: translate(0,-50%);
            top: 50%;
            margin: 0 auto;
        }

        #categorieViewModal .modal-dialog {
            -webkit-transform: translate(0,-50%);
            -o-transform: translate(0,-50%);
            transform: translate(0,-50%);
            top: 50%;
            margin: 0 auto;
        }
        .form-control{
            width:100%;
        }
        .form-control{
            width: 100%;
        }
        .dataTables_length{
            margin-bottom: 10px;
        }
        .dt-buttons btn-group{
            margin-bottom: 10px;
        }
        .btn{
            border-radius: 0px;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-xs-12 col-md-6" style="padding: 0px;">  Demandes d'activation de compte utilisateur </h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            <div class="row" style="">
                                <div class="table-responsive">
                                    <table id="categoriedatatable-buttons"  class="table table-responsive-xs table-striped table-bordered">
                                        <thead >
                                        <tr>
                                            <th>N°</th>
                                            <th>Boutique</th>
                                            <th>CNI</th>
                                            <th>RCCM</th>
                                            <th>IFU</th>
                                            <th>ETAT</th>
                                            <th>Action</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @php $counter=1 @endphp
                                        @foreach($activationsPaiment as $activation)
                                                            <tr>
                                                                <td>
                                                                    {{$counter++}}
                                                                </td>
                                                            <td>
    {{$activation->boutique->nom_boutique}}
</td>
                                                                <td>
                                                                    <a href="{{$activation->cniFile}}" target="_blank">  {{$activation->cni}} </a>
                                                                </td>

                                                                <td>
                                                                    <a href="{{$activation->rccmFile}}" target="_blank">  {{$activation->rccm}} </a>
                                                                </td>

                                                                <td>
                                                                    <a href="{{$activation->ifuFile}}" target="_blank">  {{$activation->ifu}} </a>
                                                                </td>

                                                                <td>
                                                                    <a href="" class="badge @if($activation->state=='activer') badge-success  @elseif($activation->state=='refuser') badge-danger @else badge-info @endif"
                                                                    style="color:white; @if($activation->state=='activer') background:green;  @elseif($activation->state=='refuser') background:red; @endif">  {{$activation->state}} </a>
                                                                </td>

                                                                <td>
                                                                            <div>
                                                                                @if($activation->state!='activer' || $activation->state=='refuser')
                                                                                <a href="{{route('demande.active',$activation->id)}}" class="btn btn-primary btn-xs" style=""><i class="fa fa-thumbs-o-up"></i> Activer</a>
                                                                               @endif
                                                                                    @if($activation->state!='refuser' || $activation->state=='activer')
                                                                                    <a href="{{route('demande.denied',$activation->id)}}" class="btn btn-danger btn-xs" style=""><i class="fa fa-thumbs-down"></i> Rejeter</a>
                                                                               @endif
                                                                            </div>
                                                                </td>
                                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
