
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    <style>
        @media (min-width: 768px){
            .form-horizontal .control-label{
                text-align: left;
            }
        }
        .btn{
            border-radius: 0px;
        }
    </style>
    <div class="right_col" role="main">

        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel text-uppercase">
                    <div class="x_title" style="padding-left: 20px;">
                        <h5 class="col-md-12 col-sm-12 col-xs-12">DEMANDE DE GESTION</h5>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        @if(session("success"))

                            <div class="alert alert-success">
                                {{session('success')}}
                            </div>

                        @endif
                        @if(session("error"))

                            <div class="alert alert-danger">
                                {{session('error')}}
                            </div>

                        @endif
                        <br/>
                            <div class="col-12">
                                <a href="{{route('sunmarketers')}}" class="btn btn-default" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                            </div>
                            <div class="col-xs-12 col-md-12" style="margin-top: 10px">

                                <div class="row">
                                    <div class="table-responsive">
                                        <table id="categoriedatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                            <thead>
                                            <tr>
                                                <th>Boutique</th>
                                                <th>remuneration</th>
                                                <th>solde</th>
                                                <th>objectifs vente mensuel</th>
                                                <th>status</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($marketers as $marketer)
                                                    <tr>
                                                        <td><a style="color: #88b121" href="{{route('boutique.index',$marketer->boutique->nom_boutique)}}"> {{strtoupper(str_replace('_',' ',$marketer->boutique->nom_boutique))}} </a></td>

                                                        <td  style="text-decoration: underline;color: #88b121;cursor: pointer;">{{str_replace('_',' ',$marketer->remuneration)}}</td>

                                                        <td>{{$marketer->solde}} {{$marketer->remuneration=='pourcentage_vente' ? '%' : $marketer->devise}}
                                                           </td>
                                                        <td>{{$marketer->solde_objectif_vente}} {{$marketer->devise}} </td>
                                                        <td>@if($marketer->status) <span class="badge badge-success" style="background-color: #037100;color: #ffffff;width: 100%;">  {{'actif'}} </span> @else <span class="badge badge-success" style="background-color: #d21d19;color: #ffffff;width: 100%;"> {{'inactif'}} </span> @endif </td>
                                                        <td>
                                                          @if(!$marketer->marketer_accept)
                                                            <a href="{{route('accept_be_sunmarketer',$marketer->admin_slug)}}"  class="btn btn-success btn-xs"><i class="fa fa-check"></i> accepter la demande</a>
                                                            <a href="{{route('reject_be_sunmarketer',$marketer->admin_slug)}}"  class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> rejeter la demande</a>
                                                       @else
                                                                @if($marketer->status)
                                                                 <i class="fa fa-check"></i>   Gestionnaire
                                                                    @endif
                                                            @endif
                                                        </td>
                                                    </tr>

                                            @endforeach

                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>

                            <div class="clearfix"></div>
                        <div class="ln_solid"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')


@endsection
