@php $boutique=\Illuminate\Support\Facades\Session::get('boutique');@endphp
@extends("../dashboard._blank")
@include("../dashboard.Boutique.check_is_user_boutique")
@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    <style>
        #categorieModal .modal-dialog {
            -webkit-transform: translate(0,-50%);
            -o-transform: translate(0,-50%);
            transform: translate(0,-50%);
            top: 50%;
            margin: 0 auto;
        }

        #categorieViewModal .modal-dialog {
            -webkit-transform: translate(0,-50%);
            -o-transform: translate(0,-50%);
            transform: translate(0,-50%);
            top: 50%;
            margin: 0 auto;
        }
        .form-control{
            width:100%;
        }
        .form-control{
            width: 100%;
        }
        /*.dataTables_length{*/
        /*    margin-bottom: 10px;*/
        /*}*/
        /*.dt-buttons btn-group{*/
        /*    margin-bottom: 10px;*/
        /*}*/
        .btn{
            border-radius: 0px;
        }
    </style>
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        <h2>
                            <img src="{{$service->logo}}" alt="" width="50px" height="50px" style="border-radius: 50%;border: 1px solid #ddd"> &nbsp;&nbsp;&nbsp;
                            {{$service->name}} GRILLE TARIFAIRE PAR PAYS
                        </h2>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        @if(session("success"))

                            <div class="alert alert-success">
                                {{session('success')}}
                            </div>

                        @elseif(session("error"))
                            <div class="alert alert-danger">
                                {{session('error')}}
                            </div>
                        @endif
                        <div class="col-12">
                                <a href="{{route('livraisons.client.index',$boutique['slug'])}}" class="btn btn-default btn-sm"><i class="fa fa-long-arrow-alt-left"></i></a>
                        </div>
                        <div class="col-lg-12 col-xs-12">
                            <div class="table-responsive">
                                <table id="categoriedatatable-buttons"  class="table table-responsive-xs table-striped table-bordered">
                                                   <thead>
                                                   <tr>
                                                       <th>Pays</th>
                                                       <th>Documents</th>
                                                      </tr>
                                                   </thead>
                                                   <tbody>
                                                   @php $serviceapp=new App\ServiceShipping(); @endphp
                                                    @foreach($grilles as $grille)
                                                        @php $countries= json_decode($grille->countries,true); @endphp
                                                        <tr>
                                                            <td>
                                                            @for($i=0;$i<count($countries);$i++)
                                                                <span class="badge badge-dark">{{$countries[$i]}}</span>
                                                            @endfor
                                                            </td>
                                                            <td>
                                                                <a href="{{$grille->filename}}" target="_blank">{{'grille tarifiare'}}</a>
                                                            </td>
                                                        </tr>
                                                        @endforeach
                                                   </tbody>
                                               </table>
                                           </div>
                                       </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="shippingCreateModal" class="modal fade" data-backdrop="static" data-keyboard="false">
        <div class="modal-md modal-dialog">

                <div class="modal-content">
                    <div class="modal-header" style="background: #00ba9d;">
                        <h4 class="modal-title text-left" style="color: #f1f1f1;"><i class="fa fa-shipping-car"></i> Nouveau plan tarifaire pour le service de livraison {{$service->name}}</h4>
                    </div>
                    <div class="modal-body">
                        <div class="card col-md-12 col-lg-12 col-xs-12" id="form-container">
                            <div class="card-body row">
                                <div style="text-align: center;display:none" class="form-loader text-center"><img style="width: 7%;" src="{{asset('images/livraison-loader.gif')}}"></div>
                                <div class="error-container" style="display: none;">
                                </div>
                                   <form class="col-md-12" method="post" action="{{route('livraisons.storePlanTarifaire')}}" enctype="multipart/form-data">
                                       @csrf
                                       <section id="second_section">
                                           <h2>Plan tarifaire par pays</h2>
                                           <input type="hidden" name="service_slug" value="{{$service->slug}}">
                                           <div class="form-group">
                                               <button type="button" class="btn btn-warning btn-sm add_plan">Ajouter un nouveau plan tarifaire par pays</button>
                                           </div>
                                           <div class="planTarifaire">
                                               <div class="section">
                                           <div class="form-group">
                                               <label for="pays_provenance">Pays </label>
                                               <select id="pays_provenance" data-placeholder="Choisissez le pays" multiple name="countries[][]" class="form-control choosen">
                                                   <option>Choisissez le pays </option>
                                                   @foreach ($pays as $country)
                                                       <option value="{{$country->name}}"> {{$country->name}}</option>
                                                   @endforeach
                                               </select>
                                           </div>
                                           <div class="form-group">
                                               <label for="plan_tarifaire">Plan tarifaire <span style="color: red">(pdf *)</span></label>
                                               <input type="file" id="plan_tarifaire" class="form-control" name="filename[]">
                                           </div>
                                               <button class="btn btn-danger btn-sm delete_section_plan"><i class="fa fa-trash"></i></button>
                                           </div>
                                           </div>
                                           <br><br>
                                           <div class="form-group pull-right">
                                               <button type="submit" class="btn btn-primary">Ajouter</button>
                                               <button type="button" class="btn btn-dark close-form-btn" data-dismiss="modal">Annuler</button>
                                           </div>
                                       </section>

                                    </form>

                            </div>
                        </div>
                    </div>
                </div>

        </div>
    </div>


    <!-- /page content -->
@endsection
@section('script')
    @include('dashboard.MoyenLivraisons.scripts.scripts')
    @stop
