<!doctype html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <!-- Meta, title, CSS, favicons, etc. --><meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="description" content="Vente et achat, de tout accessoire ou équipement de tous les secteurs d'activtés. SUNMARKET se place en avant pour vous offrir une expérience inédit en matière de gestion de votre commerce en ligne. Visitez des milliers de boutiques en ligne, chacun investis dans un secteur d'activité; de quoi donner une relance à votre business.">
        <meta name="keywords" content="Boutique,Achat,Vente,Acheter,Vendre,sunmarket,achat en ligne,vente en ligne,acheter en ligne, vendre en ligne,livraison,benin">
        <meta name="author" content="sunmarket">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="icon" type="image/png" href="{{asset('images/sunmarket_fav.png')}}"/>
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>SUNMARKET</title>
        <!--Google Font link-->
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Raleway:400,600,700" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">


        <link rel="stylesheet" href="{{asset('assets/css/slick.css')}}">
        <link rel="stylesheet" href="{{asset('assets/css/slick-theme.css')}}">
        <link rel="stylesheet" href="{{asset('assets/css/animate.css')}}">
        <link rel="stylesheet" href="{{asset('assets/css/fonticons.css')}}">
        <link rel="stylesheet" href="{{asset('assets/css/font-awesome.min.css')}}">
        <link rel="stylesheet" href="{{asset('assets/css/bootstrap.css')}}">
        <link rel="stylesheet" href="{{asset('assets/css/magnific-popup.css')}}">
        <link rel="stylesheet" href="{{asset('assets/css/bootsnav.css')}}">
    <link href="{{asset('plugins/fontawesome-free-5.0.1/css/fontawesome-all.css')}}" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="{{asset('zebra_css/zebra_dialog.css')}}" />


        <!--For Plugins external css-->
        <!--<link rel="stylesheet" href="{{asset('assets/css/plugins.css')}}" />-->

        <!--Theme custom css -->
        <link rel="stylesheet" href="{{asset('assets/css/style.css')}}">
        <!--<link rel="stylesheet" href="{{asset('assets/css/colors/maron.css')}}">-->

        <!--Theme Responsive css-->
        <link rel="stylesheet" href="{{asset('assets/css/responsive.css')}}" />

        <script src="{{asset('assets/js/vendor/modernizr-2.8.3-respond-1.4.2.min.js')}}'')}}"></script>
    </head>

    <body data-spy="scroll" data-target=".navbar-collapse">


        <!-- Preloader -->
       <!-- <div id="loading">
            <div id="loading-center">
                <div id="loading-center-absolute">
                    <div class="object" id="object_one"></div>
                    <div class="object" id="object_two"></div>
                    <div class="object" id="object_three"></div>
                    <div class="object" id="object_four"></div>
                </div>
            </div> -->
        <!--End off Preloader -->


        <div class="culmn">
            <!--Home page style-->


            <nav class="navbar navbar-default navbar-fixed white no-background bootsnav">
                <!-- Start Top Search -->
                <div class="top-search">
                    <div class="container">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-search"></i></span>
                            <input type="text" class="form-control" placeholder="Recherche">
                            <span class="input-group-addon close-search"><i class="fa fa-times"></i></span>
                        </div>
                    </div>
                </div>
                <!-- End Top Search -->

                <div class="container">
                    <!-- Start Atribute Navigation -->
                    <div class="attr-nav">

                    </div>
                    <!-- End Atribute Navigation -->

                    <!-- Start Header Navigation -->
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-menu">
                            <i class="fa fa-bars"></i>
                        </button>
                        <a class="navbar-brand" href="#brand" style="">

                             <div  class="logo logo-display m-top-10" style="font-size: 30pt;font-weight: bold;"><span style="color: #ffffff;border-bottom: 2px solid #ffffff;">SUN</span><span style="color: #9d0000;border-top: 3px solid #9d0000">MARKET</span></div>
                            <div class="logo logo-scrolled m-top-10"  style="font-size: 30pt;font-weight: bold;"><span style="color: #00ba9d;border-bottom: 2px solid #00ba9d;">SUN</span><span style="color: #9d0000;border-top: 3px solid #9d0000">MARKET</span></div>

                        </a>
                    </div>
                    <!-- End Header Navigation -->

                    <!-- Collect the nav links, forms, and other content for toggling -->
                    <div class="collapse navbar-collapse" id="navbar-menu">
                        <ul class="nav navbar-nav navbar-right" data-in="fadeInDown" data-out="fadeOutUp">
                            <li><a href="#hello">Accueil</a></li>
                            <li><a href="#about">Contexte</a></li>
                            <li><a href="#solution">Solution</a></li>
                            <li><a href="#avantages">Avantages</a></li>
                            <li><a href="#fonctionnalites">Fonctionnalités</a></li>
                            <li><a href="#tarifs">Tarifs</a></li>

                            <li><a href="#contact">Contact</a></li>
                        </ul>
                    </div><!-- /.navbar-collapse -->
                </div>

            </nav>


            <!--Home Sections-->

            <section id="hello" class="home bg-mega">
                <div class="overlay"></div>
                <div class="container">
                    <div class="row">
                        <div class="main_home">
                            <div class="home_text">
                                <h1 class="text-white">Votre boutique en ligne <br/><span style="color: #9d0000;"> En un clic</span></h1>
                            </div>

                            <div class="home_btns m-top-40">
                                <a href="{{route('bienvenue')}}" class="btn btn-primary m-top-20" style="background: #00ba9d;border: 1px solid #00ba9d;">DEMARRER</a>
                                {{--<a href="{{route('register')}}" class="btn btn-default m-top-20">S'inscrire</a>--}}
                            </div>

                        </div>
                    </div><!--End off row-->
                </div><!--End off container -->
            </section> <!--End off Home Sections-->


            <!--About Sections-->
            <section id="about" class="about roomy-100">
                <div class="container">
                    <div class="row">
                        <div class="main_about">
                            <div class="col-md-6">
                                <div class="about_content"  style="text-align: justify;">
                                    <h2>CONTEXTE</h2>
                                    <div class="separator_left"></div>

                                  <p>
                                      L’émergence de la vente en ligne qui est encore d’actualité, attire de plus en plus de personnes dans le domaine de l’e-commerce.
                                  </p>
                                    <p>
                                      Dans le souci de promouvoir leurs secteurs d’activités et leurs chiffres d’affaires, les commerçants se ne limitent pas aux boutiques traditionnelles ou physiques.
                                      Ici au Bénin, force est de constater l’intérêt que porte les commerçants à la nouvelle révolution de l’e-Commerce tous les secteurs d’activités s’y prêtent bien parce qu’il est plus facile de vendre sans forcément détenir une boutique physique.
                                  </p>
                                    <p>
                                      Mais, s’offrir un site de E-commerce adapté au besoin est un vrai défi  pour les acteurs du domaine tant pour le coût d’acquisition, que pour la bonne gestion.
</p>
                                    <p>
                                      Pour étendre cela à tous les niveaux, SUNMARKET  pense à la mise en place d’un système informatique adapté au besoin local et aussi une utilisation plus simplifiée.

                                  </p>

                                  <!--  <div class="about_btns m-top-40">
                                        <a href="" class="btn btn-primary">DOWNLOAD NOW</a>
                                    </div> -->
                                </div>
                            </div>

                        </div>
                    </div><!--End off row-->
                </div><!--End off container -->


            </section> <!--End off About section -->



             <section id="solution" class="blog">
                 <div class="row">
                    <div class="main_featured m-top-100">
                        <div class="col-sm-12">
                            <div class="head_title text-center">
                                <h2>SOLUTION</h2>
                                <div class="separator_auto"></div>
                                <p>Innover avec la technologie est le défi majeur de notre génération, faciliter à tous d’acquérir un bien ou service en ligne devrait être encore plus facile de nos jours. C’est en ce sens SUNMARKET intervient en apportant une solution qui pourra permettre à tout utilisation d’effectuer un achat ou une vente depuis le confort de son salon. Cela permettrait à tous de gagner du temps et aussi de vaquer à d’autres occupations.
                                    SUNMARKET accompagne et assiste les utilisateurs dans la mise en place de leur boutique en ligne et aussi améliorer la qualité de leurs images pour mieux vendre les produits ou service qu’ils proposent aux clients. Pour atteindre un meilleur résultat, SUNMARKET s’adapte au besoin local et aussi intégrer un système qui permettra de gérer les statistiques de leur boutique.
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

                 {{--<div class="container">--}}
                    {{--<div class="row">--}}
                        {{--<div class="about_bottom_content">--}}
                            {{--<div class="col-md-4">--}}
                                {{--<div class="about_bottom_item m-top-20">--}}
                                    {{--<div class="ab_head">--}}
                                        {{--<div class="ab_head_icon">--}}
                                            {{--<i class="icofont icofont-black-board"></i>--}}
                                        {{--</div>--}}
                                        {{--<h6 class="m-top-20"> FORMATIONS</h6>--}}
                                    {{--</div>--}}
                                    {{--<p class="m-top-20">Formations sur des solutions d'entreprises </p>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                            {{--<div class="col-md-4">--}}
                                {{--<div class="about_bottom_item m-top-20">--}}
                                    {{--<div class="ab_head">--}}
                                        {{--<div class="ab_head_icon">--}}
                                            {{--<i class="icofont icofont-check-circled"></i>--}}
                                        {{--</div>--}}
                                        {{--<h6 class="m-top-20">MISSIONS</h6>--}}
                                    {{--</div>--}}
                                    {{--<p class="m-top-20">Activités ponctuelles pour une ou plusieurs entreprises simultanées </p>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                            {{--<div class="col-md-4">--}}
                                {{--<div class="about_bottom_item m-top-20">--}}
                                    {{--<div class="ab_head">--}}
                                        {{--<div class="ab_head_icon">--}}
                                            {{--<i class="icofont icofont-bag"></i>--}}
                                        {{--</div>--}}
                                        {{--<h6 class="m-top-20">PRESTATAIRES</h6>--}}
                                    {{--</div>--}}
                                    {{--<p class="m-top-20">Gestion et réalisations de projets pour entreprises </p>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                        {{--</div>--}}
                    {{--</div><!--End off row-->--}}
                {{--</div><!--End off container -->--}}
                 {{----}}

                </br>
                </br>
                </br>
                </br>
                </br>
                </br>


                <div class="featured_slider">
                <div>
                    <div class="featured_img">
                        <img src="{{asset('images/shop_background.jpg')}}" alt="" />
                        <a href="{{asset('images/shop_background.jpg')}}" class="popup-img"></a>
                    </div>
                </div>
                <div>
                    <div class="featured_img">
                        <img src="{{asset('images/shop_background.jpg')}}" alt="" />
                        <a href="{{asset('images/shop_background.jpg')}}" class="popup-img"></a>
                    </div>
                </div>
                <div>
                    <div class="featured_img">
                        <img src="{{asset('images/shop_background.jpg')}}" alt="" />
                        <a href="{{asset('images/shop_background.jpg')}}" class="popup-img"></a>
                    </div>
                </div>
                <div>
                    <div class="featured_img">
                        <img src="{{asset('images/shop_background.jpg')}}" alt="" />
                        <a href="{{asset('images/shop_background.jpg')}}" class="popup-img"></a>
                    </div>
                </div>
                <div>
                    <div class="featured_img">
                        <img src="{{asset('images/shop_background.jpg')}}" alt="" />
                        <a href="{{asset('images/shop_background.jpg')}}" class="popup-img"></a>
                    </div>
                </div>
            </div><!-- End off featured slider -->


            </section>




             <!--Blog Section-->
            <section id="avantages" class="blog">
                <div class="container">
                    <div class="row">
                        <div class="main_service roomy-100">
                            <div class="col-md-8 col-md-offset-2 col-sm-10 col-sm-offset-1">
                                <div class="head_title text-center">
                                    <h2>AVANTAGES PARTICULIERS / BOUTIQUE PHYSIQUE</h2>
                                    <div class="separator_auto"></div>
                                    <p> <h4> Vous voulez maximiser vos profit ou avoir un catalogue consultable en ligne : </h4></p>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="service_item">
                                    <i class="icofont icofont-anchor"></i>
                                    <h6 class="m-top-30">CREER UN COMPTE GRATUITEMENT</h6>
                                    <div class="separator_small"></div>
                                    <p>Vous devez créer un compte avant d'avoir accès au fonctionnalité de création de votre boutique  </p>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="service_item">
                                    <i class="icofont icofont-globe"></i>
                                    <h6 class="m-top-30">CREATION DE VOTRE BOUTIQUE A UN PRIX FORFETAIRE</h6>
                                    <div class="separator_small"></div>
                                    <p>Créer votre boutique pour 1000 XOF et bénéficiez d'un mois de souscription gratuit à la plateforme </p>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="service_item">
                                    <i class="icofont icofont-shield"></i>
                                    <h6 class="m-top-30">DONNEES SECURISEES</h6>
                                    <div class="separator_small"></div>
                                    <p>Vos information sont stockées et disponibles dans un espace privé dédié à votre seule boutique </p>
                                </div>
                            </div>
                            <div class="clearfix"></div>

                        </div>
                    </div><!--End off row -->



                </div>
            </section>

             <section id="avantages" class="blog">
                <div class="container">
                    <div class="row">
                        <div class="main_service roomy-100">

                            <div class="col-md-4">
                                <div class="service_item">
                                    <i class="fa fa-hand-grab-o"></i>
                                    <h6 class="m-top-30">FACLITÉ D'UTILISATION</h6>
                                    <div class="separator_small"></div>
                                    <p>Sunmarket se demarque de ses tiers à travers un riche catalogue de produits préenregistrer. AJouter des produits à votre boutique n'aura jamais été aussi simple. </p>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="service_item">
                                    <i class="fa fa-money-bill-alt"></i>
                                    <h6 class="m-top-30">PAIEMENT SECURISÉ</h6>
                                    <div class="separator_small"></div>
                                    <p>En tant que boutique ou particulier, vous pouvez décider de pouvoir vendre directement depuis la plateforme (mobile et carte bancaire)  </p>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="service_item">
                                    <i class="fa fa-truck"></i>
                                    <h6 class="m-top-30">LIVRAISON</h6>
                                    <div class="separator_small"></div>
                                    <p>Vos clients pourrons recevoir leurs produits chez eux. PS(sunmarket n'est en aucun cas un intermédiaire pour la livraison de vos produits et n'a pas de service dédié pour.)  </p>
                                </div>
                            </div>

                        </div>
                    </div><!--End off row -->



                </div>
            </section>
            <!-- End off Blog section-->

            {{----}}
 {{--<section id="fonctionnalites" class="about roomy-100">--}}
                {{--<div class="container">--}}
                    {{----}}
                    {{--<div class="col-md-8 col-md-offset-2 col-sm-10 col-sm-offset-1">--}}
                                {{--<div class="head_title text-center">--}}
                                    {{--<h2>FONCTIONNALITES</h2>--}}
                                    {{--<div class="separator_auto"></div>--}}
                                    {{--<p> <h4> Notre plaeforme offre les fonctionnalités suivantes: </h4></p>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                    {{----}}
                    {{----}}
                    {{--<div class="row">--}}
                        {{--<div class="main_about">--}}

                            {{--<div class="col-md-6">--}}
                                {{--<div class="about_accordion wow fadeIn">--}}
                                    {{--<div id="faq_main_content" class="faq_main_content">--}}
                                        {{--<h6><i class="fa fa-angle-right"></i> Séminaires de formation </h6>--}}
                                        {{--<div>--}}
                                            {{--<div class="content">--}}
                                                {{--<p>  </p>--}}

                                            {{--</div>--}}
                                        {{--</div> <!-- End off accordion item-1 -->--}}

                                        {{--<h6><i class="fa fa-angle-right"></i> Missions rémunérées</h6>--}}
                                        {{--<div>--}}
                                            {{--<div class="content">--}}
                                                {{--<p> </p>--}}
                                            {{--</div>--}}
                                        {{--</div> <!-- End off accordion item-2 -->--}}

                                        {{--<h6> <i class="fa fa-angle-right"></i> Prestations libres </h6>--}}
                                        {{--<div>--}}
                                            {{--<div class="content">--}}
                                                {{--<p>  </p>--}}
                                            {{--</div>--}}
                                        {{--</div> --}}
                                        {{----}}
                                        {{--<h6><i class="fa fa-angle-right"></i> Intérims </h6>--}}
                                        {{--<div>--}}
                                            {{--<div class="content">--}}
                                                {{--<p>  </p>--}}

                                            {{--</div>--}}
                                        {{--</div> <!-- End off accordion item-1 -->--}}

                                         {{--<h6><i class="fa fa-angle-right"></i> Gestion de Campagnes </h6>--}}
                                        {{--<div>--}}
                                            {{--<div class="content">--}}
                                                {{--<p>  </p>--}}

                                            {{--</div>--}}
                                        {{--</div>--}}
                                        {{----}}
                                        {{----}}
                                        {{--<h6><i class="fa fa-angle-right"></i> Conseils & Orientations</h6>--}}
                                        {{--<div>--}}
                                            {{--<div class="content">--}}
                                                {{--<p> </p>--}}
                                            {{--</div>--}}
                                        {{--</div> <!-- End off accordion item-2 -->--}}

                                        {{--<h6> <i class="fa fa-angle-right"></i> Suivi de carrière </h6>--}}
                                        {{--<div>--}}
                                            {{--<div class="content">--}}
                                                {{--<p>  </p>--}}
                                            {{--</div>--}}
                                        {{--</div>--}}
                                        {{----}}
                                        {{--<!-- End off accordion item-1 -->--}}

                                        {{--<h6><i class="fa fa-angle-right"></i> Assistance en Ressources Humaines & Juridique</h6>--}}
                                        {{--<div>--}}
                                            {{--<div class="content">--}}
                                                {{--<p> </p>--}}
                                            {{--</div>--}}
                                        {{--</div> <!-- End off accordion item-2 -->--}}

                                        {{--<h6> <i class="fa fa-angle-right"></i> Assistance en Comptabilité & Finances </h6>--}}
                                        {{--<div>--}}
                                            {{--<div class="content">--}}
                                                {{--<p>  </p>--}}
                                            {{--</div>--}}
                                        {{--</div>--}}
                                        {{----}}
                                        {{--<h6><i class="fa fa-angle-right"></i> Assistance Marketing & Commerciales </h6>--}}
                                        {{--<div>--}}
                                            {{--<div class="content">--}}
                                                {{--<p>  </p>--}}

                                            {{--</div>--}}
                                        {{--</div> <!-- End off accordion item-1 -->--}}

                                        {{--<h6><i class="fa fa-angle-right"></i> Assistance en Technologies de l'Information</h6>--}}
                                        {{--<div>--}}
                                            {{--<div class="content">--}}
                                                {{--<p> </p>--}}
                                            {{--</div>--}}
                                        {{--</div> <!-- End off accordion item-2 -->--}}

                                        {{--<h6> <i class="fa fa-angle-right"></i> Etude de marché & Pilotage de projets </h6>--}}
                                        {{--<div>--}}
                                            {{--<div class="content">--}}
                                                {{--<p> </p>--}}
                                            {{--</div>--}}
                                        {{--</div>--}}
                                        {{----}}
                                        {{----}}
                                        {{--<!-- End off accordion item-3 -->--}}

                                          {{--<!-- End off accordion item-4 -->--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                        {{--</div>--}}
                    {{--</div><!--End off row-->--}}
                {{--</div><!--End off container -->--}}
                 {{----}}
                {{----}}
            {{--</section> <!--End off About section -->--}}
            {{----}}

  {{----}}



            <!--Service Section-->



            <!--Impress section-->
            <section id="impress" class="impress roomy-100">
                <div class="overlay"></div>
                <div class="container">
                    <div class="row">
                        <div class="main_impress text-center">
                            <div class="col-sm-8 col-sm-offset-2">
                                <h2 class="text-white  ">SUNMARKET</h2>
                                <p class="m-top-40 text-white"> <h3> Accédez au niveau supérieur du monde professionnel! </h3></p>

                                <div class="impress_btns m-top-30">
                                    <a href="" class="btn btn-primary m-top-20">Particulier</a>
                                    <a href="" class="btn btn-default m-top-20">Boutique</a>
                                </div>
                            </div>
                        </div>
                    </div><!--End off row -->
                </div><!--End off container -->
            </section><!-- End off Impress section-->





            </section>
            <!-- End off Portfolio section-->


            <!--Skill Sections-->


            </section> <!--End off Skill section -->


            {{--<!--client brand section-->--}}
            {{--<section id="cbrand" class="cbrand">--}}
                {{--<div class="container">--}}
                    {{--<div class="row">--}}
                        {{--<div class="main_cbrand text-center roomy-100">--}}
                            {{--<div class="col-md-2 col-sm-4 col-xs-6">--}}
                                {{--<div class="cbrand_item m-bottom-10">--}}
                                    {{--<a href=""><img src="{{asset('assets/images/clients/1.jpg')}}" alt="" /></a>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                            {{--<div class="col-md-2 col-sm-4 col-xs-6">--}}
                                {{--<div class="cbrand_item m-bottom-10">--}}
                                    {{--<a href=""><img src="{{asset('assets/images/clients/2.jpg')}}" alt="" /></a>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                            {{--<div class="col-md-2 col-sm-4 col-xs-6">--}}
                                {{--<div class="cbrand_item m-bottom-10">--}}
                                    {{--<a href=""><img class="" src="{{asset('assets/images/clients/3.jpg')}}" alt="" /></a>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                            {{--<div class="col-md-2 col-sm-4 col-xs-6">--}}
                                {{--<div class="cbrand_item m-bottom-10">--}}
                                    {{--<a href=""><img src="{{asset('assets/images/clients/3.jpg')}}" alt="" /></a>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                            {{--<div class="col-md-2 col-sm-4 col-xs-6">--}}
                                {{--<div class="cbrand_item m-bottom-10">--}}
                                    {{--<a href=""><img src="{{asset('assets/images/clients/4.jpg')}}" alt="" /></a>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                            {{--<div class="col-md-2 col-sm-4 col-xs-6">--}}
                                {{--<div class="cbrand_item m-bottom-10">--}}
                                    {{--<a href=""><img src="{{asset('assets/images/clients/5.jpg')}}" alt="" /></a>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                        {{--</div>--}}
                    {{--</div><!-- End off row -->--}}
                {{--</div><!-- End off container -->--}}
            {{--</section><!-- End off Cbrand section -->--}}
            {{----}}
            {{----}}

            {{--<!--Testimonial Section-->--}}
            {{--<section id="testimonial" class="testimonial fix">--}}
                {{--<div class="overlay"></div>--}}
                {{--<div class="container">--}}
                    {{--<div class="row">--}}
                        {{--<div class="main_testimonial roomy-100">--}}
                            {{--<div class="head_title text-center">--}}
                                {{--<h2 class="text-white">TEMOIGNAGES</h2>--}}
                            {{--</div>--}}
                            {{--<div class="testimonial_slid text-center">--}}
                                {{--<div class="testimonial_item">--}}
                                    {{--<div class="col-sm-10 col-sm-offset-1">--}}
                                         {{--<p class="text-white"> Formations Prêtes à l'emploi  </p> --}}

                                        {{--<div class="test_authour m-top-30">--}}
                                          {{--<!--  <h6 class="text-white m-bottom-20">JOHN DOE - THEMEFOREST USER</h6> -->--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                        {{--</div>--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                                {{--<div class="testimonial_item">--}}
                                    {{--<div class="col-sm-10 col-sm-offset-1">--}}
                                        {{--<p class="text-white">Formations Prêtes à l'emploi </p>--}}

                                        {{--<div class="test_authour m-top-30">--}}
                                            {{--<h6 class="text-white m-bottom-20">JobsREADY</h6>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                        {{--</div>--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                                {{--<div class="testimonial_item">--}}
                                    {{--<div class="col-sm-10 col-sm-offset-1">--}}
                                        {{--<p class="text-white">Formations Prêtes à l'emploi </p>--}}

                                        {{--<div class="test_authour m-top-30">--}}
                                            {{--<h6 class="text-white m-bottom-20">JobsREADY</h6>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                        {{--</div>--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                                {{--<div class="testimonial_item">--}}
                                    {{--<div class="col-sm-10 col-sm-offset-1">--}}
                                        {{--<p class="text-white">Formations Prêtes à l'emploi </p>--}}

                                        {{--<div class="test_authour m-top-30">--}}
                                            {{--<h6 class="text-white m-bottom-20">JobsREADY</h6>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                            {{--<i class="fa fa-star"></i>--}}
                                        {{--</div>--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                        {{--</div>--}}
                    {{--</div><!--End off row-->--}}
                {{--</div><!--End off container -->--}}
            {{--</section> <!--End off Testimonial section -->--}}



            <!--client brand section-->
          <!--  <section id="cbrand" class="cbrand">
                <div class="container">
                    <div class="row">
                        <div class="main_cbrand text-center roomy-100">
                            <div class="col-md-2 col-sm-4 col-xs-6">
                                <div class="cbrand_item m-bottom-10">
                                    <a href=""><img src="{{asset('assets/images/clients/1.jpg')}}'" alt="" /></a>
                                </div>
                            </div>
                            <div class="col-md-2 col-sm-4 col-xs-6">
                                <div class="cbrand_item m-bottom-10">
                                    <a href=""><img src="{{asset('assets/images/clients/2.jpg')}}" alt="" /></a>
                                </div>
                            </div>
                            <div class="col-md-2 col-sm-4 col-xs-6">
                                <div class="cbrand_item m-bottom-10">
                                    <a href=""><img class="" src="{{asset('assets/images/clients/5.jpg')}}" alt="" /></a>
                                </div>
                            </div>
                            <div class="col-md-2 col-sm-4 col-xs-6">
                                <div class="cbrand_item m-bottom-10">
                                    <a href=""><img src="{{asset('assets/images/clients/4.jpg')}}" alt="" /></a>
                                </div>
                            </div>
                            <div class="col-md-2 col-sm-4 col-xs-6">
                                <div class="cbrand_item m-bottom-10">
                                    <a href=""><img src="{{asset('assets/images/clients/3.jpg')}}" alt="" /></a>
                                </div>
                            </div>
                            <div class="col-md-2 col-sm-4 col-xs-6">
                                <div class="cbrand_item m-bottom-10">
                                    <a href=""><img src="{{asset('assets/images/clients/1.jpg')}}" alt="" /></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section> -->
            <!-- End off Cbrand section -->

            </br>


            <section id="solution" class="blog">
                 <div class="row">
                    <div class="main_featured m-top-100">
                        <div class="col-sm-12">
                            <div class="head_title text-center">
                                <h2>SUPPORT & ASSISTANCE</h2>
                                <div class="separator_auto"></div>
                                <p>Une équipe de professionnels à votre disposition 24/7
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

                 <div class="container">
                    <div class="row">
                        <div class="about_bottom_content">
                            <div class="col-md-4">
                                <div class="about_bottom_item m-top-20">
                                    <div class="ab_head">
                                        <div class="ab_head_icon">
                                            <i class="icofont icofont-headphone-alt"></i>
                                        </div>
                                        <h6 class="m-top-20"> ASSISTANCE TELEPHONIQUE</h6>
                                    </div>
                                    <p class="m-top-20"> +22967723243 </p>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="about_bottom_item m-top-20">
                                    <div class="ab_head">
                                        <div class="ab_head_icon">
                                            <i class="icofont icofont-mail"></i>
                                        </div>
                                        <h6 class="m-top-20">EMAIL</h6>
                                    </div>
                                    <p class="m-top-20"> contact@sunmarket.biz </p>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="about_bottom_item m-top-20">
                                    <div class="ab_head">
                                        <div class="ab_head_icon">
                                            <i class="icofont icofont-ticket"></i>
                                        </div>
                                        <h6 class="m-top-20">ADRESSE</h6>
                                    </div>
                                    <p class="m-top-20"> Abomey Calavi Zoca </p>
                                </div>
                            </div>
                        </div>
                    </div><!--End off row-->
                </div><!--End off container -->


                </br>
                </br>
                </br>
                </br>
                </br>
                </br>


                 <!-- End off Support -->







            </section>







            <!--Subscribe section-->
            <section id="subscribe" class="subscribe roomy-100 fix">
                <div class="overlay"></div>
                <div class="container">
                    <div class="row">
                        <div class="main_subscribe text-center">
                            <div class="col-sm-8 col-sm-offset-2">
                                <h2 class="text-white">NEWSLETTER</h2>
                                <p class="m-top-30 text-white">Restez informés de nos offres et annonces !</p>
                            </div>
                            <div class="col-sm-10 col-sm-offset-1">
                                <div class="subscribe_btns m-top-40">

                                    <form class="form-inline" action="{{route('newsletters.post')}}" method="post" onsubmit="return check_error(['newslettersemail']);" id="newsletters_forms">
                                    @csrf
                                        <div class="form-group">
                                            <input type="email" required="required" name="email"  class="form-control" id="inputEmail2" placeholder="Email Address">
                                        </div>
                                        <button type="submit" id="btnnewsletter"  class="btn btn-primary">SOUSCRIRE!</button>
                                    </form>
                                </div>
                            </div>

                        </div>
                    </div><!--End off row -->
                </div><!--End off container -->
            </section><!-- End off Impress section-->











            <!--Contact Us Section-->
            <section id="contact" class="contact bg-mega fix">
                <div class="container">
                    <div class="row">
                        <div class="main_contact roomy-100 text-white">
                            <div class="col-md-4">
                                <div class="rage_widget">
                                    <div class="widget_head">
                                        <h3 class="text-white">Nous contacter</h3>
                                        <div class="separator_small"></div>
                                    </div>
                                    <p>Merci de nous laisser un message pour tout renseignement et informations supplémentaires </p>

                                    <div class="widget_socail m-top-30">
                                        <ul class="list-inline">
                                            <li><a href=""><i class="fa fa-facebook"></i></a></li>
                                            <li><a href=""><i class="fa fa-twitter"></i></a></li>

                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-8 sm-m-top-30">
                                <form class="" action="subcribe.php">
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <input id="first_name" name="first_name" type="text" placeholder="Nom" class="form-control" required="">
                                            </div>
                                        </div>

                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <input id="phone" name="phone" type="text" placeholder="Téléphone" class="form-control">
                                            </div>
                                        </div>

                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <textarea class="form-control" rows="6" placeholder="Message"></textarea>
                                            </div>
                                            <div class="form-group text-center">
                                                <a href="" class="btn btn-primary">ENVOYER</a>
                                            </div>
                                        </div>

                                    </div>

                                </form>
                            </div>
                        </div>
                    </div><!--End off row -->
                </div><!--End off container -->
            </section><!--End off Contact Section-->


            <!-- scroll up-->
            <div class="scrollup">
                <a href="#"><i class="fa fa-chevron-up"></i></a>
            </div><!-- End off scroll up -->


            <footer id="footer" class="footer bg-black">
                <div class="container">
                    <div class="row">
                        <div class="main_footer text-center p-top-40 p-bottom-30">
                            <p class="wow fadeInRight" data-wow-duration="1s">

                                <a target="_blank" href="http://net2all.org">SUNMARKET</a> solution
                                2020. All Rights Reserved - SUNMARKET
                            </p>
                        </div>
                    </div>
                </div>
            </footer>




        </div>

            <!-- JS includes -->

            <script src="{{asset('assets/js/vendor/jquery-1.11.2.min.js')}}"></script>
            <script src="{{asset('assets/js/vendor/bootstrap.min.js')}}"></script>

            <script src="{{asset('assets/js/jquery.magnific-popup.js')}}"></script>
            <script src="{{asset('assets/js/jquery.easing.1.3.js')}}"></script>
            <script src="{{asset('assets/js/slick.min.js')}}"></script>
            <script src="{{asset('assets/js/jquery.collapse.js')}}"></script>
            <script src="{{asset('assets/js/bootsnav.js')}}"></script>
        <script src="{{asset('js/zebra_dialog.src.js')}}"></script>


            <!-- paradise slider js -->


            <script src="http://maps.google.com/maps/api/js?key=AIzaSyD_tAQD36pKp9v4at5AnpGbvBUsLCOSJx8"></script>
            <script src="{{asset('assets/js/gmaps.min.js')}}"></script>

            <script>
                            function showmap() {
                                var mapOptions = {
                                    zoom: 8,
                                    scrollwheel: false,
                                    center: new google.maps.LatLng(-34.397, 150.644),
                                    mapTypeId: google.maps.MapTypeId.ROADMAP
                                };
                                var map = new google.maps.Map(document.getElementById('map_canvas'), mapOptions);
                                $('.mapheight').css('height', '350');
                                $('.maps_text h3').hide();
                            }

            </script>





            <script src="{{asset('assets/js/plugins.js')}}"></script>
            <script src="{{asset('assets/js/main.js')}}"></script>


        <script>



            $(document).on('click','#btnnewsletter',function(e){
                e.preventDefault();
                let btn=$(this);
                if(check_error(['newslettersemail'])) {
                    btn.text('Abonnement en cours');
                    btn.attr('disabled',true);
                    let $form = $('#newsletters_forms');
                    $.ajax({
                        url: $form.attr('action'),
                        method: "POST",
                        data: $form.serialize(),
                        success: function (data) {
                            data = JSON.parse(data);
                            console.log(data)
                            if (data.status == false) {
                                $.Zebra_Dialog(data.message, {
                                    'type': 'error',
                                    'title': 'Newsletters'
                                });
                            } else {
                                $.Zebra_Dialog(data.message, {
                                    'type': 'information',
                                    'title': 'Newsletters'
                                });
                            }
                            $form.trigger("reset");
                            btn.attr('disabled',false);
                            btn.text('Souscrire');
                        }, error: function (data) {
                            console.log(data);
                        }
                    })
                }
            })


            function isValidEmailAddress(emailAddress) {
                var pattern = /^([a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+(\.[a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+)*|"((([ \t]*\r\n)?[ \t]+)?([\x01-\x08\x0b\x0c\x0e-\x1f\x7f\x21\x23-\x5b\x5d-\x7e\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|\\[\x01-\x09\x0b\x0c\x0d-\x7f\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))*(([ \t]*\r\n)?[ \t]+)?")@(([a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.)+([a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.?$/i;
                return pattern.test(emailAddress);
            }


            function check_error($table){
                let $reponse=true;
                for(let i=0;i<$table.length;i++){
                    let $btn=$('#'+$table[i]);
                    let $btnerror=$('#error'+$table[i]);
                    let $name=$btn.attr('type');
                    let $requis=$btn.attr('required');
                    let $inputname=$btn.data('input_name');
                    let $val=$btn.val();
                    if($val==null || $val==""){
                        if($requis) {
                            $btnerror.html('La valeur du champs ' + $inputname + ' est requise');
                            $btn.css('border','1px solid red');
                            $reponse = false;
                            $.notify('La valeur du champs ' + $inputname + ' est requise','error');
                            break;
                        }
                    }else
                    if($name=='number'){
                        let $min=$btn.attr('min');
                        let $minlenght=$btn.attr('minlength');
                        if(parseInt($val)<parseInt($min)){
                            $btnerror.html('La valeur du champs ' + $inputname + ' doit être supérieur à '+$min);
                            $btn.css('border','1px solid red');
                            $reponse = false;
                            $.notify('La valeur du champs ' + $inputname + ' doit être supérieur à '+$min,'error');
                            break;
                        }else if($val.length<$minlenght){
                            $btnerror.html('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                            $btn.css('border','1px solid red');
                            $reponse = false;
                            $.notify('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                            break;
                        }
                    }
                    else if($name=='email'){
                        if(!isValidEmailAddress($val)){
                            $btnerror.html('L\'adresse mail saisis est incorrecte.');
                            $btn.css('border','1px solid red');
                            $.notify('L\'adresse mail saisis est incorrecte','error');
                            $reponse = false;
                            break;
                        }
                    }else if($name=='password'){
                        let $minlenght=6;
                        if($val.length<$minlenght){
                            $btnerror.html('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                            $btn.css('border','1px solid red');
                            $reponse = false;
                            $.notify('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght,'error');

                            break;
                        }
                    }

                    if($reponse){
                        $btnerror.html(' ');
                        $btn.css('border','');
                        // $btnvalid.html('La valeur du champ ' + $inputname + ' est valide');
                    }

                }
                return $reponse;
            }
        </script>

    </body>
</html>
