@extends('dashboard.landing_blank')
@section('title')SUNGROCERY | CONDITIONS GENERALES D’UTILISATION @endsection

@section('content')
    <style>
        h2{
            color: #2a3f54;
            text-transform: uppercase;
        }
        h5{
            margin-top: 20px;
            margin-bottom: 10px;

            color: #88b121;

        }
        h3{
            margin-top: 20px;
            color: #a40e14;
        }
   #condition_generale  ul li{
           list-style-type: square;
       margin-top: 10px;
        }
    </style>


    <section class="pb_cover_v3 overflow-hidden cover-bg-#88b121 cover-bg-opacity text-left pb_gradient_v2 pb_slant-light" id="section-home">

        <div class="container">
            <div class="row align-items-center justify-content-center">
                <div class="col-md-12">
                    <h2 class="heading mb-3">CONDITIONS GENERALES D’UTILISATION</h2>
                    <div class="sub-heading">
                        <p class="mb-5">
                            @if(\Illuminate\Support\Facades\Session::has('user'))
                                <a class="btn btn-default btn-lg pb_btn-pill smoothscroll" href="{{route('home')}}" style="border: 1px solid #fff;"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Tableau de bord</span></a>
                            @else
                                <a class="btn btn-danger btn-lg pb_btn-pill smoothscroll" href="{{route('bienvenue')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Démarrer</span></a>
                            @endif
                        </p>
                    </div>
                </div>

            </div>
        </div>
    </section>


    <section class="pb_section pb_slant-light" id="condition_generale">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 pr-md-5 pr-sm-0 order-1  mb-5">

                    <div class="row" style="background: #fff;padding: 5%;
  -webkit-box-shadow: 1px 11px 68px -20px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 1px 11px 68px -20px rgba(0, 0, 0, 0.75);
  box-shadow: 1px 11px 68px -20px rgba(0, 0, 0, 0.75);">

                        <div class="col">
                            <h2>CONDITIONS GENERALES D’UTILISATION</h2>
                        </div>




                       <h3 class="col-sm-12"> Préambule : </h3>

                     <p class="col-sm-12">   Le présent document constitue les Conditions Générales d’Utilisation du Site internet www.sungrocery.sunmarket.biz et des Services associés, et a pour objet de définir les modalités et les conditions d’utilisation du Site internet par les Utilisateurs. L’utilisation du site est subornée au respect des présentes Conditions Générales d’Utilisation.
                         <br>
                        Le site est édité par suntech, société par actions simplifiée, dont le siège social est situé ……….. République………, inscrite au Registre du Commerce est de Crédit Mobilier, sous le numéro…………..
                         <br>
                        Le site www.sungrocery.sunmarket.biz est une place de marché ouverte à tous pour vendre leurs produits sur notre Site. Les produits proposés à la vente ne sont ni la propriété de SUNGROCERY , ni vendu par cette dernière. De même que suntech n'intervient nullement dans la transaction de vente sur son Site entre les acheteurs et les vendeurs. Pour les besoins de ce site internet, les termes « nous », « on » « notre » font référence à  www.sungrocery.sunmarket.biz.
                         <br>
                        En plus des Conditions d'utilisation, lorsque vous utilisez un service sur le site www.sungrocery.sunmarket.biz (comme par exemple passer une commande ou rédiger un avis client), vous serez soumis aux règles, directives, politiques et conditions applicables à ces services, qui sont incorporés dans les conditions d'utilisation par référence. Nous nous réservons le droit de modifier ce site Web et les conditions d'utilisation à tout moment.
                         <br>
                        L’accès, la navigation, ou l’utilisation de quelque manière que ce soit du site indique votre acceptation des conditions d'utilisation. Veuillez lire ce document attentivement avant de continuer.
                         <br>
                         Car, pour devenir et/ou continuer à être membre du Site, vous devez lire, être d'accord et accepter les présentes Conditions générales d'utilisation ainsi que la politique de confidentialité (la « Politique de Vie privée ») de SUNGROCERY et toutes les informations liées à celles-ci faisant référence aux présentes Conditions générales d'utilisation, lorsqu'elles contiennent des informations plus détaillées qui vous sont applicables en qualité d'utilisateur de www.sungrocery.sunmarket.biz. De telles informations incluent sans que cette liste ne soit limitative la Politique de Vie privée partie intégrante des présentes Conditions générales d'utilisation.
                     </p>

                      <h3 class="col-sm-12">  DROITS ET OBLIGATIONS DE L’UTILISATEUR </h3>

                        <h5 class="col-sm-12"> Conditions d'adhésion </h5>

                      <p class="col-sm-12"> Le site www.sungrocery.sunmarket.biz souhaite s'assurer que ses membres ont la capacité de contracter et que les mineurs n'achètent pas des produits prohibés. Vous confirmez donc être âgé d'au moins 18 ans, ou être mineur émancipé, ou que vous accédez au Site sous contrôle parental ou d'un représentant légal. Sans préjudice des autres droits et actions dont dispose www.sungrocery.sunmarket.biz selon les présentes Conditions générales d'utilisation ou en vertu de la loi, www.sungrocery.sunmarket.biz se réserve le droit de limiter ou interdire l'accès au Site ou l'adhésion au Site s'il pense que l'utilisateur est âgé de moins de 18 ans.
                          <br>
                        Nous vous concédons une licence d'utilisation du Site personnelle, non cessible, révocable et non exclusive conformément aux présentes Conditions générales utilisation, à des fins d'achats pour des articles personnels vendus sur le Site. Toute violation des présentes conditions générales d'utilisation entraine la révocation immédiate de la licence d'utilisation ainsi concédée dans la présente section sans autre forme de notification.
                          <br>
                          Si vous vous faites inscrire en qualité d'entité d'affaires, vous reconnaissez être titulaire des autorisations permettant de lier cette entité aux présentes Conditions générales d'utilisation et que qu'à titre personnel ou celui de l'entité que vous représentez, vous respectez toutes les lois applicables à la sphère d'activité de l'entreprise. Aucune personne physique ou entité d'affaires ne peut se faire inscrire en tant que membre plus d'une fois, la responsabilité en vertu des présentes conditions générales d'utilisation est individuelle et liée directement ou indirectement à l'adresse électronique fournie par les utilisateurs.
                          <br>
                        Les représentations des produits sur ce Site sont celles des vendeurs. Les offres et avis émis sur le Site sont ceux postés par les internautes et ne reflètent pas nécessairement notre avis. Certains services et fonctions associés accessibles sur le Site peuvent nécessiter un enregistrement ou un abonnement. Si vous décidez d'y souscrire, vous acceptez de fournir des informations précises et actuelles vous concernant et de mettre à jour automatiquement ces informations en cas de changement. Tout utilisateur du Site est seul responsable de la conservation et de la sécurisation de son mot de passe et autres identifiants de compte. Le titulaire d'un compte est entièrement responsable pour toutes les activités résultant de l'utilisation de son mot de passe ou de son compte. En outre, vous devez nous notifier toute utilisation non autorisée de votre mot de passe ou compte. Le Site ne sera en aucune façon responsable ou tenu responsable directement ou indirectement de quelque manière que ce soit, pour quelconque perte ou dégât résultant ou en rapport avec un manquement de votre part dans le cadre de la présente section. Durant le processus d'enregistrement, vous acceptez de recevoir des courriers électroniques directs ou publicitaires, des SMS ou des push émanant du Site, de ses départements, filiales et affiliés opérant sur Internet. Vous pouvez vous désengager ultérieurement refuser cette option en cliquant sur le lien inséré dans ces courriers électroniques promotionnels mais veuillez noter que certaines communications sont nécessaires pour valider un ordre de vente ou d'achat et que l'option dans ce cas, ne peut être désactivée si vous effectuez une telle vente ou un tel achat.
                      </p>

                        <h5 class="col-sm-12">Votre compte et les obligations liées à l'inscription</h5>
                       <p class="col-sm-12"> Quand vous vous enregistrez en tant que Membre du Site, vous avez ou serez tenu de fournir un certain nombre d'informations et d'enregistrer un nom d'utilisateur et un mot de passe pour l'utilisation de ce Site.
                       </p>

                        <p class="col-sm-12">   En devenant membre du Site : </p>

                        <ul>
                            <li>Vous êtes responsable du maintien de la confidentialité, de la restriction à l'accès et à l'utilisation de votre compte, et du mot de passe et acceptez d'assumer la responsabilité pour toutes les activités effectuées à partir de votre compte et avec votre mot de passe.
                            </li>
                          <li>Vous consentez à notifier immédiatement à sungrocery.sunmarket.biz toute utilisation non autorisée de votre mot de passe ou de votre compte ou toute infraction relative à la sécurité. En aucun cas sungrocery.sunmarket.biz ne sera tenue responsable pour toute perte ou manque à gagner, perte de profit ou gain ou dommage de quelconque nature de manière directe, indirecte ou consécutive résultant de la divulgation de notre nom d'utilisateur et/ou mot de passe.
                          </li>
                            <li>
                                Vous ne pouvez à aucun moment utiliser le compte personnel d'un tiers, sans l'accord exprès du titulaire du compte.
                            </li>
                            <li>
                                Vous acceptez de rembourser sungrocery.sunmarket.biz pour toute utilisation incorrecte, non autorisée ou illégale de votre compte à titre personnel ou par toute autre personne obtenant l'accès au Site, services ou autre en utilisant votre nom d'utilisateur et mot de passe que vous ayez autorisé cette personne ou non à y accéder.
                            </li>
                            <li>
                                Vous devrez fournir des informations vraies, précises, actuelles et complètes vous concernant requises par SUNGROCERY dans le formulaire d'enregistrement (« les données d'enregistrement »).
                                <br>
                                Dans votre identification d'enregistrement (User ID), vous ne pouvez inclure : (i) n'importe lequel des détails de vos coordonnées ; ou (ii) le mot « SUNGROCERY ».
                                <br>
                                Le nom sous lequel vous vous enregistrerez ne peut inclure le mot "SUNGROCERY".
                            </li>

                            <li>
                                Vous devez considérer les informations qui vous sont fournies par sungrocery.sunmarket.biz sur d'autres membres (conformément aux présentes Condition générales d'utilisation et aux informations contenues sur le Site), comme des données confidentielles.
                                <br>
                                Vous devez conserver et mettre à jour vos données d'enregistrement afin de les maintenir exactes, précises, actuelles et complètes. Si vous fournissez des informations mensongères, imprécises, non actualisées, ou incomplètes ou si sungrocery.sunmarket.biz a des raisons valables de suspecter qu'elles sont fausses, imprécises, non actualisées ou incomplètes, ou non conformes aux présentes Conditions générales d'utilisation, et sans préjudice des autres droits et actions dont dispose sungrocery.sunmarket.biz en vertu des présentes conditions générales d'utilisation, celui-ci a le droit de suspendre indéfiniment, limiter ou retirer votre accès ou votre adhésion au Site. sungrocery.sunmarket.biz peut (à sa seule discrétion et à tout moment), mener toute enquête qu'il juge nécessaire (directement ou par personne interposée), et demander que vous lui produisiez des informations ou documents complémentaires, y compris sans restriction, vérifier votre identité et/ou la propriété de vos instruments financiers. Sans limitation à ce qui précède, si vous êtes une entité d'affaires ou si vous avez effectué votre enregistrement pour le compte de cette entité ces informations ou documents doivent inclurent votre immatriculation commerciale et/ou, tout autre document prouvant la capacité de la personne à agir au nom et pour le compte de la structure. Vous consentez à fournir toute information et/ou document à sungrocery.sunmarket.biz lorsqu'elle en fait la demande. Vous êtes avisé et acceptez qu'en cas de refus, sungrocery.sunmarket.biz sans encourir une quelconque responsabilité, a la possibilité de suspendre ou résilier votre accès et/ou votre adhésion au Site. Nous nous réservons également la faculté d'annuler les comptes non confirmés /ou non vérifiés ou les comptes restés longtemps inactifs.
                                <br>
                                Notre objectif est d'assurer un accès permanent au Site, toutefois, nous nous réservons la possibilité de clôturer le site internet à tout moment sans avertissement. Vous acceptez cette interruption de service qui peut survenir de temps à autre pour des améliorations du site internet, des maintenances programmées ou qui pourraient être dues à des facteurs externes indépendants de notre volonté.

                            </li>
                        </ul>

                        <p class="col-sm-12">Les soumissions des utilisateurs</p>

                        <p class="col-sm-12">Pour poster un commentaire, une question, une correction et suggestion ou soumettre un contenu à sungrocery.sunmarket.biz vous acceptez les présentes Conditions générales d'utilisation. sungrocery.sunmarket.biz ne garantit nullement la confidentialité des soumissions des utilisateurs, y inclus leur identité, indépendamment du fait que la soumission de l'utilisateur a été postée ou non, et vous consentez à permettre (mais sans obligation) l'utilisation de votre nom ou du nom que vous soumettez à sungrocery.sunmarket.biz dans le cadre de vos soumissions d'utilisateurs.
                        </p>
                        <p class="col-sm-12">
                            En complément des droits applicables aux soumissions, lorsque vous postez des commentaires, des questions, des suggestions ou des corrections sur le Site, vous nous octroyez également le droit d'utiliser le nom que vous soumettez, en rapport avec cette correction, ce commentaire ou tout autre contenu. Vous ne devez pas utiliser une fausse adresse électronique, feindre d'être une autre personne ou nous induire en erreur ou induire en erreur des tiers sur l'origine des soumissions. Nous pouvons, mais sans y être contraint, retirer ou éditer toute soumission.
                        </p>

                        <h3 class="col-sm-12">DRIOTS DE LA PROPRIETE INTELLECTUELLE</h3>

                       <h5 class="col-sm-12"> Propriété et octroi de droits </h5>
                       <p class="col-sm-12"> Vous conservez tous les droits liés à votre soumission d'utilisateur à l'exception de ceux spécifiés dans la présente clause. En soumettant vos soumissions d'utilisateurs à sungrocery.sunmarket.biz , vous lui octroyez un droit permanent, irrévocable pour le monde entier, non exclusif, exempt de commission, entièrement payé, pouvant être sous licencié, et cessible, d'utiliser, reproduire, distribuer, pour élaborer des œuvres dérivées, afficher et utiliser toute information ou matériel, personnel ou autre, que vous nous fournissez ou fournissez à d'autres utilisateurs du Site et/ou posté sur le Site lors de l'enregistrement, acheter, lister ou dans le processus de vente, dans la zone de retour d'information ou n'importe quel courrier électronique ou par tout autre moyen ou caractéristique du Site (« les Informations ») dans le but d'opérer ou promouvoir le Site en conformité avec les présentes conditions générales d'utilisation, la politique de Vie privée de sungrocery.sunmarket.biz (et ses successeurs et affiliés). Vous êtes seul responsable des Informations et nous ne servons que de courroie de transmission pour votre distribution en ligne et publication des Informations.
                        sungrocery.sunmarket.biz n'est pas tenue de vous désigner en tant qu'auteur ou créateur de votre Soumission d'utilisateur et vous renoncez expressément à tout droit artistique, droits moraux que vous pourriez revendiquer du fait de votre soumission d'utilisateur. Vous octroyez également à tous les utilisateurs de sungrocery.sunmarket.biz un droit non exclusif d'accès à vos soumissions d'Utilisateur, d'utiliser, de reproduire, de distribuer, d'afficher et d'exécuter de telles soumissions d'utilisateur, tel que permis à travers les fonctionnalités de sungrocery.sunmarket.biz pour le présent ou pour le futur, et suivant les présentes conditions générales d'utilisation.
                           <br>
                        Les droits ainsi conférés à sungrocery.sunmarket.biz sont permanents et irrévocables.
                        sungrocery.sunmarket.biz vous octroie un droit d'accès et d'utilisation de sungrocery.sunmarket.biz  et des soumissions d'utilisateurs pour un usage strictement personnel tel que prévu dans les fonctionnalités de sungrocery.sunmarket.biz et uniquement dans le cadre des présentes Conditions générales d'utilisation. sungrocery.sunmarket.biz conserve les droits de propriété sur le nom de sungrocery.sunmarket.biz, les marques, logos et tous les droits de propriété intellectuelle. sungrocery.sunmarket.biz se réserve tous les droits qui ne vous ont pas été expressément concédés.
                       </p>

                        <h5 class="col-sm-12">Usage abusif de sungrocery.sunmarket.biz</h5>

                       <p class="col-sm-12"> Le site sungrocery.sunmarket.biz et sa communauté mettent tout en œuvre pour conserver le Site opérationnel et sécurisé. Merci de nous signaler tout article, problème, contenu offensant ou infraction commises à l'égard de notre politique. Nous travaillons pour nous assurer que les articles listés ne portent atteinte ni au copyright, la marque déposée ou autres droits de propriété intellectuelle de tiers. Si vous pensez que vos droits de propriété intellectuelle ont été violés, merci de nous le notifier et nous ferons les recherches nécessaires.
                       </p>

                        <h5 class="col-sm-12">Communications éléctroniques</h5>

                       <p class="col-sm-12"> Vous reconnaissez que nous pouvons communiquer avec vous par le biais de messages promotionnels ou directs, des SMS, des notifications par push ou les notices postées sur le Site. Vous reconnaissez que tous les accords, notices, révélations et autres communications que nous vous fournissons par voie électronique satisfont les exigences légales et produisent les mêmes effets que s'ils avaient été adressés par écrit. Durant le processus d'enregistrement, sungrocery.sunmarket.biz, tous ses départements, filiales, affiliés opérant sur des sites internet exigent votre accord pour vous envoyer des courriers électroniques promotionnels afin que vous soyez informé des changements, des fonctionnalités ou activités promotionnelles nouvelles mises en ligne sur le Site. Si vous ne souhaitez plus recevoir ces e-mails promotionnels vous pouvez à tout moment désactiver cette option en cliquant sur le lien prévu à cet effet dans le courrier électronique. Merci de noter que certaines communications sont nécessaires pour compléter un ordre d'achat/une vente et que dans ce cas l'option ne peut être désactivée durant un processus d'achat ou de vente.
                       </p>

                       <h5 class="col-sm-12"> Amendements aux présentes conditions générales d'utilisation</h5>

                      <p class="col-sm-12">  Vous reconnaissez et acceptez que sungrocery.sunmarket.biz puisse vous notifier tout changement relatif aux conditions générales d'utilisation (« Modifications substantielles ») qui augmentent ou diminuent vos droits suivant les présentes conditions générales d'utilisation. Vous reconnaissez et acceptez que sungrocery.sunmarket.biz à sa seule discrétion et sans encourir aucune responsabilité à ce titre, puisse apporter des modifications substantielles sans nouvel accord spécifique de votre part à tout moment avec effet immédiat en postant simplement sur le Site une notice sur cet amendement.
                      </p>

                        <h5 class="col-sm-12">Frais et services</h5>
                      <p class="col-sm-12">  Le Site est une plateforme permettant d'effectuer des achats et des ventes en ligne entre des utilisateurs et des vendeurs. L'adhésion sur le Site est libre. sungrocery.sunmarket.biz facture des frais de transaction à tous les vendeurs lorsque la vente est finalisée, et des frais spéciaux sont perçus sur les services additionnels acceptés par le vendeur. Avant de mettre en vente un article sur le Site, nous vous demandons d'étudier les frais qui vous seront appliqués sur la base de notre politique tarifaire. SUNGROCERY peut amender cette politique tarifaire et communiquera sur ces changements deux semaines avant leur prise d'effet. Sauf indication contraire, tous les frais seront indiqués en monnaie locale de votre pays. Vous devez payer les frais dus et payables à sungrocery.sunmarket.biz (ainsi que toutes taxes et impôts applicables) sous un délai de 14 jours à compter de la date de facturation avec un moyen de paiement conforme à ceux prévus dans la politique tarifaire. En cas de non-paiement des frais et /ou des taxes et impôts et charges applicables et que vous devez régler à sungrocery.sunmarket.biz, sans préjudice des autres droits et actions que sungrocery.sunmarket.biz pourrait utiliser en vertu des présentes conditions générales d'utilisation, et sans aucune forme de responsabilité à son égard, sungrocery.sunmarket.biz se réserve le droit de :
                      </p>
                        <ul>
                            <li>Émettre un avertissement à votre égard concernant la question du non-paiement ;</li>
                            <li> Suspendre temporairement ou de manière définitive, limiter ou résilier votre accès au Site et/ou votre adhésion ;
                                sungrocery.sunmarket.biz se réserve également le droit de prendre les mesures nécessaires y compris par voie judiciaire en cas de non-paiement des frais dus à sungrocery.sunmarket.biz. En cas de retard supérieure à 30 jours, déduire du solde de votre compte le montant dû (et vous reconnaissez et acceptez que sungrocery.sunmarket.biz puisse le faire en de telles circonstances) avec une confirmation d'une telle action par courrier électronique ;
                            </li>
                            <li>
                                Déduire de votre compte les sommes dues ;
                                <br>
                                Vous facturer des pénalités de retard de paiement (tel que prévu dans la politique tarifaire) ou prendre toute mesure jugée nécessaire par sungrocery.sunmarket.biz incluant sans que cette liste ne soit exhaustive, une action en justice pour recouvrer les frais restant impayés et/ou les taxes et impôts applicables.
                            </li>
                        </ul>

                       <h5 class="col-sm-12"> Utilisation du Site </h5>
                      <p class="col-sm-12">  En utilisant le Site vous vous interdisez de : </p>

                        <ul>
                            <li>Poster une information ou un contenu ou une liste d'articles dans une catégorie ou une rubrique inappropriée du Site ;
                            </li>
                            <li>
                                Poster des articles pour lesquels vous n'avez pas le droit d'établir un lien ou d'inclure dans votre liste ;
                            </li>
                            <li>
                                Poster des Informations qui sont (à notre seule discrétion) fausses, frauduleuses, imprécises, mensongères, induisant en erreur, diffamatoires, calomnieuses, illégales ou qui pourraient raisonnablement être considérées comme du harcèlement ;
                            </li>
                            <li>
                                Poster des commentaires, des questions ou des réponses qui ne sont pas par nature factuel y compris et sans que cela ne soit limitatif, faire des commentaires racistes, blasphématoires, abuser d'un autre utilisateur, manquer de respect envers la culture d'autrui ou faire des commentaires déplacés et inappropriés ;
                            </li>
                            <li>
                                Poster des articles contrefaits ou volés ;
                            </li>
                            <li>
                                Poster des informations ou des articles qui portent atteinte aux droits de propriété intellectuelle d'une tierce partie, ou tous autres droits de propriété ou à caractère personnel ;
                            </li>
                            <li>
                                Poster des informations ou des contenus obscènes, y compris mais non limité à la pornographie ou autre représentation susceptibles (à notre seule discrétion) d'être considéré comme indécentes ;
                            </li>
                            <li>
                                Poster des informations ou contenus susceptibles (à notre seule discrétion) de contenir des attaques ou des critiques politiques ou dont le contenu serait contraire à l'intérêt public ;
                            </li>
                            <li>
                                Poster des informations ou des contenus ou des listes d'articles susceptibles (à notre seule discrétion) d'être considérés comme culturellement ou religieusement offensantes ;
                            </li>
                            <li>
                                Poster des informations ou des contenus ou des articles susceptibles (à notre seule discrétion) de ne pas être considérées comme en conformité avec les lois en vigueur, les normes, la morale, l'éthique et les traditions ;
                            </li>
                            <li>
                                Poster des informations ou des contenus ou des articles susceptibles (à notre seule discrétion) de constituer une menace à la sécurité nationale ;
                            </li>
                            <li>
                                Poster des informations ou des contenus ou des articles susceptibles (à notre seule discrétion) d'être considérés comme faisant la promotion du jeu ;
                            </li>
                            <li>
                                Utiliser des publipostages de mots clefs spam dans la liste d'articles proposés à la vente (lorsque vous y placez des noms de marque ou d'autres mots-clefs inappropriés dans le titre dans le but d'attirer l'attention ou de détourner les membres vers une liste d'articles ;
                            </li>
                            <li>
                                Vous ne payez pas les articles que vous avez acheté, à moins que le vendeur ait matériellement changé la description de l'article ou de ce qui a trait à l'article après son achat, d'une erreur évidente de typologie et que vous ne puissiez authentifier l'identité du vendeur ;
                            </li>


                    <li> Vous ne délivrez pas les articles que vous avez vendu, à moins que l'acheteur ne respectent pas les termes postés et que vous ne puissiez pas identifier l'acheteur ;
    </li>
                <li> Essayer de conclure une transaction en rapport avec une offre de vente sur le Site (y compris en annulant une offre de vente) à l'extérieur du Site ;
        </li>
    <li> Utiliser les contacts que vous avez obtenu en achetant ou en vendant sur le Site pour solliciter (y compris par courrier électronique ou par tout autre moyen) des ventes sur d'autres articles vendus directement et/ou à partir d'un autre site Web ;
        </li>
        <li> Prétendre qu'un article n'a pas été vendu lorsque sungrocery.sunmarket.biz à sa seule discrétion considère cet article comme vendu conformément aux présentes conditions générales d'utilisation et aux politiques du Site ;
    </li>
    <li> Dans le cas d'un achat ou d'un placement réussi d'une offre pour une œuvre d'art indiquée comme « non exportable » sur le Site, vous reconnaissez que l'œuvre d'art n'est pas exportable en dehors du pays en restreignant la circulation et qu'il ne faudra pas en connaissance agir en contravention avec les lois et règlements applicables en la matière ;
                        </li>
    <li> Manipuler ou essayer de manipuler le Site de quelque manière que ce soit, y compris les prix des articles ou des services sur le Site (soit seul, soit avec la complicité d'autres utilisateurs) ;
                        </li>
    <li> Contourner ou manipuler notre structure tarifaire, ou les frais revenant à sungrocery.sunmarket.biz ;
                        </li>
    <li> Mener quelconque action susceptible d'altérer les retours d'information du Site ou les systèmes d'évaluation (y compris sans limitation afficher, importer ou exporter un retour d'information hors du Site ou d'utiliser cette information à des fins autres que ceux de sungrocery.sunmarket.biz ;
                        </li>
    <li> Transférer votre compte du Site (y inclus les retours d'information) et votre nom d'utilisateur à un tiers sans notre accord ;
                        </li>
    <li> Distribuer ou poster des spams, des communications électroniques non sollicitées, des enchainements de lettres, ou des schémas pyramidaux ;
                        </li>
    <li> Diffuser des virus, chevaux de Troie, des vers, des virus à déclenchement programmé, cancelbolts, Easter Eggs, ou d'autres technologies de programmation informatique qui peuvent nuire au Site, ou aux intérêts ou la propriété des utilisateurs du Site;
                        </li>
    <li> Engager notre responsabilité ou nous occasionner des pertes (totale ou partielle) sur les services de nos fournisseurs d'accès Internet ou d'autres fournisseurs ;
                        </li>
    <li> Poser des actes qui imposeront ou susceptibles d'imposer (à notre seule discrétion) des charges déraisonnables ou disproportionnées sir notre infrastructure ;
                        </li>
    <li> S’immiscer ou tenter de s'immiscer dans l'administration du Site ;
                        </li>
    <li> Essayer de reprendre le compte d'un autre utilisateur ou effectuer n'importe quel piratage informatique ou hameçonnage du Site ou des comptes d'utilisateurs et des caractéristiques associées ;
                        </li>
    <li> Exporter ou réexporter n'importe quels outils du Site sauf en conformité avec les lois sur le contrôle des exportations de n'importe quelle juridiction appropriée ;
                        </li>
    <li> Copier, modifier ou distribuer le contenu à partir d'un autre site ou enfreindre les copyrights et marques déposées du Site ;
                        </li>
    <li> Enfreindre n'importe quelles lois, règles, règlements, directives, les droits d'un tiers ou nos politiques ;
                        </li>
    <li> Abuser de la politique de navigation de sungrocery.sunmarket.biz, la politique des listes, ou tout autre politique de sungrocery.sunmarket.biz ou des présentes conditions générales d'utilisation postées de temps à autre sur le Site ;
                        </li>
    <li> Directement ou indirectement, offrir, essayer d'offrir, négocier, ou inclure des descriptions ou des liens à relatifs aux éléments suivants :
                        </li>
    <li> Vous admettez, représentez et assurez que :

                        </li>
    <li> Vous êtes âgé de 18 ans ou plus ou que vous accéder au Site sous surveillance parentale ou d'un représentant légal ;
                        </li>
    <li> Si vous représentez une entreprise pour laquelle vous disposez des pouvoirs pour l'engager ; Vous êtes le seul et véritable propriétaire de tous les articles que vous présentez à la vente sur le Site et vous disposez de tous les droits, titres et autorité pour négocier et mettre en vente ces articles ;
                        </li>
    <li> Vous informerez sungrocery.sunmarket.biz de toute mise en ligne, d'articles ou de toutes transactions qui seraient en violation avec les présentes Conditions générales d'utilisation ;
                        </li>
    <li> Vous vous conformerez aux lois domestiques et internationales et aux règlements relatifs à l'utilisation dont vous faites du Site ;
                        </li>
    <li> Les informations que vous fournissez sur le Site relatives aux articles que vous souhaitez vendre sont aussi précises que possible ;
                        </li>
    <li> Vous ne divulguerez pas vos coordonnées y compris sans limitation, les numéros de téléphone, adresses ou adresses électroniques durant l'achat ou lors du processus de listage des articles, ou à tout autre endroit du Site y compris dans la zone de retour d'information, les forums de discussion ou n'importe quelle zone de courrier électronique du Site en vue de contourner l'usage du site de sungrocery.sunmarket.biz;
                        </li>
    <li> Vous n'utiliserez pas les informations relatives aux coordonnées qui vous sont fournies dans le cadre d'une transaction sur le Site, pour solliciter des ventes en dehors du Site ou via un autre site ;
                        </li>
    <li> Vous ne récolterez ou ne collecterez pas d'information concernant d'autres utilisateurs, y compris sans limitation, les adresses électroniques ou d'autres informations relatives aux contacts ; et
                        </li>
    <li> Vous ne divulguerez ou ne rendrez publiques les données personnelles concernant les utilisateurs ou accéderez ou utiliserez pas les informations concernant d'autres utilisateurs qui (à notre seule discrétion) pourrait être constitutif d'une infraction sur la vie privée et les lois qui la protège.
                        Il est interdit de vendre sur le site :
                        </li>
    <li> Titres, y compris actions, obligations, obligations, ou autres instruments financiers ou les actifs de toute sorte ;
                        </li>
    <li> Des créatures vivantes ou mortes et/ou la totalité ou une partie d'animal qui a été conservée ou préservée artificiellement ou naturellement y compris des peaux, des spécimens d'animaux, des cornes, des cheveux, des plumes, des ongles, des dents, du musc, des œufs, des nids, d'autres produits animaux dont la vente ou l'achat sont prohibés ou restreints par la loi applicable ;
                        </li>
    <li> Armes de n'importe quelle nature ;
                        </li>
    <li> Alcool, produits dérivés du tabac, drogues, substances psychotropes, narcotiques, les intoxicants de n'importe quelle nature, médicaments, substances palliatives/curatives;
                        </li>
    <li> Des articles religieux, y compris des livres, des artéfacts, etc …ou tout autre insigne susceptible d'affecter les sentiments religieux ;
                        </li>
    <li> Des antiquités, œuvres d'arts tels que définies par les lois applicables concernant ces antiquités et les trésors nationaux ;
                        </li>
    <li> Des cartes SIM utilisées, excepté si la transaction est permise par l'opérateur local intervenant dans le transfert de propriété de cet article ;
                        </li>
    <li> Des articles dont vous connaissez la défectuosité, qu'il s'agisse de faux, d'articles endommagés, défectueux, ou trompeurs et dont l'utilisation normale est susceptible de nuire à d'autres utilisateurs du Site ou à leur santé ;
                        </li>
    <li> Bons nominatifs;
                        </li>
    <li> Produits chimiques</li>
    <li> Tous produits non issus de l'agrobusiness</li>
                        </ul>


                        <h5 class="col-sm-12">Copyright</h5>
                        <p class="col-sm-12">
                        Tout contenu inclus dans le Site, y compris sans limitation, les textes, graphismes, logos, icones, les images, clips vidéo, téléchargements numériques, compilations de données et le logiciel sont la propriété ou copyright et de sungrocery.sunmarket.biz, ses utilisateurs, ses fournisseurs de contenus, ses franchisés sont protégés par copyright, les marques déposées, les brevets, ou autres droits de propriété intellectuelle. La compilation de contenu du Site est la propriété exclusive de sungrocery.sunmarket.biz et le copyright de sungrocery.sunmarket.biz, et sont protégés par les droits de copyright, marques déposées, brevets et autres droits de propriété intellectuelle et lois et ne peut être téléchargée, copiée, reproduite, distribuée, transmise, l'émission affichée, vendue, autorisée ou exploitée d'une autre manière.
                            <br>
                        Il faut noter que sungrocery.sunmarket.biz n'est pas responsable des violations des droits de copyright.
                            <br>
                        </p>
                            <h5 class="col-sm-12">Marques déposées</h5>
                        <p class="col-sm-12">
                        sungrocery.sunmarket.biz et ses logos et autres dénominations et logos enregistrées ou les marques déposées ou non déposées font l'objet d'une protection sur les marques internationales ainsi que les autres lois et droits de propriété intellectuelle. Les marques déposées de sungrocery.sunmarket.biz ne peuvent être utilisées en relation avec des produits ou services qui ne sont n'appartiennent pas à sungrocery.sunmarket.biz. Toutes autres marques déposées n'appartenant pas à sungrocery.sunmarket.biz qui apparaissent sur le Site sont la propriété de leurs détenteurs respectifs, qui peuvent ou non décider de s'affilier ou être parrainés par sungrocery.sunmarket.biz.
                        Le site sungrocery.sunmarket.biz n'est pas responsable des violations des droits de propriété intellectuelle.
                        </p>

                       <h3 class="col-sm-12"> CONDITIONS D’UTILISATION DU FORUM</h3>

                      <h5 class="col-sm-12">  Plateforme de comminucation </h5>
                      <p class="col-sm-12">  Le Site sert de plateforme de communication sur laquelle les utilisateurs se rencontrent et interagissent entre eux dans le but de vendre et d'acheter des articles. sungrocery.sunmarket.biz n'achète ni ne vend les articles. sungrocery.sunmarket.biz n'est pas et ne peut être partie à ou contrôler de quelque manière que ce soit les transactions entre deux utilisateurs du Site et ne peut garantir qu'un acheteur ou un vendeur finalisera une transaction et accepte de retourner un article ou de le rembourser.
                        sungrocery.sunmarket.biz peut avoir accès aux communications entre acheteurs et vendeurs. sungrocery.sunmarket.biz a la possibilité d'utiliser" le navigateur, l'historique des transactions pour personnaliser les offres et communications.
                        Vous ne pourrez tenir sungrocery.sunmarket.biz responsable des contenus des autres utilisateurs, des actions ou inactions ou des items et informations listées ou postées.
                      </p>

                        <h5 class="col-sm-12">  En particulier : </h5>
    <ul>
    <li> sungrocery.sunmarket.biz n'est pas responsable de la non-exécution ou des manquements contractuels entre des utilisateurs et ne transfère aucun titre de propriété du vendeur vers l'acheteur. Le contrat de vente d'un article doit être strictement bipartite entre le vendeur et l'acheteur. En aucun cas il n'y a de transfert de droit, de titre ou d'intéressement de sungrocery.sunmarket.biz, de même que sungrocery.sunmarket.biz n'a aucune obligation ou responsabilité envers cet article ou vis-à-vis du contrat conclu entre l'acheteur et le vendeur.
                        </li>
    <li> sungrocery.sunmarket.biz n'est pas responsable en cas d'insatisfaction, de retard dans l'exécution, des pertes, dommages ou retards résultant d'un article indisponible ;
                        </li>
    <li> sungrocery.sunmarket.biz n'a aucun contrôle et ne garantit nullement la qualité, la sécurité ou la légalité des articles, publicités, l'exactitude ou la véracité du contenu des listes, de la capacité d'un vendeur de vendre cet article, ou la capacité d'un acheteur de payer les articles.
                        </li>
    <li> sungrocery.sunmarket.biz ne garantit nullement les attributs (y inclus sans limitation la qualité, la valeur ni la possibilité de commercialisation) des articles devant être vendu ou achetés sur le Site. En particulier, sungrocery.sunmarket.biz ne soutient implicitement ou explicitement aucune vente ou achat d'articles sur le Site, de même sungrocery.sunmarket.biz n'est ni un fournisseur ni un fabricant d'articles vendus ou achetés par les utilisateurs ;

        sungrocery.sunmarket.biz ne donne aucune garantit sur les qualités (y inclus sans limitation sur les titres légaux, la solvabilité, ou l'identité) de ses utilisateurs.
    </li>
    </ul>
    <p class="col-sm-12">
                        Le Site peut inclure des liens avec d'autres sites internet qui sont contrôlés ou maintenus par des tiers. sungrocery.sunmarket.biz n'assume aucune responsabilité de biens ou services présentés sur ces sites et tout lien vers ces sites internet ne constitue une approbation de ces sites ou ne garantit nullement que ces sites sont exempts de virus ou autres types d'items destructeurs et vous reconnaissez et acceptez que sungrocery.sunmarket.biz n'est pas responsable du contenu ou de la disponibilité de tels sites. En tout état de cause, vous reconnaissez et acceptez que vous ne puissiez pas inclure des liens dans les contenus que vous postez sur le Site.
        <br>
                        Les utilisateurs conviendront librement entre eux des moyens et conditions générales de livraisons, de paiement et d'assurance et sungrocery.sunmarket.biz n'est nullement responsable de ces dispositions.
                        sungrocery.sunmarket.biz n'accepte aucune responsabilité pour les erreurs ou omissions, commises en son nom ou au nom d'un tiers. sungrocery.sunmarket.biz exclut toute garantie implicite, les termes et conditions et n'est pas responsable des pertes d'argent, opportunité de gain ou réputation, ou tout autre dommage spécial, indirect ou consécutif résultant directement ou indirectement externe à votre utilisation ou votre incapacité à utiliser le Site.
        <br>
                        Vous écartez et indemnisez sungrocery.sunmarket.biz et/ou les dirigeants et représentants contre toute réclamation, demande, conflit, coût, dommages, responsabilité ou autres conséquences (directe ou indirecte) de quelque action d'utilisateurs du Site et vous renoncez expressément à faire une réclamation que vous seriez susceptible de mettre en œuvre conformément à n'importe quelle loi applicable.
    </p>
                       <h5 class="col-sm-12"> Vie privée</h5>

                      <p class="col-sm-12">  Il est essentiellement important de savoir que sungrocery.sunmarket.biz ne vend ni ne loue vos données personnelles à des tiers dans un but marketing sans votre accord exprès. sungrocery.sunmarket.biz utilise vos informations seulement tel que décrit dans « SUNGROCERY » Vie privée et politique de confidentialité. Nous considérons la protection de vos données personnelles comme un principe communautaire important.    Nous stockons et traitons vos informations dans nos ordinateurs qui sont protégées par un protocole de sécurité physique et électronique. Pour une description complète sur la manière dont nous utilisons et protégeons vos informations personnelles, référez-vous à « SUNGROCERY »  politique de confidentialité. Si vous vous opposez à ce que vos informations soient transférées ou utilisés tel que décrit, merci de ne pas utiliser nos services.
                        En tout état de cause, Internet n'est pas un moyen sécurisé de communication et la protection de vos données personnelles ne peut jamais être garantie. sungrocery.sunmarket.biz n'a pas de contrôle sur les pratiques des tiers (c.-à-d. les sites linkés sur le Site ou un tiers se faisant passer pour vous ou quelqu'un d'autre). Vous acceptez que sungrocery.sunmarket.biz puisse utiliser vos données personnelles que vous lui avez fournie pour les besoins du service de sungrocery.sunmarket.biz et pour vous envoyer des communications marketing et que la politique de vie privée gouverne ce Site, son traitement, l'utilisation et le transfert de vos informations personnelles identifiables , utilise et transfère vos éléments d'identification personnelle.
                      </p>

    <h5 class="col-sm-12">                    Manquements aux conditions générales d'utilisation </h5>

    <p class="col-sm-12">
        Sans préjudice des autres droits et actions de sungrocery.sunmarket.biz suivant les présentes conditions générales d'utilisation ou de la loi ou autre, sungrocery.sunmarket.biz peut immédiatement et sans aucune responsabilité, limiter votre activité, retirer votre offre, mettre fin à la liste de vos articles, prévenir les aitres utilisateurs de vos actions, temporairement ou indéfiniment suspendre, limiter ou résilier votre adhésion, révoquer quelconque de vos droits concédés suivant les présentes conditions générales d'utilisation et/ou limiter ou annuler votre accès au Site :
    </p>
                      <ul>
    <li> Si vous ne respectez pas les présentes conditions générales d'utilisation ;
                        </li>
    <li> Si sungrocery.sunmarket.biz est dans l'impossibilité de vérifier ou d'authentifier les informations que vous fournissez ;
                        </li>
    <li> Si sungrocery.sunmarket.biz pense (à sa seule discrétion) que vos actions sont susceptibles de mettre en cause votre responsabilité ou celle des autres utilisateurs de sungrocery.sunmarket.biz.
                        sungrocery.sunmarket.biz peut à tout moment et à sa seule discrétion, réintégrer un utilisateur suspendu. Un utilisateur qui a été suspendu pour une durée indéterminée ou dont la qualité de membre a été résiliée ne peut se ré enregistrer ou essayer de se réenregistrer sur sungrocery.sunmarket.biz. Indépendamment de ce qui précède, si vous ne respectez pas les présentes conditions générales d'utilisation, sungrocery.sunmarket.biz se réserve le droit de recouvrer tout montant due ou que vous détenez pour le compte de sungrocery.sunmarket.biz ou toute perte et dommage que vous causez à sungrocery.sunmarket.biz et de prendre toutes les mesures y compris une action en justice et/ou initier une procédure pénale à votre encontre à la seule discrétion de sungrocery.sunmarket.biz si elle le juge nécessaire. Le fait de ne pas mettre en œuvre de telles mesures suite à un manquement de votre part ne constitue nullement un abandon de sungrocery.sunmarket.biz de sa faculté de mener des actions en rapport avec ces manquements, leurs conséquences ou autres manquements. sungrocery.sunmarket.biz ne garantit nullement qu'elle initiera une action contre tous les manquements envers les présentes conditions générales d'utilisation.
    </li>
                      </ul>

                      <p class="col-sm-12">  Lorsque cet accord arrive à terme, vous devez immédiatement cesser toute connexion et utilisation du Site et nous pouvons en sus des autres voies de droit ou mesures équitable », révoquer immédiatement tous les mots de passe et éléments d'identification d'un compte qui vous ont été transmis et leur utilisation sur le Site en totalité ou partiellement.
                          <br>
                        Toute cessation du présent accord ne doit pas impacter les droits et obligations respectives (y inclus sans limitation, les obligations de paiement) des parties préalablement à cette cessation. Vous acceptez par ailleurs que le Site ne sera pas tenu responsable envers vous ou vis-à-vis de toute autre personne en conséquence d'une telle suspension ou cessation. Si vous êtes insatisfait du Site ou de n'importe quel termes et conditions, règles, politique, directives, ou pratiques de sungrocery.sunmarket.biz votre seule et exclusif recours est de cesser d'utiliser le site.
                      </p>

                        <h5 class="col-sm-12">Achats</h5>

                       <p class="col-sm-12"> Tout achat que vous effectuez sur le Site doit être finalisé pour l'article concerné. Si vous êtes acquéreur d'un article et que votre achat est accepté par le vendeur, vous êtes dans l'obligation de finaliser la transaction avec le vendeur.
                        En achetant un article vous acceptez d'être lié par les conditions de vente prévues par le vendeur dans la description de l'article (dès lors que ces conditions sont en conformité avec les présentes conditions générales d'utilisation ou les lois applicables). Pour le cas des biens de consommation généralement disponible dans des magasins de détail, les vendeurs peuvent s'ils le souhaitent spécifier le prix normal de vente au détail des articles soldés sur le site. Nous vous recommandons de vérifier le prix normal de vente en boutique.
                        Vous acceptez de ne pas tester le Site avec de faux achats, ou sous une fausse identité. Sans préjudice des droits et actions dont pourrait user sungrocery.sunmarket.biz suivant les présentes Conditions générales d'utilisation ou la loi, sungrocery.sunmarket.biz peut prendre toute mesure qu'elle jugera appropriée ou nécessaire y compris par la voie d'une action en justice contre tout utilisateur qui intentionnellement effectue un achat fictif ou frauduleux. Soyez informé que même si vous donner une fausse identité à sungrocery.sunmarket.biz, votre navigateur internet nous transmet une adresse unique, que nous pouvons utiliser conformément à la loi avec des autorités en mesure de vous identifier.
                       </p>

                        <h5 class="col-sm-12">Vente</h5>
                       <p class="col-sm-12"> En tant que membre enregistré du Site, vous pouvez inscrire l'(les)article(s) en vente sur le Site. Vous ne pouvez offrir à la vente ou vendre sur le Site que les articles en conformité avec les lois applicables et que vous pouvez légalement mettre vendre conformément aux lois en vigueur. Le prix de vente inclus toutes les taxes. Les listings ne doivent comporter que des descriptifs, graphismes ou dessins correspondant à l'article vendu. Tous les articles énumérés doivent figurer dans la rubrique appropriée du Site. Les sollicitations d'affaires à travers ou en dehors du Site pour lesquels vous donnez vos contacts (c'est-à-dire numéro de téléphone, adresse ou e-mail) dans l'article proposé ou à un autre endroit du Site autre que sous votre compte sont expressément interdits et constituent une violation des présentes conditions générales d'utilisation. La description de l'article ne doit pas être mensongère et doit présenter l'état actuel de l'article. Si la description ne correspond pas avec l'état de cet article, vous acceptez de restituer tout montant en rapport avec cet article que vous pourriez recevoir de l'acquéreur. Vous acceptez de ne pas mettre en ligne plusieurs fois le même article à la vente, y compris et sans que cela ne soit exhaustif à travers différentes catégories du Site. Vous reconnaissez et acceptez que sungrocery.sunmarket.biz puisse supprimer ses articles mis en lignes plusieurs fois dans différentes catégories.
                       </p>

                        <h5 class="col-sm-12">Interdiction d'accès et/ou d'adhésion</h5>
                        <p class="col-sm-12">Sans préjudice des droits et actions de sungrocery.sunmarket.biz suivant les présentes Conditions générales d'utilisation ou de la loi ou autre, sungrocery.sunmarket.biz peut limiter, suspendre ou résilier votre adhésion et/ou votre accès au Site à tout moment sans notice préalable, pour quelque raison que ce soit y compris et sans que cela ne soit exhaustif en cas de violation des présentes Conditions générales d'utilisation.
                        </p>

                        <h5 class="col-sm-12">Absence de garantie</h5>
                        <p class="col-sm-12">sungrocery.sunmarket.biz fournit le Site et ses services "En l'état" et " Tel que disponible" sans aucune autre garantie ou forme de garantie expresse ou implicite, notamment et sans que ce ne soit limitatif, une garantie sur les titres, la valeur commerciale, l'adéquation au besoin du particulier, la compatibilité, la sécurité, l'exactitude, et la non infraction. sungrocery.sunmarket.biz ne fait aucune garantit sur le fait que les défaits puissent être corrigés, ou que le Site ou le serveur est exempt de virus ou aitre élément nocif ou destructeur. La nature de la communication par Internet signifie que les données du Site sont susceptibles d'être corrompues, interceptées, indisponibles ou disponibles avec retard. Le Site peut être momentanément indisponible pour réparation, maintenance ou développement ou définitivement fermé. Vous reconnaissez expressément que sungrocery.sunmarket.biz n'a aucune obligation de fournir une assistance sur le Site. Vous reconnaissez que vous utiliserez le Site à vos propres risques et périls.
                        </p>

                        <h3 class="col-sm-12">LA RESPONSABILITE LIMITE DE L’EDITEUR QUANT AUX LIENS HYPERTEXTE</h3>

                        <h5 class="col-sm-12">Limitation de responsabilité</h5>

                        <p class="col-sm-12">Dans la limite de ce qui est autorisé par la loi, sungrocery.sunmarket.biz, ses dirigeants, employés, agents, affiliés et fournisseurs, ne sont pas tenu responsables des dommages et pertes de quelque nature que ce soit de manière directe, indirecte, fortuite, spécial, consécutif, ou exemplaire, y inclus sans que cela ne soit limitatif, des pertes ou dommages pour perte de gain, bonus, d'affaires, opportunités, données ou autres pertes immatérielles résultant directement ou indirectement de votre utilisation du Site, ses services ou des présentes Conditions générales d'utilisation (quel qu'en soit l'origine, y inclus toute négligence ou autre manquement quand bien même sungrocery.sunmarket.biz aurait été avisé ou non de la possibilité de survenance de cette perte ou de ce préjudice).
                        </p>

                        <h5 class="col-sm-12">Indemnités</h5>

                       <p class="col-sm-12"> Vous consentez à indemniser et de prémunir sungrocery.sunmarket.biz, ses affiliés, dirigeants, employés, agents et fournisseurs contre toutes réclamations, demandes, actions, procédures, pertes, responsabilités, dommages, frais et dépenses ( y inclus les frais raisonnables de justice), de quelle que nature que ce soit qui serait subi ou résulterait d'un quelconque manquement de votre part aux présentes Conditions générales d'utilisation, ou de la violation de loi ou des droits des tiers, y inclus sans limitation, les copyrights, propriété, relatifs à la vie privée. Votre obligation d'indemnisation survit aux présentes Conditions générales d'utilisation, votre utilisation de sungrocery.sunmarket.biz, ou tout autre motif de clôture de votre compte d'utilisateur de sungrocery.sunmarket.biz.
                       </p>

                       <h5 class="col-sm-12"> Liens entre les parties et notification</h5>

                        <p class="col-sm-12">Aucune des dispositions des présentes Conditions générales d'utilisation ne peut être interprétée comme constitutif d'un partenariat ou une agence entre vous et sungrocery.sunmarket.biz et vous ne sauriez engager sungrocery.sunmarket.biz de quelque manière que ce soit. Sauf toute autre spécification explicite, toute notice adressée à sungrocery.sunmarket.biz doit être faite par voie électronique à sungrocery.sunmarket.biz à l'adresse legal@sungrocery.sunmarket.biz avec une copie physique envoyée par courrier, cette notice étant réputée avoir été distribuée sur le Site par confirmation de réception faite par sungrocery.sunmarket.biz courrier électronique de retour. Toute notice que sungrocery.sunmarket.biz vous adresserai sera faite par voie de notification postée sur le Site ou à l'adresse e-mail que vous nous fournissez durant votre inscription et sera considérée comme reçue dans les 24 heures suivant l'envoi de cet e-mail.
                        </p>

                      <h3 class="col-sm-12">  MODALITES DE REGLEMENT DES LITIGES </h3>

                       <h5 class="col-sm-12"> Litiges </h5>
                       <p class="col-sm-12"> Pour les conflits, merci de vous référer à notre politique en matière de conflits.
                       </p>

                         <h5 class="col-sm-12">  Transfert de droits et obligations</h5>
                       <p class="col-sm-12"> Vous accordez par la présente à sungrocery.sunmarket.biz vos droits et reconnaissez irrévocablement et acceptez que sungrocery.sunmarket.biz puisse à tout moment transférer une partie ou la totalité de ses droits, avantages, obligations, passifs et responsabilité (soit de manière expresse ou implicite) résultant de manière expresse ou implicite des présentes conditions générales d'utilisation ou de nos affiliés sans solliciter à nouveau votre accord. sungrocery.sunmarket.biz accepte d'user de tous les moyens dont elle dispose pour vous tenir informé de tout transfert par voie de notice sur le Site. Vous ne pouvez en n'importe quelle circonstance, sans l'accord préalable et écrit de sungrocery.sunmarket.biz transférer vos droits, avantages, obligations et responsabilités (soit de manière expresse ou implicite).
                       </p>

                        <h3 class="col-sm-12">ACEPTATION DES CONDITIONS GENERALES D’UTILISATION</h3>

                        <h5 class="col-sm-12">Indépendance des clauses</h5>

                        <p class="col-sm-12">Si une disposition des présentes Conditions générales d'utilisation est invalidée, annulée ou pour quelque raison que ce soit privée d'effet, cette disposition sera inopérante sans que cela n'affecte la validité et l'applicabilité des autres dispositions. Les présentes Conditions générales d'utilisation constituent l'intégralité des engagements entre sungrocery.sunmarket.biz relativement à leur objet.
                            <br>
                        Vous reconnaissez que tous les accords, notices, révélations ou autres communications qui vous sont délivrées par nos soins par voie électronique sont en conformité avec les obligations légales liées à cette forme de communication écrite. La cession ou la concession de vos droits et obligations suivant les présentes Conditions générales d'utilisation à des tiers est interdite sans accord préalable expresse du vendeur. Nous nous réservons le droit de transférer, céder ou sous-traiter le bénéfice de tout ou partie des droits et obligations liées aux présentes Conditions générales d'utilisation à des tiers.
                        </p>

                        <h5 class="col-sm-12">Récupération des données utilisateur</h5>

                       <p class="col-sm-12">
                        Nous pouvons collecter des informations de nature diverses. Nous avons besoin de ces informations, notamment afin de permettre la commande d’un produit, le paiement et la livraison.
                           <br>
                        Nous collectons, stockons et traitons vos données pour permettre la bonne utilisation du site Web. Nous pouvons recueillir des informations sur le formulaire d’inscription tel que votre nom, sexe, adresse Email, adresse postale, adresse de livraison (si différente), numéro de téléphone, numéro de téléphone mobile.
                           <br>
                           SUNGROCERY collecte votre adresse et peut l'utiliser dans un but commercial.
                       </p>





                    </div>

                </div>
            </div>
        </div>
    </section>
    <!-- END section -->


    <section class="pb_section pb_slant-light pb_pb-220" >
        <div class="container">
            <div class="row justify-content-center mb-1">
                <div class="col-md-6 text-center mb-5">
                    <h2>Démarrez votre boutique avec SUNGROCERY</h2>
                </div>
            </div>
            <div class="row">
                <div class="col-md">
                    <div class="pb_slide_testimonial_sync_v1">
                        <div class="pb_slider_content js-pb_slider_content2 text-center">
                            <p style="font-size: 12pt;">
                                Essayez SUNGROCERY à un prix forfetaire pour découvrir tous les outils et services dont vous avez besoin pour lancer, gérer et développer votre entreprise.                            </p>
                        </div>

                        <div class="row">
                            <div class="col-md-12 text-center">
                                <a class="btn btn-danger btn-lg smoothscroll" href="{{route('bienvenue')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Démarrer</span></a>

                            </div>
                        </div>

                    </div>
                    <!-- END sync_v1 -->
                </div>
            </div>
        </div>
    </section>
    <!-- END section -->

@endsection
