@php
    $home=new \App\Http\Controllers\HomeController();
$chart= $home->chart_vente();
$chart2= $home->chart_achat();
@endphp
@extends("dashboard._blank")

@section("sidebar")
    @include("dashboard._sidebar")
@endsection

@section("content")
    <style>
        .docs-icon{
            width: 100px;
        }
        .card-1 {
            box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
            transition: all 0.3s cubic-bezier(.25,.8,.25,1);
        }

        .card-1:hover {
            box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
            transition: all 1000ms ease;
        }
        .docs-section{
            padding: 5% 10%;
            text-align: center;
            cursor: pointer;
            height: 250px;
            margin-top: 10px;
        }
        .docs-section h6{
            font-weight: 500;
        }
        .panel-default>.panel-heading{
            background: none;
            border: none;
        }
         .panel {
            margin-bottom: 40px;
            border-radius: 0px;
        }
        .panel-group .panel+.panel{
            margin-top: 20px;
        }
        .panel-group .panel {
            border: none;
        }

        ul li, .panel-body{
            font-size: 12pt;
            font-weight: 500;
            margin-top: 10px;
        }
        ul li span{
            color: #942a25;
        }
        p span{
            color: #00CC00;
        }
    </style>
    <!-- page content -->
    <div class="right_col" role="main">

        <div class="col-md-12 col-xs-12">
            <div class="row">

                <div style="width: 100%;background: #f8f8f8;text-align: left;padding: 7%;margin: 2% 0;color: #fff; background: linear-gradient(
                    to bottom,
                    rgba(0,0,0, 0),
                    rgba(0,0,0, 90)
                    ),url({{asset('images/banner_2_background.jpg')}}) center  no-repeat;background-size: auto">
                  <h2 style="font-size: 20pt">  FAQ </h2>
                    <p>
                        Apprenez-en davantage sur  SUNGROCERY, le fonctionnement de chaque module et <br> les interractions client - marchand - administrateur.
                    </p>
                </div>

                <div class="panel-group" id="accordion">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse1">
                                  <span style="color: #942a25;font-weight: bold"> # </span> COMMENT CREER SA BOUTIQUE ?</a>
                            </h4>
                        </div>
                        <div id="collapse1" class="panel-collapse collapse in">
                            <div class="panel-body">
                              <p> Cliquer sur l'option <span>'BOUTIQUE'</span> du menu pour accéder a l'espace de gestion des boutique.</p>
                                <p>Cliquer ensuite sur le bouton <span>'CREER UNE BOUTIQUE'</span> pour faire apparaître le modal de création de bouique</p>
                                <p>La création de la boutique comprends 04 étapes à savoir :
                                <ul>
                                    <li><span>Informations sur la boutique :</span>
                                        <div>
                                            Cette phase vous permet de renseignez les informations de création de votre boutique tel que :
                                        </div>
                                    <ul>
                                        <li>Un secteur d'activité</li>
                                        <li>Le nom de votre boutique</li>
                                        <li>Une description : Les activitées que vous effectuées dans votre boutique.</li>
                                    </ul>
                                    </li>
                                    <li>
                                        <span> Selection de votre template:</span>
                                        <div>Cette phase vous permet d'installer le template de votre boutique</div>
                                    </li>
                                    <li>
                                        <span>  Choix d'un abonnement</span>
                                        <div>
                                            Vous êtes appelé à souscrir à un abonnement. Les abonnement disponible partent d'un montant de 500 X0F pour un mois à X
                                        </div>
                                    </li>
                                    <li>
                                        <span>  Paiement de l'abonnement</span>
                                        <div>
                                            Vous devez donc effectué le paiement du montant de l'abonnement pour valider la souscription de votre boutique. L'option de paiement que nous vous proposons comprends, le paiement par MOBILE MONEY et BANCAIRE. Une fois les étapes validées, vous serez redirigé a nouveau sur le page de gestion des boutiques avec votre boutique actif et un décompte du nombre de jour restant avant la fin de l'abonnement auquel vous avez souscris.
                                        </div>
                                    </li>
                                </ul>
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse2">
                                  <span style="color: #942a25;font-weight: bold"> # </span> COMMENT CUMULER MON ABONNEMENT ?</a>
                            </h4>
                        </div>
                        <div id="collapse2" class="panel-collapse collapse">
                            <div class="panel-body">
                               LE CUMULE VOUS PERMET D'AJOUTER UN NOUVEL ABONNEMENT A CELLE EN COURS.
                                <p>
                                    A la page de gestion des boutiques, un bouton <span>CUMULER VOTRE ABONNEMENT</span>  vous permet de choisir un nouvel abonnement pour incrémentation.
                                </p>
                                <p>
                                    Vous serez amené à effectuer le paiement du montant de l'abonnement pour valider le cumule.
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse3">
                                  <span style="color: #942a25;font-weight: bold"> # </span> COMMENT CONFIGURER SA BOUTIQUE ?</a>
                            </h4>
                        </div>
                        <div id="collapse3" class="panel-collapse collapse">
                            <div class="panel-body">
                             <p> Accédez à la page de gestion des boutiques. </p>
                             <p>   Identifiez la boutique à configurer.</p>
                             <p>  Cliquer sur le bouton <span>DASHBOARD</span> pour accéder au menu de votre boutique cible.</p>
                                <p>Le <span>MENU</span> présente les options de configuration générale de votre boutique soit :
                                <ul>
                                    <li>
                                        <span>CATEGORIES</span> qui vous permet d'ajouter une nouvelle categorie à votre boutique.
                                    </li>
                                    <li>
                                        <span>PRODUITS</span> qui vous permet d'ajouter de nouveau produit à votre boutique.
                                    </li>
                                    <li>
                                        <span>COMMANDES</span> qui vous permet de consulter les commandes effectuées par vos clients.
                                    </li>
                                    <li>
                                        <span>OPTIONS</span> qui vous permet de configurer les détails de votre boutique. ( changer de logo, la bannière de votre site web, la police etc..).
                                    </li>
                                        <li>
                                        <span>MESSAGES</span>  vous permet de consulter les messages que vous ont envoyés vos clients par le formulaire de contacte de votre boutique.
                                    </li>
                                    <li>
                                        <span>NEWSLETTERS</span> Vous permet de gérer l'abonnement à la newsletter de votre boutique et d'envoyer des message de diffusion.
                                    </li>

                                </ul>
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse4">
                                  <span style="color: #942a25;font-weight: bold"> # </span> COMMENT AJOUTER UNE CATEGORIE ET A QUOI SERT T'ELLE ?</a>
                            </h4>
                        </div>
                        <div id="collapse4" class="panel-collapse collapse">
                            <div class="panel-body">
                                <p>
                                    Les catégories permettent de classés vos produits. Une boutique avec un bon classement de produit permet à l'utilisateur de rapidement se retrouvé, donc durer sur votre espace de vente.
                                </p>
                                <p>
                                    Ajouter les catégories peut être une tâche fastidieuse parcequ'elles nécéssitent beaucoup d'attention et d'application.
                                </p>
                                <div>
                                    Généralement une catégorie s'ajoute directement à une boutique.
                                    <br>
                                    Accédez donc à votre page de gestion des boutiques en cliquant sur le bouton <span>BOUTIQUE</span>.
                                    <br>
                                    Choisissez une boutique et Cliquez sur <span>DASHBOARD</span> pour acceder au <span>MENU</span> de gestion de votre boutique cible.
                                    <br>
                                    Cliquez ensuite sur <span>CATEGORIES</span> pour accéder à la page d'ajout des catégories à votre boutique cible.
                                    <br>
                                    Pour ajouter une catégorie, vous devez cliquer sur <span>Ajouter une nouvelle catégorie</span> pour accéder au modal d' ajout
                                        Deux choix vous sont proposées arriver à ce stade:
                                        <ul>
                                            <li><span>Ajout depuis le catalogue de SUNGROCERY</span>
                                            <div>
                                                Vous permet d'ajouter des categories depuis le catalogue préetablis de SUNGROCERY
                                                <br><span> NB: </span> (incomplet pour le moment et limité)
                                            </div>
                                            </li>
                                            <li><span>Nouvelle ajout</span>
                                            Vous permet d'ajouter une nouvelle catégorie personnalisée. Vous devez donc remplir les options suivantes:
                                                <ul>
                                                    <li><span>Intitule(requise)</span>
                                                    <div>Le nom de la catégorie</div>
                                                    </li>
                                                     <li><span>Description (optionnelle)</span>
                                                    <div>Une brève description de la catégorie</div>
                                                    </li>
                                                 <li><span>Caractéristiques (requises) (important)</span>
                                                    <div>
                                                        Cette section est très importante car vous y effectuerai le plus gros du travail .
                                                    Les caractériques de votre catégorie représentent les éléments qui permettent de distinger votre produit.
                                                       <br>
                                                        <br>
                                                        Premier exemple si on prends un tshirt, les éléments qui permettent de le distinger sont: la taille, la couleur, le tissu avec lequel il est conçu. Ainsi lors de l'enregistrement d'une categorie, les elements à renseigner sont ce qui permettent de distinger les produits de la catégorie.
                                                        <br>
                                                        <br>
                                                        Un autre exemple: On prends la catégorie automobile, les caractéristiques sont : le type, la couleur du vehicule, le nombre de chevaux, la marque, le cylindre du moteur etc.
                                                        <br>
                                                        On aura donc ce format:
                                                        <br>
                                                        <br>
                                                        Initule:Automobile
                                                        <br>
                                                        <br>
                                                        Description: désigne un véhicule à roues, motorisé et destiné au transport terrestre de quelques personnes et de leurs bagages. L'abréviation populaire « voiture » est assez courante, bien que ce terme désigne de nombreux types de véhicules qui ne sont pas tous motorisés.(wikipedia juste pour illustration)
                                                        <br>
                                                        <br>
                                                        Caractéristiques:
                                                        <br> Type
                                                        <br>    Couleur
                                                        <br>   Poids
                                                        <br>  Marque
                                                        <br>   Chevaux
                                                        <br>  Cylindre
                                                        <br>
                                                        <br>
                                                        Chacune de ces caractéristiques sera donc enrégistrée dans un champs en cliquant à chaque fois sur le bouton <span>Ajouter</span> en haut à jaune

                                    <div>
                                    Cette methode d'ajout de la catégorie nous permettra d'ajouté un produit vehicule avec les caractéristiques suivantes:
                                    </div>

                                    <div>
                                    <br> Type : 4 roues
                                    <br>Couleur: Rouge
                                    <br> Poids: 300kg
                                    <br>Marque volswagen
                                    <br>...
                                    <br>
                                    Comme vous l'aurez compris, les caractéristiques de la catégorie deviennent des champs lors de l'ajout des produits.
                                </div>
                                                    </div>
                                                    </li>
                                                </ul>
                                            </li>
                                        </ul>
                                    </div>
                            </div>
                            </div>
                        </div>

                 <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse5">
                                  <span style="color: #942a25;font-weight: bold"> # </span> COMMENT AJOUTER UN PRODUIT ?</a>
                            </h4>
                        </div>
                        <div id="collapse5" class="panel-collapse collapse">
                            <div class="panel-body">
                                <div>
                                    Généralement un produit s'ajoute directement à une boutique.
                                    <br>
                                    Accédez donc à votre page de gestion des boutiques en cliquant sur le bouton <span>BOUTIQUE</span>.
                                    <br>
                                    Choisissez une boutique et Cliquez sur <span>DASHBOARD</span> pour acceder au <span>MENU</span> de gestion de votre boutique cible.
                                    <br>
                                    Cliquez ensuite sur <span>PRODUITS</span> pour accéder à la page d'ajout des produits à votre boutique cible.
                                    <br>
                                    Pour ajouter un produits, vous devez cliquer sur <span>Ajouter un nouveau produit</span> pour accéder au modal d'ajout
                                        Deux choix vous sont proposées arriver à ce stade:
                                        <ul>
                                            <li><span>Ajout depuis le catalogue de SUNGROCERY</span>
                                                <div>
                                                    Vous permet d'ajouter des produits depuis le catalogue préetablis de SUNGROCERY
                                                    <br><span> NB: </span> (incomplet pour le moment et limité)
                                                </div>
                                            </li>
                                            <li><span>Nouvelle ajout</span>
                                                <br>
                                                Vous permet d'ajouter un nouveau produit personnalisé. Vous devez donc remplir les options incluant l'ajout de l'image pour finaliser la mise en ligne de votre produit.
                                            </li>
                                                </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse6">
                                  <span style="color: #942a25;font-weight: bold"> # </span> A QUOI SERT LA NEWSLETTER ET COMMENT FONCTIONNE T'ELLE ?</a>
                            </h4>
                        </div>
                        <div id="collapse6" class="panel-collapse collapse">
                            <div class="panel-body">
                                La newsletters vous permet detenir  au courant vos clients des différentes activitées de votre boutique.
                                Partager un produits, partager une nouvelle, partager vos boutiques.
                                <br>
                                <p>
                                    Un abonnement est nécessaire pour souscrire à la newsletters. Acceder à votre boutique et suivez les étapes
                                </p>
                            </div>
                        </div>
                    </div>
                 <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse7">
                                  <span style="color: #942a25;font-weight: bold"> # </span> COMMENT FONCTIONNE MON PORTEFEUILLE ?</a>
                            </h4>
                        </div>
                        <div id="collapse7" class="panel-collapse collapse">
                            <div class="panel-body">
                                <p>
                                    Votre portefeuille est incrémenté une fois qu'un achat est effectué sur votre boutique. Vous pourrez effectué un retrait lorsque votre solde depassera 10.000 XOF.
                                </p>
                            </div>
                        </div>
                    </div>
                 <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse10">
                                  <span style="color: #942a25;font-weight: bold"> # </span> COMMENT ET QUAND EFFECTUER UN RETRAIT ?</a>
                            </h4>
                        </div>
                        <div id="collapse10" class="panel-collapse collapse">
                            <div class="panel-body">
                               Vous devez avoir atteint 10.000 XOF au moins pour effectuer un retrait. Le retrait s'éffectue sur le solde de votre PORTEFEUILLE.
                                <p>
                                    Pour effectuer un retrait vous pouvez cliquer sur le bouton demande de retrait à l'acceuil de votre dashboard.
                                    Une fois la demande effectuée, nous vous enverrons l'argent sur le moyen de récupération choisis.
                                </p>
                            </div>
                        </div>
                    </div>
                <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse8">
                                  <span style="color: #942a25;font-weight: bold"> # </span> COMMENT PUIS-JE MAXIMISER MES VENTES  ?</a>
                            </h4>
                        </div>
                        <div id="collapse8" class="panel-collapse collapse">
                            <div class="panel-body">
                               Vous devez partager vos produits, votre boutique sur les réseaux sociaux pour de la visibilitées.
                                Aussi, activer la promotion au niveau des produits pour maximiser vos ventes.
                            </div>
                        </div>
                    </div>
                  <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse9">
                                  <span style="color: #942a25;font-weight: bold"> # </span> MA BOUTIQUE AFFICHE SITE WEB NON CONFIGURER.</a>
                            </h4>
                        </div>
                        <div id="collapse9" class="panel-collapse collapse">
                            <div class="panel-body">
                                Vous devez ajouter des catégories et des produits à votre boutique pour resoudre ce problème.
                            </div>
                        </div>
                    </div>
                </div>


                </div>

            </div>
        </div>


@endsection
