@extends('dashboard.landing_blank')
@section('title') Comment créer sa boutique en ligne @endsection

@section('content')

    <style>
        .card-header:hover div{
            width: 100%;height: 100%;background: rgba(0,0,0,0.5);
        }

        .footer-card:hover div{
            width: 100%;height: 100%;background: rgba(0,0,0,0.5);
        }
        .footer-card:hover div{
            width: 100%;height: 100%;background: rgba(0,0,0,0.5);
        }
        a{
            text-decoration: none;
        }
        a:hover{

            color: #88b121;

            text-decoration: none;
        }
    </style>

    <section class=" overflow-hidden  cover-bg-opacity text-left" id="section-home" style="background: #fff">
        <div class="col-sm-12" style="padding: 5%">
            <div class="row align-items-center justify-content-center">
                <div class="col-md-6 order-1 order-md-0 offset-1">

                    <h2 class="heading mb-3" style="color: #88b121">Comment créer une boutique</h2>
                    <div class="sub-heading" style="color: #88b121">
                        <p class="mb-4">Votre boutique en quelques click et adapté à vos bésoins. Suivez les étapes pour apprendre à créer votre boutique en quelques minutes.</p>
                        <p class="mb-5">
                            @if(\Illuminate\Support\Facades\Session::has('user'))
                                <a class="btn btn-default btn-lg pb_btn-pill smoothscroll" href="{{route('home')}}" style="border: 1px solid #88b121;"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Tableau de bord</span></a>

                            @else
                                <a class="btn btn-danger btn-lg pb_btn-pill smoothscroll" href="{{route('bienvenue')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Démarrer</span></a>
                            @endif
                        </p>
                    </div>
                </div>

                <div class="col-md-5 relative align-self-center order-0 order-md-1 mb-4">
                    <img src="{{asset('images/e-commerce-create-boutique.png')}}" alt="" width="100%">
                </div>
            </div>
        </div>
    </section>


    <section class="pb_section " id="section_creation_boutique">
        <div class="col-sm-12">
            <div class="row">
                <div class="col-lg-12 mb-5">

                    <div class="row">

                        <div class="col">
                            <h2 class="text-center">Suivez les étapes suivant pour validez la création de votre boutique</h2>

                            <hr style="width: 50px;background: #88b121;padding: 2px">

                        </div>

                       <p class="col-sm-12 text-center">Lancez-vous et passez du rêve à l'action.</p>

                        <div class="col-sm-12 col-12 col-lg-6" style="margin-top: 10px;">
                        <div class="card">

                                <div class="card-header col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/entreprise_create1.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                    <div>
                                        <a  href="{{asset('images/entreprise_create1.png')}}" style="color: #fff;">Voir image</a>
                                    </div>
                                </div>
                            <div class="card-body">

                        <h5 class="col-sm-12"><span style="color: #88b121;">Etape 1: Accéder à la page de création de votre boutique</span> </h5>

                        <p class="col-sm-12">Une fois connecter à la plateforme, vous pouvez aussi avoir accès à boutton de création de votre entreprise dans le menu </p>
                            </div>
                        </div>
                        </div>


                       <div class="col-sm-12 col-12 col-lg-6" style="margin-top: 10px;">
                        <div class="card">

                                <div class="card-header col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/boutique_create2.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                    <div>
                                        <a  href="{{asset('images/boutique_create2.png')}}" style="color: #fff;">Voir image</a>
                                    </div>
                                </div>
                            <div class="card-body">

                        <h5 class="col-sm-12"><span style="color: #88b121;">Etape 2: Créer votre entreprise</span> </h5>

                        <p class="col-sm-12">Cliquez sur le boutton <span style="color: #a40e14;">Créer une nouvelle boutique </span>,  remplissez les champs demandés puis validez pour enrégistrer la boutique.</p>
                                <p class="col-sm-12">Une fois valider, un message apparaitra vous spécifiant d'installer votre boutique avant de continuer</p>

                            </div>
                            <div class="card-footer footer-card col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/boutique_create3.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                <div>
                                    <a  href="{{asset('images/boutique_create3.png')}}" style="color: #fff;">Voir image</a>
                                </div>
                            </div>
                        </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>
    <!-- END section -->

    <section class="pb_section bg-light pb_slant-white" id="installation_boutique">
        <div class="col-sm-12">
            <div class="row">
                <div class="col-lg-12  mb-5">

                    <div class="row">

                        <div class="col">
                            <h2 class="text-center">Installer votre boutique</h2>

                            <hr style="width: 50px;background: #88b121;padding: 2px">

                        </div>

                        <p class="col-sm-12 text-center">Lancez-vous et passez du rêve à l'action.</p>

                        <div class="col-sm-12 col-12 col-lg-6" style="margin-top: 10px;">
                            <div class="card">
                                <div class="card-header col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/installation_boutique1.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                    <div>
                                        <a  href="{{asset('images/installation_boutique1.png')}}" style="color: #fff;">Voir image</a>
                                    </div>
                                </div>
                                <div class="card-body">

                                    <h5 class="col-sm-12"><span style="color: #88b121;">Etape 1: Accéder au boutton d'installation</span> </h5>

                                    <p class="col-sm-12">Une fois enrégistré, vous aurez bésoins d'installer votre boutique pour finaliser sa création.</p>
                                    <p class="col-sm-12">Cliquez sur le boutton <span style="color: #a40e14;">installer </span>pour amorçer le processus d'installation.</p>
                                </div>
                            </div>
                        </div>

                     <div class="col-sm-12 col-12 col-lg-6" style="margin-top: 10px;">
                            <div class="card">
                                <div class="card-header col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/installation_boutique2.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                    <div>
                                        <a  href="{{asset('images/installation_boutique2.png')}}" style="color: #fff;">Voir image</a>
                                    </div>
                                </div>
                                <div class="card-body">

                                    <h5 class="col-sm-12"><span style="color: #88b121;">Etape 2: Choisissez un template pour votre boutique</span> </h5>

                                    <p class="col-sm-12">Faites le choix d'un template puis  validez pour amorçer le processus d'abonnement.</p>
                                </div>
                            </div>
                        </div>



                     <div class="col-sm-12 col-12 col-lg-12" style="margin-top: 10px">
                            <div class="card">
                                <div class="card-body">

                                    <h5 class="col-sm-12"><span style="color: #88b121;">Etape 3: Effectuez un versement pour un abonnement</span> </h5>

                                    <p class="col-sm-12">
                                        Vous êtes redirigé vers une page de paiement ou vous devez payer la somme de 1000 Fcfa. Vous pouvez choisir de payer par mobile money ou par carte bancaire (visa). puis suivez les étapes pour valider le paiement.
                                    </p>

                                </div>
                                <div class="card-footer">
                                  <div class="row">
                                      <div class="col-sm-12 col-12 col-lg-6" style="margin-top: 10px;">
                                          <div class="card">
                                              <div class="card-header col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/installation_boutique3.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                                  <div>
                                                      <a  href="{{asset('images/installation_boutique3.png')}}" style="color: #fff;">Voir image</a>
                                                  </div>
                                              </div>
                                              <div class="card-body">
                                                  <p class="col-sm-12"> 1- Remplissez les champs pour continuer</p>
                                              </div>
                                          </div>
                                      </div>

                                       <div class="col-sm-12 col-12 col-lg-6" style="margin-top: 10px;">
                                          <div class="card">
                                              <div class="card-header col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/installation_boutique4.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                                  <div>
                                                      <a  href="{{asset('images/installation_boutique4.png')}}" style="color: #fff;">Voir image</a>
                                                  </div>
                                              </div>
                                              <div class="card-body">
                                                  <p class="col-sm-12"> 2- Valider la transaction pour finaliser le paiement</p>
                                              </div>
                                          </div>
                                      </div>
                                      <div class="col-sm-12 col-12 col-lg-6" style="margin-top: 10px;">
                                          <div class="card">
                                              <div class="card-header col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/installation_boutique5.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                                  <div>
                                                      <a  href="{{asset('images/installation_boutique5.png')}}" style="color: #fff;">Voir image</a>
                                                  </div>
                                              </div>
                                              <div class="card-body">
                                                  <p class="col-sm-12">3- Votre boutique est pête pour <a href="{{route('how_to_configure_my_boutique')}}">configuration</a>.</p>
                                              </div>
                                          </div>
                                      </div>

                                  </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </section>
    <!-- END section -->

    <section class="pb_section pb_slant-light pb_pb-220" >
        <div class="container">
            <div class="row justify-content-center mb-1">
                <div class="col-md-6 text-center mb-5">
                    <h2>Démarrez votre boutique avec sungrocery</h2>
                </div>
            </div>
            <div class="row">
                <div class="col-md">
                    <div class="pb_slide_testimonial_sync_v1">
                        <div class="pb_slider_content js-pb_slider_content2 text-center">
                            <p style="font-size: 12pt;">
                                Essayez sungrocery à un prix forfetaire pour découvrir tous les outils et services dont vous avez besoin pour lancer, gérer et développer votre entreprise.                            </p>
                        </div>

                        <div class="row">
                            <div class="col-md-12 text-center">
                                <a class="btn btn-danger btn-lg smoothscroll" href="{{route('bienvenue')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Démarrer</span></a>

                            </div>
                        </div>

                    </div>
                    <!-- END sync_v1 -->
                </div>
            </div>
        </div>
    </section>
    <!-- END section -->

@endsection
