<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Commande PDF</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <style>
        h4{
            font-size: 14px;
        }
   h6{
            font-size: 12px;
        }
    </style>
</head>

<body>
<div  style="width: 100%;">
        <div  style="width: 100%;margin-top: 3%;">
            <div  style="width: 50%;display: inline-block">
                <img src="{{$commande->boutique->meta->logo_boutique}}" alt="{{$commande->boutique->nom_boutique}}" width="100px">
                <h4>{{strtoupper(str_replace('_',' ',$commande->boutique->nom_boutique))}}</h4>
                <h6>Email : <strong>{{$commande->boutique->meta->email_boutique}}</strong></h6>
                <h6>Telephone : <strong>{{$commande->boutique->meta->telephone_boutique}}</strong></h6>
                <h6>Adresse : <strong>{{$commande->boutique->meta->country}} / {{$commande->boutique->meta->adresse_boutique}}</strong></h6>
            </div>
         <div  style="width: 45%;display: inline-block">
             <h4>CLIENT :</h4>
                 <h6>{{$commande->first_name}} {{$commande->last_name}}</h6>
                <h6>Email : <strong>{{$commande->email}}</strong></h6>
                <h6>Telephone : <strong>{{$commande->customer_phone}}</strong></h6>
                <h6>Adresse : <strong>{{$commande->customer_adress}}</strong></h6>
            </div>
    </div>
    <div style="width: 100%;margin-bottom: 2%">
        <h6>COMMANDE EMISE LE : {{$commande->created_at->format('d-m-y à H:i')}}</h6>
    </div>
    @if(count($commande->commande_article)>0)
    <table class=" table table-bordered" style="width: 100%;">
        <thead>
        <tr>
            <th>Référence</th>
            <th>Nom du produit</th>
            <th>Prix unitaire</th>
            <th>Quantité</th>
            <th>Spécificité</th>
            <th>Total</th>
        </tr>
        </thead>
        <tbody>
        @php $helpers=new \App\Http\Controllers\HelperController(); @endphp
        @foreach($commande->commande_article as $cmd)
                <tr>
                    <td>{{$cmd->article_slug}}</td>
                    <td>{{$cmd->article_->name}} </td>
                    <td>
                       {{$cmd->price}}
                    </td>
                    <td>{{$cmd->quantity}}</td>
                    <td>
                        {{$cmd->specificity}} {{$commande->currency}}
                    </td>
                    <td>{{$cmd->total_price}} {{$commande->currency}}</td>
                </tr>
        @endforeach
        </tbody>
    </table>
    @endif
    <div class="" style="width: 100%; margin-top: 10%;">
            <div  style="width: 40%;display: inline-block">
                <h5 style="margin-top: 20%;">Total Payer :
                    <strong>{{$commande->paiement_type=='paid_now' ? ($commande->statut_paiement==true ? $commande->total_price : $commande->montant_payer ) : $commande->montant_payer}} {{$commande->currency}}</strong></h5> <br>
            </div>
            <div  style="width: 57%;display: inline-block">
                <span>Total achat : <strong>{{$commande->total_price}} {{$commande->currency}}</strong></span> <br>
                <span>Moyen de payement : <strong>{{$commande->source ? 'inconnu' : ''}} {{$commande->source_name ? 'inconnu' : ''}}</strong></span> <br>
                <span>Mode de payement :
                    <strong>
                         @if($commande->paiement_type=='paid_now')
                            <span >Paiement direct</span>
                        @elseif($commande->paiement_type=='paid_echellon')
                            <span >Paiement échelloné</span>
                        @else
                            <span>Paiement après livraison</span>
                        @endif
                        </strong></span> <br>
                <span>Etat achat : <strong>
                            @if($commande->paiement_type=='paid_now') @if($commande->statut_paiement!=true) <span>  {{'echec de paiement'}} </span> @else <span> {{'paiement effectué'}} </span> @endif @else   <span>  {{'paiement après livraison'}} </span>  @endif</td>
                        </strong></span> <br>
                <span>Etat livraison:
                    <strong>
@if($commande->shipping==true)
                            @if($commande->statut_shipping!=true)
                                <span >  {{'en attente de livraison'}}  </span>
                            @else <span > {{'livraison effectuée'}} le {{$commande->updated_at->format('d-m-y à H:i')}} </span>
                            @endif
                        @else
                            @if(isset($commande->shipping_phone) && $commande->shipping_phone!=null || isset($commande->shipping_adress) && $commande->shipping_adress!=null)
                                @else
                                <span > Livraison non incluse </span>
                            @endif
                        @endif                        </strong></span>
                <br>
        </div>
    </div>

</div>
</body>

</html>