@extends('dashboard.landing_blank')

@section('title')  SUNGROCERY @endsection
@section('css')
<style>
            .pace {
                -webkit-pointer-events: none;
                pointer-events: none;
                -webkit-user-select: none;
                -moz-user-select: none;
                user-select: none;
            }
            .pace-inactive {
                display: none;
            }

            .pace .pace-progress {

                background: #88b121;

                position: fixed;
                z-index: 2000;
                top: 0;
                right: 100%;
                width: 100%;
                height: 2px;
            }

            .pace .pace-progress-inner {
                display: block;
                position: absolute;
                right: 0px;
                width: 100px;
                height: 100%;

                box-shadow: 0 0 10px #88b121, 0 0 5px #88b121;

                opacity: 1.0;
                -webkit-transform: rotate(3deg) translate(0px, -4px);
                -moz-transform: rotate(3deg) translate(0px, -4px);
                -ms-transform: rotate(3deg) translate(0px, -4px);
                -o-transform: rotate(3deg) translate(0px, -4px);
                transform: rotate(3deg) translate(0px, -4px);
            }

            .pace .pace-activity {
                display: block;
                position: fixed;
                z-index: 2000;
                top: 15px;
                right: 15px;
                width: 14px;
                height: 14px;
                border: solid 2px transparent;

                border-top-color: #88b121;
                border-left-color: #88b121;

                border-radius: 10px;
                -webkit-animation: pace-spinner 400ms linear infinite;
                -moz-animation: pace-spinner 400ms linear infinite;
                -ms-animation: pace-spinner 400ms linear infinite;
                -o-animation: pace-spinner 400ms linear infinite;
                animation: pace-spinner 400ms linear infinite;
            }

            @-webkit-keyframes pace-spinner {
                0% { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
                100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
            }
            @-moz-keyframes pace-spinner {
                0% { -moz-transform: rotate(0deg); transform: rotate(0deg); }
                100% { -moz-transform: rotate(360deg); transform: rotate(360deg); }
            }
            @-o-keyframes pace-spinner {
                0% { -o-transform: rotate(0deg); transform: rotate(0deg); }
                100% { -o-transform: rotate(360deg); transform: rotate(360deg); }
            }
            @-ms-keyframes pace-spinner {
                0% { -ms-transform: rotate(0deg); transform: rotate(0deg); }
                100% { -ms-transform: rotate(360deg); transform: rotate(360deg); }
            }
            @keyframes pace-spinner {
                0% { transform: rotate(0deg); transform: rotate(0deg); }
                100% { transform: rotate(360deg); transform: rotate(360deg); }
            }

            @media only screen and (max-width: 575px) {
                .wishlist_icon {
                    width: 100%;
                }
            }
            .logo a{
                color: #fff;
            }
            .logo a:hover{
                color: #F1F1F1;
            }
            .wishlist_icon{
                color: #fff;

            }
            .wishlist_text a{
                color: #fff;
                font-size: 10pt;
            }

            .wishlist_icon:hover{
                color: #F1F1F1;
            }
            .wishlist_text a:hover{
                color: #F1F1F1;
            }
            .list-media a{
                font-size: 12pt;
                color: #fff;
                margin-bottom: 2px;
            }
            .list_boutique:hover .list-media{
                transition: all 1000ms ease;
                display: inline-block;
            }
            .list-media {
                display: block;
                margin-bottom: 2px;
                box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
            }

            .list-media:hover {
                box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
                transition: all 500ms ease;
            }
            #media-share{
                z-index: 99;
            }
            .whatsapp{
                width: 30px;
                height: 30px;
                line-height: 32px;
                text-align: center;
                background: green;
                border-radius: 100%;
                font-weight: bold;
            }

            .facebook{
                width: 30px;
                height: 30px;
                line-height: 30px;
                text-align: center;
                background: #0e0ea0;
                border-radius: 100%;
                font-weight: bold;
            }
            .instagram{
                width: 30px;
                height: 30px;
                line-height: 30px;
                text-align: center;
                background: #48aed6;
                border-radius: 100%;
                font-weight: bold;
            }

            .list-media{
                display: inline-block;
                text-align: center;
            }
            .list-media div{
                margin-left: 3%;
            }
            .chosen-container-single .chosen-single{
                height: 38px;
                background: none;
                border-radius: 0px;
                line-height: 38px;
            }
            .chosen-container-single .chosen-single div{
                margin-top: 8px;
            }
            #button{
                display:block;
                margin:20px auto;
                padding:10px 30px;
                background-color:#eee;
                border:solid #ccc 1px;
                cursor: pointer;
            }
            #overlay{
                position: fixed;
                top: 0;
                z-index: 100;
                width: 100%;
                height:100%;
                display: none;
                background: rgba(0,0,0,0.6);
            }
            .cv-spinner {
                height: 100%;
                display: flex;
                justify-content: center;
                align-items: center;
            }
            .spinner {
                width: 40px;
                height: 40px;
                border: 4px #ddd solid;
                border-top: 4px #2e93e6 solid;
                border-radius: 50%;
                animation: sp-anime 0.8s infinite linear;
            }
            @keyframes sp-anime {
                0% {
                    transform: rotate(0deg);
                }
                100% {
                    transform: rotate(359deg);
                }
            }
            .is-hide{
                display:none;
            }

            ul {
                list-style-type: none;
            }

            li {
                display: inline-block;
            }

            input[type="checkbox"][id^="myCheckbox"] {
                display: none;
            }

            label {
                border: 1px solid #fff;
                padding-top: 10px;
                display: block;
                position: relative;
                margin-top: 10px;
                font-weight: bold;

            }

            label:before {
                background-color: white;
                color: white;
                content: " ";
                display: block;
                border-radius: 50%;
                border: 1px solid grey;
                position: absolute;
                top: -5px;
                left: -5px;
                width: 25px;
                height: 25px;
                text-align: center;
                line-height: 28px;
                transition-duration: 0.4s;
                transform: scale(0);
            }

            label img {
                height: 100%;
                width: 100%;
                transition-duration: 0.2s;
                transform-origin: 50% 50%;
            }

            :checked + label {
                border-color: #ddd;
            }

            :checked + label:before {
                content: "✓";
                background-color: grey;
                transform: scale(1);
            }

            :checked + label img {
                transform: scale(0.9);
                /* box-shadow: 0 0 5px #333; */
                z-index: -1;
            }

            .card-1 {

                box-shadow: 0 1px 3px rgba(0,0,0,0.02), 0 0 1px rgba(0,0,0,0.04);
                transition: all 0.3s cubic-bezier(.25,.8,.25,1);
                border-radius: 20px !important;
                border: 1px solid #000;
            }

            .card-1:hover {
                box-shadow: 0 14px 28px rgba(6, 14, 28, 0.05), 0 5px 5px rgba(0, 0, 0, 0.02);
                transition: all 1000ms ease;
            }
        select{
        margin-left: 0px;
        }
        p a{
        font-size: 10pt;
        font-family: 'Montserrat';
        border-bottom: none;
        background: none;
        }
        p a i{
        color: #fff;
}

  p a:hover{
        color: #2A3F54;font-weight: 500;
        background: none;

    }
    .carousel-item{
        height: 100%;
    }
    .carousel-caption h5{
        font-size: 20pt;
        color: #000;
        font-weight: bold;
    }
    .favorite_boutique{
        display: none;
    }
    .list_boutique:hover .favorite_boutique{
        transition: all 1000ms ease;
        display: block;
    }
    .favorite_boutique:hover{
        transition: all 1000ms ease;
       background: #f1f1fa;
 cursor: pointer;
    }
    @media screen and (max-width: 360px) {
       .carousel-item img {
            opacity: 0;
        }
    }

    .btn{
        border-radius: 0px;
    }
    select{
        border-radius: 0px;
    }
    .select2-container--default .select2-selection--single {
        border-radius: 0;
    }
    @media screen and (max-width: 360px){
        .carousel-item img {
            opacity: 1 !important;
        }
        }
    .favorite_boutique i{
        color: #88b121;
    }
</style>
@endsection
@section('content')
<style>
        h2{
            color: #88b121;
        }
                .row{
                    margin: 0;
                }
                .boutique-text-desc{
                    padding: 10px;
                }
                .boutique-text-desc .second-text{
        background: #88b121;
                    border-radius: 20px;
                    padding: 20px;
                    min-height: 500px;
                    color: #fff;
                }
                .pb_pricing_v1{
                    background: #88b121!important;
                color: #fff;
                }
                .list-Etape{
                    background: #f8f8f8;
                    border-radius: 20px;
                    padding: 10px ;
                    min-height: 60px;
                    text-align: center;
                }
        .list-Etape i{
                font-size: 25pt;
            color: #88b121;
                }
        .slick-prev, .slick-next{
            background: #88b121!important;
            border-radius: 10px!important;
            border: none!important;
        }
    </style>

<section class=" overflow-hidden  cover-bg-opacity text-left" id="section-home" >
    <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
        <ol class="carousel-indicators">
            <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
        </ol>
        <div class="carousel-inner">
            <div class="carousel-item active" style="background: url({{asset('images/h0.png')}}) right no-repeat;background-size: cover; ">
                <div class="col-sm-12" style="padding: 5%">
                    <div class="row align-items-center justify-content-center">
                        <div class="col-md-7 order-1 order-md-0 mt-5 mb-5 pt-5 pl-5 pr-5" style="background: rgba(136,177,33,0.9);border-radius: 6px;">
                            <h2 class="heading mb-3 text-uppercase" style="color: #ffffff"> La famille sungrocery grandit !    </h2>
                            <div class="sub-heading" style="color: #fff">
                                <p class="mb-4"> Dès Aujourd'hui , nous vous facilitons la tâche en vous proposant directement les produits de vos boutiques sur la plateforme : </p>
                                <p class="mb-4" style="font-weight: 500">
                                   sungrocery market disponible sur : <a href="https://market.sungrocery.biz">https://market.sungrocery.biz</a>
                                    <br>
                                   <strong> Faites vos commandes en quelques clics et à coût défiant la concurrence.</strong>
                                </p>
                                <p class="mb-5">
                                       <a class="btn btn-light btn-lg pb_btn-pill" href="https://market.sungrocery.biz"><span class="pb_font-14 text-uppercase pb_letter-spacing-1 mt-2">Accéder à sungrocery market</span></a>
                                  
                                </p>
                            </div>
                        </div>

                        <div class="col-md-5 relative align-self-center order-0 order-md-1 mt-5 mb-5 d-none d-sm-none d-md-block d-lg-block">
                            {{--                    <img class="lazy" data-src="{{asset('images/e-commerce-img1.png')}}" alt="" width="100%">--}}
                        </div>
                    </div>
                </div>

            </div>
            <div class="carousel-item" style="background: url({{asset('images/h1.jpg')}}) right no-repeat;background-size: auto; ">
                <div class="col-sm-12" style="padding: 5%">
                    <div class="row align-items-center justify-content-center">
                        <div class="col-md-7 order-1 order-md-0 mt-5 mb-5 pt-5 pl-5 pr-5" style="background: rgba(136,177,33,0.9);border-radius: 6px;">
                            <h2 class="heading mb-3 text-uppercase" style="color: #ffffff">Votre espace de vente en ligne.</h2>
                            <div class="sub-heading" style="color: #fff">
                                <p class="mb-4">
                                    Lancez facilement votre espace de vente en ligne sans connaissance en informatique. Commencez à vendre et à développer votre activité en ligne en moins d'une minute !                    </p>
                                <p class="mb-4" style="font-weight: 500">
                                    Nous ne percevons aucune commission sur vos ventes.
                                    <br>
                                   <strong> Vous devez avoir une boutique physique ou point de vente avant de créer votre espace en ligne.</strong>
                                </p>
                                <p class="mb-5">
                                    @if(\Illuminate\Support\Facades\Session::has('user'))

                                        <a class="btn btn-light btn-lg pb_btn-pill" href="{{route('home')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1 mt-2">Tableau de bord</span></a>
                                    @else
                                        <a class="btn btn-light btn-lg pb_btn-pill" href="{{route('login')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1 mt-2">Démarrer maintenant</span></a>
                                    @endif
                                    <a href="#section-shop" class="btn btn-dark pb_btn-pill btn-lg mt-2"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Toutes nos boutiques</span></a>

                                </p>
                            </div>
                        </div>

                        <div class="col-md-5 relative align-self-center order-0 order-md-1 mt-5 mb-5 d-none d-sm-none d-md-block d-lg-block">
                            {{--                    <img class="lazy" data-src="{{asset('images/e-commerce-img1.png')}}" alt="" width="100%">--}}
                        </div>
                    </div>
                </div>

            </div>
            <div class="carousel-item" style="background: url({{asset('images/h6.jpg')}}) right no-repeat;background-size: cover; ">
                <div class="col-sm-12" style="padding: 5%">
                    <div class="row align-items-center justify-content-center">
                        <div class="col-md-7 order-1 order-md-0 mt-5 mb-5 pt-5 pl-5 pr-5" style="background: rgba(136,177,33,0.9);border-radius: 6px;">
                            <h2 class="heading mb-3 text-uppercase" style="color: #fff">Tous les secteurs de l'agrobusiness.</h2>
                            <div class="sub-heading" style="color: #fff">
                                <p class="mb-4">
Que vous soyez dans le secteur agricole, de la transformation agricole, de la transformation de produits agricoles ou de la technologies au services  du developpement agricole, vous avez votre place avec nous.

                                <p class="mb-5">
                                    @if(\Illuminate\Support\Facades\Session::has('user'))

                                        <a class="btn btn-light btn-lg pb_btn-pill" href="{{route('home')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1 mt-2">Tableau de bord</span></a>
                                    @else
                                        <a class="btn btn-light btn-lg pb_btn-pill" href="{{route('login')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1 mt-2">Démarrer maintenant</span></a>
                                    @endif
                                    <a href="{{route('boutique_liste')}}" class="btn btn-dark pb_btn-pill btn-lg mt-2"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Toutes nos boutiques</span></a>

                                </p>
                            </div>
                        </div>

                        <div class="col-md-5 relative align-self-center order-0 order-md-1 mt-5 mb-5 d-none d-sm-none d-md-block d-lg-block">
                            {{--                    <img class="lazy" data-src="{{asset('images/e-commerce-img1.png')}}" alt="" width="100%">--}}
                        </div>
                    </div>
                </div>

            </div>
            <div class="carousel-item" style="background: url({{asset('images/h7.jpg')}}) right no-repeat;background-size: cover; ">
                <div class="col-sm-12" style="padding: 5%">
                    <div class="row align-items-center justify-content-center">
                        <div class="col-md-7 order-1 order-md-0 mt-5 mb-5 pt-5 pl-5 pr-5" style="background: rgba(136,177,33,0.9);border-radius: 6px;">
                            <h2 class="heading mb-3 text-uppercase" style="color: #ffffff">Vous recherchez quelques chose en particulier ?</h2>
                            <div class="sub-heading" style="color: #fff">
                                <p class="mb-4">
                                    Vous avez besoins d'un produit ou service  dans le domaine de l'agrobusiness ?
                                    L'espace annonceur de sunglocery vous garantie satisfaction.
                                    Que vous soyez vendeur, acheteur ou client, publiez votre annonce et vous serez satisfait.
                                </p>

                                <p class="mb-5">
                                    @if(\Illuminate\Support\Facades\Session::has('user'))

                                        <a class="btn btn-light btn-lg pb_btn-pill" href="{{route('home')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1 mt-2">Tableau de bord</span></a>
                                    @else
                                        <a class="btn btn-light btn-lg pb_btn-pill" href="{{route('login')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1 mt-2">Démarrer maintenant</span></a>
                                    @endif
                                    <a href="{{route('liste_annonces')}}" class="btn btn-dark pb_btn-pill btn-lg mt-2"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Toutes les annonces</span></a>

                                </p>
                            </div>
                        </div>

                        <div class="col-md-5 relative align-self-center order-0 order-md-1 mt-5 mb-5 d-none d-sm-none d-md-block d-lg-block">
                            {{--                    <img class="lazy" data-src="{{asset('images/e-commerce-img1.png')}}" alt="" width="100%">--}}
                        </div>
                    </div>
                </div>

            </div>
        </div>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Précédent</span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Suivant</span>
        </a>
    </div>


</section>


<section class="pb_section pb_slant-light " style="background: rgba(136,177,33,0.9);color: #fff;padding: 4% 0">
    <div class="offset-lg-2 offset-md-1 col-sm-12 col-md-10 col-lg-8">
        <div class="row">
            <h2 class="col-12 text-center" style="color: white">
                Retrouvez désormais vos produits made in Africa dans le grand marché de sungrocery. Faites vos achats en de façon simplifier et organisé sur sungrocery market.
            </h2>
            <div class="col-sm-12 text-center mt-4 mb-4">

                <a href="https://market.sungrocery.biz" class="btn btn-default" style="color: rgba(136,177,33,0.9);background: #fff;padding: 10px 20px;font-weight: bold">
                    <img class="lazy" alt="" width="100px" src="https://market.sungrocery.biz/images/logo.png" style=""> <br>
                    ACCEDER A SUNGROCERY MARKET </a>
            </div>
        </div>
    </div>
</section>
<section class="pb_section bg-light pb_slant-white" id="section-pricing" style="background: #fff !important;">
        <div class="container-fluid text-center">
            <h2 style="font-weight: bold" class="text-center mt-5 mb-2">Ils nous soutiennent</h2>
            <div class="responsive">
                <div><a href="https://lecoursier.bj" target="_blank"> <img  src="{{asset('images/coursier.gif')}}" alt="le coursier" width="150px"></a></div>
            <div><a href="https://sungrocery.biz" target="_blank"> <img src="{{asset('images/partenaire_rmib.png')}}" alt="ramib" width="150px"></a></div>
                <div><a href="https://sungrocery.biz" target="_blank"> <img src="{{asset('images/partenaire_coc.png')}}" alt="coc" width="150px"></a></div>
                <div><a href="https://suntech.bj" target="_blank"> <img src="{{asset('images/partenaire_suntech.png')}}" alt="suntech" width="150px"></a></div>
                <div><a href="https://sungrocery.biz/benin_grocery" target="_blank"> <img src="{{asset('images/partenaire_benin_grocery.jpeg')}}" alt="benin grocery" width="150px"></a></div>
                <div class="pt-4 mt-1"><a href="https://sungrocery.biz" target="_blank"> <img src="{{asset('images/partenaire_societe_bio.jpeg')}}" alt="societe bio" width="150px"></a></div>
                <div class="pt-4 mt-1"><a href="https://sungrocery.biz" target="_blank"> <img src="{{asset('images/partenaire_gsm.jpeg')}}" alt="gsm" width="150px"></a></div>
                <div class="pt-4 mt-1"><a href="https://sungrocery.biz" target="_blank"> <img src="{{asset('images/partenaire_fram_business.jpeg')}}" alt="fram business" width="150px"></a></div>

            </div>
        </div>
    </section>

<section class="pb_section" id="section-features" style="background: #f8f8f8;">
    <div class="row">
    <div class="col-md-12 col-12">
        <div class="row justify-content-center mb-5">
            <div class="col-md-12 text-center" style="padding-top: 30px">

                <h2 style="font-weight: 700">DECOUVREZ SUNGROCERY</h2>
                <div class="col-12 text-center">
                    <img src="{{asset('images/t1.png')}}" alt="" width="100px">
                </div>
                <hr style="width: 50px;background: #88b121;padding: 2px">
                <p>SUNGROCERY est une solution complète, innovante et efficace vous <br> permettant de créer votre boutique agricole en ligne et de développer votre
                    <br> business.</p>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="row">
            <div class="col-md-6 col-sm-12 col-12 col-lg-4 text-center boutique-text-desc">
                <div class="second-text">
                <img class="lazy" data-src="{{asset('images/e-commerce-img1.png')}}" alt="" width="200px">
                <h5 class="mt-4 mb-2 bold">Créer votre boutique</h5>
                <p style="font-size: 12pt;font-weight:400;">
                    Trouvez un nom pour votre boutique, créez votre espace de vente en quelques clics à partir des multiples modèles de pages que nous proposons, et animez le en intégrant votre propre contenu. Le tout est quasiment offert gratuitement, puisque l'abonnement vous coûte mensuellement très moins chère !                </p>
                <a class="dec-a" href="{{route('how_to_create_boutique')}}">Comment créer une boutique ?    </a>
            </div>
            </div>
                    <div class="col-md-6 col-sm-12 col-12 col-lg-4 text-center boutique-text-desc">
                        <div class="second-text">
                <img class="lazy" data-src="{{asset('images/ecommerce-business.png')}}" alt="" width="170px">
                <h5 class="mt-4 mb-2 bold">Piloter son business</h5>
                <p style="font-size: 12pt;font-weight:400;">
                    Gérez vos produits, vos commandes, la relation avec vos clients et suivez les statistiques liées à votre activité grâce à notre tableau de bord complet. Vous aurez un historique de toutes les transactions et pourrez aisément anticiper sur la demande des clients.                </p>
{{--                        <a class="dec-a" href="{{route('how_to_configure_my_boutique')}}">Découvrir</a>--}}
            </div>
            </div>
                  <div class="col-md-6 col-sm-12 col-12 col-lg-4 text-center boutique-text-desc">
                      <div class="second-text">
                <img class="lazy" data-src="{{asset('images/e-commerce-attract.png')}}" alt="" width="285px">
                <h5 class="mt-4 mb-2 bold">Attirer plus de clients</h5>
                <p style="font-size: 12pt;font-weight:400;">
                    Partagez votre page sur les réseaux sociaux ou votre blog pour attirer plus de visiteurs. Nous ferons la promotion de votre boutique à travers nos divers canaux de communication. Nous pouvons également vous accompagner dans l'élaboration et l'exécution de votre stratégie marketing digitale.
                    <br>
                    <br>
{{--                    <a  class="dec-a"  href="#">Apprendre les bonnes méthodes  </a>--}}
            </div>
            </div>
                </div>
            </div>
        </div>
    </div>
    </div>
</section>
<!-- END section -->


<section class="pb_section pb_slant-light " style="background: #fff;color: #0e0e0e;padding: 4% 0">
    <div class=" col-sm-12 col-md-12 col-lg-12">
        <div class="row justify-content-center mb-1">
       <div class="col-sm-12 text-center mt-4 mb-4">
<h2 class="pt-4 pb-1 text-uppercase"> DEVENEZ dès aujourd'hui GEstionnaire sungrocery. </h2>
           <div class="col-12 text-center">
               <img src="{{asset('images/t2.png')}}" alt="" width="100px">
           </div>
           <hr style="width: 50px;background: #88b121;padding: 2px">
           <div class="row">
        <div class="col-lg-3 mt-2"><div class="list-Etape"><span><i class="mdi mdi-account-plus"></i></span> <br>   Créez un compte utilisateur</div></div>
        <div class="col-lg-3 mt-2"><div class="list-Etape"><span><i class="mdi mdi-cogs"></i></span> <br>  Configurez votre compte gestionnaire</div></div>
        <div class="col-lg-3 mt-2"><div class="list-Etape"><span><i class="mdi mdi-earth"></i></span>
                <br>  Rendez public votre profil gestionnaire</div></div>
        <div class="col-lg-3 mt-2"><div class="list-Etape"><span> <i class="mdi mdi-email"></i></span>
                <br> Faites une demande de gestion d'espace de vente </div></div>
        <div class="col-lg-4 mt-2"><div class="list-Etape"><span><i class="mdi mdi-gesture-spread"></i></span>
                <br> Administrez la boutique d'un client sungrocery  suivant un accord de remunération.</div></div>
        <div class="col-lg-3 mt-2"><div class="list-Etape"><span><i class="mdi mdi-information-variant
"></i></span> <br>  Administrez autant de boutique que vous le désirez.</div></div>
        <div class="col-lg-5 mt-2"><div class="list-Etape"><span><i class="mdi mdi-cash-multiple"></i></span>
                <br>  Gagnez de l'argent en souscrivant une boutique en tant que gestionnaire. Soit 20% du prix d'abonnement pour la première fois et 10% à chaque réabonnement pour la vie.</div></div>

    </div>
       </div>

        </div>
    </div>
    <div class="col-12 text-center">
        <img src="{{asset('images/banner-3.png')}}" alt="">
    </div>

</section>
<!-- END section -->

<section class="pb_section bg-light pb_slant-white" id="section-shop">
    <div class="col-12 pt-4 pb-4">
        <h2 class="col-12 text-center" style="font-weight: bold">Nos boutiques</h2>
        <hr style="width: 50px;background: #88b121;padding: 2px">
        <p class="text-center">Liste des boutiques disponibles sur sungrocery.</p>
        <div class="mt-4">
            <div class="text-center loader" style="display: none;margin-bottom: 10vh">
                <img src="{{asset('images/loader2.gif')}}" alt=""  style="margin-top: 10vh;">
                <br>
                <span>Veuillez patienter</span>
            </div>
            <div class="text-center nothing" style="display: none;margin-bottom: 10vh">
                <span  style="color: #9d0000;">Votre recherche n'a pas aboutie. Veuillez réesayer avec d'autre valeur du filtre</span>
            </div>
            <div class="row" id="list_boutique" style="text-align: center">
                <div class="col-md-12 text-center">
                    <i class="fa fa-circle-o-notch fa-spin" style="margin-top: 10vh;font-size:24px"></i>
                    <br>
                    <div class="col-md-12 mb-5">Chargement en cours</div>
                </div>
            </div>
            <div class="col-12">
                <div class="text-center boutique-list-data-list-product-loader" style="display: none;margin-bottom: 5vh">
                    <i class="fa fa-circle-o-notch fa-spin" style="font-size:24px"></i>
                    <br>
                    <span>Chargement en cours</span>
                </div>
            </div>
        </div>
    </div>
</section>

    <section class="pb_section pb_slant-light " style="background: #88b121;color: #fff;padding: 4% 0;">
        <div class="offset-lg-2 offset-md-1 col-sm-12 col-md-10 col-lg-8">
            <div class="row justify-content-center mb-1">
                <div class="col-md-12 text-center mb-3">
                    <h2 style="color: #fff">Rejoignez des vendeurs de part l'Afrique</h2>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12 text-center mt-4 mb-4">
                    <a href="{{route('boutique_liste')}}" class="btn btn-default" style="color: #88b121;background: #fff">Liste des boutiques en lignes</a>
                </div>
            </div>
        </div>
    </section>
    <!-- END section -->

@if(isset($actualites) && count($actualites)>0)
<section class="pb_section bg-light pb_slant-white" id="section-pricing" style="background: #fff !important;">
    <div class="container-fluid pt-4 pb-4">
        <div class="row justify-content-center mb-5">
            <div class="col-md-12 text-center" style="padding-top: 30px">
                <h2 style="font-weight: bold;" class="text-center mb-4 text-uppercase">ESPACE ACTUALITéS</h2>
                <div class="col-12 text-center">
                    <img src="{{asset('images/t1.png')}}" alt="" width="100px">
                </div>
                <hr style="width: 50px;background: #fff;padding: 2px">
                <p>Suivez des actualités de vos boutiques preférées.</p>
            </div>
        </div>

        <div class="row">
           @foreach($actualites as $actualite)
               @php
                   $meta_model=new \App\Users_meta();
                   $picture=$meta_model->get_user_field($actualite->user->id,'profil_picture');
               @endphp
               <div class="col-lg-4 col-md-12 col-xl-4 col-12 list_actualite " data-titre="{{$actualite->titre}}" >
                   <div style="background: #f8f8f8" class="pt-3 pb-3 mb-3 col-lg-12 col-xs-12">
                   <div  >

                       <img class="lazy" data-src="{{$actualite->image}}" alt="{{$actualite->titre}}" style="width: 100%;border-radius: 10px">

                   </div>
                   <div  class="pt-3">
                       <img class="lazy" data-src="{{asset('Profil_picture/'.$picture)}}" alt="" style="width: 30px;height: 30px;border-radius: 100%">
                       &nbsp;&nbsp;
                       {{$actualite->user->last_name}} {{$actualite->user->first_name}}
                   </div>
                   <div class=" mt-2">
                       <h4 class="mt-2">{{$actualite->titre}} </h4>
                       <p>{{Illuminate\Support\Str::limit($actualite->resume,200)}}</p>
                       <p>Publié le :  <small>{{date("d-m-Y",strtotime($actualite->created_at))}}</small></p>

                       <div>
                           <div class="text-left mb-3">
                               <div class="list-media whatsapp"><a target="_blank" href="https://api.whatsapp.com/send?text=J%27ai%20vu%20ceci%20sur%20sungrocery%20%3A%20%20{{url('/')}}%2Factualite%2F{{$actualite->slug}}"><i class="fa fa-whatsapp"></i></a></div>
                               <div class="list-media facebook"><a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u={{url('/')}}%2Factualite%2F{{$actualite->slug}}"  title="Share on Facebook"><i class="fa fa-facebook-f"></i></a></div>
                               <div class="list-media instagram"><a target="_blank" href="https://www.linkedin.com/shareArticle?mini=true&url={{url('/')}}%2Factualite%2F{{$actualite->slug}}"><i class="fa fa-linkedin"></i></a></div>
                           </div>
                           <a href="{{route('actualite',$actualite->slug)}}" class="btn btn-primary btn-sm"> Voir plus</a>
                       </div>
                   </div>
               </div>
               </div>
           @endforeach
       </div>

        <div class="col-lg-12 col-xs-12 text-center pt-4 mt-3">

            <a href="{{route('liste_actualites')}}"  style="border: none" class="btn btn-light text-uppercase pl-3 pr-3">voir plus d'actualités</a>

        </div>
    </div>
</section>
@endif



<section class="pb_section bg-light pb_slant-white" id="section-pricing">
    <div class="container">
        <div class="row justify-content-center mb-5">
            <div class="col-md-6 text-center mb-3 mt-4">
                <h2 class="text-uppercase" style="font-weight: bold">Nous vous accompagnons</h2>
                <div class="col-12 text-center">
                    <img src="{{asset('images/t6.png')}}" alt="" width="100px">
                </div>
                <hr style="width: 50px;background: #88b121;padding: 2px">

                <p>
                    Besoin d'aide ? Contactez nous. Notre équipe est à votre service.
                </p>
            </div>
        </div>
        <div class="row">
            <div class="col-md">
                <div class="pb_pricing_v1 p-5 border text-center bg-white" >
                    <img class="lazy rounded" data-src="{{asset('landing_page/images/call_center.png')}}" width="100" height="100" alt="">
                    <h3>Une assistance sur mesure.</h3>
                     <p class="pb_font-15">
                         Disponible 24h/7j. Bénéficiez de l'assistance dont vous avez besoin pour gérer au mieux votre boutique.                     </p>
                    <p><i class="fa fa-mobile-phone"></i> <a href="tel:{{env('SERVICES_NUMBER')}}">{{env('SERVICES_NUMBER')}}</a></p>
                    <p><i class="fa fa-envelope-open"></i> <a href="mailto:{{env('MAIL_CONTACT')}}"> {{env('MAIL_CONTACT')}}</a></p>
                      </div>
            </div>
            <div class="col-md">
                <div class="pb_pricing_v1 p-5 border  text-center bg-white" >
                    <img class="lazy rounded" data-src="{{asset('landing_page/images/expert.png')}}"  width="150" height="110" alt="">

                    <h3>Expert sungrocery</h3>
                    <p class="pb_font-15">
                        Solliciter l'aide d'un expert sungrocery pour vous accompagner pas à pas, de la configuration de votre boutique à sa gestion complète.                    </p>
                    <p class="mb-0"><a href="#" onclick="alert('option bientot disponible'); return false" role="button" class="btn btn-default" style="background: #88b121;color: #fff;">contacter un expert</a></p>

                </div>
            </div>
            <div class="col-md">
                <div class="pb_pricing_v1 p-5 border text-center bg-white" >
                    <img class="lazy rounded" data-src="{{asset('landing_page/images/localisation.png')}}"  width="100" height="100" alt="">

                    <h3>Adresse de localisation</h3>
                    <p class="pb_font-15">
                       Sungrocery est présent dans plusieurs grandes villes d'Afrique. Contactez nous si vous souhaitez nous rencontrer.                    </p>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- ENDs ection -->

<section class="pb_xl_py_cover overflow-hidden " id="contactSupport"  style="background-image: url({{asset('landing_page/images/1900x1200_img_5.jpg')}})">
    <div class="col-sm-12">
        <div class="row align-items-center justify-content-center">
            <div class="col-md-5 justify-content-center">
                <h2 class="heading mb-5 pb_font-40" style="color: #0f0f0f">Ne perdez plus un seul instant et lancez vous !</h2>
                <div class="sub-heading">
                    <p class="mb-4" style="color: #0f0f0f">
                        Créez un compte sungrocery et commencez à vendre dès aujourd'hui. Générez aisément votre catalogue de produits, vendez et récupérez votre argent en temps réel. <br><br>
                        <a href="{{route('boutique')}}" class="btn btn-dark">Créer une boutique</a>


                    </p>
                </div>
            </div>
            <div class="col-md-1"></div>
            <div class="col-md-5">
                @php
                    $name='';
                          $tel='';
                          $email='';
                          if(\Illuminate\Support\Facades\Session::has('user')){
                          $user=\Illuminate\Support\Facades\Session::get('user');
                          $name=$user['first_name'].' '.$user['last_name'];
                          $tel=$user['telephone'];
                          $email=$user['email'];
                          }
                @endphp
                <form action="{{route('contactmakeAdmin.post')}}" method="post" id="contact_form" onsubmit="check_error(['contact_form_name','contact_form_email','contact_form_phone','contact_form_message'])" class="bg-white rounded pb_form_v1">
                    @csrf
                    <h2 class="mb-4 mt-0 text-center">Laissez nous un message</h2>
                    <div class="form-group">
                        <input type="text" name="name" required="required" class="form-control py-3 reverse" data-input_name="nom" value="{{$name}}" id="contact_form_name" onblur="check_error(['contact_form_name'])" placeholder="votre nom ">
                   <span id="errorcontact_form_name"></span>
                    </div>
                    <div class="form-group">
                        <input type="text" name="email" required="required" class="form-control py-3 reverse" data-input_name="email" value="{{$email}}" id="contact_form_email" onblur="check_error(['contact_form_email'])" placeholder="Email">
                    <span id="errorcontact_form_email"></span>
                    </div>
                    <div class="form-group">
                        <input type="text" name="tel" required="required" class="form-control py-3 reverse" data-input_name="téléphone" value="{{$tel}}" id="contact_form_phone" onblur="check_error(['contact_form_phone'])" placeholder="Téléphone">
                    <span id="errorcontact_form_phone"></span>
                    </div>
                    <div class="form-group">
                            <textarea name="message" required="required" id="contact_form_message" data-input_name="message" style="width: 100%" onblur="check_error(['contact_form_message'])"  class="form-control py-3 reverse" rows="3" placeholder="message"></textarea>
                   <span id="errorcontact_form_message"></span>
                    </div>
                    <div class="form-group">
                        <input type="submit" class="btn btn-primary btn-lg btn-block pb_btn-pill   contact_submit_button" value="envoyer">
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div id="descriptionModal" class="modal fade">
        <div class="modal-dialog">
            <form method="post" id="post_description"  action="{{route('update_description')}}">
                @csrf
                <input type="hidden" value="" name="slug" id="boutique-slug">
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fa fa-exclamation-circle"></i> A propos </h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <textarea name="description" id="description_show" style="width: 100%;padding: 20px;background: transparent;border: none;" rows="6" disabled  placeholder="Décrivez les  différentes activités de votre boutique.( Le client se réferera à cela pour consulter vos articles.)" required></textarea>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <button type="button" class="btn btn-default" data-dismiss="modal" style="border-radius: 0px;">Fermer</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</section>
<!-- END section -->
@endsection

@section('script')
    <script>
        let old_data='';
        let interval=setInterval(() => {
            if (sessionStorage.getItem('urlData') &&  sessionStorage.getItem('urlData')!==null &&  sessionStorage.getItem('urlData')!=='null' &&  sessionStorage.getItem('urlData')!=='' &&  sessionStorage.getItem('urlData')!==0) {
               if( old_data!==sessionStorage.getItem('urlData')){
                   $('.boutique-list-data-list-product-loader').fadeIn();
                        old_data=sessionStorage.getItem('urlData');
                        $.ajax({
                            method:"POST",
                            data:{_token:'{{csrf_token()}}'},
                            url: sessionStorage.getItem('urlData'),
                            success: function (data) {
                                if (!data.error) {
                                    $('.boutique-list-data-list-product-loader').fadeOut();
                                    $('#list_boutique').append(data.view);
                                    sessionStorage.setItem('urlData',data.boutiques.next_page_url)
                                    $('.lazy').Lazy();
                                }else{
                                    sessionStorage.setItem('urlData',0);
                                    $('.boutique-list-data-list-product-loader').fadeOut();
                                    clearInterval(interval);
                                }
                            },
                            error: function (req, status, error) {
                                $('.boutique-list-data-list-product-loader').fadeOut();
                                console.log(error)
                            }
                        });
                }else{
                    if(sessionStorage.getItem('urlData') && sessionStorage.getItem('urlData')===0){
                        $('.boutique-list-data-list-product-loader').fadeOut();
                        clearInterval(interval);
                    }
                }
            }else{
                if(sessionStorage.getItem('urlData') && sessionStorage.getItem('urlData')===0){
                    $('.boutique-list-data-list-product-loader').fadeOut();
                        clearInterval(interval);
                    }
            }
        }, 1000);

        $(document).on('click','.description',function(e){
            e.preventDefault();
            let $description=$(this).data('description');
            $('#description_show').val($description);
            $('#descriptionModal').modal('show')
        })

        $(document).on('click','.visite',function(e){
                e.preventDefault();
            let $btn=$(this);
            let $boutique=$btn.data('slug');
            let $href=$btn.data('url');
                $btn.html('<img src="'+'{{asset('images/loader.gif')}}'+'" width="20px">');
                $btn.attr('disabled',true);
                setTimeout(function(){
                    location.href=$href;
        },1000)
    })
    </script>
@endsection
