@php
    $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
@endphp
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;">LES PANIERS MIB {{$year}} </span></h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))

                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>
                            @endif
                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <a href="{{route('admin.panier.mib.year',$boutique->slug)}}" class="btn btn-default btn-sm" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                            </div>
                                @php
                                    $params=new \App\ParametrageMib();
                                    $souscription=$params->getParametersByKeys('souscription',$boutique->id,$year);
                                    $devise=$params->getParametersByKeys('devise',$boutique->id,$year);
                                    $jour_fin=$params->getParametersByKeys('jour_fin',$boutique->id,$year);
                                    $fin_souscription=$params->getParametersByKeys('fin_souscription',$boutique->id,$year);
                                    $active_carte_brunch=$params->getParametersByKeys('active_carte_brunch',$boutique->id,$year);
                                    $can_have_carte_brunch=$params->getParametersByKeys('can_have_carte_brunch',$boutique->id,$year);
                                     $condition_integration=$params->getParametersByKeys('condition_integration',$boutique->id,$year);
                                    $mot_bienvenue=$params->getParametersByKeys('mot_bienvenue',$boutique->id,$year);
                                    $parainnage=$params->getParametersByKeys('parainnage',$boutique->id,$year);
                                @endphp
                                @php $cotisation=new \App\CotisationMib(); @endphp
                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    @if(
                                        isset($souscription) && $souscription!=null &&
                                        isset($devise) && $devise!=null &&
                                        isset($jour_fin) && $jour_fin!=null &&
                                        isset($fin_souscription) && $fin_souscription!=null &&
                                        isset($parainnage) && $parainnage!=null
                                        )
                                       
                                    <table id="categoriedatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                        <thead>
                                        <tr>
                                            <th></th>
                                            <th>Client</th>
                                            <th>Catégorie Mib</th>
                                            <th>Lot Mib</th>
                                            <th>Carte Brunch</th>
                                            <th>Statut Panier Mib {{date('Y')}}</th>
                                            <th>Statut cotisation</th>
                                            <th>Bonus</th>
                                            <th>Portefeuille</th>
                                            <th>Livraison</th>
                                            <th>Commentaire</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @php $i=1; @endphp
                                        @foreach($clients as $client)
                                            <tr>
                                                <td>
                                                    <div class="dropdown">
                                                        <button class="btn btn-light btn-sm dropdown-toggle" style="display: inline-flex;" type="button" data-toggle="dropdown">action  <i style="margin-top: 4px;margin-left: 3px;" class="fa fa-chevron-down"></i> </button>
                                                        <ul class="dropdown-menu">
                                                            <li><a href="{{route('admin.cotisation.mib',$client->slug)}}">Liste des Cotisations</a></li>
                                                        </ul>
                                                    </div>
                                                </td>

                                                <td><a href="#" class="clientMibData"
                                                    data-client="{{$client->nom.' '.$client->prenom}}"
                                                    data-adresse="{{$client->adresse}}"
                                                    data-tel="{{$client->tel}}"
                                                    data-nommandataire="{{$client->nom_mandataire}}"
                                                    data-telmandataire="{{$client->tel_mandataire}}"
                                                    data-adressemandataire="{{$client->adresse_mandataire}}"

                                                    data-is_parainer="{{$client->parainer}}"
                                                   @if($client->parainer)
                                                       data-parrain="{{$client->parrain ? $client->parrain->last_name.' '.$client->parrain->first_name : ''}}"
                                                       data-telp="{{$client->parrain ? $client->parrain->telephone : ""}}"
                                                   @endif

                                                    >{{$client->nom}} {{$client->prenom}}</a></td>
                                                <td>{{$client->categorieMib->name}}</td>
                                                <td>{{isset($client->lotMib) && $client->lotMib !=null  ? $client->lotMib->nom : '-'}}</td>
                                           <td>
                                                    @if($client->brunch)
                                                        <span class="badge badge-success">oui</span>
                                                    @else
                                                        <span class="badge badge-warning">non</span>
                                                    @endif
                                                </td>
                                           <td>
                                                    @if($client->status_cotisation)
                                                        <span class="badge badge-success">actif</span>
                                                    @else
                                                        <span class="badge badge-danger">fermé</span>
                                                    @endif
                                                      </td>
                                           <td>
                                                    @if($client->end_cotisation)
                                                        <span class="badge badge-success">terminé</span>
                                                    @else
                                                        <span class="badge badge-warning">en cours</span>
                                                    @endif
                                                        &nbsp;&nbsp; <span class="badge badge-danger">Impayer : {{$cotisation->nombreImpayer($client->id,$boutique->id)}}</span>
                                                        &nbsp;&nbsp;  <span class="badge badge-info">Payer : {{$cotisation->nombrePayer($client->id)}}</span>
                                                        &nbsp;&nbsp; <span class="badge badge-warning">Reste à payer : {{$cotisation->nombreRestePayer($client->id)}}</span>
                                           </td>

                                                <td>
                                                    @if($client->bonus)
                                                        <span class="badge badge-success">actif</span>
                                                    @else
                                                        <span class="badge badge-danger">retiré</span>
                                                    @endif
                                                </td>
                                           <td>{{$cotisation->sumPayer($client->id)}}</td>


                                                <td>
                                                @if($client->livrer)
                                                    <span class="badge badge-success">terminé</span>
                                                @else
                                                    <span class="badge badge-warning">en attente</span>
                                                    @endif
                                                    </td>
                                           <td>{{$client->commentaire}}</td>

                                            </tr>
                                            @endforeach
                                        </tbody>
                                    </table>

                                        <div id="clientMibModal" class="modal fade" tabindex="-1" role="dialog"  aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                <div class="modal-content" style="border-radius: 0px;">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                        <h4 class="modal-title"><i class="fa fa-plus"></i> Ajouter un nouveau client </h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <form action="{{route('create.mib.client')}}" method="post" class="col-12">
                                                           @csrf
                                                            <div class="row">

                                                                <h3 class="col-lg-12">
                                                                    <strong> </strong> Veuillez fournir les informations requises pour finaliser la souscription
                                                                </h3>

                                                                <div class="col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="categorie_mib_slug">Catégorie Panier</label>
                                                                        <select name="categorie_mib_slug" id="categorie_mib_slug"  class="form-control"  data-input_name="catégorie" onblur="check_error(['categorie_mib_slug']);" required="required">
                                                                            <option>Choisir une catégorie</option>
                                                                        @foreach($categorie_mibs as $cat)
                                                                             <option value="{{$cat->slug}}">{{$cat->name}} ({{$cat->price}} {{$devise}})</option>
                                                                            @endforeach
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                  <div class="col-lg-6" id="lot_mib_box_" style="display: none">
                                                                    <div class="form-group">
                                                                        <label for="lot_mib_slug">Lot</label>
                                                                        <select name="lot_mib_slug" id="lot_mib_slug" class="form-control"  data-input_name="lot" onblur="check_error(['lot_mib_slug']);" required="required">
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="nom">Nom</label>
                                                                        <input data-input_name="nom" onblur="check_error(['nom']);" required="required" type="text"  class="form-control" value="{{\Illuminate\Support\Facades\Auth::user()->last_name}}" name="nom" id="nom" placeholder="Votre nom">
                                                                    </div>
                                                                </div>

                                                                <div class="col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="prenom">Prenom</label>
                                                                        <input data-input_name="prenom" onblur="check_error(['prenom']);" required="required" type="text" class="form-control" value="{{\Illuminate\Support\Facades\Auth::user()->first_name}}" name="prenom" id="prenom" placeholder="Votre prenom">
                                                                    </div>
                                                                </div>

                                                                <div class="col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="tel">Téléphone</label>
                                                                        <input data-input_name="téléphone" onblur="check_error(['tel']);" required="required" type="number" class="form-control" name="tel" {{\Illuminate\Support\Facades\Auth::user()->telephone}} id="tel" placeholder="0022967000000">
                                                                    </div>
                                                                </div>

                                                                <div class="col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="adresse">Adresse</label>
                                                                        <input data-input_name="adresse" onblur="check_error(['adresse']);" required="required" type="text" class="form-control" name="adresse" id="adresse" placeholder="Abomey-calavi/Parana/">
                                                                    </div>
                                                                </div>

                                                                <h4 class="col-lg-12">Mandataire</h4>
                                                                <p class="col-lg-12">Veuillez renseigner ces informations pour mandater un de vos proches pour la reception des différents lots de l'offre choisis</p>


                                                                <div class="col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="nom_mandataire">Nom et prenom du mandataire</label>
                                                                        <input type="text" class="form-control" name="nom_mandataire" id="nom_mandataire" placeholder="Nom et prenom du mandataire">
                                                                    </div>
                                                                </div>

                                                                <div class="col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="tel_mandataire">Téléphone du mandataire</label>
                                                                        <input type="number" class="form-control" name="tel_mandataire" id="tel_mandataire" placeholder="0022967000000">
                                                                    </div>
                                                                </div>

                                                                <div class="col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="adresse_mandataire">Adresse du mandataire</label>
                                                                        <input type="text" class="form-control" name="adresse_mandataire" id="adresse_mandataire" placeholder="Abomey-calavi/Parana/">
                                                                    </div>
                                                                </div>

                                                            @if(isset($active_carte_brunch) && $active_carte_brunch && isset($can_have_carte_brunch))
                                                                    <div class="col-lg-6 pt-5" id="carte_brunch_box">
                                                                        <div class="form-group">
                                                                            <label for="brunch">
                                                                                <input type="checkbox" name="brunch" id="brunch">
                                                                                Souhaitez-vous inclure la carte Brunch à cette offre ?
                                                                            </label>
                                                                        </div>
                                                                    </div>
                                                                @endif

                                                            </div>
                                                            <div class="col-12 text-right">
                                                                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                                                                <button class="btn btn-sm btn-primary" onclick="return check_error(['email','lot_mib_slug','categorie_mib_slug','nom','prenom','tel','adresse']);" type="submit">souscrire</button>
                                                            </div>
                                                        </form>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>

                                    @else
                                        <div class="col-md-12 alert alert-warning">
                                            Paramétrer votre compte Mib pour profiter des fonctionnalités de ce module.
                                       Pour cela , cliquer sur le bouton Paramètre ci-dessus.
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

   <div id="userDataModal" class="modal fade" tabindex="-1" role="dialog"  aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">

            <div class="modal-content" style="border-radius: 0px;">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title"><i class="fa fa-plus"></i> Informations de livraison </h4>
                </div>
                <div class="modal-body">
                    <div class="col-12">
                        <div class="row">
                            <h4 class="col-md-12 mb-4">INFORMATION PERSONNELLES</h4>

                            <div class="col-lg-6 col-xs-6 col-sm-6">

                                <div class="form-group">
                                    <label for="nom">Nom et Prenom</label>
                                    <input type="text" class="form-control" id="nom_client"  readonly>
                                </div>
                            </div>


                            <div class="col-lg-6 col-xs-6 col-sm-6">

                                <div class="form-group">
                                    <label for="tel">Téléphone</label>
                                    <input type="text" class="form-control" id="tel_client"  readonly>
                                </div>
                            </div>

                            <div class="col-lg-6 col-xs-6 col-sm-6">

                                <div class="form-group">
                                    <label for="adresse">Adresse</label>
                                    <input type="text" class="form-control" id="adresse_client"  readonly>
                                </div>
                            </div>

                           <div id="mandataire_box" class="col-md-12" style="display: none">
                               <div class="row">
                                <h4 class="col-lg-12 text-uppercase">Mandataire</h4>

                                <div class="col-lg-6 col-xs-6 col-sm-6">
                                    <div class="form-group">
                                        <label for="nom_mandataire">Nom et prenom du mandataire</label>
                                        <input type="text" class="form-control" id="nommandataire"  readonly>
                                    </div>
                                </div>

                                <div class="col-lg-6 col-xs-6 col-sm-6">
                                    <div class="form-group">
                                        <label for="tel_mandataire">Téléphone du mandataire</label>
                                        <input type="text" class="form-control" id="telmandataire"  readonly>
                                    </div>
                                </div>

                                <div class="col-lg-6 col-xs-6 col-sm-6">
                                    <div class="form-group">
                                        <label for="adresse_mandataire">Adresse du mandataire</label>
                                        <input type="text" class="form-control" id="adressemandataire"  readonly>

                                    </div>
                                </div>
                                </div>
                           </div>

                           <div id="parrain_box" class=" col-md-12" style="display: none">
                               <div class="row">
                                <h4 class="col-lg-12 text-uppercase">Parrain</h4>

                                <div class="col-lg-6 col-xs-6 col-sm-6">

                                    <div class="form-group">
                                        <label for="nom_mandataire">Nom et prenom du parrain</label>
                                        <input type="text" class="form-control" id="nom_parrain"  readonly>
                                    </div>
                                </div>

                                <div class="col-lg-6 col-xs-6 col-sm-6">

                                    <div class="form-group">
                                        <label for="tel_mandataire">Téléphone du parrain</label>
                                        <input type="text" class="form-control" id="tel_parrain"  readonly>
                                    </div>
                                </div>

                                </div>
                                </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                </div>
            </div>
        </div>
    </div>

    <!-- /page content -->
@endsection
