@php
    $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
@endphp
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
<style>
    .p-5{
        padding: 30px;
        font-weight: bold;
    }
    .card{
        text-align: center;
        background: #f8f8f8;
        box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
        transition: 300ms;
        cursor: pointer;
        }
.card:hover{
        box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
        }
</style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;">LES PANIERS MIB PAR ANNEE </span></h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    @foreach($years as $year)
                                        <a href="{{ route('admin.client.mib.list',$year->year) }}">
                                            <div class="col-lg-3 col-xs-6 col-sm-6">
                                                <div class="card  p-5">
                                                    <div class="card-body">
                                                    @if(intVal($year->year) == intVal(date("Y"))) <h2  style="font-size: 30pt;"><i class="mdi mdi-archive-sync-outline"></i></h2> @endif
                                                    @if(intVal($year->year) < intVal(date("Y"))) <h2 style="font-size: 30pt;"><i class="mdi mdi-archive-off-outline"></i></h2>  @endif
                                                        <h4>Panier MIB {{ $year->year }}</h4>
                                                    </div>
                                                </div>
                                            </div>
                                        </a>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
 @endsection
