@extends('dashboard.landing_blank')
@section('title') Politique de confidentialité @endsection

@section('content')
    <style>
        h2{
            color: #2a3f54;
            text-transform: uppercase;
        }
        h2 span{
            color: #a40e14;
        }
        h5{
            margin-top: 20px;
            margin-bottom: 10px;

            color: #88b121;
        }
        h3{
            margin-top: 20px;
            color: #a40e14;
        }
        #politique  ul li{
            list-style-type: square;
            margin-top: 10px;
        }

        ul#count  li{
            list-style-type: decimal;
            margin-top: 10px;
        }
       ul#count li ul li{
            list-style-type: circle;
            margin-top: 10px;
        }
        </style>


    <section class="pb_cover_v3 overflow-hidden cover-bg-#88b121 cover-bg-opacity text-left pb_gradient_v2 pb_slant-light" id="section-home">

        <div class="container">
            <div class="row align-items-center justify-content-center">
                <div class="col-md-12">
                    <h2 class="heading mb-3">Politique de confidentialité</h2>
                    <div class="sub-heading">
                        <p class="mb-5">
                            @if(\Illuminate\Support\Facades\Session::has('user'))
                                <a class="btn btn-default btn-lg pb_btn-pill smoothscroll" href="{{route('home')}}" style="border: 1px solid #fff;"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Tableau de bord</span></a>
                            @else
                                <a class="btn btn-danger btn-lg pb_btn-pill smoothscroll" href="{{route('bienvenue')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Démarrer</span></a>
                            @endif
                        </p>
                    </div>
                </div>

            </div>
        </div>
    </section>


    <section class="pb_section pb_slant-light" id="politique">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 pr-md-5 pr-sm-0 order-1  mb-5">

                    <div class="row" style="background: #fff;padding: 5%;
  -webkit-box-shadow: 1px 11px 68px -20px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 1px 11px 68px -20px rgba(0, 0, 0, 0.75);
  box-shadow: 1px 11px 68px -20px rgba(0, 0, 0, 0.75);">

                        <div class="col">
                            <h2 class="">POLITIQUE DE CONFIDENTIALITE</h2>
                        </div>




                        <h2 class="col-sm-12"> <span>ARTICLE 1 :</span>   PREAMBULE </h2>

                      <p class="col-sm-12">  Cette politique de confidentialité s'applique au site : www.sungrocey.sunmarket.biz et à l'ensemble de ses sous-domaines. La présente politique de confidentialité a pour but d'exposer aux utilisateurs du site :
                          <br>
                        La manière dont sont collectées et traitées leurs données à caractère personnel. Doivent être considérées comme données personnelles toutes les données étant susceptibles d'identifier un utilisateur. Il s'agit notamment du prénom et du nom, de l'âge, de l'adresse postale, l'adresse mail, la localisation de l'utilisateur ou encore son adresse IP.
                          <br>
                        Cette politique de confidentialité complète les Conditions Générales d'Utilisation que les utilisateurs peuvent consulter à l’adresses ci-après : Lien conditions générales d’utilisations.
                      </p>

                       <h2 class="col-sm-12"> <span>ARTICLE 2 :</span> Collecte de l’informations </h2>
                     <p class="col-sm-12">   Nous recueillons des informations lorsque vous vous inscrivez sur notre site, lorsque vous vous connectez à votre compte, faites un achat, participez à un concours, et / ou lorsque vous vous déconnectez. Les informations recueillies incluent votre nom, votre adresse e-mail, numéro de téléphone, et / ou carte de crédit.
                         <br>
                        En outre, nous recevons et enregistrons automatiquement des informations à partir de votre ordinateur et navigateur, y compris votre adresse IP, vos logiciels et votre matériel, et la page que vous demandez.
                     </p>
                        <h5 class="col-sm-12"> <span>1-</span> PRINCIPES GÉNÉRAUX EN MATIÈRE DE COLLECTE ET DE TRAITEMENT DE DONNÉES</h5>

                      <p class="col-sm-12">  Conformément aux normes de traitement des informations recueillis sur internet, la collecte et le traitement des données des utilisateurs du site respectent les principes suivants :
                      </p>
                   <ul>
                    <li> Licéité, loyauté et transparence : les données ne peuvent être collectées et traitées qu'avec le consentement de l'utilisateur propriétaire des données. A chaque fois que des données à caractère personnel seront collectées, il sera indiqué à l'utilisateur que ses données sont collectées, et pour quelles raisons ses données sont collectées ;
                </li>
                <li> Finalités limitées : la collecte et le traitement des données sont exécutés pour répondre à un ou plusieurs objectifs déterminés dans les présentes conditions générales d'utilisation ;
            </li>
            <li> Minimisation de la collecte et du traitement des données : seules les données nécessaires à la bonne exécution des objectifs poursuivis par le site sont collectées ;
        </li>
        <li> Conservation des données réduites dans le temps : les données sont conservées pour une durée limitée, dont l'utilisateur est informé. Si la durée de conservation ne peut être communiquée à l'utilisateur ;
    </li>
    <li> Intégrité et confidentialité des données collectées et traitées : le responsable du traitement des données s'engage à garantir l'intégrité et la confidentialité des données collectées.
        <br>
                        Afin d'être licites, la collecte et le traitement des données à caractère personnel ne pourront intervenir que s'ils respectent au moins l'une des conditions ci-après énumérées :
                        </li>
    <li> L'utilisateur a expressément consenti au traitement ;
                        </li>
    <li> Le traitement est nécessaire à la bonne exécution d'un contrat ;
                        </li>
    <li> Le traitement répond à une obligation légale ;
                        </li>
    <li> Le traitement s'explique par une nécessité liée à la sauvegarde des intérêts vitaux de la personne concernée ou d'une autre personne physique ;
                        </li>
    <li> Le traitement peut s'expliquer par une nécessité liée à l'exécution d'une mission d'intérêt public ou qui relève de l'exercice de l'autorité publique ;
                        </li>
    <li> Le traitement et la collecte des données à caractère personnel sont nécessaires aux fins des intérêts légitimes et privés poursuivis par le responsable du traitement ou par un tiers.
                   </ul>
                        <h5 class="col-sm-12"><span>2-</span>  DONNÉES À CARACTÈRE PERSONNEL COLLECTÉES ET TRAITÉES DANS LE CADRE DE LA NAVIGATION SUR LE SITE</h5>

                    <p class="col-sm-12">    Les données à caractère personnel collectées sur le site www.sungrocey.sunmarket.biz sont les suivantes :</p>
                        <ul>
    <li> Les informations données par l'utilisateur dans les formulaires (nom, prénom, téléphone, e-mail …) permettant la création de son entreprise et de sa boutique en ligne ou de passer une commande.
                        </li>
    <li> Les caractéristiques techniques des moyens de connexion au site web (taille de l'écran, adresse IP...),
        <br>
                        Et éventuellement les informations relatives à l'usage du site : nombre de commandes, temps passés, articles consultés...
        <br>
                        Ces données sont collectées lorsque l'utilisateur effectue l'une des opérations suivantes sur le site :
                        </li>
    <li> S'inscrit sur le site,
                        </li>
    <li> Achète un produit sur le site,
                        </li>
    <li> Consulte un article d'information,
                        </li>
                            <li> S'inscrit à une newsletter.</li>
                        </ul>
                    <p class="col-sm-12">    Par ailleurs, lors d'un paiement sur le site, il sera conservé dans les systèmes informatiques de l'éditeur du site une preuve de la transaction comprenant le bon de commande et la facture. Le responsable du traitement conservera dans ses systèmes informatiques du site et dans des conditions raisonnables de sécurité l'ensemble des données collectées pour une durée de : entre 1 jour et 3 ans, pour les simples visites, jusqu'à 5 ans si l'utilisateur valide une commande. La collecte et le traitement des données répondent notamment aux finalités suivantes :
                    </p>
                        <ul>

    <li> Création et contrôle d'accès aux comptes clients,
                        </li>
    <li> Réalisations des formalités,
                        </li>
    <li> Suivie des paiement et facturation,
                        </li>
    <li> Mise en relation avec des partenaires tiers,
                        </li>
    <li> Envoi d'informations marketing et commerciales.
        <br>
                        Et plus généralement toutes activités en relations avec la vente de services ou produits en rapport avec l'information présentée sur le site web.
    </li>
                        </ul>
                        <h2 class="col-sm-12"><span>ARTICLE 3 :</span> Utilisation des informations</h2>
                      <p class="col-sm-12">  Toutes les informations que nous recueillons auprès de vous peuvent être utilisées pour :</p>
                       <ul>
    <li> Personnaliser votre expérience et répondre à vos besoins individuels
                        </li>
    <li> Fournir un contenu publicitaire personnalisé
                        </li>
    <li> Améliorer notre site
                        </li>
    <li> Améliorer le service client et vos besoins de prise en charge
                        </li>
    <li> Vous contacter par e-mail
                        </li>
    <li> Administrer un concours, une promotion, ou une enquête.</li>

                       </ul>
                        <h2 class="col-sm-12"><span>ARTICLE 4 :</span> Confidentialité du commerce en ligne</h2>
                       <p class="col-sm-12"> Nous sommes les seuls propriétaires des informations recueillies sur ce site. Vos informations personnelles ne seront pas vendues, échangées, transférées, ou données à une autre société pour n’importe quelle raison, sans votre consentement, en dehors de ce qui est nécessaire pour répondre à une demande et / ou une transaction, comme par exemple pour expédier une commande.
                       </p>
                       <h2 class="col-sm-12"><span>ARTICLE 5 :</span> Divulgation à des tiers</h2>

                       <p class="col-sm-12"> Lors de leur navigation sur le Site, les données à caractère personnel des utilisateurs peuvent être transmises à des prestataires extérieurs. Ces tiers assurent un service pour notre compte et en notre nom dans le but de permettre le bon fonctionnement des paiements par carte de crédit et autres Services, ou sont susceptibles de proposer leurs services ou produits aux utilisateurs.
                           <br>
                        Nous ne vendons, n’échangeons et ne transférons pas vos informations personnelles identifiables à des tiers. Cela ne comprend pas les tierce parties de confiance qui nous aident à exploiter notre site Web ou à mener nos affaires, tant que ces parties conviennent de garder ces informations confidentielles.
                           <br>
                           Nous pensons qu’il est nécessaire de partager des informations afin d’enquêter, de prévenir ou de prendre des mesures concernant des activités illégales, fraudes présumées, situations impliquant des menaces potentielles à la sécurité physique de toute personne, violations de nos conditions d’utilisation, ou quand la loi nous y contraint.
                           <br>
                        Nous ne partagerons jamais, sans avoir obtenu votre consentement préalable, vos données à caractère personnel avec des sociétés tierces à des fins marketings et/ou commerciales. Les informations non-privées, cependant, peuvent être fournies à d’autres parties pour le marketing, la publicité, ou d’autres utilisations.
                           <br>
                       </p>

                        <h3 class="col-sm-12">Partage avec les autorités</h3>
                        <p class="col-sm-12">
                        Nous pouvons être amené à divulguer vos données à caractère personnel aux autorités administrative ou judiciaire lorsque leur divulgation est nécessaire à l'identification, l'interpellation ou la poursuite en justice de tout individu susceptible de porter préjudice à nos droits, de tout autre utilisateur ou d’un tiers. Nous pouvons enfin être légalement tenu de divulguer vos données à caractère personnel et ne pouvons dans ce cas nous y opposer
                       </p>
                        <h2 class="col-sm-12"><span>ARTICLE 6 :</span> Protection des informations</h2>
                     <p class="col-sm-12">   Nous mettons en œuvre une variété de mesures de sécurité pour préserver la sécurité de vos informations personnelles. Nous utilisons un cryptage à la pointe de la technologie pour protéger les informations sensibles transmises en ligne. Nous protégeons également vos informations hors ligne. Seuls les employés qui ont besoin d’effectuer un travail spécifique (par exemple, la facturation ou le service à la clientèle) ont accès aux informations personnelles identifiables. Les ordinateurs et serveurs utilisés pour stocker des informations personnelles identifiables sont conservés dans un environnement sécurisé.
                     </p>

                       <h3 class="col-sm-12"> Utilisation des Cookies</h3>

                      <p class="col-sm-12">  Le site www.sungrocey.sunmarket.biz utilise des cookies qui ont pour finalité de faciliter la navigation sur le site, d’exécuter le service fourni par la plateforme et de faciliter votre démarche d'achat.
                          <br>
                        Les cookies utilisés sont des cookies de type fonctionnels. Ils permettent de gérer certaines fonctionnalités des sites, de faciliter la connexion au site internet, de rendre plus agréable le processus d'achat du consommateur.
                          <br>
                        Nos cookies améliorent l’accès à notre site et identifient les visiteurs réguliers. En outre, nos cookies améliorent l’expérience d’utilisateur grâce au suivi et au ciblage de ses intérêts. Cependant, cette utilisation des cookies n’est en aucune façon liée à des informations personnelles identifiables sur notre site.
                      </p>
                        <h2 class="col-sm-12"><span>ARTICLE 7 :</span> DROITS DE L'UTILISATEUR</h2>

                       <p class="col-sm-12"> Conformément à la réglementation concernant le traitement des données à caractère personnel, l'utilisateur possède les droits ci-après énumérés.
                       </p>
                        <ul id="count">
                            <li>
                                Droit d'accès, de rectification et droit à l'effacement
                                <br>
                                L'utilisateur peut prendre connaissance, mettre à jour, modifier ou demander la suppression des données le concernant.
                            </li>
                            <li>
                                Droit à la portabilité des
                                <br>
                                L'utilisateur a le droit de demander la portabilité de ses données personnelles, détenues par le site, vers un autre site.
                            </li>
                            <li>
                                Droit à la limitation et à l'opposition du traitement des données
                                <br>
                                L'utilisateur a le droit de demander la limitation ou de s'opposer au traitement de ses données par le site, sans que le site ne puisse refuser, sauf à démontrer l'existence de motifs légitimes et impérieux, pouvant prévaloir sur les intérêts et les droits et libertés de l'utilisateur.
                            </li>
                            <li>
                                Droit de donner des instructions relatives à la conservation, à l'effacement et à la communication de vos données après votre décès.
                            </li>
                            <li>
                                Droit d’exercer vos droits en vous connectant dans votre interface membre du site www.sungrocey.sunmarket.biz ou en nous contactant, en précisant votre nom, prénom, adresse postale et en joignant une copie recto-verso de votre pièce d'identité, par :

                                <ul>
                                    <li>
                                         email :
                                    </li>
                                    <li>
                                         téléphone :
                                    </li>
                                    <li>
                                         courrier postal :
                                    </li>
                                </ul>
                            </li>
                        </ul>

                        <h2 class="col-sm-12"><span>ARTICLE 8 :</span> Se désabonner</h2>

                       <p class="col-sm-12">
                           Nous utilisons l’adresse e-mail que vous fournissez pour vous envoyer des informations et mises à jour relatives à votre commande, des nouvelles de l’entreprise de façon occasionnelle, des informations sur des produits liés, etc. Si à n’importe quel moment vous souhaitez-vous désinscrire et ne plus recevoir d’e-mails, des instructions de désabonnement détaillées sont incluses en bas de chaque e-mail.
                       </p>
                        <h2 class="col-sm-12"><span>ARTICLE 9 :</span> Modification de notre politique de confidentialité</h2>

                       <p class="col-sm-12"> SUNGROCERY se réserve le droit de faire évoluer la présente politique de confidentialité à tout moment, notamment en application des changements apportés aux lois et réglementations en vigueur. Les modifications apportées vous seront notifiées via notre site web ou par email.
                           <br>
                        Vous pouvez à tout moment prendre connaissance de notre politique de confidentialité concernant vos données personnelles en accédant à ce document.
                       </p>
                        <h2 class="col-sm-12"><span>ARTICLE 10:</span> ACCEPTATION PAR L'UTILISATEUR DE LA POLITIQUE DE CONFIDENTIALITÉ</h2>

                        <p class="col-sm-12">
                            En naviguant sur le site www.sungrocey.sunmarket.biz , l'utilisateur atteste avoir lu et compris la présente politique de confidentialité et en accepte les conditions, en ce qui concerne plus particulièrement la collecte et le traitement de ses données à caractère personnel.
                        </p>





                    </div>

                </div>
            </div>
        </div>
    </section>
    <!-- END section -->

    <section class="pb_section pb_slant-light pb_pb-220" >
        <div class="container">
            <div class="row justify-content-center mb-1">
                <div class="col-md-6 text-center mb-5">
                    <h2 class="col-sm-12">Démarrez votre boutique avec SUNGROCERY</h2>
                </div>
            </div>
            <div class="row">
                <div class="col-md">
                    <div class="pb_slide_testimonial_sync_v1">
                        <div class="pb_slider_content js-pb_slider_content2 text-center">
                            <p style="font-size: 12pt;">
                                Essayez SUNGROCERY à un prix forfetaire pour découvrir tous les outils et services dont vous avez besoin pour lancer, gérer et développer votre entreprise.                            </p>
                        </div>

                        <div class="row">
                            <div class="col-md-12 text-center">
                                <a class="btn btn-danger btn-lg smoothscroll" href="{{route('bienvenue')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Démarrer</span></a>

                            </div>
                        </div>

                    </div>
                    <!-- END sync_v1 -->
                </div>
            </div>
        </div>
    </section>
    <!-- END section -->

@endsection
