<!--reponse candidature -->
<script type="text/javascript">

    function init_metier_DataTables() {

        //	console.log('run_datatables');

        if (typeof ($.fn.DataTable) === 'undefined') {
            return;
        }
        //console.log('init_DataTables');

        var handlemetierDataTableButtons = function () {

            if ($("#metierdatatable-buttons").length) {
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                    }
                });
                var slug=$('#metierdatatable-buttons').data('slug');

                $("#metierdatatable-buttons").DataTable({
                    processing: true,
                    serverSide: true,
                    order: [],
                    ajax: {
                        type: 'post',
                        url: '{{route('get_all_metier')}}',
                        data: {_token: '{{csrf_token()}}'},
                        error: function (data) {
                            console.log(data);
                        }
                    },
                    columnDefs: [{
                        "data": [0, 1, 2, 3, 4],
                        "orderable": true,
                    }],
                    dom: "Blfrtip",
                    buttons: [
                        {
                            extend: "copy",
                            className: "btn-sm"
                        },
                        {
                            extend: "csv",
                            className: "btn-sm"
                        },
                        {
                            extend: "excel",
                            className: "btn-sm"
                        },
                        {
                            extend: "pdfHtml5",
                            className: "btn-sm"
                        },
                        {
                            extend: "print",
                            className: "btn-sm"
                        },
                    ],
                    responsive: true
                });
            }
        };

        TablemetierManageButtons = function () {
            "use strict";
            return {
                init: function () {
                    handlemetierDataTableButtons();
                }
            };
        }();
        TablemetierManageButtons.init();
    }

    jQuery(document).ready(function ($) {

        $(document).on('click', '#add_metier', function () {
            $('#metier_form')[0].reset();
            $('#metier_form').attr("action","{{route('create_metier')}}");
            $('#update_method').val('');
            $('.modal-title').html("<i class='fa fa-plus'></i> Ajouter un metier");
            $('#action').val('Ajouter');
        });

    });

    $(document).on('click', '.modifier_metier', function () {
        var url=$(this).data('url');
        var slug=$(this).data('slug');
        $.ajax({
            url:url,
            method:"GET",
            success:function(data) {
                $('#metierModal').modal('show');
                data=JSON.parse(data);
                $('#intitule').val(data['intitule_metier']);
                $('#description').val(data['description_metier']);
                $('.modal-title').html("<i class='fa fa-edit'></i> Modifier le metier");
                $('#action').val('Modifier');
                $('#metier_form').attr('action',"{{route('update_metier')}}");
                $('#metier_form').append('<input type="hidden" name="slug" value="'+slug+'">');
                $('#metier_form').append('<input type="hidden" name="_method" value="PUT" id="update_method">');
            },error:function (data) {
                console.log(data);
            }
        });
    });
</script>

