@extends("../dashboard._blank")
@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;"><img src="{{asset('images/vente.png')}}" width="20px" alt=""> MARKET COMMANDES <small> suivi de toutes vos commandes sur market</small> </span></h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))
                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>
                            @elseif(session("error"))

                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>

                            @endif

<div class="col-xs-12 col-md-12" style="margin-top: 10px">
   
    <div class="row">
                                <table id="categoriedatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                    <thead>
                                    <tr>
                                        <th>Action</th>
                                        <th>Date</th>
                                        <th>Référence</th>
                                        <th>Client</th>
                                        <th>Prix total</th>
                                        <th>Code promo</th>
                                        <th>Montant payer</th>
                                        <th>Reste à payer</th>
                                        <th>Gain Admin</th>
                                        <th>Mode de paiement</th>
                                        <th>Moyen de paiement</th>
                                        <th>Mode de livraison</th>
                                        <th>Etat d'achat</th>
                                        <th>Etat de réception</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @php $helpers=new \App\Http\Controllers\HelperController(); @endphp
        @foreach($commandes as $commande)
                                        @php
                                            $reference =$commande->reference_global;
                                            $first_name = explode(',', $commande->first_name)[0];
                                            $last_name = explode(',', $commande->last_name)[0];
                                            $client=$first_name.' '.$last_name;
                                            $total_price = $commande->total_price;
                                            $montant_global_code_promo = explode(',', $commande->montant_global_code_promo)[0];
                                            $global_code_promo = explode(',', $commande->global_code_promo)[0];
                                            $montant_payer = $commande->montant_payer;
                                            $paiement_type = explode(',', $commande->paiement_type)[0];
                                           
                                            $currency = explode(',', $commande->currency)[0];
                                            $statut_paiement = explode(',', $commande->statut_paiement)[0];
                                            $statut_shipping = explode(',', $commande->statut_shipping)[0];
                                            $source_name = explode(',', $commande->source_name)[0];
                                            $country = explode(',', $commande->country)[0];
                                            
                                            $source = explode(',', $commande->source)[0];
                                            
                                            $total_wr = $commande->total_wr;
                                            $admin_gain = $commande->admin_gain;
                                           
                                            $slug = explode(',', $commande->slug)[0];
                                            $email = explode(',', $commande->email)[0];
                                            $admin_percentage = explode(',', $commande->admin_percentage)[0];
                                            
                                            $customer_phone = explode(',', $commande->customer_phone)[0];
                                            $shipping_adress = explode(',', $commande->shipping_adress)[0];
                                            $shipping_phone = explode(',', $commande->shipping_phone)[0];
                                            $shipping = explode(',', $commande->shipping)[0];
                                           
                                            $customer_adress = explode(',', $commande->customer_adress)[0];
                                            $sex = explode(',', $commande->sex)[0];
                                            $created_at = explode(',', $commande->created_date)[0];
                                            $updated_at = explode(',', $commande->updated_date)[0];
                                            $created_at = date('d-m-y à H:i', strtotime($created_at));
                                            $updated_at = date('d-m-y à H:i', strtotime($updated_at));
                                        @endphp
           <tr id="ligne{{$slug}}">
            <td>
                
                            <a style="display: block" class="btn btn-primary btn-sm" style="margin-bottom:0;" href="{{route('gestion.admin.command',$reference)}}"> Détails </a>
                       
            </td>
            <td>{{$created_at}}</td>
            <td>{{$reference}}</td>
           
            <td class="customer_data" data-firstname="{{$first_name}}" data-lastname="{{$last_name}}" data-phone_="{{$customer_phone}}" data-email="{{$email}}" data-adress="{{$customer_adress}}" data-country="{{$country}}" data-sex="{{$sex}}" style="text-decoration: underline;color: #88b121;cursor: pointer;">{{$first_name}} {{$last_name}}</td>

            <td>{{$total_wr!=null ? $total_wr : $total_price }} {{$currency}}</td>
            <td>{{$global_code_promo!=null ?  $global_code_promo.' ('.$global_code_promo.'%)' : '-'}} </td>
                   <td>
                @if($paiement_type=='paid_now')
                    @if($statut_paiement!=true)
                        {{$total_price}} {{$currency}}
                    @else
                        {{$montant_payer}} {{$currency}}
                        @endif
                @else
                    {{$montant_payer}} {{$currency}}
                @endif
            </td>
            <td><strong>{{($total_price)-(
                $paiement_type=='paid_now' ? ($statut_paiement==true ? $total_price : $montant_payer ) : $montant_payer
                )}} {{$currency}}
                </strong></td>
                <td> {{ $admin_percentage }} % - ({{ $admin_gain }} CFA)</td>
            <td>
               
                @if($paiement_type=='paid_now')
                    <span class="badge badge-info" style="background: #0c5460;color: #fff">Paiement direct</span>
                @elseif($paiement_type=='paid_echellon')
                    <span class="badge badge-info" style="background: #f5d80e;color: #fff">Paiement échelloné</span>
                @else
                    <span class="badge badge-info" style="background: #282bd4;color: #fff">Paiement après livraison</span>
                @endif
            </td>
    <td>{{$source}} {{$source_name}}</td>
            <td style="background: rgba(0,110,89,0.5);cursor:pointer; color: #373737" class="customer_shipping" data-adress="{{$shipping_adress}}" data-phone="{{$shipping_phone}}">{{$shipping_adress}}</td>
    <td>
        @if($paiement_type=='paid_now') @if($statut_paiement!=true) <span class="badge badge-danger" style="background-color: #ff171a;color: #ffffff;width: 100%;">  {{'echec de paiement'}} </span> @else <span class="badge badge-success" style="background-color: forestgreen;color: #ffffff;width: 100%;"> {{'paiement effectué'}} </span> @endif @else   <span class="badge badge-warning" style="background-color: #e65c2b;color: #ffffff;">  {{'paiement après livraison'}} </span>  @endif</td>
    <td>@if($shipping==true) @if($statut_shipping!=true) <span class="badge badge-danger" style="background-color: #ff171a;color: #ffffff;width: 100%;">  {{'en attente de livraison'}}  </span> @else <span class="badge badge-success" style="width: 100%;background-color: forestgreen;color: #ffffff;"> {{'livraison effectuée'}} le {{$updated_at}} </span>@endif  @else <span style="width: 100%;background-color: #e65c2b;color: #ffffff;" class="badge badge-warning"> Livraison non incluse </span>  @endif</td>
</tr>

    @endforeach

                                    </tbody>
                                </table>
    </div>
</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="commande_articleModal" class="modal fade" tabindex="-1" role="dialog"  aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
                @csrf
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"><i class="fa fa-plus"></i> Détails de la commande </h4>
                    </div>
                    <div class="modal-body">
                        <div id="article_commande"></div>
                    </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                            </div>
                    </div>
        </div>
        </div>

<div id="clientModal" class="modal fade" tabindex="-1" role="dialog"  aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
                @csrf
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"><i class="fa fa-plus"></i> Détails du client </h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                           <div class="col-sm-6">
                               <label for="customer_first-name">Prénom</label>
                               <input type="text" disabled class="form-control" id="customer_first-name">
                           </div>
                            <div class="col-sm-6">
                                <label for="customer_last-name">Nom</label>
                                <input type="text" disabled class="form-control" id="customer_last-name">
                           </div>
                        </div>
                        <div class="row">
                           <div class="col-sm-6">
                               <label for="customer_phone_number">Numéro de téléphone</label>
                               <input type="text" disabled class="form-control" id="customer_phone_number">
                           </div>
                            <div class="col-sm-6">
                                <label for="customer_email">Email</label>
                                <input type="text" disabled class="form-control" id="customer_email">
                           </div>
                        </div>
                    <div class="row">
                           <div class="col-sm-6">
                               <label for="customer_sex">sexe</label>
                               <input type="text" disabled class="form-control" id="customer_sex">
                           </div>
                            <div class="col-sm-6">
                                <label for="customer_country">Pays</label>
                                <select id="customer_country" class="form-control" disabled>
                                    <option>Pays</option>
                                    <option value="BJ">Benin</option>
                                    <option value="BF">Burkina Faso</option>
                                    <option value="CI">Côte d'Ivoire</option>
                                    <option value="GN">Guinea</option>
                                    <option value="ML">Mali</option>
                                    <option value="NE">Niger</option>
                                    <option value="SN">Senegal</option>
                                    <option value="TG">Togo</option>
                                    <option value="AF">Afghanistan</option>
                                    <option value="AX">Åland Islands</option>
                                    <option value="AL">Albania</option>
                                    <option value="DZ">Algeria</option>
                                    <option value="AS">American Samoa</option>
                                    <option value="AD">Andorra</option>
                                    <option value="AO">Angola</option>
                                    <option value="AI">Anguilla</option>
                                    <option value="AQ">Antarctica</option>
                                    <option value="AG">Antigua and Barbuda</option>
                                    <option value="AR">Argentina</option>
                                    <option value="AM">Armenia</option>
                                    <option value="AW">Aruba</option>
                                    <option value="AU">Australia</option>
                                    <option value="AT">Austria</option>
                                    <option value="AZ">Azerbaijan</option>
                                    <option value="BS">Bahamas</option>
                                    <option value="BH">Bahrain</option>
                                    <option value="BD">Bangladesh</option>
                                    <option value="BB">Barbados</option>
                                    <option value="BY">Belarus</option>
                                    <option value="BE">Belgium</option>
                                    <option value="BZ">Belize</option>
                                    <option value="BM">Bermuda</option>
                                    <option value="BT">Bhutan</option>
                                    <option value="BO">Bolivia, Plurinational State of</option>
                                    <option value="BQ">Bonaire, Sint Eustatius and Saba</option>
                                    <option value="BA">Bosnia and Herzegovina</option>
                                    <option value="BW">Botswana</option>
                                    <option value="BV">Bouvet Island</option>
                                    <option value="BR">Brazil</option>
                                    <option value="IO">British Indian Ocean Territory</option>
                                    <option value="BN">Brunei Darussalam</option>
                                    <option value="BG">Bulgaria</option>
                                    <option value="BI">Burundi</option>
                                    <option value="KH">Cambodia</option>
                                    <option value="CM">Cameroon</option>
                                    <option value="CA">Canada</option>
                                    <option value="CV">Cape Verde</option>
                                    <option value="KY">Cayman Islands</option>
                                    <option value="CF">Central African Republic</option>
                                    <option value="TD">Chad</option>
                                    <option value="CL">Chile</option>
                                    <option value="CN">China</option>
                                    <option value="CX">Christmas Island</option>
                                    <option value="CC">Cocos (Keeling) Islands</option>
                                    <option value="CO">Colombia</option>
                                    <option value="KM">Comoros</option>
                                    <option value="CG">Congo</option>
                                    <option value="CD">Congo, the Democratic Republic of the</option>
                                    <option value="CK">Cook Islands</option>
                                    <option value="CR">Costa Rica</option>
                                    <option value="HR">Croatia</option>
                                    <option value="CU">Cuba</option>
                                    <option value="CW">Curaçao</option>
                                    <option value="CY">Cyprus</option>
                                    <option value="CZ">Czech Republic</option>
                                    <option value="DK">Denmark</option>
                                    <option value="DJ">Djibouti</option>
                                    <option value="DM">Dominica</option>
                                    <option value="DO">Dominican Republic</option>
                                    <option value="EC">Ecuador</option>
                                    <option value="EG">Egypt</option>
                                    <option value="SV">El Salvador</option>
                                    <option value="GQ">Equatorial Guinea</option>
                                    <option value="ER">Eritrea</option>
                                    <option value="EE">Estonia</option>
                                    <option value="ET">Ethiopia</option>
                                    <option value="FK">Falkland Islands (Malvinas)</option>
                                    <option value="FO">Faroe Islands</option>
                                    <option value="FJ">Fiji</option>
                                    <option value="FI">Finland</option>
                                    <option value="FR">France</option>
                                    <option value="GF">French Guiana</option>
                                    <option value="PF">French Polynesia</option>
                                    <option value="TF">French Southern Territories</option>
                                    <option value="GA">Gabon</option>
                                    <option value="GM">Gambia</option>
                                    <option value="GE">Georgia</option>
                                    <option value="DE">Germany</option>
                                    <option value="GH">Ghana</option>
                                    <option value="GI">Gibraltar</option>
                                    <option value="GR">Greece</option>
                                    <option value="GL">Greenland</option>
                                    <option value="GD">Grenada</option>
                                    <option value="GP">Guadeloupe</option>
                                    <option value="GU">Guam</option>
                                    <option value="GT">Guatemala</option>
                                    <option value="GG">Guernsey</option>
                                    <option value="GW">Guinea-Bissau</option>
                                    <option value="GY">Guyana</option>
                                    <option value="HT">Haiti</option>
                                    <option value="HM">Heard Island and McDonald Islands</option>
                                    <option value="VA">Holy See (Vatican City State)</option>
                                    <option value="HN">Honduras</option>
                                    <option value="HK">Hong Kong</option>
                                    <option value="HU">Hungary</option>
                                    <option value="IS">Iceland</option>
                                    <option value="IN">India</option>
                                    <option value="ID">Indonesia</option>
                                    <option value="IR">Iran, Islamic Republic of</option>
                                    <option value="IQ">Iraq</option>
                                    <option value="IE">Ireland</option>
                                    <option value="IM">Isle of Man</option>
                                    <option value="IL">Israel</option>
                                    <option value="IT">Italy</option>
                                    <option value="JM">Jamaica</option>
                                    <option value="JP">Japan</option>
                                    <option value="JE">Jersey</option>
                                    <option value="JO">Jordan</option>
                                    <option value="KZ">Kazakhstan</option>
                                    <option value="KE">Kenya</option>
                                    <option value="KI">Kiribati</option>
                                    <option value="KP">Korea, Democratic People's Republic of</option>
                                    <option value="KR">Korea, Republic of</option>
                                    <option value="KW">Kuwait</option>
                                    <option value="KG">Kyrgyzstan</option>
                                    <option value="LA">Lao People's Democratic Republic</option>
                                    <option value="LV">Latvia</option>
                                    <option value="LB">Lebanon</option>
                                    <option value="LS">Lesotho</option>
                                    <option value="LR">Liberia</option>
                                    <option value="LY">Libya</option>
                                    <option value="LI">Liechtenstein</option>
                                    <option value="LT">Lithuania</option>
                                    <option value="LU">Luxembourg</option>
                                    <option value="MO">Macao</option>
                                    <option value="MK">Macedonia, the former Yugoslav Republic of</option>
                                    <option value="MG">Madagascar</option>
                                    <option value="MW">Malawi</option>
                                    <option value="MY">Malaysia</option>
                                    <option value="MV">Maldives</option>
                                    <option value="MT">Malta</option>
                                    <option value="MH">Marshall Islands</option>
                                    <option value="MQ">Martinique</option>
                                    <option value="MR">Mauritania</option>
                                    <option value="MU">Mauritius</option>
                                    <option value="YT">Mayotte</option>
                                    <option value="MX">Mexico</option>
                                    <option value="FM">Micronesia, Federated States of</option>
                                    <option value="MD">Moldova, Republic of</option>
                                    <option value="MC">Monaco</option>
                                    <option value="MN">Mongolia</option>
                                    <option value="ME">Montenegro</option>
                                    <option value="MS">Montserrat</option>
                                    <option value="MA">Morocco</option>
                                    <option value="MZ">Mozambique</option>
                                    <option value="MM">Myanmar</option>
                                    <option value="NA">Namibia</option>
                                    <option value="NR">Nauru</option>
                                    <option value="NP">Nepal</option>
                                    <option value="NL">Netherlands</option>
                                    <option value="NC">New Caledonia</option>
                                    <option value="NZ">New Zealand</option>
                                    <option value="NI">Nicaragua</option>
                                    <option value="NG">Nigeria</option>
                                    <option value="NU">Niue</option>
                                    <option value="NF">Norfolk Island</option>
                                    <option value="MP">Northern Mariana Islands</option>
                                    <option value="NO">Norway</option>
                                    <option value="OM">Oman</option>
                                    <option value="PK">Pakistan</option>
                                    <option value="PW">Palau</option>
                                    <option value="PS">Palestinian Territory, Occupied</option>
                                    <option value="PA">Panama</option>
                                    <option value="PG">Papua New Guinea</option>
                                    <option value="PY">Paraguay</option>
                                    <option value="PE">Peru</option>
                                    <option value="PH">Philippines</option>
                                    <option value="PN">Pitcairn</option>
                                    <option value="PL">Poland</option>
                                    <option value="PT">Portugal</option>
                                    <option value="PR">Puerto Rico</option>
                                    <option value="QA">Qatar</option>
                                    <option value="RE">Réunion</option>
                                    <option value="RO">Romania</option>
                                    <option value="RU">Russian Federation</option>
                                    <option value="RW">Rwanda</option>
                                    <option value="BL">Saint Barthélemy</option>
                                    <option value="SH">Saint Helena, Ascension and Tristan da Cunha</option>
                                    <option value="KN">Saint Kitts and Nevis</option>
                                    <option value="LC">Saint Lucia</option>
                                    <option value="MF">Saint Martin (French part)</option>
                                    <option value="PM">Saint Pierre and Miquelon</option>
                                    <option value="VC">Saint Vincent and the Grenadines</option>
                                    <option value="WS">Samoa</option>
                                    <option value="SM">San Marino</option>
                                    <option value="ST">Sao Tome and Principe</option>
                                    <option value="SA">Saudi Arabia</option>
                                    <option value="RS">Serbia</option>
                                    <option value="SC">Seychelles</option>
                                    <option value="SL">Sierra Leone</option>
                                    <option value="SG">Singapore</option>
                                    <option value="SX">Sint Maarten (Dutch part)</option>
                                    <option value="SK">Slovakia</option>
                                    <option value="SI">Slovenia</option>
                                    <option value="SB">Solomon Islands</option>
                                    <option value="SO">Somalia</option>
                                    <option value="ZA">South Africa</option>
                                    <option value="GS">South Georgia and the South Sandwich Islands</option>
                                    <option value="SS">South Sudan</option>
                                    <option value="ES">Spain</option>
                                    <option value="LK">Sri Lanka</option>
                                    <option value="SD">Sudan</option>
                                    <option value="SR">Suriname</option>
                                    <option value="SJ">Svalbard and Jan Mayen</option>
                                    <option value="SZ">Swaziland</option>
                                    <option value="SE">Sweden</option>
                                    <option value="CH">Switzerland</option>
                                    <option value="SY">Syrian Arab Republic</option>
                                    <option value="TW">Taiwan, Province of China</option>
                                    <option value="TJ">Tajikistan</option>
                                    <option value="TZ">Tanzania, United Republic of</option>
                                    <option value="TH">Thailand</option>
                                    <option value="TL">Timor-Leste</option>
                                    <option value="TK">Tokelau</option>
                                    <option value="TO">Tonga</option>
                                    <option value="TT">Trinidad and Tobago</option>
                                    <option value="TN">Tunisia</option>
                                    <option value="TR">Turkey</option>
                                    <option value="TM">Turkmenistan</option>
                                    <option value="TC">Turks and Caicos Islands</option>
                                    <option value="TV">Tuvalu</option>
                                    <option value="UG">Uganda</option>
                                    <option value="UA">Ukraine</option>
                                    <option value="AE">United Arab Emirates</option>
                                    <option value="GB">United Kingdom</option>
                                    <option value="US">United States</option>
                                    <option value="UM">United States Minor Outlying Islands</option>
                                    <option value="UY">Uruguay</option>
                                    <option value="UZ">Uzbekistan</option>
                                    <option value="VU">Vanuatu</option>
                                    <option value="VE">Venezuela, Bolivarian Republic of</option>
                                    <option value="VN">Viet Nam</option>
                                    <option value="VG">Virgin Islands, British</option>
                                    <option value="VI">Virgin Islands, U.S.</option>
                                    <option value="WF">Wallis and Futuna</option>
                                    <option value="EH">Western Sahara</option>
                                    <option value="YE">Yemen</option>
                                    <option value="ZM">Zambia</option>
                                    <option value="ZW">Zimbabwe</option>
                                </select>

                            </div>
                        </div>
                        <div class="row">
                           <div class="col-sm-12">
                               <label for="customer_adress">Adresse</label>
                               <input type="text" disabled class="form-control"  id="customer_adress">
                           </div>
                        </div>
                    </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                            </div>
                    </div>
        </div>
        </div>


<div id="livraisonModal" class="modal fade" tabindex="-1" role="dialog"  aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">

                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fa fa-plus"></i> Informations de livraison </h4>
                    </div>
                    <div class="modal-body">
                        <div class="col-12">
                            <div class="col-sm-12">
                                <label for="phone_shipping">numéro de téléphone</label>
                                <input type="text" disabled class="form-control" id="phone_shipping">
                            </div>
                            <div class="col-sm-12">
                                <label for="adress_shipping">Adresse de livraison</label>
                                <textarea type="text" disabled class="form-control" id="adress_shipping" rows="5" style="width: 100%;"></textarea>
                            </div>
                        </div>
                    </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                            </div>
                    </div>
        </div>
        </div>

<div id="commandeReclamationModal" class="modal fade" tabindex="-1" role="dialog"  aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">

                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fa fa-plus"></i> Gestion des reclamations </h4>
                    </div>
                    <div class="modal-body">
                        <form id="commandeReclamationForm" method="post" class="col-sm-12">
                            @csrf()
                            <div class="col-sm-12">
                                <label for="transaction_id">Veuillez insérer la référence de paiement </label>
                                <input type="text" class="form-control" id="transaction_id" name="transaction_id">
                            </div>
                            <p class="col-sm-12">
                                En cliquant sur Valider vous autorisez le compte du marchant sera créditer de la somme total du montant de la commande.
                            </p>
                            <input type="hidden" id="command_id_reclamation" name="command_id">
                            <input type="hidden" id="nom_boutique_reclamation" name="nom_boutique">
                            <div class="col-md-12 text-right" style="padding-top:20px">
                                <input type="submit" name="action" id="action_add_article"
                                       class="btn btn-sm btn-primary"
                                       value="Valider la commande"/>
                                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                            </div>
                        </form>
                    </div>
                           
                    </div>
        </div>
        </div>


        <!-- /page content -->
@endsection
