@php
    $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
@endphp
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>

    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-12 col-xs-12"><span style="color: #0c1423;">PARAMETRES SUNGROCERY MARKET  </span></h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))
                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>
                            @endif
                            <div class="col-md-12" style="margin-bottom: 10px;">
                               </div>
                                <h3 class="col-md-12 col-xs-12">
                                    Veuillez renseigner les informations requises pour paramétrer sungrocery market 
                                </h3>

                                @php
                                $params=new \App\MarketSetting();
                                $about=$params->getParametersByKeys('about');
                                $condition_utilisation=$params->getParametersByKeys('condition_utilisation');
                                $condition_vente=$params->getParametersByKeys('condition_vente');
                                $politique_confidentiel=$params->getParametersByKeys('politique_confidentiel');
                                $banner1=$params->getParametersByKeys('banner1');
                                $banner2=$params->getParametersByKeys('banner2');
                                $banner3=$params->getParametersByKeys('banner3');
                                $pub1=$params->getParametersByKeys('pub1');
                                $pub2=$params->getParametersByKeys('pub2');
                                $pub3=$params->getParametersByKeys('pub3');
                                $promotion_img=$params->getParametersByKeys('promotion_img');
                                $recette_img=$params->getParametersByKeys('recette_img');
                                $news_img=$params->getParametersByKeys('news_img');
                                $panier_img=$params->getParametersByKeys('panier_img');
                                @endphp
                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    <div class="col-lg-12 col-xs-12 col-md-12">
                                        <form action="{{route('admin.post.market.setting')}}" method="post" enctype="multipart/form-data"  class="row">
                                            @csrf
                                            <div class="col-lg-4 col-sm-12 col-xs-12">
                                                <div>
                                                    <img width="100px"   src="@if(isset($banner1)){{$banner1}}@endif" alt="banner1">
                                                </div>
                                                <div class="form-group">
                                                    <label for="banner1">Bannière 1</label>
                                                    <input type="file"  class="form-control" name="banner1" id="banner1" placeholder="Banner 1">
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-sm-12 col-xs-12">
                                                <div>
                                                    <img width="100px"   src="@if(isset($banner2)){{$banner2}}@endif" alt="banner2">
                                                </div>
                                                <div class="form-group">
                                                    <label for="banner1">Bannière 2</label>
                                                    <input type="file"  class="form-control" name="banner2" id="banner2" placeholder="Banner 2">
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-sm-12 col-xs-12">
                                                <div>
                                                    <img width="100px"   src="@if(isset($banner3)){{$banner3}}@endif" alt="banner3">
                                                </div>
                                                <div class="form-group">
                                                    <label for="banner1">Bannière 3</label>
                                                    <input type="file"  class="form-control" name="banner3" id="banner3" placeholder="Banner 3">
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-sm-12 col-xs-12">
                                                <div>
                                                    <img width="100px"   src="@if(isset($pub1)){{$pub1}}@endif" alt="pub1">
                                                </div>
                                                <div class="form-group">
                                                    <label for="banner1">Publicité 1</label>
                                                    <input type="file"  class="form-control" name="pub1" id="pub1" placeholder="Pub 1">
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-sm-12 col-xs-12">
                                                <div>
                                                    <img width="100px"  src="@if(isset($pub2)){{$pub2}}@endif" alt="pub2">
                                                </div>
                                                <div class="form-group">
                                                    <label for="pub2">Publicité 2</label>
                                                    <input type="file"  class="form-control" name="pub2" id="pub2" placeholder="Pub 2">
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-sm-12 col-xs-12">
                                                <div>
                                                    <img width="100px"   src="@if(isset($pub3)){{$pub3}}@endif" alt="pub3">
                                                </div>
                                                <div class="form-group">
                                                    <label for="pub3">Publicité 3</label>
                                                    <input type="file"  class="form-control" name="pub3" id="pub3" placeholder="Pub 3">
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-sm-12 col-xs-12">
                                                <div>
                                                    <img width="100px"   src="@if(isset($promotion_img)){{$promotion_img}}@endif" alt="promotion">
                                                </div>
                                                <div class="form-group">
                                                    <label for="promotion">Promotion</label>
                                                    <input type="file"  class="form-control" name="promotion_img" id="promotion" placeholder="Promotion">
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-sm-12 col-xs-12">
                                                <div>
                                                    <img width="100px"   src="@if(isset($recette_img)){{$recette_img}}@endif" alt="recette">
                                                </div>
                                                <div class="form-group">
                                                    <label for="recette">Recette</label>
                                                    <input type="file"  class="form-control" name="recette_img" id="recette" placeholder="Recette">
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-sm-12 col-xs-12">
                                                <div>
                                                    <img width="100px"   src="@if(isset($news_img)){{$news_img}}@endif" alt="news">
                                                </div>
                                                <div class="form-group">
                                                    <label for="news_img">Actualité</label>
                                                    <input type="file"  class="form-control" name="news_img" id="news_img" placeholder="Actualité">
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-sm-12 col-xs-12">
                                                <div>
                                                    <img width="100px"   src="@if(isset($panier_img)){{$panier_img}}@endif" alt="panier_img">
                                                </div>
                                                <div class="form-group">
                                                    <label for="panier_img">Panier</label>
                                                    <input type="file"  class="form-control" name="panier_img" id="panier_img" placeholder="Panier">
                                                </div>
                                            </div>
                                            <div class="col-lg-12 col-xs-12 col-md-12">
                                                <div class="form-group">
                                                    <label for="mot_bienvenue">
                                                        A Propos de nous
                                                        <br> 
                                                    </label>
                                                    <textarea  class="form-control " rows="10" name="about" id="about" placeholder="A propos de nous">
                                                        @if(isset($about) && $about!=null && $about!="")
                                                            {{$about}}
                                                        @endif
                                                    </textarea>
                                                </div>
                                            </div>
                                            <div class="col-lg-12 col-xs-12 col-md-12">
                                                <div class="form-group">
                                                    <label for="politique_confidentiel">
                                                        Politique de confidentialité
                                                        <br> 
                                                    </label>
                                                    <textarea  class="form-control " rows="10" name="politique_confidentiel" id="politique_confidentiel" placeholder="Politique de confidentialité">
                                                        @if(isset($politique_confidentiel) && $politique_confidentiel!=null && $politique_confidentiel!="")
                                                            {{$politique_confidentiel}}
                                                        @endif
                                                    </textarea>
                                                </div>
                                            </div>
                                             <div class="col-lg-12 col-xs-12 col-md-12">
                                                <div class="form-group">
                                                    <label for="condition_vente">
                                                        Condition de vente 
                                                        <br> 
                                                    </label>
                                                    <textarea  class="form-control " rows="10" name="condition_vente" id="condition_vente" placeholder="Condition de vente">
                                                        @if(isset($condition_vente) && $condition_vente!=null && $condition_vente!="")
                                                            {{$condition_vente}}
                                                        @endif
                                                    </textarea>
                                                </div>
                                            </div>
                                            <div class="col-sm-12">
                                                <div class="form-group">
                                                    <label for="condition_integration">
                                                        Condition d'utilisation
                                                        <br> 
                                                        Conserver le modèle ou modifier à votre guise.</label>
                                                    <textarea  class="form-control content" rows="10" name="condition_utilisation"  id="condition_utilisation" placeholder="Condition d'utilisation">
                                                        @if(isset($condition_utilisation) && $condition_utilisation!='' && $condition_utilisation!=null )
                                                            {{$condition_utilisation}}
                                                        @endif
                                                    </textarea>
                                                </div>
                                            </div>
                                            <div class="col-lg-12 text-right">
                                                <button type="submit" class="btn btn-primary btn-sm">Valider</button>
                                            </div>
                                        </form>
                                    </div>                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script src="https://cdn.tiny.cloud/1/vfv84428cr1epmkh83aotqs1oquqq1svbhtkdrlok7m85r6d/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>
    <script type="text/javascript">
        tinymce.init({
            selector: 'textarea',
            height:500,
            plugins: [
                'advlist autolink lists link image charmap print preview anchor',
                'searchreplace visualblocks code fullscreen',
                'insertdatetime media table paste code help wordcount'
            ],
            toolbar_mode: 'floating',
            menubar: true
        });


        $(document).ready(function() {
            $('#active_carte_brunch').change(function() {
                if($(this).is(":checked")) {
                    $('.carte_brunch_selected').fadeIn('slow');
                    $(this).val(true)
                  }else{
                    $('.carte_brunch_selected').fadeOut('slow');
                    $(this).val(false)
                }
            });
        });
    </script>

@endsection