@extends("../dashboard._blank")
@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2><span style="color: #0c1423;">LISTES PORTEFEUILLES CLIENTS</span></h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger" style="border-radius: 0px">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success" style="border-radius: 0px">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))

                                <div class="alert alert-danger" style="border-radius: 0px">
                                    {{session('error')}}
                                </div>

                            @endif


                            <div class="table table-responsive" style="overflow-x: auto;width: 100%;">
                                <table id="categoriedatatable-buttons" style="overflow-x: auto;width: 100%;"  class="table table-responsive table-striped table-bordered">
                                    <thead>
                                    <tr>
                                        <th>N°</th>
                                        <th>Client</th>
                                        <th>Nombre de boutique actif</th>
                                        <th>Montant</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @php $i=1;  @endphp
@foreach($portefeuilles as $portefeuille)

    <tr>
        <td>{{$i++}}</td>
        <td>{{$portefeuille->user->first_name}} {{$portefeuille->user->last_name}}</td>
        <td>{{count($portefeuille->user->boutique)}}</td>
        <td>{{$portefeuille->montant}} XOF</td>

    </tr>

    @endforeach
                                   </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /page content -->
@endsection
