<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="utf-8">
    <title>sungrocery</title>
    <meta property="og:type" content="website"/>
    <meta property="og:image"  content="{{asset('images/favicon-32x32.png')}}">
    <meta property="og:url" content="{{url('/')}}">
    <meta property="og:site" content="{{url('/')}}"/>
    <meta property="og:site_name" content="SUNGROCERY">
    <meta property="og:description" content="{{Illuminate\Support\Str::limit("Plateforme collaborative africaine de réseautage et de gestion de communauté pour la promotion des entreprises de l’agribusiness, des innovations vertes, de l’écotourisme et des investissement solidaires."),165}}" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="plateforme collaborative africaine de réseautage et de gestion de communauté pour la promotion des entreprises de l’agribusiness, des innovations vertes, de l’écotourisme et des investissement solidaires.">
    <meta name="keywords" content="investissement, agricole, marketing, credit, consommateur Epicerie, vert,Boutique,Achat,Vente,Acheter,Vendre,grocery,achat en ligne,vente en ligne,acheter en ligne, vendre en ligne,livraison,benin">
    <meta name="author" content="suntech">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="{{asset('images/favicon-32x32.png')}}"/>
    <link rel="apple-touch-icon" sizes="180x180" href="{{asset('images/apple-touch-icon.png')}}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{asset('images/favicon-32x32.png')}}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{asset('images/favicon-16x16.png')}}">
    <link rel="manifest" href="{{asset('images/site.webmanifest')}}">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <!-- Favicon -->
    <link href="{{ asset('landing/img/favicon.ico')}}" rel="icon">

    <!-- Google Web Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500&family=Roboto:wght@500;700&display=swap"
        rel="stylesheet">

    <!-- Icon Font Stylesheet -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.10.0/css/all.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.4.1/font/bootstrap-icons.css" rel="stylesheet">

    <!-- Libraries Stylesheet -->
    <link href="{{ asset('landing/lib/animate/animate.min.css')}}" rel="stylesheet">
    <link href="{{ asset('landing/lib/owlcarousel/assets/owl.carousel.min.css')}}" rel="stylesheet">
    <link href="{{ asset('landing/lib/lightbox/css/lightbox.min.css')}}" rel="stylesheet">

    <!-- Customized Bootstrap Stylesheet -->
    <link href="{{ asset('landing/css/bootstrap.min.css')}}" rel="stylesheet">

    <!-- Template Stylesheet -->
    <link href="{{ asset('landing/css/style.css')}}" rel="stylesheet">
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-NMT1DCDEVS"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'G-NMT1DCDEVS');
    </script>
    <script src="https://www.google.com/recaptcha/api.js?render=6LfFn0whAAAAAGLRb34I2afYzEi4mN3vK2WaXC-F"></script>
    <script>
        if(typeof grecaptcha === 'undefined') {
            grecaptcha = {};
        }
        grecaptcha.ready = function(cb){
            if(typeof grecaptcha === 'undefined') {
            // window.__grecaptcha_cfg is a global variable that stores reCAPTCHA's
            // configuration. By default, any functions listed in its 'fns' property
            // are automatically executed when reCAPTCHA loads.
            const c = '___grecaptcha_cfg';
            window[c] = window[c] || {};
            (window[c]['fns'] = window[c]['fns']||[]).push(cb);
            } else {
            cb();
            }
        }
    </script>
    @include('facebook-pixel::head')
    <style>
          .notification {
            z-index:99;
            position:fixed;
            bottom:0;
            float:none;
            min-width:100%;
            background: #ffffff;
            padding: 10px 15px;
            box-shadow: 0px 0px 5px #999999;
        }

        .notification-error {
            background: #ff1010;
            color: #ffffff;
        }

        .notification-alert {
            background: #ffffff;
            color: #000000;
        }

        .notification-info {
            background: #ffffff;
            color: #000000;
        }
        #close{
            text-decoration:none;
            float:right;
        }
    </style>
</head>

<body>
    @include('facebook-pixel::body')
    <!-- Spinner Start -->
    <div id="spinner"
        class="show bg-white position-fixed translate-middle w-100 vh-100 top-50 start-50 d-flex align-items-center justify-content-center">
        <div class="spinner-border text-primary" role="status" style="width: 3rem; height: 3rem;"></div>
    </div>
    <!-- Spinner End -->

    <!-- Topbar Start -->
    <div class="container-fluid bg-primary text-white d-none d-lg-flex">
        <div class="container py-3">
            <div class="d-flex align-items-center">
                <a href="https://sungrocery.biz">
                    <h2 class="text-white fw-bold m-0">SUNGROCERY</h2>
                </a>
                <div class="ms-auto d-flex align-items-center">
                    <small class="ms-4"><i class="fa fa-map-marker-alt me-3"></i>Abomey-calavi Zogbadjè</small>
                    <small class="ms-4"><i class="fa fa-envelope me-3"></i>contact@sungrocery.biz</small>
                    <small class="ms-4"><i class="fa fa-phone-alt me-3"></i>+229 67 72 32 43</small>
                    <div class="ms-3 d-flex">
                        <a class="btn btn-sm-square btn-light text-primary rounded-circle ms-2" href=""><i
                                class="fab fa-facebook-f"></i></a>
                        <a class="btn btn-sm-square btn-light text-primary rounded-circle ms-2" href=""><i
                                class="fab fa-twitter"></i></a>
                        <a class="btn btn-sm-square btn-light text-primary rounded-circle ms-2" href=""><i
                                class="fab fa-linkedin-in"></i></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Topbar End -->


    <!-- Navbar Start -->
    <div class="container-fluid bg-white sticky-top">
        <div class="container">
            <nav class="navbar navbar-expand-lg bg-white navbar-light p-lg-0">
                <a href="https://sungrocery.biz" class="navbar-brand d-lg-none">
                    <h1 class="fw-bold m-0">SUNGROCERY</h1>
                </a>
                <button type="button" class="navbar-toggler me-0" data-bs-toggle="collapse"
                    data-bs-target="#navbarCollapse">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarCollapse">
                    <div class="navbar-nav">
                        <a href="https://sungrocery.biz" class="nav-item nav-link active">Accueil</a>
                        <a href="#about" class="nav-item nav-link">Qui sommes nous ?</a>
                        <div class="nav-item dropdown">
                            <a href="#" class="nav-link dropdown-toggle" data-bs-toggle="dropdown">Nos services</a>
                            <div class="dropdown-menu bg-light rounded-0 rounded-bottom m-0">
                                <a href="https://sungrocery.biz/e-commerce" class="dropdown-item">sungrocery</a>
                                <a href="https://market.sungrocery.biz" class="dropdown-item">sungrocery market</a>
                                <a href="https://invest.sungrocery.biz" class="dropdown-item">sungrocery investissement</a>
                                <a href="#" class="dropdown-item">top agro services</a>
                                <a href="#" class="dropdown-item text-lowercase">SUPPORTS DE COMMUNICATION ET MARKETING A CREDIT</a>
                                <a href="#" class="dropdown-item text-lowercase">FRANCHISES D'ENTREPRISES AFRICAINES</a>
                            </div>
                        </div>
                        <a href="#news" class="nav-item nav-link">Actualités</a>
                        <a href="#contacts" class="nav-item nav-link">Contact</a>
                        @if(\Illuminate\Support\Facades\Session::has('user'))
                        <a href="{{ route('home') }}" class="nav-item nav-link">Tableau de bord</a>
                        @endif
                    </div>
                    <div class="ms-auto d-none d-lg-block">
                        <a href="https://market.sungrocery.biz" class="btn btn-outline-primary rounded-pill py-2 px-3"> <i class="fas fa-bullhorn"></i> Place De Marché</a>
                        @if(\Illuminate\Support\Facades\Session::has('user'))
                            <a href="{{route('logout')}}" class="btn btn-dark rounded-pill py-2 px-3"> <i class="fas fa-lock"></i> Se deconnecter</a>
                        @else
                            <a href="{{ route('login') }}" class="btn btn-primary rounded-pill py-2 px-3">Se connecter <i class="fa fa-arrow-right"></i></a>
                        @endif
                        
                    </div>
                </div>
            </nav>
        </div>
    </div>
    <!-- Navbar End -->


    <!-- Carousel Start -->
    <div class="container-fluid px-0 mb-5">
        <div id="header-carousel" class="carousel slide carousel-fade" data-bs-ride="carousel">
            <div class="carousel-inner">
                <div class="carousel-item active">
                    <img class="w-100" src="{{ asset('landing/img/ban25.jpeg')}}" alt="Image">
                    <div class="carousel-caption">
                        <div class="container">
                            <div class="row justify-content-end">
                                <div class="col-lg-7 text-end">
                                    <p class="fs-4 text-white animated slideInRight">Tout pour
                                        <strong>L'Agrobusiness</strong>
                                    </p>
                                    <h1 class="display-1 text-white mb-4 animated slideInRight">Espace fournisseurs -  Espace de Vente - Investissement</h1>
                                    <a href="{{ route('landing_home') }}"
                                        class="btn btn-primary rounded-pill py-3 px-5 animated slideInRight">En Savoir Plus</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="carousel-item">
                    <img class="w-100" src="{{ asset('landing/img/ban24.jpg')}}" alt="Image">
                    <div class="carousel-caption">
                        <div class="container">
                            <div class="row justify-content-start">
                                <div class="col-lg-7 text-start">
                                    <p class="fs-4 text-white animated slideInLeft">Tout pour <strong>l'agrobusiness</strong>
                                    </p>
                                    <h1 class="display-1 text-white mb-5 animated slideInLeft">Rejoindre notre communauté de consomm'Acteur </h1>
                                    <a href="{{ route('landing_home') }}"
                                        class="btn btn-primary rounded-pill py-3 px-5 animated slideInLeft">En Savoir Plus</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <button class="carousel-control-prev" type="button" data-bs-target="#header-carousel" data-bs-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Précédent</span>
            </button>
            <button class="carousel-control-next" type="button" data-bs-target="#header-carousel" data-bs-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Suivant</span>
            </button>
        </div>
    </div>
    <!-- Carousel End -->


     <!-- Testimonial Start -->
     <div class="container-xxl pt-5">
        <div class="container">
            <div class="text-center text-md-start pb-5 pb-md-0 wow fadeInUp" data-wow-delay="0.1s"
                style="max-width: 500px;">
                <p class="fs-5 fw-medium text-primary">Nos Services</p>
                <h1 class="display-5 mb-5">Ce Que Nous Vous Proposons.</h1>
            </div>
            <div class="owl-carousel testimonial-carousel wow fadeInUp" data-wow-delay="0.1s">
                <div class="testimonial-item rounded p-4 p-lg-5 mb-5">
                    <div>
                        <img src="{{ asset('landing/img/icon/commerce2.png') }}" alt="sungrocery">
                    </div>
                    <h4>SUNGROCERY</h4>
                    <p class="mb-4">E-boutique et Espace fournisseurs pour la mise en relation entre les producteurs et les distributeurs ou transformateurs de produits locaux.</p>
                    <a href="https://sungrocery.biz/e-commerce">En savoir plus <i class="bi bi-arrow-right"></i></a>
                </div>
                <div class="testimonial-item rounded p-4 p-lg-5 mb-5">
                    <div>
                        <img src="{{ asset('landing/img/icon/market.png') }}" alt="sungrocery market">
                    </div>
                    <h4>MARKETPLACE SUNGROCERY</h4>
                    <p class="mb-4">Espace de vente en ligne personnalisable et à moindre coût pour la fidélisation de sa clientèle et automatisation de son processus de vente en ligne via les moyens de paiements locaux et internationales.</p>
                    <a href="https://market.sungrocery.biz">En savoir plus <i class="bi bi-arrow-right"></i></a>
                </div>
                <div class="testimonial-item rounded p-4 p-lg-5 mb-5">
                    <div>
                        <img src="{{ asset('landing/img/icon/investing.png') }}" alt="sungrocery invest">
                    </div>
                    <h4>SUNGROCERY INVESTISSEMENT</h4>
                    <p class="mb-4">Les loco-consom’Acteurs participent à la valorisation des produits et aux projets locaux qui inspirent et impactent en investissant leurs compétences et leurs ressources pour développer les entreprises proches d’eux avec une structure de microfinance (LE MUTUALISTE Bénin)</p>
                    <a href="https://invest.sungrocery.biz">En savoir plus <i class="bi bi-arrow-right"></i></a>
                </div>
                <div class="testimonial-item rounded p-4 p-lg-5 mb-5">
                    <div>
                        <img src="{{ asset('landing/img/icon/grocery.png') }}" alt="sungrocery top-agro">
                    </div>
                    <h4>TOP AGRO SERVICES</h4>
                    <p class="mb-4">Service Agricole, développement de solution digitale adaptée à l’innovation agricole et vulgarisation des nouvelles pratiques et recherches au sein du monde agricole Béninoise et Africaine</p>
                    <a href="#">En savoir plus ? <i class="bi bi-arrow-right"></i></a>
                </div>
             <div class="testimonial-item rounded p-4 p-lg-5 mb-5">
                <div>
                    <img src="{{ asset('landing/img/icon/marketing.png') }}" alt="sungrocery top-agro">
                </div>
                <h4>SUPPORTS DE COMMUNICATION ET MARKETING A CREDIT</h4>
                    <p class="mb-4">Nous vous accompagnons dans la conception et la réalisation de vos outils de communication et marketing à prix réduit et à crédit pour lancer votre business agricole </p>
                    <a href="#">comment ça marche ? <i class="bi bi-arrow-right"></i> </a>
                </div>
             <div class="testimonial-item rounded p-4 p-lg-5 mb-5">
                <div>
                    <img src="{{ asset('landing/img/icon/enterprise2.png') }}" alt="sungrocery top-agro">
                </div>
                    <h4> FRANCHISES D'ENTREPRISES AFRICAINES</h4>
                    <p class="mb-4">Trouver des entreprises ou particuliers sérieux pour élargir votre marché, porter votre marque ou cocréer ensemble des unités de production dans d’autres pays à travers le modèle franchisé</p>
                    <a href="#">comment ça marche ? <i class="bi bi-arrow-right"></i> </a>
                </div>
            </div>
        </div>
    </div>
    <!-- Testimonial End -->

      <!-- About Start -->
      <div class="container-xxl about my-5" id="about">
        <div class="container">
            <div class="row g-0">
                <div class="col-lg-6 d-none d-sm-none d-md-block">
                    <div class="h-100 d-flex align-items-center justify-content-center" style="min-height: 300px;">
                        
                    </div>
                </div>
                <div class="col-lg-6 pt-5 pb-5 wow fadeIn" data-wow-delay="0.5s">
                    <div class="bg-white rounded p-5 mt-5">
                        <p class="fs-5 fw-medium text-primary">A propos de nous</p>
                        <h1 class="display-6 mb-4 text-justify">Notre vision est de tisser le lien entre le consommateur urbain et les producteurs engagés dans la valorisation des ressources locales en Afrique.</h1>
                        <p class="mb-4 text-justify">Nous sommes une plateforme collaborative africaine de réseautage et de gestion de communauté pour la promotion des entreprises de l’agribusiness,
                             des innovations vertes, de l’écotourisme et des investissement solidaires avec les consommateurs.
                        </p>
                    </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- About End -->

      <!-- Features Start -->
      <div class="container-xxl py-5">
        <div class="text-center text-md-start pb-5 pb-md-0 wow fadeInUp" data-wow-delay="0.1s"
            style="max-width: 500px;">
            <p class="fs-5 fw-medium text-primary">Nos Statistiques</p>
            <h1 class="display-5 mb-5">Ce Que Nous Avons faits</h1>
        </div>
        <div class="container">
            <div class="row g-0 feature-row">
                <div class="col-md-6 col-lg-3 wow fadeIn" data-wow-delay="0.1s">
                    <div class="feature-item border h-100 p-5">
                        <div class="btn-square rounded-circle mb-4" style="width: 64px; height: 64px;">
                            <img class="img-fluid" src="{{ asset('landing/img/icon/icon-1.png')}}" alt="Icon">
                        </div>
                        <h5 class="mb-3">+500</h5>
                        <p class="mb-0">Produits disponible chez nos marchands</p>
                    </div>
                </div>
                <div class="col-md-6 col-lg-3 wow fadeIn" data-wow-delay="0.3s">
                    <div class="feature-item border h-100 p-5">
                        <div class="btn-square rounded-circle mb-4" style="width: 64px; height: 64px;">
                            <img class="img-fluid" src="{{ asset('landing/img/icon/icon-3.png')}}" alt="Icon">
                        </div>
                        <h5 class="mb-3">+ 50 000 000 FCFA</h5>
                        <p class="mb-0">Investis par les consommateurs dans nos exploitations </p>
                    </div>
                </div>
                <div class="col-md-6 col-lg-3 wow fadeIn" data-wow-delay="0.5s">
                    <div class="feature-item border h-100 p-5">
                        <div class="btn-square rounded-circle mb-4" style="width: 64px; height: 64px;">
                            <img class="img-fluid" src="{{ asset('landing/img/icon/icon-2.png')}}" alt="Icon">
                        </div>
                        <h5 class="mb-3">+200</h5>
                        <p class="mb-0">consomm'Acteurs actifs</p>
                    </div>
                </div>
                <div class="col-md-6 col-lg-3 wow fadeIn" data-wow-delay="0.7s">
                    <div class="feature-item border h-100 p-5">
                        <div class="btn-square rounded-circle mb-4" style="width: 64px; height: 64px;">
                            <img class="img-fluid" src="{{ asset('landing/img/icon/icon-4.png')}}" alt="Icon">
                        </div>
                        <h5 class="mb-3">+3</h5>
                        <p class="mb-0">Franchises disponibles et actifs.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Features End -->

      <!-- About Start -->
      <div class="container-xxl my-5">
        <div class="container">
            <div class="row g-0">
                <div class="col-lg-6">
                    <div class=" wow fadeIn p-3"   data-wow-delay="0.5s">
                        <div class="bg-gray rounded p-5 mt-2 col-sm-12">
                            <div class="col-sm-12">
                                <h3 class="mb-3">Notre mission</h3>
                                <span>Produire ceux dont nous avons besoin. Car, face à l’urgence de la sécurité alimentaire et sanitaire, nous sommes convaincus qu’il faut accélérer les investissements, la valorisation des matières premières, et qu’il existe des moyens pour y parvenir en mobilisant les foyers urbains autour de l’idéal commun.</span>
                            </div> 
                        </div>
                        <div class="bg-gray rounded p-5 mt-2 col-sm-12">
                            <div class="col-sm-12">
                                <h3 class="mb-3">Notre conviction</h3>
                                <span>Le financement et le marché se trouvent dans nos villes, l’agrobusiness et la terre se trouvent dans nos villages et les compétences (Ressources humaine) se trouvent au milieu des deux. Il suffit de s’organiser pour éclore la richesse de nos terres par le pouvoir de la consommation et du partage de profit (la puissance du collectif).</span>
                            </div>
                        </div>
                       
                    </div>
                </div>
                <div class="col-lg-6 pt-lg-5 pb-lg-5">
                    <div class="h-100 p-3 d-flex align-items-center justify-content-center" style="min-height: 300px;">
                        <div class="bg-primary rounded p-5 mt-lg-2 mb-lg-5 col-sm-12" style="color: white;">
                          <div class="col-sm-12">
                            <h3 class="mb-3" style="color: white;">Notre solution</h3>
                            <p>Produire ceux dont nous avons besoin à moindre cout. Notre plateforme a pour ambition de mobiliser 1 000 foyers adhérents sur les 10 prochaines années dont les membres seront capables d’investir 200 millions dans l’agrobusiness et de consommer mensuellement 15 000 de produits africains.</p>
                          </div>
                        </div>
                      </div>
                </div>
                </div>
            </div>
        </div>
    </div>
    <!-- About End -->

    @if(isset($actualites) && count($actualites)>0)
   <!-- Project Start -->
   <div class="container-xxl pt-5" id="news">
    <div class="container">
        <div class="text-center text-md-start pb-5 pb-md-0 wow fadeInUp" data-wow-delay="0.1s"
            style="max-width: 500px;">
            <p class="fs-5 fw-medium text-primary">Actualités</p>
            <h1 class="display-5 mb-5">Nos Activités Et Impactent Depuis 2021</h1>
        </div>
        <div class="owl-carousel project-carousel wow fadeInUp" data-wow-delay="0.1s">
            @foreach($actualites as $actualite)
               @php
                   $meta_model=new \App\Users_meta();
                   $picture=$meta_model->get_user_field($actualite->user->id,'profil_picture');
               @endphp
            <div class="project-item mb-5">
                <div class="position-relative">
                    <img class="img-fluid" src="{{$actualite->image}}" alt="{{$actualite->titre}}">
                </div>
                <div class="p-4">
                    <a class="d-block h5" href="">{{$actualite->titre}}</a>
                    <span>{{Illuminate\Support\Str::limit($actualite->resume,200)}}</span>
                   <br> <a href="{{route('actualite',$actualite->slug)}}">en savoir plus <i class="bai bi-arrow-right"></i></a>
                </div>
            </div>
            @endforeach
        </div>
    </div>
</div>
@endif
<!-- Investissement Actualités -->
 @if(isset($investissement_actualites) && count($investissement_actualites)>0)
   <!-- Project Start -->
   <div class="container-xxl pt-5" id="news">
    <div class="container">
        <div class="text-center text-md-start pb-5 pb-md-0 wow fadeInUp" data-wow-delay="0.1s"
            style="max-width: 500px;">
            <p class="fs-5 fw-medium text-primary">Actualités d'investisssement</p>
            <h1 class="display-5 mb-5">Découvrez nos projets d'investissement solidaire.</h1>
        </div>
        <div class="owl-carousel project-carousel wow fadeInUp" data-wow-delay="0.1s">
            @foreach($investissement_actualites as $actualite)
            <div class="project-item mb-5">
                <div class="position-relative">
                    <img class="img-fluid" src="{{$actualite->image}}" alt="{{$actualite->title}}">
                </div>
                <div class="p-4">
                    <a class="d-block h5" href="">{{$actualite->title}}</a>
                    <span>{{Illuminate\Support\Str::limit($actualite->resume,200)}}</span>
                   <br> <a href="{{env('INVESTISSEMENT_URL')}}/news/{{ $actualite->slug }}" target="_blank">en savoir plus <i class="bai bi-arrow-right"></i></a>
                </div>
            </div>
            @endforeach
        </div>
    </div>
</div>
<!-- Project End -->
@endif
    <!-- Quote Start -->
    <div class="container-xxl py-5" id="contacts">
        <div class="container">
            <div class="row g-5">
                <div class="col-lg-6 wow fadeInUp" data-wow-delay="0.1s">
                    <p class="fs-5 fw-medium text-primary">Contactez-nous</p>
                    <h1 class="display-5 mb-4">Besoin de l'aide de nos experts ? Nous sommes là !</h1>
                    <p class="mb-4">Souhaitez-vous en savoir plus sur notre plateforme en ligne et découvrir toutes les fonctionnalités qu'elle offre ? Nous serions ravis de partager avec vous tous les détails passionnants sur notre plateforme et de répondre à vos questions. Que vous soyez intéressé par nos services, nos produits ou nos initiatives, notre équipe est prête à vous fournir les informations dont vous avez besoin. </p>
                    <p class="mb-4">Contactez-nous dès maintenant pour planifier une démonstration personnalisée ou pour discuter de la façon dont notre plateforme peut répondre à vos besoins spécifiques.</p>
                    <a class="d-inline-flex align-items-center rounded overflow-hidden border border-primary" href="tel:+22967723243">
                        <span class="btn-lg-square bg-primary" style="width: 55px; height: 55px;">
                            <i class="fa fa-phone-alt text-white"></i>
                        </span>
                        <span class="fs-5 fw-medium mx-4">+229 67 72 32 43</span>
                    </a>
                </div>
                <div class="col-lg-6 wow fadeInUp" data-wow-delay="0.5s">
                    @php
                    $name='';
                          $tel='';
                          $email='';
                          if(\Illuminate\Support\Facades\Session::has('user')){
                          $user=\Illuminate\Support\Facades\Session::get('user');
                          $name=$user['first_name'].' '.$user['last_name'];
                          $tel=$user['telephone'];
                          $email=$user['email'];
                          }
                @endphp
                    <form action="{{route('contactmakeAdmin.post')}}" method="post" id="contact_form" onsubmit="check_error(['contact_form_name','contact_form_email','contact_form_phone','contact_form_message'])" class="bg-white rounded pb_form_v1">
                        @csrf
                    <h2 class="mb-4">Envoyez-nous un message</h2>
                    <div class="row g-3">
                        <div class="col-sm-6">
                            <div class="form-floating">
                                <input type="text" name="name" class="form-control" id="name" required="required" data-input_name="nom" value="{{$name}}" id="contact_form_name" onblur="check_error(['contact_form_name'])" placeholder="votre nom ">
                                <label for="name">Votre Nom</label>
                            </div>
                            <span id="errorcontact_form_name"></span>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-floating">
                                <input type="email" name="email" class="form-control" id="mail" required="required" data-input_name="email" value="{{$email}}" id="contact_form_email" onblur="check_error(['contact_form_email'])" placeholder="Email">
                                <label for="mail">Votre Email</label>
                            </div>
                            <span id="errorcontact_form_email"></span>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-floating">
                                <input type="text" name="tel" class="form-control" id="mobile" required="required" data-input_name="téléphone" value="{{$tel}}" id="contact_form_phone" onblur="check_error(['contact_form_phone'])" placeholder="Téléphone">
                                <label for="mobile">Votre numéro de téléphone</label>
                            </div>
                            <span id="errorcontact_form_phone"></span>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-floating">
                                <select class="form-select" id="service">
                                    <option selected>sungrocery</option>
                                    <option value="">sungrocery market</option>
                                    <option value="">sungrocery investissement</option>
                                    <option value="">top agro-services</option>
                                    <option value="">support de communication et marketing</option>
                                    <option value="">Franchise d’entreprises Africaines  </option>
                                </select>
                                <label for="service">Choose A Service</label>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="form-floating">
                                <textarea class="form-control" name="message"  required="required" id="contact_form_message" placeholder="Ecrivez nous maintenant" id="message"
                                    style="height: 130px"></textarea>
                                <label for="message">Message</label>
                            </div>
                            <span id="errorcontact_form_message"></span>
                        </div>
                        <div class="col-12 text-center">
                            <button class="btn btn-primary w-100 py-3 btn-block pb_btn-pill contact_submit_button" type="submit">Envoyez votre message</button>
                        </div>
                    </div>
                </form>
                </div>
            </div>
        </div>
    </div>
    <!-- Quote Start -->

    <!-- Footer Start -->
    <div class="container-fluid bg-dark footer mt-5 py-5 wow fadeIn" data-wow-delay="0.1s">
        <div class="container py-5">
            <div class="row g-5">
                <div class="col-lg-6 col-md-6">
                    <h4 class="text-white mb-4">SUNGROCERY</h4>
                    <p class="mb-2"><i class="fa fa-map-marker-alt me-3"></i>Benin / Abomey-calavi </p>
                    <p class="mb-2"><i class="fa fa-phone-alt me-3"></i>+22967723243</p>
                    <p class="mb-2"><i class="fa fa-envelope me-3"></i>contact@sungrocery.biz</p>
                    <div class="d-flex pt-3">
                        <a class="btn btn-square btn-light rounded-circle me-2" href=""><i
                                class="fab fa-twitter"></i></a>
                        <a class="btn btn-square btn-light rounded-circle me-2" href=""><i
                                class="fab fa-facebook-f"></i></a>
                        <a class="btn btn-square btn-light rounded-circle me-2" href=""><i
                                class="fab fa-youtube"></i></a>
                        <a class="btn btn-square btn-light rounded-circle me-2" href=""><i
                                class="fab fa-linkedin-in"></i></a>
                    </div>
                </div>
               
                <div class="col-lg-6 col-md-6">
                    <h4 class="text-white mb-4">Newsletter</h4>
                    <p>Souscrivez à la newsletter pour profiter de nos services</p>
                    <div class="position-relative w-100">
                        <input class="form-control bg-transparent w-100 py-3 ps-4 pe-5" type="text"
                            placeholder="Votre email">
                        <button type="button"
                            class="btn btn-light py-2 position-absolute top-0 end-0 mt-2 me-2">Souscrire</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Footer End -->


    <!-- Copyright Start -->
    <div class="container-fluid copyright py-4">
        <div class="container">
            <div class="row">
                <div class="col-md-6 text-center text-md-start mb-3 mb-md-0">
                    &copy; <a class="fw-medium text-light" href="https://suntech.bj">SOFTWARE UNIVERSE TECHNOLOGY</a>, All Right Reserved.
                </div>
                <div class="col-md-6 text-center text-md-end">
                    <!--/*** This template is free as long as you keep the footer author’s credit link/attribution link/backlink. If you'd like to use the template without the footer author’s credit link/attribution link/backlink, you can purchase the Credit Removal License from "https://htmlcodex.com/credit-removal". Thank you for your support. ***/-->
                  <a class="fw-medium text-light" href="#">2021</a>
                </div>
            </div>
        </div>
    </div>
    <!-- Copyright End -->


    <!-- Back to Top -->
    <a href="#" class="btn btn-lg btn-primary btn-lg-square rounded-circle back-to-top"><i
            class="bi bi-arrow-up"></i></a>

            <div class="notification notification-alert">
                Nous utilisons des cookies pour améliorer les services et nous assurer qu'ils fonctionnent pour vous.
                <a href="#" id="close">ok</a>
            </div>
    <!-- JavaScript Libraries -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="{{ asset('landing/lib/wow/wow.min.js')}}"></script>
    <script src="{{ asset('landing/lib/easing/easing.min.js')}}"></script>
    <script src="{{ asset('landing/lib/waypoints/waypoints.min.js')}}"></script>
    <script src="{{ asset('landing/lib/owlcarousel/owl.carousel.min.js')}}"></script>
    <script src="{{ asset('landing/lib/lightbox/js/lightbox.min.js')}}"></script>

    <!-- Template Javascript -->
    <script src="{{ asset('landing/js/main.js')}}"></script>
    @include('dashboard.Boutique.global.globalJs')
    @include('dashboard.Boutique.Boutique_template.script')
            <script>
                   $('.notification').slideDown();

$(document).on('click','#close',function(){
    $('.notification').slideUp();
    let cookieset = getCookie("_checkCookie");

    if (cookieset === "" || cookieset == null) {
        setCookie("_checkCookie", "check", 7);
    }
});

function checkCookie() {
    var cookieset = getCookie("_checkCookie");
    if (cookieset==="" || cookieset==null) {
        $('.notification').slideDown();
    }else{
        $('.notification').slideUp();
    }
}
checkCookie();


function setCookie(name,value,days) {
    $.cookie(name, value, { expires: days });
}
function getCookie(name) {
  return  $.cookie(name);

}
            </script>
</body>

</html>