<!DOCTYPE html>
<html lang="fr">
<head>
    <title>{{$title}}</title>
    {!!\WebDevEtc\BlogEtc\Helpers::rss_html_tag()!!}
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="SUNMARKET Boutique en ligne. Visitez les différents articles de différents secteurs d'activité. Votre boutique all in One 2.0">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="{{asset('styles/bootstrap4/bootstrap.min.css')}}">
    <link rel="icon" type="image/png" href="{{asset('images/sunmarket_fav.png')}}"/>
    <link href="{{asset('plugins/fontawesome-free-5.0.1/css/fontawesome-all.css')}}" rel="stylesheet" type="text/css">
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/OwlCarousel2-2.2.1/owl.carousel.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/OwlCarousel2-2.2.1/owl.theme.default.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/OwlCarousel2-2.2.1/animate.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/slick-1.8.0/slick.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('styles/main_styles.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('styles/responsive.css')}}">
    <link rel="stylesheet" href="{{asset('zebra_css/zebra_dialog.css')}}" />
    <link rel="stylesheet" href="{{asset('plugin/chosen_/chosen.css')}}" />
    <link href="https://fonts.googleapis.com/css?family=Merriweather&display=swap" rel="stylesheet">
    <meta name="_token" content="{{csrf_token()}}">
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-168061172-1"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'UA-168061172-1');
    </script>

    <style>
        .list-media a{
            font-size: 12pt;
            color: #fff;
            margin-bottom: 2px;
        }

        .list-media {
            margin-bottom: 2px;
            box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
        }

        .list-media:hover {
            box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
            transition: all 500ms ease;
        }
        #media-share{
            z-index: 99;
        }
        .whatsapp{
            width: 30px;
            height: 30px;
            line-height: 32px;
            text-align: center;
            background: green;
            border-radius: 100%;
            font-weight: bold;
        }

        .facebook{
            width: 30px;
            height: 30px;
            line-height: 30px;
            text-align: center;
            background: #0e0ea0;
            border-radius: 100%;
            font-weight: bold;
        }
        .instagram{
            width: 30px;
            height: 30px;
            line-height: 30px;
            text-align: center;
            background: #48aed6;
            border-radius: 100%;
            font-weight: bold;
        }

        .list-media{
            display: inline-block;
            text-align: center;
        }
        .list-media div{
            margin-left: 3%;
        }
        @media only screen and (max-width: 575px) {
            .wishlist_icon {
                width: 100%;
            }
        }
        .logo a{
            color: #fff;
        }
        .logo a:hover{
            color: #F1F1F1;
        }
        .wishlist_icon{
            color: #fff;

        }
        .wishlist_text a{
            color: #fff;
            font-size: 10pt;
        }

        .wishlist_icon:hover{
            color: #F1F1F1;
        }
        .wishlist_text a:hover{
            color: #F1F1F1;
        }
        .pace {
            -webkit-pointer-events: none;
            pointer-events: none;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        .pace-inactive {
            display: none;
        }

        .pace .pace-progress {
            background: #00ba9d;
            position: fixed;
            z-index: 2000;
            top: 0;
            right: 100%;
            width: 100%;
            height: 2px;
        }

        .pace .pace-progress-inner {
            display: block;
            position: absolute;
            right: 0px;
            width: 100px;
            height: 100%;
            box-shadow: 0 0 10px #00ba9d, 0 0 5px #00ba9d;
            opacity: 1.0;
            -webkit-transform: rotate(3deg) translate(0px, -4px);
            -moz-transform: rotate(3deg) translate(0px, -4px);
            -ms-transform: rotate(3deg) translate(0px, -4px);
            -o-transform: rotate(3deg) translate(0px, -4px);
            transform: rotate(3deg) translate(0px, -4px);
        }

        .pace .pace-activity {
            display: block;
            position: fixed;
            z-index: 2000;
            top: 15px;
            right: 15px;
            width: 14px;
            height: 14px;
            border: solid 2px transparent;
            border-top-color: #00ba9d;
            border-left-color: #00ba9d;
            border-radius: 10px;
            -webkit-animation: pace-spinner 400ms linear infinite;
            -moz-animation: pace-spinner 400ms linear infinite;
            -ms-animation: pace-spinner 400ms linear infinite;
            -o-animation: pace-spinner 400ms linear infinite;
            animation: pace-spinner 400ms linear infinite;
        }

        @-webkit-keyframes pace-spinner {
            0% { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
            100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
        }
        @-moz-keyframes pace-spinner {
            0% { -moz-transform: rotate(0deg); transform: rotate(0deg); }
            100% { -moz-transform: rotate(360deg); transform: rotate(360deg); }
        }
        @-o-keyframes pace-spinner {
            0% { -o-transform: rotate(0deg); transform: rotate(0deg); }
            100% { -o-transform: rotate(360deg); transform: rotate(360deg); }
        }
        @-ms-keyframes pace-spinner {
            0% { -ms-transform: rotate(0deg); transform: rotate(0deg); }
            100% { -ms-transform: rotate(360deg); transform: rotate(360deg); }
        }
        @keyframes pace-spinner {
            0% { transform: rotate(0deg); transform: rotate(0deg); }
            100% { transform: rotate(360deg); transform: rotate(360deg); }
        }

        .chosen-container-single .chosen-single{
            height: 38px;
            background: none;
            border-radius: 0px;
            line-height: 38px;
        }
        .chosen-container-single .chosen-single div{
            margin-top: 8px;
        }
        #button{
            display:block;
            margin:20px auto;
            padding:10px 30px;
            background-color:#eee;
            border:solid #ccc 1px;
            cursor: pointer;
        }
        #overlay{
            position: fixed;
            top: 0;
            z-index: 100;
            width: 100%;
            height:100%;
            display: none;
            background: rgba(0,0,0,0.6);
        }
        .cv-spinner {
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        .spinner {
            width: 40px;
            height: 40px;
            border: 4px #ddd solid;
            border-top: 4px #2e93e6 solid;
            border-radius: 50%;
            animation: sp-anime 0.8s infinite linear;
        }
        @keyframes sp-anime {
            0% {
                transform: rotate(0deg);
            }
            100% {
                transform: rotate(359deg);
            }
        }
        .is-hide{
            display:none;
        }

        ul {
            list-style-type: none;
        }

        li {
            display: inline-block;
        }

        input[type="checkbox"][id^="myCheckbox"] {
            display: none;
        }

        label {
            border: 1px solid #fff;
            padding-top: 10px;
            display: block;
            position: relative;
            margin-top: 10px;
            font-weight: bold;

        }

        label:before {
            background-color: white;
            color: white;
            content: " ";
            display: block;
            border-radius: 50%;
            border: 1px solid grey;
            position: absolute;
            top: -5px;
            left: -5px;
            width: 25px;
            height: 25px;
            text-align: center;
            line-height: 28px;
            transition-duration: 0.4s;
            transform: scale(0);
        }

        label img {
            height: 100%;
            width: 100%;
            transition-duration: 0.2s;
            transform-origin: 50% 50%;
        }

        :checked + label {
            border-color: #ddd;
        }

        :checked + label:before {
            content: "✓";
            background-color: grey;
            transform: scale(1);
        }

        :checked + label img {
            transform: scale(0.9);
            /* box-shadow: 0 0 5px #333; */
            z-index: -1;
        }

        .card-1 {
            box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
            transition: all 0.3s cubic-bezier(.25,.8,.25,1);
            border: 1px solid #2a3f54;
        }

        .card-1:hover {
            box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
            transition: all 1000ms ease;
            border: 1px solid #060e1c;

        }
        select{
            margin-left: 0px;
        }
        p a{
            font-size: 10pt;
            font-family: 'Montserrat';
            border-bottom: none;
            background: none;
        }
        p a i{
            color: #fff;
        }

        p a:hover{
            color: #2A3F54;font-weight: bold;
            font-size: 10pt;
            background: none;

        }
        .carousel-item{
            height: 100%;
        }
        .carousel-caption h5{
            font-size: 20pt;
            color: #000;
            font-weight: bold;
        }
        .favorite_boutique{
            display: none;
        }
        .list_boutique:hover .favorite_boutique{
            transition: all 1000ms ease;
            display: block;
        }
        .list_boutique:hover .list-media{
            transition: all 1000ms ease;
            display: inline-block;
        }
        .list-media{
            display: none;
        }
        .favorite_boutique:hover{
            transition: all 1000ms ease;
            background: #f1f1fa;
            cursor: pointer;
        }
        @media screen and (max-width: 360px) {
            .carousel-item img {
                opacity: 0;
            }
        }
        .visite{
            background:   #00ba9d;
        }

        .visite:hover{
            background: #005548;
        }

    </style>
    @yield('css')

</head>

<body>
<header class="header">

    <!-- Top Bar -->

    <div class="top_bar">
        <div class="container">
            <div class="row">
                <div class="col d-flex flex-row">
                    <div class="top_bar_contact_item"><div class="top_bar_icon"><img src="{{asset('images/phone.png')}}" alt=""></div>+22967723243</div>
                    <div class="top_bar_contact_item"><div class="top_bar_icon"><img src="{{asset('images/mail.png')}}" alt=""></div><a href="mailto:fastsales@gmail.com">contact@sunmarket.biz</a></div>
                    <div class="top_bar_content ml-auto">
                        <div class="top_bar_menu">

                        </div>
                        <div class="top_bar_user">
                            <div class="user_icon"><img src="{{asset('images/user.svg')}}" alt=""></div>
                            @if(!\Illuminate\Support\Facades\Session::has('user'))
                                <div><a href="{{route('register')}}">Inscription</a></div>
                                <div><a href="{{route('login')}}">Connexion</a></div>
                            @else
                                <div><a href="#">{{\Illuminate\Support\Facades\Session::get('user')['first_name']}} {{\Illuminate\Support\Facades\Session::get('user')['last_name']}}</a></div>
                                <div><a href="{{route('logout')}}">Deconnexion</a></div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
<div class="col-lg-12">
    <div class="row" style="height: 50vh;text-align: center; background: url('{{asset('images/shop_background.jpg')}}') no-repeat center;background-size: cover;">
        <div style="background: rgba(000,000,000,0.5);width: 100%">
            <div class="col-sm-12 text-center" style="height: 100%;background: transparent">
                <h1 style="line-height: 50vh;font-size: 20pt;color: #fff;">{{$page_title}}</h1>
            </div>
        </div>
    </div>
</div>
@yield("content")
<script src="{{asset('vendors/jquery/dist/jquery.min.js')}}"></script>

<script src="{{asset('plugin/notify.js')}}"></script>

<script src="{{asset('vendors/switchery/dist/switchery.js')}}"></script>
<script src="{{asset('js/zebra_dialog.src.js')}}"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>

</body>
</html>
