<?php

Route::get('sgi/projects/list', 'SGI\ProjectController@list');
Route::get('sgi/projects/detail/{slug}', 'SGI\ProjectController@detail');
Route::post('sgi/projects/add/contribution', 'SGI\ProjectController@addContribution');
Route::post('sgi/projects/update/contribution', 'SGI\ProjectController@updateContribution');
Route::post('sgi/projects/receipt/contribution', 'SGI\ProjectController@receiptUpload');
Route::post('sgi/projects/payment/logs/contribution', 'SGI\ProjectController@payment_logs');
Route::get('sgi/sectors/index', 'SGI\MetierController@index');
Route::get('sgi/sectors/all/index', 'SGI\Metier\MetierGetAllController@index');
Route::get('sgi/remboursements', 'SGI\ProjectController@remboursements');
Route::post('sgi/retraits', 'SGI\ProjectController@makedemande_retrait');
Route::get('sgi/retraits', 'SGI\ProjectController@retraits');
Route::get('sgi/actualites/{slug}/{type}', 'SGI\ProjectController@actualites');
Route::get('sgi/actualite/{slug}', 'SGI\ProjectController@actualite');
Route::get('sgi/actualites', 'SGI\ProjectController@all_actualites');
Route::post('sgi/contact', 'SGI\ProjectController@contact');
Route::get('sgi/cgu/{key}', 'SGI\ProjectController@getInvestissementParams');
